About Advanced Recurring Contract Billing

Use Advanced Recurring Contract Billing (ARCB) to manage your recurring and contract billing schedules. With ARCB, you can significantly reduce the amount of time required to manage contract billing periods by defining flexible billing schedules that streamline your entire billing process.

Fully integrated with Microsoft Dynamics GP, ARCB is the perfect billing solution for software companies and other high-tech companies that use deferrals.

ARCB is designed for organizations that bill customers for annual support contracts and for contracts based on metered usage or units of measurement, such as bandwidth, water usage, minutes, and more. You can create many meter numbers and meter names and import billing data from other systems into Microsoft Dynamics GP, which saves you valuable data-entry time.

During every billing period, a robust invoice creator converts all of your billing schedules into sales order processing quotes or invoices. You can then quickly produce invoices and start collecting your accounts receivables faster.

Dynamic features also allow you to handle different billing options such as prorating, free periods, one-time billings, minimum quantity, and more. ARCB also helps you minimize revenue leakage by catching missed billing periods and forecasting future revenues.

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2026 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

ARCB for Microsoft Dynamics GP 18.8

ARCB for Microsoft Dynamics GP 18.7

ARCB for Microsoft Dynamics GP 18.6

ARCB for Microsoft Dynamics GP 18.5

ARCB for Microsoft Dynamics GP 18.4

ARCB for Microsoft Dynamics GP 18.3

ARCB for Microsoft Dynamics GP 18.2

ARCB for Microsoft Dynamics GP 2018

ARCB for Microsoft Dynamics GP 2016

ARCB for Microsoft Dynamics GP 2015

ARCB for Microsoft Dynamics GP 2013

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.8

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1402 - February, 2026
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1402 | Issue | Added support for back-ordering item quantities when creating invoices from the Invoice Creator window, provided that the "Quantity Shortage Option" in the Sales Order Processing window is set to Back Order All and the item is configured as "Allowed to Back Order" in the "Item Setup Options" window. | Transactions> Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 1401 - October, 2025
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1401 | Upgrade | Upgraded to GP2018.8. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.7

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1303 - February, 2026
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1303 | Issue | Added support for back-ordering item quantities when creating invoices from the Invoice Creator window, provided that the "Quantity Shortage Option" in the Sales Order Processing window is set to Back Order All and the item is configured as "Allowed to Back Order" in the "Item Setup Options" window. | Transactions> Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 1302 - October, 2024
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1302 | Enhancement | Updating an existing Schedule Type will automatically update all of the Billing Schedules that were previously using that Schedule Type. | Tools > Setup > Adv. Recurring Contract Billing > Setup |  |
1302 | Enhancement | Added a record count display to the Billing Schedule Line Detail Inquiry window. | Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Detail Inquiry |  |
1302 | Issue | The Prior Univoiced Periods do not display in a particular date range when Include Prior Uninvoiced is unmarked. | Transactions> Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 1301 - October, 2024
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1301 | Upgrade | Upgraded ARCB from GP2018.6 to GP2018.7. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.6

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1204 - June, 2024
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1204 | Issue | Issue Fix : The excel file exported from the Invoice Creator window was not showing up as currency symbols correctly when the currency was setup as other than US Dollar. | Inquiry>Sales>Transaction by Customer>Sales Transaction Inquiry Zoom |  |
1204 | Issue | Issue Fix : When Support/Renewal Items are attached to the Sales Invoice and Auto Billing Creation, the setting is enabled on the ARCB Setup. Then a new ARCB Schedule is created during the posting of the Sales Invoice..However, the Schedule ID was not appearing on the Support/Renewal Billing Details zoom window. | Inquiry>Sales>Transaction by Customer>Sales Transaction Inquiry Zoom |  |
Closed Build 1203 - May, 2024
Build Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
1203 Issue

Fixed an issue for when you are using the Support/Renewal Billing Details window in the Sales Transaction Entry window. When changing the Renewal End Date, ARCB was calculating the incorrect renewal amount for each renewal item. And the ARCB schedule for the renewal items was also creating billing lines with the incorrect calculation.

Now, ARCB calculates the correct renewal amounts for the line items on the Support/Renewal Billing Details window and the ARCB schedule billing line is also created with the correct amount.

 Transaction > Sales > Sales Transaction Entry
Closed Build 1202 - December, 2024
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1202 | Issue | Issue Fix : In the Price Update SBA Service, the price of invoiced periods were also being updated along with incorrect billing lines and deferral dates. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
1202 | Issue | Issue Fix : Billing lines had incorrect invoiced amounts when created using the Schedule Line Termination with the Term. Fee option and the schedule line was created through eConnect. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
1202 | Issue | Issue Fix : On the Invoice Creator window, the Item Description was shown from the Item Card instead of from the billing schedule line. Now, the Invoice Creator shows the Item Description from billing schedule lines. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 1201 - October, 2023
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1201 | Upgrade | Upgrade from GP 18.5 to GP 18.6. | N/A | N/A | N/A

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.5

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1105 - December, 2023
Build | Type | Description | Navigation Path | New Form/Report | Database Changes | Ticket Number
 |  | GP Series: Project
1103 | Issue | Fixed Issue: In the Price Update SBA Service, the Price of the Invoiced Periods was also being updated along with the incorrect billing lines and the deferral dates. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |  | Devops : 47087
1103 | Issue | Fixed Issue: A Billing Line displayed an incorrect invoiced amount entered when the Billing Line was created through Schedule Line Termination with option "Term. Fee" and Schedule Line was created through eConnect. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |  | Devops : 47092
1103 | Issue | Fixed Issue: In the Invoice Creator window, the Item Description was being shown from Item Card instead of from the Billing Schedule Line. However, the Item Description is editable in the Billing Schedule. Now, the Invoice Creator will show the Item Description from Billing Schedule Lines. | "Transaction > Adv Recurring Contract Billing > Invoice Creator " |  |  | DevOps : 47085
Closed Build 1104 - November, 2023
Type | Description | Navigation Path | New Form/Report | Database Changes | Ticket Number
 | GP Series: Project
Issue | Fixed Issue : While Creating the Invoice from the Invoice Creator the Receiving Account on the Distribution of Sales Invoice was not substituting correctly. | "Transaction > Adv Recurring Contract Billing > Invoice Creator " |  |  | DevOps : 26229
Closed Build 1103 - August, 2023
Build | Type | Description | Navigation Path | New Form/Report | Database Changes | Ticket Number
 |  | GP Series: Project
1103 | Issue | Fixed Issue: Invoice Creator was not able to process a Billing Schedule with a single quotation in its Schedule ID, also ARCB was not able to delete the same Billing Schedule from Billing Schedule Maintenance window. | Transactions > Adv Recurring Contract Billing > Invoice Creator Cards > Adv Recurring Contract Billing > Billing Schedule |  |  | Devops# :31296
1103 | Issue | Fixed Issue: Spelling Correction in column label "Document No." in the Mass Termination Process Report. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |  | DevOps# - 32596
1103 | Enhancement | Added an Item Description field to the Listview and Processed Report of the Price Update Utility. | "Tools > Utilities > Adv Recurring Contract Billing > Price Update " |  |  | DevOps - 23753.
1103 | Enhancement | Added a new option "Create Return based on Schedule Item Quantity" on the ARCB Setup to keep the quantity of SOP Return document(for refund amount) created through Mass Termination process equal to Quantity on Billing Schedule. This option will remain unmarked by default and SOP Return document will be created with quantity 1 by default. | Tools > Setup > Adv Recurring Contract Billing > Setup Transactions > Adv Recurring Contract Billing > Mass Termination Process |  | Added new Field BSSI_bSOPReturn_Qty in table PEER_Setup (B0800008). | DevOps-14884.
Closed Build 1102 - February, 2023
Build | Type | Description | Navigation Path | New Form/Report | Database Changes | Ticket Number
 |  | GP Series: Project
1102 | Issue | Issue Fix : Allocation Percentage on Schedule Line Kit Options window was picking wrong Allocation percentage from the Item Kit Maintenance Setup. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |  | DevOps-11417.
1102 | Issue | Issue Fix : ARCB was not able to add more than 14 Sub Items of an Item of type Milestone to Billing Schedule. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |  | DevOps-11474.
1102 | Issue | Issue Fix : System was picking wrong Total Amount of an Item of Type Milestone on Billing Schedule window. The Total Amount of an Item of Type Milestone should be 0. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |  | DevOps-11475.
1102 | Issue | Issue Fix: Price Update by File was updating the prices of terminates schedules lines as well which was wrong. Now, terminated lines will not be considered for price update. | "Tools > Utilities > Adv Recurring Contract Billing > Price Update by File " |  |  | 1845
1102 | Enhancement | Mass Termination Process : Added Support of AVALARA to SOP Return generated through Mass termination. Now, the Taxes of SOP return document generated through Mass Termination Process will be calculated from the AVALARA Portal, if it is installed and enabled. The SOP Return document will also be updated on the AVALARA Portal. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |  | FN-2072
Closed Build 1101 - November 04, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes | Ticket Number
 | GP Series: Project
Issue | Price Update by File: Showing the New Unit Price and Total Extended Amount in Item Decimal Places. Previously we were showing these fields in decimal place of functional currency. | Tools > Utilities > Adv Recurring Contract Billing > Price Update by File |  |  | DEVOPS -3938
Upgrade | Upgrade from GP2018.4.1461 to GP2018.5. |  |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.4

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1007 - August 10, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade to GP2018.4.1461 |  |  |
Closed Build 1005 - June 21, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed the issue of Renewal Processing in which the Billing Dates of a schedule line are not matching with the dates of Renewal Terms | Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility |  |
Enhancement | Added new Utility 'Price Update by File' to update the Price of a Schedule Item and related ARED Schedule. | Tools > Utilities > Adv Recurring Contract Billing > Price Update by File | Price Update by File Reverse Price Update | Created new Tables BSSI_UpdatePriceProcess (B0860002), BSSI_UpdatePrice_Hist (B0830002)
Issue | Fixed the Issue of Incorrect Refund Amount in Mass Termination Process. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 1004 - May 10, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: When multiple users apply the Markdown at same time then the log report will show the data with respect to each User ID. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue | Issue Fix: Fixed the issue in which Ship From and Ship To address was going wrong on the AVALARA portal on creating the invoice of Billing Periods from Invoice creator. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Enhancement | Enhanced the Code for Fixing the issue of system got hanged in case of huge data while terminating the Line from Billing Schedule Maintenance window. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Enhancement | Added the filter 'Filter By ' on the Invoice Creator and Invoice Creator Mass Processing window which provides the functionality to filter the schedules periods according to Start Date or End Date of particular period. | Transactions > Adv Recurring Contract Billing > Invoice Creator Mass Processing Transactions > Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 1003 - January 31, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Enhancement

Updated terminology for labels of all windows and field boxes from Escalation (including all variations) to Price Adjustment. This terminology change affects ARCB for Microsoft Dynamics GP 18.4 and newer.

All version of ARCB for Microsoft Dynamics GP earlier than 18.4 are not affected and will continue to use the previous terminology of Escalation for the window and field box labels.

The ARCB documentation will be updated to use the newer terminology.

Refactoring | If the quantity or consumption amount for a billing period is zero (0) or nothing, an invoice is generated for the minimum amount specified for a billing schedule line item. | Cards > Adv Recurring Contract Billing > Billing Schedule
Closed Build 1002 - December 28, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: During the meter reading import process on the Meter Reading Import window was not showing the real-time percentage. |  |  |
Issue | Issue Fix: On the Support/Renewal Preview window, a divide by zero issue occurred when the extended price of an item was zero and the user tried to change the value of the renewal amount. | Transaction > Sales > Sales Transaction Entry |  |
Issue | Issue Fix: On the Billing Schedule Inquiry window, when the label Debtor ID appears as the Customer ID and the user tried to remove an existing range, the following error message appeared: "This range already exists." | Inquiry > Adv Recurring Contract Billing > Billing Schedule Inquiry |  |
Issue | Issue Fix: Billing schedule lines for customer IDs that started with the letter Z were not appearing on the Invoice Creator Mass Processing window. | Transactions > Adv Recurring Contract Billing > Invoice Creator Mass Processing |  |
Issue | Issue Fix: After terminating a billing schedule line, the status of the line was Last Billing instead of Disabled. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Refactoring | Allowed the adjustment item of a Price Group to be terminated. Also, added validation on all price group items to be terminated on the same date only and the adjustment item will be terminated only after all other items of price group are terminated. |  |  |
Refactoring | Improved the performance of importing meter reading data when the readings for price group items are imported. |  |  | Created new Stored Procedures BSSI_GetPriceGroupItemCount, BSSI_GetPriceGroup_QtyAmt, BSSI_GetGroupQuantity.
Issue | Issue Fix: When using the Independent Renewal Utility to perform renewals on partial months, the billing end date was incorrect in the renewed period. |  |  |
Closed Build 1001 - November 10, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade from GP 2018.3 Build 907 to GP 2018.4. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.3

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 908 - February, 2023
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
908 | Issue | Issue Fix : Allocation Percentage on Schedule Line Kit Options window was picking wrong Allocation percentage from the Item Kit Maintenance Setup. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
908 | Issue | Issue Fix : ARCB was not able to add more than 14 milestones of an Item of type Milestone. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
908 | Issue | Issue Fix : System was picking wrong Total Amount of an Item of Type Milestone on Billing Schedule window. The Total Amount of an Item of Type Milestone should be 0. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
908 | Issue | Issue fix : Data in exported Excel file was mismatching the actual order of columns shown in window. | Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Inquiry |  |
908 | Issue | Issue fix: Duplicate data was being shown on Billing Schedule Inquiry window. | Inquiry > Adv. Recurring Contract Billing > Billing Schedule Detail Inquiry |  |
Closed Build 907 - October 28, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue

Issue Fix : When using the Independent Renewal Utility, the billing end date was incorrectly calculated after the February period. The date of February 28 or February 29 was used as the end of the month, and the next billing end date was calculated to be March 31.

The March billing period is dependent on the January billing period. If the January billing period is partial, then the March billing period should be created as partial as well.

Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility
Closed Build 906 - August 31, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue

Issue Fix: The consumption quantity was not considered as free even when the Free Quantity is specified for a metered item on a billing schedule. The customer was being billed for certain periods that were free.

This issued occurred when importing reading data with the import utility and no free quantity is specified on the consecutive next line.

Tools > Utilities > Adv Recurring Contract Billing > Meter Reading Import

Issue

Issue Fix: The adjustment item was using the Auto Renew from the ARCB Setup window. However, the Auto Renew setting should come from the billing schedule line.

Cards > Adv Recurring Contract Billing > Billing Schedule
Issue

Issue Fix: The value of the Reset Free Used option on the Item Pricing Option window was incorrectly being copied from a billing schedule when that particular billing schedule was copied.

Cards > Adv Recurring Contract Billing > Billing Schedule
Issue | Issue Fix: Fixed issue to use the billing dates of an adjustment item of the Item Pricing Options window from the current billing schedule line instead of the header. | Cards > Adv Recurring Contract Billing > Billing Schedule
Closed Build 905 - July 10, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue | Issue Fixed: The Price Update Utility was failing when processing large (huge) data sets. | Tools > Utilities > Adv Recurring Contract Billing > Price Update
Issue | Issue Fixed: Fixed the issue where the incorrect markdown amount for the sales distribution was applied when the markdown was split in the same month on the Billing Schedule Entry window. | Transaction > Adv Recurring Contract Billing > Invoice Creator
Issue | Issue Fixed: Fixed an issue of an incorrect schedule termination when an improper line item sequence occurred on the Billing Schedule table. | Transactions > Adv Recurring Contract Billing > Mass Termination Process
Issue | Issue Fix : Corrected the deferral start and end dates for the lines of a billing schedule when credits are unapplied on the ARED Mass Unapply from Credits window. | Create new table "BSSI_Billing_Schedule_Term (B0850015)" and Peer_Sch_Detail_TERM (B0850002).
Issue

Issue Fixed: Removed the following frequencies from the MRR Report:

  • One Time
  • Daily
  • Weekly
  • Misc Billing
Reports >Adv Recurring Contract Billing > Monthly Recurring Revenue
Issue Issue Fixed: The default recognition allocation setting from the Item Card is automatically selected after the invoice is created.

Tools > Setup > Adv Recurring Contract Billing > Setup

Transaction > Adv Recurring Contract Billing > Invoice Creator
Closed Build 904 - May 25, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Billing schedules that use the MERA functionality can be terminated from the ARCB Mass Termination window. When the billing schedule is terminated, the revenue allocation and distribution of the sales return document are updated. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  | Added new fields to table BSSI_TerminationRefund_TEMP (B0820990)
Issue | Issue Fixed: Fixed the issue in which Free Contract Used/Reset Free Used quantity was showing incorrectly on Schedule Pricing Window after the invoice was created. | Cards > Adv Recurring Contract Billing > Billng Schedule |  |
Issue | Fixed an issue that occurred when terminating a billing schedule on the Mass Termination the following occurred: If the refund amount for the first line was zero (0), the system did not create the sales return document for the subsequent lines of the same billing schedule and would generate an error on the log report. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Issue | Issue Fixed: Fixed the issue in which the upgrade and downgrade amounts in the MRR report showed incorrect data for some periods. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Closed Build 903 - April 08, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fixed: User were facing an security warning message for extra window of Item Maintenance when trying to open Item Maintenance window and user doesn't have access to Item Maintenance Extra window. | Cards > Inventory > Items |  |
Issue | Issue Fixed: Schedule Lines having billing frequency One Time was shown status Disable even after failed invoice creation due to Inactive Customer. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Issue | Issue Fixed: Added new field to ARCB Setup to sort the Items by actual order while invoicing through Invoice Creator. | Tools > Setup > Adv Recurring Contract Billing > Setup Transaction > Adv Recurring Contract Billing > Invoice Creator |  | Added new field "BSSI_bSortby_ActualOrder" to table PEER_Setup(B0800008)
Enhancement | Changed how the upgrade and downgrade amounts appear in the Monthly Recurring Revenue (MRR) report. Previously these amounts were combined, where a positive value indicated an upgrade and a negative value indicated a downgrade. With this enhancement, these values appear as separate columns. | Report > Adv. Recurring Contract Billing > Monthly Recurring Revenue |  | Added new Field "BSSI_Downgrade" to table BSSI_Report_MRR (B0830506).
Closed Build 902 - February 11, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Issue Fixed :Fixed issue of incorrect Markdown Amount Overlapping with mid month dates. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue Fixed | Issue Fixed: A non-sa user who is attached to windows account as well was not able to create the invoices from Web Client. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Issue Fixed | Issue Fixed: Added option on ARCB setup to substitute the Receiving account while Invoicing. | Tools > Setup > Adv Recurring Contract Billing > Setup Transaction > Adv Recurring Contract Billing > Invoice Creator |  | Added new field "BSSI_bRecvAcc_Subs" to table PEER_Setup(B0800008)
Issue Fixed | Issue Fixed: Gave support to Invoice created through ARCB for Recognition allocation Template. | Transaction>Sales>Sales Transaction Entry |  |
Closed Build 901 - December 09, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from Microsoft Dynamics GP 2018.2 build 811 to Microsoft Dynamics GP 18.3. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 18.2

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 828 - June 8, 2023
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Added Item Description to data display and log report of Price Update Uility. | "Tools > Utilities > Adv Recurring Contract Billing > Price Update " |  |
Closed Build 827 - March 20, 2023
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Added a new option "Create Return based on Schedule Item Quantity" on the ARCB Setup to keep the quantity of SOP Return document created through Termination process equal to the Quantity on Billing Schedule. This option will remain unmarked by default and the SOP Return document will be created with a quantity of 1 by default. | Tools > Setup > Adv Recurring Contract Billing > Setup Transactions > Adv Recurring Contract Billing > Mass Termination Process |  | Added new Field BSSI_bSOPReturn_Qty in table PEER_Setup (B0800008).
Closed Build 826 - March, 2023
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: Price Update by File was updating the prices of terminates schedules lines as well which was incorrect. Now, the terminated lines will not be considered for price update. | "Tools > Utilities > Adv Recurring Contract Billing > Price Update by File " |  |
Enhancement | Mass Termination Process : Added Support of AVALARA to SOP Return generated through Mass termination. Now, the Taxes of SOP return document generated through Mass Termination Process will be calculated from the AVALARA Portal, if it is installed and enabled. The SOP Return document will also be updated on the AVALARA Portal. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Issue | Price Update by File: In Log Report Now Showing the New Unit Price and Total Extended Amount in Item Decimal Places. Previously we were showing these fields in decimal place of functional currency. Also the Schedule Item's unit price will be calculated in Item Decimal Places. | "Tools > Utilities > Adv Recurring Contract Billing > Price Update by File " |  |
Closed Build 825 - September 15, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: Sales Invoices created through ARCB Invoice Creator were not getting uploaded to Avalara Portal after a fresh start of GP. It was happening until user go to a Sales Transaction Entry and calculate Tax manually. | Transactions > Adv Recurring Contract Billing > Invoice Creator |  |
Issue | Price Update by File : Previously we were showing the decimal places of Listview Amount fields that is Original Unit Price and Increase Amount to the decimal places set on the functional currency. Now we are Picking these fields from the Currency Decimal set on the Item Card. | Tools > Utilities > Adv Recurring Contract Billing > Price Update by File |  |
Refactor | Price Update by File: Added New column in the Listview to Display the Schedule Item Quantity and also Display the Total New Unit Price in the Footer of Price Update by File Utility. Added columns New Unit Price and Total Extended Amount columns in the Processing Log Report. | Tools > Utilities > Adv Recurring Contract Billing > Price Update by File |  |
Closed Build 824 - July 15, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed issue : If last Renewal period done was of February month and billing end date was either 28th or 29th then ARCB considers this date as end of month during the next renewal from Independent Renewal utility and create the next period to end of March 31st which should be 28th or 29th March since billing end date of January month was 28th or 29th. | Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility |  |
Closed Build 823 - June 21, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : Fix the issue of Renewal Processing in which the Billing Dates of a schedule line are not matching with the dates of Renewal Terms. | Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility |  |
Enhancement | Added new Utility 'Price Update by File' to update the Price of a Schedule Item and related ARED Schedule. | Tools > Utilities > Adv Recurring Contract Billing > Price Update by File |  |
Issue | Issue Fix : Fixed the Issue of Incorrect Refund Amount in Mass Termination Process | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Issue | Issue Fix: When multiple users apply the Markdown at same time then the log report shows the data of other users as well. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Closed Build 822 - December 20, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed issue of incorrect billing dates on the Support/Renewal Process window when the renewal uses the Combine Partial Billing Periods option on the Independent Renewal Utility and template ID is missing on the billing schedule line. | Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility |  |
Issue | Fixed issue that occurred with the status of a billing schedule line after it is terminated. The status was Last Billing, but it should be Disabled due to wrong Termination. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 821 - November 22. 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Enhancement | Allow to terminate the adjustment item of Price Group Items. Added validation on all the items to terminate on the same date and the adjustment item will be terminated when all the other items are terminated. |  |  |
Issue | Issue Fixed: Improved the performance of the meter reading import in case of Price Group items. |  |  | Created new Stored Procedures BSSI_GetPriceGroupItemCount, BSSI_GetPriceGroup_QtyAmt, BSSI_GetGroupQuantity.
Issue | Issue Fixed: Calculated the correct billing end date on the Support/Renewal Process window from the Independent Renewal Utility for existing data. |  |  |
Closed Build 820 - October 28, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue

Issue Fix : When using the Independent Renewal Utility, the billing end date was incorrectly calculated after the February period. The date of February 28 or February 29 was used as the end of the month, and the next billing end date was calculated to be March 31.

The March billing period is dependent on the January billing period. If the January billing period is partial, then the March billing period should be created as partial as well.

Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility
Closed Build 819 - August 31, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue

Issue Fix: The consumption quantity was not considered as free even when the Free Quantity is specified for a metered item on a billing schedule. The customer was being billed for certain periods that were free.

This issued occurred when importing reading data with the import utility and no free quantity is specified on the consecutive next line.

Tools > Utilities > Adv Recurring Contract Billing > Meter Reading Import
Issue

Issue Fix: The adjustment item was using the Auto Renew from the ARCB Setup window. However, the Auto Renew setting should come from the billing schedule line.

Cards > Adv Recurring Contract Billing > Billing Schedule
Issue

Issue Fix: The value of the Reset Free Used option on the Item Pricing Option window was incorrectly being copied from a billing schedule when that particular billing schedule was copied.

Cards > Adv Recurring Contract Billing > Billing Schedule
Closed Build 818 - July 20, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: Fixed issue to use the billing dates of an adjustment item of the Item Pricing Options window from the current billing schedule line instead of the header. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue | Issue Fixed: The Price Update Utility was failing when processing large (huge) data sets. | Tools > Utilities > Adv Recurring Contract Billing > Price Update |  |
Issue | Issue Fixed: Fixed the issue where the incorrect markdown amount for the sales distribution was applied when the markdown was split in the same month on the Billing Schedule Entry window. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Issue | Issue Fixed: Fixed an issue of an incorrect schedule termination when an improper line item sequence occurred on the Billing Schedule table. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 817 - June 21, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Issue Fix : Corrected the deferral start and end dates for the lines of a billing schedule when credits are unapplied on the ARED Mass Unapply from Credits window.

Create new table

  • BSSI_Billing_Schedule_Term (B0850015)
  • Peer_Sch_Detail_TERM (B0850002)
Issue | Issue Fix : Removed the One Time, Daily, Weekly, and Misc Billing frequencies from the MRR Report. | Reports >Adv Recurring Contract Billing > Monthly Recurring Revenue
Issue Issue Fix : The default recognition allocation setting from the Item Card is automatically selected after the invoice is created.

Tools > Setup > Adv Recurring Contract Billing > Setup

Transaction > Adv Recurring Contract Billing > Invoice Creator
Closed Build 816 - May 21, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : Fixed the issue in which Free Contract Used/Reset Free Used quantity was showing incorrectly on Schedule Pricing Window after the invoice was created. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue | Fixed an issue that occurred when terminating a billing schedule on the Mass Termination the following occurred: If the refund amount for the first line was zero (0), the system did not create the sales return document for the subsequent lines of the same billing schedule and would generate an error on the log report. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Issue | Issue Fix : Fixed the issue in which the upgrade and downgrade amounts in the MRR report showed incorrect data for some periods. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Closed Build 815 - April 20, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Enhancement | Separated the Upgrade and Downgrade Amounts in MRR Report. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue | Added new Field "BSSI_Downgrade" to table BSSI_Report_MRR (B0830506).
Enhancement

Billing schedules that use revenue allocation can be terminated from the Mass Termination Process window.

After the billing schedule is terminated, the revenue allocation is updated, as well the distributions on the return invoice is updated.

  • Terminating a Billing Schedule (added Billing Schedules with Revenue Splitting)
 Transactions > Adv Recurring Contract Billing > Mass Termination Process Added new fields to table BSSI_TerminationRefund_TEMP (B0820990)
Closed Build 814 - March 04, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : User were facing an security warning message for extra window of Item Maintenance when trying to open Item Maintenance window and user doesn't have access to Item Maintenance Extra window. | Cards > Inventory > Items |  |
Issue | Issue Fix : Added new field to ARCB Setup to sort the Items by actual order while invoicing through Invoice Creator. | Tools > Setup > Adv Recurring Contract Billing > Setup Transaction > Adv Recurring Contract Billing > Invoice Creator |  | Added new field "BSSI_bSortby_ActualOrder" to table PEER_Setup(B0800008)
Issue | Issue Fix : User were facing an security warning message for extra window of Item Maintenance when trying to open Item Maintenance window and user doesn't have access to Item Maintenance Extra window. | Cards > Inventory > Items |  |
Closed Build 813 - February 10, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Issue Fix : Gave support to Invoice created through ARCB for Recognition allocation Template. | Transaction>Sales>Sales Transaction Entry |  |
Issue Fixed | Issue Fix : Added option on ARCB setup to substitute the Receiving account while Invoicing. | Tools > Setup > Adv Recurring Contract Billing > Setup Transaction > Adv Recurring Contract Billing > Invoice Creator |  | Added new field "BSSI_bRecvAcc_Subs" to table PEER_Setup(B0800008)
Closed Build 812 - December 15, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: Markdown calculation was not correct when price adjustment dates were from partial months or periods. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue | Issue Fix: A non-sa user who is attached to windows account as well was not able to create the invoices from Web Client. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 811 - December 07, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Issue Fix: Billing lines with zero consumption quantity will be included and shown in an invoice when “Exclude Zero Consumption” option is cleared on the Invoice Creator window. Currently, it is not working as how it is defined in the user docs and shows error in log report for 0 consumption even when Exclude Zero Consumption is cleared. | Transactions > Adv Recurring Contract Billing > Invoice Creator |  |
Enhancement | Billing Schedule window should not accept a non-inventory item If option “Enter Non-Inventoried Items” is unmarked in Sales Order Processing Setup. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue Fixed | Issue Fix: Imported Billing Schedule lines don't show Unit Price when Extended Pricing is enabled. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Issue Fixed | Issue Fix: Invoice creator was always assigning the LOT and SERIALS automatically whether Auto Assign Serial and Lot was enabled or not. Now, Serial and Lots will be assigned only if it is enabled in SOP Setup. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 810 - October 19, 2020
Description | Navigation Path | New Form/Report | Database Changes
Enhancements
Added Fiscal Period to Deferral Frequency in ARCB Setup and Schedule Line Deferral. | Tools > Setup > Adv Recurring Contract Billing > Setup Cards > Adv Recurring Contract Billing > Billing Schedule Maintenance > Schedule Line Deferral

Enhanced the following areas:

When a markdown occurs in the middle of a billing period, the markdown is prorated such that it applies only to the part of a billing period in which the start and end dates exist. For more information, review Markdown in the Middle of a Billing Period (Build 810 and newer).

Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Schedule Detail

On Mass termination Process window, made the following changes:

  • Updated the default Transaction Date to use the current system date.
  • When the return document is created, the following values are from the billing schedule:
    • Bill-to and ship-to address (Schedule Customer Detail)
    • Customer PO number (Billing Schedule Maintenance)
  • Added Total Refund Amount for selected list view items
 Transactions > Adv. Recurring Contract Billing > Mass Termination Process

When billing schedules are mass imported, the hold status of a line item is readily available.

  • Billing Schedule Maintenance (moved the Hold check box to the line level, so that it's readily visible without having to select for the line details)
 Cards > Adv. Recurring Contract Billing > Billing Schedule
Closed Build 809 - September 28, 2020
Description | Navigation Path | New Form/Report | Database Changes
Enhancements

On the Report Options, added Revenue by Customers report.

  • added Show Only Customers with Changed Revenues check box
 Reports > Adv Recurring Contract Billing > Revenue By Customers
Issues Fixed
Fixed Issue: Fixed an issue in which ARED Schedules were unrecognized on renewal of an ARCB schedule with negative amount line and Create One Schedule. | Tools > Utilities > Adv Recurring Contract Billing > Independent Renewal Utility
Closed Build 808 - August 31, 2020
Description Navigation Path New Form/Report Database Changes
Enhancements

Min/Max Customization: Min/Max Commitments can be applied on a group of items.

  • Billing Schedule Maintenance (added Price Group)
  • Item Pricing Options (added Item Pricing, Price Group, Adjustment Option, and Adjustment Item)
  • Billing Schedule Detail (added examples: Using Price Groups)
  • Price Group: Adjustment Examples (new Help article)
  • Using Price Groups (new task)
  • eConnect: Schedule Line (added new parameters)
  • Importing Data: CSV File Formats (added new columns for a billing schedule line)
 Cards > Adv Recurring Contract Billing > Billing Schedule
Closed Build 807 - August 06, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fixed | Fixed Issue: Item filter was not working on Monthly Recurring Revenue Report. Data was not filtering according to the selected item range. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue
Enhancement

Added the setting to align the deferral schedule to the deferral support item that is added to a sales transaction:

  • ARCB Setup (added Align Deferral to Support)
  • Support Renewal/Billing Details (added Align Deferral to Support)
  • Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer) (added example)
Closed Build 806 - July 13, 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Remove the validations of Invoice and Renewals exist from Deferral Start Date and Deferral End Date on Schedule Line Deferrals window and kept them for only those items where Create One Schedule is checked. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Closed Build 805 - June 18, 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Default Transaction Date to today's date instead of Termination Date on Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 804 - April 29, 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: The markdown error when posting invoice. |  |  |
Fixed Issue: The range by customer ID does not filter the records. |  |  |
Fixed Issue: The markdown is truncated at incorrect decimal place. |  |  |
Fixed Issue: The deferral end date is shortened after renewal |  |  |
Closed Build 803 - April 15, 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Show renewal amount adjustment under Upgrade/Downgrade instead of showing it under Churn Amount which occurrs after auto renewal of a period. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Closed Build 802 - March 25, 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Fixed the issue of error generated when AVATax is installed and the Taxcode on item is not valid GP taxcode. | Transactions > Adv Recurring Contract Billing > Invoice Creator |  |
Fixed Issue: Fixed the issue of wrong Upgrade/DownGrade Amounts in MRR Report. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: In case of 'Flat Amount', 'Price Update Utility' showing error message in report for price adjustment exist even when price adjustment lines are not exist but price adjustment is checked for an item. | Tools > Utilities > Adv Recurring Contract Billing > Price Update |  |
Fixed Issue: Billing Schedule for a return where unti price and markdown are equal creates SOP line with distributions reversed | Transactions > Adv Recurring Contract Billing > Invoice Creator |  | Modified stored proc "BSSI_FillInvoiceCreatorWork" and "BSSI_MS_FillInvoiceCreatorWork"
Closed Build 801 - December 27, 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from Microsoft Dynamics GP 2018 R2 build 710 to Microsoft Dynamics GP 18.2. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 2018

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2018 R2

Closed Build 715 - December 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Issue Fix: Invoice creator was always assigning the LOT and SERIALS automatically whether Auto Assign Serial and Lot was enabled or not. Now, Serial and Lots will be assigned only if it is enabled in SOP Setup. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Issue Fixed | Issue Fix: Imported Billing Schedule lines don't show Unit Price when Extended Pricing is enabled. | Cards > Adv Recurring Contract Billing > Billing Schedule |  |
Closed Build 714 - September 2020
Description Navigation Path New Form/Report Database Changes
Enhancements

On the Report Options, added Revenue by Customers report.

  • added Show Only Customers with Changed Revenues check box
 Reports > Adv Recurring Contract Billing > Revenue By Customers
Closed Build 713 - August 2020
Description | Navigation Path | New Form/Report | Database Changes
Issues Fixed
Fixed Issue: Fixed Run time error "There is already an open DataReader associated with this command" during creation of an invoice from the Invoice Creator. Also, migrated Avalara Fixes done in GP2018.2 into GP2018R2. | Transaction > Adv Recurring Contract Billing > Invoice Creator |  |
Closed Build 712 - August 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Item filter was not working on Monthly Recurring Revenue Report. Data was not filtering according to the selected item range. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: Show renewal amount adjustment under Upgrade/Downgrade instead of showing it under Churn Amount which occurs after auto renewal of a period. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: Fixed the issue of wrong Upgrade/DownGrade Amounts in MRR Report. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: In case of 'Flat Amount', 'Price Update Utility' showing error message in report for price adjustment exist even when price adjustment lines are not exist but price adjustment is checked for an item. | Tools > Utilities > Adv Recurring Contract Billing > Price Update |  |
Fixed Issue: Billing Schedule for a return where unti price and markdown are equal creates SOP line with distributions reversed | Transactions > Adv Recurring Contract Billing > Invoice Creator |  | Modified stored proc "BSSI_FillInvoiceCreatorWork" and "BSSI_MS_FillInvoiceCreatorWork"
Fixed Issue: In the case of 'Flat Amount' for the 'Price Update Utility', an error message appeared indicating that price adjustment existed even when no price adjustment lines existed, but the price adjustment was checked for an item. | Tools > Utilities > Adv Recurring Contract Billing > Price Update |  |
Fixed Issue: Fixed the issue of wrong Upgrade/DownGrade Amounts in the MRR Report. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: Show renewal amount adjustment under Upgrade/Downgrade instead of showing it under Churn Amount which occurs after auto renewal of a period. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: Item filter was not working on Monthly Recurring Revenue Report. Data was not filtering according to the selected item range. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Closed Build 711 - December 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added autobilling to Frequency change and Termination with Bill Remaining option in eConnect node. |  |  |
Fixed the issue with Termination Date missing when termination from header is performed after frequency change from header process through eConnect node. |  |  |
Changed the logic to take the Effective Date into account in the Frequency change eConnect node. |  |  |
Allow the Frequency change happen in the fully invoiced term if there is no subseqent terms. |  |  |
Added DaysToIncrement to Renewal Term and Renewal windows. |  |  |
Added Renewal button to Renewal Term window. |  |  |
Fixed the issue with not creating invoices when the schedule line has item type of "DEFAULT". |  |  |
Fixed Issue: Incorrect Billing End Date and Extended Price on Billing Schedule Detail window when a schedule line was terminated using Schedule Import window. However, the functionality was working fine when a schedule line was terminated manually. | Tools > Utilities > Adv Recurring Contract Billing > Schedule Import |  |
Closed Build 710 - October 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with pro-ration on the shorter month. |  |  |
Fixed the issue with Invoice creator not picking up the item tax code setup for AvaTax. |  |  |
Fixed the issue with not being able to modify schedule billing dates (deferral dates) on Schedule Maintenance window once Renewal Term window is populated with Contract Amount or Unit Price. |  |  |
Fixed the issue with Min/Max/Free not been applied when renewal happens. |  |  |
Fixed the issue with showing 0 amount on the Price Adjustment log report when some billing details are invoiced. |  |  |
Fixed the issue with showing empty Unbilled Revenue account on the WIP zoom window. |  |  |
Fixed the issue with imbalanced distribution of SOP invoice when markdown applied. |  |  |
Fixed the issue with empty Payment Term on the SOP invoice created on the Invoice Creator window. |  |  |
Fixed the issue with billing schedule lines are not displayed on the Independent Renewal Utility window when AutoRenewal checkbox is not marked. |  |  |
Closed Build 709 - August 2019
  • Project
    • Added termination of schedule with Create One Schedule option.
    • Added the ability to add user-defined fields for billing detail and price adjustment lines. The following window have been updated:
      • Line User-Defined Setup (new window)
      • Price Adjustment Line User Defined Fields (new window)
      • Billing Line User Defined Fields (new window)
    • Enhanced current version to be compatible with SSRS reports.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an error message when inserting a new row on the billing schedule when the 'Active Only' filter is enabled. |  |  |
Fixed the issue with creating security task and security role. |  |  |
Added validation checking if MERA is installed when opening SSRS Contract Deferral report. |  |  |
Fixed the issue with the displaying different User Processed than actual GP User ID for renewal term imported from eConnect. |  |  |
Fixed the issue with not displaying the SBA user ID in the Renewal Term window for the Renewal lines. |  |  |
eConnect error Code 91140 changed to “Markdown Recognition account is invalid” |  |  |
Closed Build 708 - August 2019
  • Project
    • For eConnect, add feature to switch from Fixed term renewal to Autorenewal.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with unbalanced SOP distribution when Markdown applies with pro-ration. |  |  |
Fixed issue with Site ID not being populated for regular ARED schedule when Imported from eConnect. |  |  |
Fixed the issue with billing detail lines for renewal from eConnect are created before prior term is fully invoiced. |  |  |
Fixed the issue with not populating the GL account from ARED setup on billing schedule line when the Discount code is not passed in from eConnect. |  |  |
Closed Build 707 - July 2019
  • Project
    • Added ability to add discount code with markdown accounts for the markdown functionality. The following changes have been made:
      • Discount Code (new window)
      • Markdown Accounts (new window)
      • Billing Schedule Line Price Adjustment Detail (added Discount Code expansion button)
    • Added the ARCB Scheduler to create tasks that are run using the Windows Task Scheduler.
    • Updated the Schedule Returns window.
    • Added Auto Renewal to the Renewal Terms window.
    • Added billing frequency change from the billing schedule header.
    • Added batch by BDM in the Invoice Creator window.
    • Added the SQL Connection String window, where you enter the connection string for connecting to the SQL server computer.
    • Added eConnect - Billing Schedule Renewal.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with Invoice Creation Date window not been restricted by As Of Date on the Invoice Creator window. |  |  |
eConnect - Add Discount code to master record if it does not exist. |  |  |
Closed Build 706 - June 2019
  • Project
    • Updated the termination functionality for billing schedules such that the termation options from CRM are supported in ARCB. The following changes have been made:
      • Termination Date Audit Header/Line (added Write Off Account and Service Date)
      • Billing Schedule Maintenance (added Write Off termination option)
    • Added integration from Microsoft Dynamics GP and CRM, so that changes from CRM are automatically updated in Microsoft Dynamics GP. The following changes have been made:
      • Setup (added fields)
      • Billing Distribution Method Options (new window)
      • SSRS Formats Options (new window)
      • Billing Class Maintenance (new window)
      • Contract and Billing Distribution Options (new window)
      • Schedule Dates Detail (added Billing Class ID)
      • Billing Schedule Maintenance (new buttons: Options, Renewal Terms, and User Defined Fields; new field: Return ID)
      • User Defined Fields (new window)
      • Renewal Audit (updated window)
      • Markdown Amount Change Audit Line (new window)
      • CRM integration using SmartConnect and eConnect nodes
        • eConnect: Billing Frequency Modification Header
        • eConnect: Billing Frequency Modification Line
        • eConnect: Billing Price Update
        • eConnect: Schedule Line Renewal
        • eConnect: Billing Schedule Termination Header
        • eConnect: Billing Schedule Termination Line
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Billing Schedule import error when a long sales account length is imported. |  |  |
Closed Build 705 - April 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Roll up the fix for issue in 2016R2 with Invoice Creator error "Invalid URL", when AVATax 108 is installed. |  |  |
Ressolved the Lag caused by Inserting new lines to existing ARCB Schedules. | Adv Recurring Contract billing > Billing Schedule |  |
Create One Schedule: Changed formula to calculate Deferral Balance (SSRS Reports) | Reports > Adv Recurring Contract Billing > Create One Schedule Reconciliation |  |
Closed Build 704 - January 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Report options Range By not working correctly. |  |  |
Fixed eConnect stored procedure to work with new field Line number on the billing schedule window |  |  |
Fixed issue with the Sales account on the schedule line not been used when MEM is installed. |  |  |
Closed Build 703 - December 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgrade from 2018 SP0 (Build 702) to 2018 R2 (build 703). |  |  |

GP 2018

Closed Build 702 - October 2018
  • Project
    • Added the ability to use the User Preference window to change and save the order of the columns on the Invoice Creator window.
      Path: Transactions > Adv. Recurring Contract Billing > Invoice Creator
    • Add the following columns to the Invoice Creator list: Item Description, Line Number, and Ship-To Address. Also added line number to the billing schedule line item.
      Path: Transactions > Adv. Recurring Contract Billing > Invoice Creator
    • Added the document type column to the billing schedule import header.
    • On the Invoice creator window, added the option to exclude billing detail lines that have a zero (0) consumption quantities from invoice to be created. Added Exclude Zero Cons. Qty to the following windows:
      • Setup
      • Invoice Creator
      • Invoice Creator Mass Processing
    • Changed the date range in the SOP line description from the earliest to the latest date among all the consolidated billing periods.
      Path: Transactions > Adv Recurring Contract Billing > Mass Termination Process
    • Added Reason and Termination ID on Mass Termination Process window.
      Path: Transactions > Adv. Recurring Contract Billing > Mass Termination Process
    • Added the billing dates to return documents that are created from the Mass Termination Process window.
    • Added the billing schedule comments on the Mass Termination Process and Mass eConnect Schedule Line Process windows.
    • On the Sales Transaction Entry window, added to the Additional menu the Support/Renewal and Billing Detail option.
    • Added a report for billing schedules that use the Create One Schedule option on the Setup window. The following changes have been made:
      • Setup (added Termination Unbilled Revenue Account)
      • Report Options (added the Create One Schedule Reconciliation report for SSRS)
        Path: Reports > Adv. Recurring Contract Billing > Create One Schedule Reconciliation
      • Mass Termination Process (added Unbilled Revenue Account and calculation for the unbilled revenue amount)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : When terminate schedule header from schedule import file, It was updating existing schedule line status from Disabled to Last Billing. |  |  |
Fixed issue : If any billing detail lines are invoiced, when billing detail lines get re-calculated, the deferral dates get re-set. |  |  |
Fixed issue : User were able to import schedule lines to disabled schedules. |  |  |
Fixed the issue with termination before billing start date. |  |  |
Fixed issue : Negative refund amount were not creating correct distributions on Returns generated from Mass Termination process. |  |  |
Fixed issue : Comments were not displaying max length on the reports for the invoices generated from invoice creator. |  |  |
Fixed issue : Taxes were not creating for credit document generated from Mass termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Transaction date of the ARED unrecognized journal entry generated from Mass Termination window was not correct. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Pro-rate termination was not working correctly on Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : ARED Recognition schedule was not adjusting deferral amount correctly from Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Debit / Credit account were wrong on unbilled revenue journal entry. |  |  |
Fixed issue : Apply hold was rolling down on disabled schedule lines from schedule header. |  |  |
Fixed issue : 'Create One Schedule Reconciliation' report were not exporting correct format to excel (SSRS build 532) | Reports > Adv Recurring Contract Billing > Create One Schedule Reconciliation |  |
Fixed issue : Removing hold from Mass eConnect Schedule Line Process window for Schedules imported from ARCB eConnect were not processing correct deferral dates in case of Create One Schedule option. | Utilities > Adv Recurring Contract Billing > Mass eConnect Schedule Line Process |  |
Fixed issue : Modify ARCB eConnect parameter names to give option user to utilize node functionality of SmartConnect | Utilities > Adv Recurring Contract Billing > Mass eConnect Schedule Line Process |  |
Fixed issue : Added Functionality of Billing Date to System Date Format. In ARCB setup User can select Add Billing Dates to Invoice /Quote Item Description. Now User will get the Billing Dates to System Date format | Transactions > Sales > Sales Transaction Entry |  |
Fixed issue with maximize button is disabled on the Billing Schedule Maintenance window. |  |  |
Fixed issue with "out of range" error. | Utilities > Adv Recurring Contract Billing > Stubbing Utility |  |
Fixed issue with drilldown arrows are offset on the Sales Transaction Inquiry zoom window. |  |  |
Closed Build 701a - April 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added dependency file for reports on the installation. |  |  |
Closed Build 701 - March 2018
  • Project
    • Upgraded from Microsoft Dynamics GP 2016 (Build 608) to Microsoft Dynamics GP 2018 SP0 (Build 701).
  • System
    • Improved the Add Support/Renewal windows and process.

      The following windows are new:

      • Preview: Support/Renewal Process
      • Support Renewal/Billing Details
      • Support Renewal/Billing Details Inquiry
      • Preview: Support/Renewal Process Inquiry

      The following windows have been changed:

      • Support/Renewal Process (replaced by the Preview: Support/Renewal Process window)
      • Support/Renewal Preview (replaced by the Preview: Support/Renewal Process window)
      • Support/Renewal Item Detail (replaced by the Support Renewal/Billing Details window)
      • Sales Transaction Entry (added the menu item, and boxes are moved to the Support Renewal/Billing Details window)
      • Sales Item Detail Entry (boxes are moved to the Support Renewal/Billing Details window)
      • Sales Transaction Inquiry Zoom (boxes are moved to the Support Renewal/Billing Details Inquiry window)
      • Support/Renewal Process Inquiry (replaced by the Preview: Support/Renewal Process Inquiry window)
      • Support/Renewal Item Detail Inquiry (replaced by the Preview: Support/Renewal Process Inquiry window)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2016 (Build 608) to GP 2018 SP0 (Build 701). |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 2016

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2016

Closed Build 618 - September 2020
Enhancements |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added Fiscal Period to Deferral Frequency in ARCB Setup and Schedule Line Deferral. | Tools > Setup > Adv Recurring Contract Billing > Setup Cards > Adv Recurring Contract Billing > Billing Schedule Maintenance > Schedule Line Deferral |  |
Closed Build 617 - August 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Incorrect Billing End Date and Extended Price on Billing Schedule Detail window when a schedule line was terminated using Schedule Import window. However, the functionality was working fine when a schedule line was terminated manually. | Tools > Utilities > Adv Recurring Contract Billing > Schedule Import |  |
Fixed Issue: Billing Schedule for a return where unti price and markdown are equal creates SOP line with distributions reversed. | Transactions > Adv Recurring Contract Billing > Invoice Creator |  | Modified stored proc "BSSI_FillInvoiceCreatorWork" and "BSSI_MS_FillInvoiceCreatorWork"
Fixed Issue:Fixed the issue of wrong Upgrade/DownGrade Amounts in MRR Report. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: In case of 'Flat Amount', 'Price Update Utility' showing error message in report for price adjustment exist even when price adjustment lines are not exist but price adjustment is checked for an item. | Tools > Utilities > Adv Recurring Contract Billing > Price Update |  |
Fixed Issue: Show renewal amount adjustment under Upgrade/Downgrade instead of showing it under Churn Amount which occurs after auto renewal of a period. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Fixed Issue: Item filter was not working on Monthly Recurring Revenue Report. Data was not filtering according to the selected item range. | Reports > Adv Recurring Contract Billing > Monthly Recurring Revenue |  |
Closed Build 616 - October 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an error message when inserting a new row on the billing schedule when the 'Active Only' filter is enabled. |  |  |
Fixed the issue with Invoice creator not picking up the item tax code setup for AvaTax. |  |  |
Closed Build 615 - July 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue Billing Schedule add item the error occurred when sales account of long length is imported. |  |  |
Closed Build 614 - April 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with Invoice Creator error "Invalid URL", when AVATax 108 is installed. |  |  |
Closed Build 613 - January 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with ARED recognition schedule not being adjusted correctly when ARCB schedule is terminated before deferral start date and Create One Schedule is selected. |  |  |
Fixed issue with displaying doubled the unbilled revenue amount on the Create One Schedule Recognition report. |  |  |
Fixed issue with the ARED information do not match the ARCB item on the Create One Schedule Recognition report. |  |  |
Closed Build 612 - October 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Modify ARCB eConnect parameter names to give option user to utilize node functionality of SmartConnect | Utilities > Adv Recurring Contract Billing > Mass eConnect Schedule Line Process |  |
Fixed issue with maximize button is disabled on the Billing Schedule Maintenance window. |  |  |
Fixed issue with "out of range" error. | Utilities > Adv Recurring Contract Billing > Stubbing Utility |  |
Fixed issue with drilldown arrows are offset on the Sales Transaction Inquiry zoom window. |  |  |
Closed Build 611 - July 2018
  • Project
    • Added the document type column to the billing schedule import header.
    • Added a report for billing schedules that use the Create One Schedule option on the Setup window. The following changes have been made:
      • Setup (added Unbilled Revenue Account)
      • Report Options (added the Create One Schedule Reconciliation report - SSRS build 611)
        Path: Reports > Adv. Recurring Contract Billing > Create One Schedule Reconciliation
      • Mass Termination Process (added Unbilled Revenue Account and calculation for the unbilled revenue amount)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Refund date was not displaying correctly on the return generated from mass termination process. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Debit / Credit account were wrong on unbilled revenue journal entry. |  |  |
Fixed issue : Unbilled revenue were not calculating if refund amount was zero for create one schedule. |  |  |
Fixed issue : Apply hold was rolling down on disabled schedule lines from schedule header. |  |  |
Fixed issue : 'Create One Schedule Reconciliation' report were not exporting correct format to excel (SSRS build 532) | Reports > Adv Recurring Contract Billing > Create One Schedule Reconciliation |  |
Fixed issue : Removing hold from Mass eConnect Schedule Line Process window for Schedules imported from ARCB eConnect were not processing correct deferral dates in case of Create One Schedule option. | Utilities > Adv Recurring Contract Billing > Mass eConnect Schedule Line Process |  |
Closed Build 610 - April 2018
  • Project
    • Changed the date range in the SOP line description from the earliest to the latest date among all the consolidated billing periods.
      Path: Transactions > Adv. Recurring Contract Billing > Mass Termination Process
    • On the Invoice creator window, added the option to exclude billing detail lines that have a zero (0) consumption quantities from invoice to be created. Added Exclude Zero Consumption to the following windows:
      • Setup
      • Invoice Creator
      • Invoice Creator Mass Processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Comments were not displaying max length on the reports for the invoices generated from invoice creator. |  |  |
Fixed issue : Taxes were not creating for credit document generated from Mass termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue: Transaction date of the ARED unrecognized journal entry generated from Mass Termination window was not correct. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue: Pro-rate termination was not working correctly on Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue: ARED Recognition schedule was not adjusting correctly from Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 609a - March 2018
  • Project
    • Added Reason and Termination ID on Mass Termination Process window.
      Path: Transactions > Adv. Recurring Contract Billing > Mass Termination Process
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added Mass termination feature for Create One Schedule lines | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Negative refund amount were not creating correct distributions on Returns generated from Mass Termination process. |  |  |
Closed Build 609 - March 2018
  • Project
    • Added the billing dates to return documents that are created from the Mass Termination Process window.
    • Added the billing schedule comments on the Mass Termination Process and Mass eConnect Schedule Line Process windows.
    • Added the Add Support/Renewal to the Additional menu for the following windows:
      • Sales Transaction Entry
      • Support/Renewal Process
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : When terminate schedule header from schedule import file, It was updating existing schedule line status from Disabled to Last Billing. |  |  |
Fixed issue : If any billing detail lines are invoiced, when billing detail lines get re-calculated, the deferral dates get re-set. |  |  |
Fixed issue : User were able to import schedule lines to disabled schedules. |  |  |
Fixed the issue with termination before billing start date. |  |  |
Closed Build 608 - December 2017
  • Project
    • Improved how billing schedule lines can be processed on the Mass eConnect Schedule Line Process window. You can update the following the billing or deferral start and end dates for selected billing schedule lines.

      Path: Utilities > Adv. Recurring Contract Billing > Mass eConnect Schedule Line Process

    • Improved the import process for importing consumption data. On the meter reading import file template a new column (UOM) is added for unit of measure. When consumption data is imported, it can be automatically converted to the unit of measure of the item.
    • On the Mass Termination window, added the ability to consolidate return amounts by customer.

      Path: Transactions > Adv Recurring Contract Billing > Mass Termination Process

Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Redisplay was not showing all records due to multiple users were using the window. | Utilities > Adv Recurring Contract Billing > Independent Renewal Utility |  |
Clear ARED template ID in the Mass eConnect Schedule Line Process window if create schedule by date is selected. |  |  |
Removed latest exchange rate field from code. |  |  |
Fixed issue : Schedule header was disabled when all schedule lines were disabled. |  |  |
Fixed issue : Markdown was not prorate on terminate fee option. |  |  |
Fixed issue : Return document was generating for zero refund amount on Mass termination window. |  |  |
Closed Build 607a - October 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: FreeQtyReset table was not synch compatible with new build. |  |  |
Closed Build 607 - October 2017
  • Project
    • Added the ability to combine partial billing periods on Independent Renewal Utility.
      Path: Utilities > Adv. Recurring Contract Billing > Independent Renewal Utility
    • Added functionality for minimum and maximum and free quantity reset. You can set up a billing schedule to use this functionality in the Billing Schedule Maintenance window. You can set the specific settings on the Item Pricing Options window.
    • Added the flat tier pricing option. This enhancements affects the following windows:
      • Item Maintenance
      • Item Pricing Options
      • Item Price List Maintenance
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with the Update Utility, updating billing lines with one time frequency and no detail lines to disabled. | Utilities > Adv Recurring Contract Billing > Update Utility |  |
Fixed the issue with the Termination Fee being negative. |  |  |
Fixed issue : Consumption / Quantity was not displaying on Stubbing Utility window. | Utilities > Adv Recurring Contract Billing > Stubbing Utility |  |
Fixed issue : Bill to address on schedule line was not populating for renewal item schedule line. |  |  |
Closed Build 606 - July 2017
  • Project
    • Added the option to combine partial billing periods on the Independent Renewal Utility window.
      Path: Utilities > Adv. Recurring Contract Billing > Independent Renewal Utility
    • Added integration on the Schedule Line Deferrals window with the profit and loss deferral method functionality in ARED.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : While calculating unit price for kit items on Billing Schedule Detail window, system was considering component item cost based on Item Kit Maintenance window instead of Schedule Line Kit Option. |  |  |
Fixed issue with not displaying Milestone sub items correctly when "Display Only Active Schedule Lines" option is selected. |  |  |
Fixed issue : While calculating unit price for kit items on Billing Schedule Detail window, system was considering component item cost based on Item Kit Maintenance window instead of Schedule Line Kit Option. |  |  |
Fixed issue where user can still modify the QTY in billing detail even though the line is invoices. |  |  |
Fixed issue : Non Inventory items were not importing from schedule import. |  |  |
Fixed issue : Update export to excel function. Remove export row limitation on all process / inquiry windows. |  |  |
Closed Build 605 - May 2017
  • Project
    • Added Item Description to ARCB import.
    • Added contract modification enhancement on MERA - ASU 606 integrated contracts.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue in the Upcoming Contract Renewal window where the wrong fields or look-up windows are displayed when either "Item Number" or "Schedule Type" are selected from the Range By dropdown field. | Reports > Adv Recurring Contract Billing > Upcoming Contract Renewal |  |
Fixed performance issue : Displaying records on billing schedule lookup window has been refactored. |  |  |
Fixed issue : Invoice creator was not considering MEM - Disable Account Substitution window while generating sales invoices. |  |  |
Fixed issue : Invoice creator was not displaying schedule lines when Include Prior Uninvoiced check box was not marked. |  |  |
Fixed issue: large invoices would result in a problem on the AvaTax Portal in certain cases, resulting in posting errors and dummy transactions on the portal with a GUID document number. |  |  |
Fixed issue: Customer tax exemption was not considering while calculating tax from AvaTax. |  |  |
Closed Build 604 - March 2017
  • Project
    • On the Billing Schedule Detail window, added an option to show only lines where the invoice has not yet been created. To have this option available, the Display Only Uninvoiced Schedule Lines check box must be selected on the Setup window.
    • Added default ARCB security tasks and security roles during installation.
      Path: BSSI Installation Wizard
    • Added the User Preference window, which allows the option to show, hide, and sort columns within a list view. You can also restore columns for a list view to its original setting.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue : Negative meter consumption was not allowed in meter reading import |  |  |
Fixed Issue : Currency symbol was not displayed with amounts on invoice creator and inquiry windows. |  |  |
Compatible SSRS with case sensitive SQL collation. |  |  |
Closed Build 603 - December 2016
  • Project
    • Added invoice billing creation date functionality.
    • Added the Independent Renewal Utility, where you can manually renew active billing schedule lines that have the Auto Renew option selected at any time.
    • Added Estimated Consumption field for MRR report.
    • Added compatibility with AvaTax version (15.5.0.3).
    • Integration with MERA - ASU 606
Closed Build 602 - October 2016
  • Project
    • Integrated with ARED - Markdown functionality.
    • Added separate invoice functionality.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added <Ignore> option on Price Sheet ID column for Schedule Import column mapping window |  |  |
Issue Fixed: The Return/Credit icon display on schedules incorrectly when Track master number option is not enabled in GP. |  |  |
Issue Fixed: The CPI log is not saved after CPI is processed on the CPI maintenance window. |  |  |
Issue Fixed: The status of schedule lines are not changed to disabled for meter items when all billing periods ARED invoiced. |  |  |
Closed Build 601 - June 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2015 R2 (Build 513) to GP 2016 (Build 601). |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 2015

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2015 R2

Closed Build 535 - August 2019
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an error message when inserting a new row on the billing schedule when the 'Active Only' filter is enabled. |  |  |
Closed Build 534a - February 2019
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : MRR report does not render properly. |  |  |
Closed Build 534 - January 2019
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Fixed issue with ARED schedules leaving one day deferral if it is originated from ARCB with Create One Schedule option, occurring when ARCB termination date is prior to deferral start date. |  |  |
Closed Build 533 - October 2018
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Display the correct currency symbol for Unit Price/Markdown/Extended Price in the Invoice Creator window. | Transactions > Adv Recurring Contract Billing > Invoice Creator |  |
Fixed issue with "out of range" error. | Utilities > Adv Recurring Contract Billing > Stubbing Utility |  |
Fixed issue with maximize button is disabled on the Billing Schedule Maintenance window. |  |  |
Closed Build 532 - July 2018
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : 'Create One Schedule Reconciliation' report were not exporting correct format to excel (SSRS build 532) | Reports > Adv Recurring Contract Billing > Create One Schedule Reconciliation |  |
Fixed issue : Removing hold from Mass eConnect Schedule Line Process window for Schedules imported from ARCB eConnect were not processing correct deferral dates in case of Create One Schedule option. | Utilities > Adv Recurring Contract Billing > Mass eConnect Schedule Line Process |  |
Closed Build 531 - June 2018
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Unbilled revenue were not calculating if refund amount was zero for create one schedule. |  |  |
Changed the layout of 'Create One Schedule Reconciliation' report to one row (SSRS build 531). | Reports > Adv Recurring Contract Billing > Create One Schedule Reconciliation |  |
Fixed issue : Apply hold was rolling down on disabled schedule lines from schedule header. |  |  |
Closed Build 530 - May 2018
  • Project
    • Added a report for billing schedules that use the Create One Schedule option on the Setup window. The following changes have been made:
      • Setup (added Unbilled Revenue Account)
      • Report Options (added the Create One Schedule Reconciliation report)
      • Mass Termination Process (added Unbilled Revenue Account and calculation for the unbilled revenue amount)
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Refund date was not displaying correctly on the return generated from mass termination process. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 529 - April 2018
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Taxes were not creating for credit dcoument generated from Mass termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Transaction date of the ARED unrecognized journal entry generated from Mass Termination window was not correct. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Pro-rate termination was not working correctly on Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : ARED Recognition schedule was not adjusting correctly from Mass Termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 528 - March 2018
  • Project
    • Added the billing dates to return documents that are created from the Mass Termination window.
    • Added the billing schedule comments on the Mass Termination and Mass eConnect Schedule Line Process windows.
    • Added the Mass Termination feature for Create One Schedule lines
      Path: Transactions > Adv. Recurring Contract Billing > Mass Termination Process
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : User were able to import schedule lines to disabled schedules. |  |  |
Fixed issue : Negative refund amount were not creating correct distributions on Returns generated from Mass Termination process. |  |  |
Closed Build 527 - December 2017
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Removed latest exchange rate field from code. |  |  |
Fixed issue : Return document was generating for zero refund amount on Mass termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Fixed issue : Improved performance on Mass termination window. | Transactions > Adv Recurring Contract Billing > Mass Termination Process |  |
Closed Build 526 - December 2017
  • Project
    • Improved how billing schedule lines can be processed on the Mass eConnect Schedule Line Process window. You can update the following the billing or deferral start and end dates for selected billing schedule lines.

      Path: Utilities > Adv. Recurring Contract Billing > Mass eConnect Schedule Line Process

    • On the Mass Termination window, added the ability to consolidate return amounts by customer.
      Path: Transactions > Adv. Recurring Contract Billing > Mass Termination Process
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Redisplay was not showing all records due to multiple users were using the window. | Utilities > Adv Recurring Contract Billing > Independent Renewal Utility |  |
Clear ARED template ID in the Mass eConnect Schedule Line Process window if create schedule by date is selected. |  |  |
Closed Build 525 - October 2017
  • Project
    • Added the ability to combine partial billing periods on Independent Renewal Utility.
      Path: Utilities > Adv. Recurring Contract Billing > Independent Renewal Utility
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issues with Flat Tier Price functionality. |  |  |
Fixed issue : Consumption quantity was not displaying on Stubbing Utility window. | Utilities > Adv Recurring Contract Billing > Stubbing Utility |  |
Closed Build 524 - September 2017
  • Project
    • Added Independent Renewal Utility.
      Path: Utilities > Adv. Recurring Contract Billing > Independent Renewal Utility
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with the Update Utility, updating billing lines with one time frequency and no detail lines to disabled. | Utilities > Adv Recurring Contract Billing > Update Utility |  |
Fixed the issue with Termination Fee being negative. |  |  |
Closed Build 523 - September 2017
  • Project
    • Added Flat Tier Price enhancement: Item Maintenance and Item Pricing Options.
Closed Build 522 - July 2017
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Non Inventory items were not importing from schedule import. |  |  |
Closed Build 521 - May 2017
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Invoice creator was not considering MEM - Disable Account Substitution window while generating sales invoices. |  |  |
Fixed issue: large invoices would result in a problem on the AvaTax Portal in certain cases, resulting in posting errors and dummy transactions on the portal with a GUID document number. |  |  |
Fixed issue: Customer tax exemption was not considering while calculating tax from AvaTax. |  |  |
Closed Build 520 - April 2017
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed compatibility issue : Sales invoice was not removing from AvaTax portal, If it generated from invoice creator. AvaTax added new column for version 15.5.0.3 which was not populating by ARCB. |  |  |
Fixed performance issue : Displaying records on billing schedule lookup window has been refactored. |  |  |
Fixed performance issue : Displaying and processing of records on invoice creator window has been refactored. |  |  |
Closed Build 519 - February 2017
  • Project
    • When you use the Meter Reading Import window to import a file, the file that you import has an added column for a comment.
    • On the Billing Schedule Detail window, added the ability to sort the lines by item or item description.
Closed Build 518 - November 2016
  • Project
    • Added compatibility with AvaTax version (15.5.0.3).
    • On the Billing Schedule Detail window, added the ability to display all schedule lines that have not been billed.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue not displaying correct currency symbol on CPI report. |  |  |
Fixed Issue : When copying schedule on non multicurrency company. System were not copying currency id for the schedule. |  |  |
Fixed Issue : Negative meter consumption was not allowed in meter reading import |  |  |
Fixed Issue : Region lookup on location setup was conflicting with MEM function. |  |  |
Fixed Issue : Compatible with MEM intercompany bridge. |  |  |
Closed Build 517 - September 2016
  • Project
    • Integrated with ARED - Markdown functionality.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fixed: When importing contracts it was not populating end date audit table. |  |  |
Issue Fixed: When inserting new line on Schedule maintenance. Sales person id, Bill to Address id and Ship to address id did not roll down from schedule header. |  |  |
Issue Fixed: The Return/Credit icon display on schedules incorrectly when Track master number option is not enabled in GP. |  |  |
Issue Fixed: The CPI log is not saved after CPI is processed on the CPI maintenance window. |  |  |
Closed Build 516 - June 2016
  • Project
    • Added the Mass eConnect Schedule Line Process window.
      Path: Tools > Utilities > Adv. Recurring Contract Billing > Mass eConenct Schedule Line Process
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added <Ignore> option on Price Sheet ID column for Schedule Import column mapping window |  |  |
Closed Build 515 - June 2016
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with CPI rate declining even CPI Increase Only is selected on the setup. |  |  |
Fixed issue with CPI change not happening on CPI anniversary date. |  |  |
Fixed issue with changing status to Last Billing after stubbing on the Stubbing Status Modify window. |  |  |
Closed Build 514 - May 2016
  • Project
    • Added the Upcoming Renewal report to the Reports Options window.
      Path: Reports > Adv. Recurring Contract Billing > Upcoming Contract Renewal
    • Added the Total Contract report to the Reports Options window.
      Path: Reports > Adv. Recurring Contract Billing > Total Contract Report
    • Added the Total Contract Revenue report to the Reports Options window.
      Path: Reports > Adv. Recurring Contract Billing > Total Contract Revenue
    • Added the New Contract Sales report to the Reports Options window.
      Path: Reports > Adv. Recurring Contract Billing > New Contract Sales
    • Added the Termination report to the Reports Options window.
      Path: Reports > Adv. Recurring Contract Billing > Termination
    • Added a SSRS reports to the Reports Options window.
    • Added the ability to set the default sort order view (Sort > Set as Default View) on the Billing Schedule Lookup window.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with the access of GP Limited User to Binary Stream ARCB modules. |  |  |
Closed Build 513 - April 2016
  • Project
    • Added a registration key for the Milestone Billing module.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with declining CPI rate when the CPI schedule is updated after the billing periods is invoiced. |  |  |
Project Issue Fixed issue with reprinted invoices not retaining the CPI history. |  |  |
Project Issue Fixed issue with wrong prorated amount on the billing detail window when Extended Pricing is used. |  |  |
Fixed rounding issue with price adjustment audit records. |  |  |
Closed Build 512 - March 2016
  • Project
    • Aggregated pricing functionality for item shipped to multiple locations has been added.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue not creating correct support items for the Kits item on the Support/Renewal Process window. |  |  |
Fixed issue with invoicing Non-Inventory items and issues with decimal places for Non-Inventory items on Billing Schedule Maintenance window. |  |  |
Closed Build 511 - February 2016
  • Project
    • Added Contract Termination functionality.
    • Integrated with ARED - COGS functionality.
    • Upgrade Integration with AvaTax version (14.4.2.0).
    • On the Invoice Creator and Invoice Creator Mass Processing windows, updated the Payment Terms box so that the default invoice Due Date is either the Billing Start Date or Invoice Date, whichever date occurs later.
    • On the Billing Schedule Maintenance window, updated the Schedule ID box, such that the number is automatically entered based on the Schedule ID Prefix and the Schedule ID Next Number on the Setup window.
    • On the Billing Schedule Maintenance window, added the one-time charges enhancement.
    • Added the milestone billing enhancement.
      The following windows are new for this functionality:
      • Milestone Template Maintenance
      • Milestone Allocation
      • Mass Milestone Process
      The following windows have been updated to be able to use this functionality:
      • Item Class Setup
      • Item Type Setup
      • Billing Schedule Maintenance
    • Moved Mass Termination Process and Mass Hold Process windows from the Utilities menu to the Transaction menu.
    • Compatibility with Microsoft Dynamics GP 2015 R2 requires ARED build 508 or newer.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When running the Billing Schedule Detail Inquiry, the SQL error message was arising. | Inquiry > Adv. Recurring Contract Billing > Billing Schedule Detail Inquiry |  |
Fixed an issue that should not validate Currency ID when selecting the Schedule ID on the Support/Renewal Process window in the Non - Multicurrency environment. |  |  |
Fixed an issue the "Auto Renew" is not copied to new schedule on the Copy Schedule window. |  |  |
Fixed the issue not creating correct support items for the Kits item on the Support/Renewal Process window. |  |  |
Closed Build 510a - December 2015
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fixed : CCH Tax amount was not rounding correctly for Canadian states. |  |  |
Closed Build 510 - December 2015
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with proration calculation when applying alignment on the Billing Maintenance window. |  |  |
Fixed an issue the status is not updated to disabled after all billing lines are stubbed using the Stubbing Status Modify utility. |  |  |
Fixed an issue with the error message when using customer range by filter on the Archive Billing Schedule Utility. |  |  |
Fixed an issue with Min/Max cap when using hold/resume function on Billing Schedule Maintenance |  |  |
Closed Build 509a - November 2015
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fixed : CCH Tax amount was not rounding correctly. |  |  |
Closed Build 509 - November 2015
  • Project
    • Upgrade CCH Integration.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue Fixed: Tier Price comment was not populating correctly. |  |  |
Fixed an issue with Allocation % field on Schedule Line Kit window. It was mandatory field even Sales account setup from Kit Item. |  |  |
Fixed an issue with Analytical Accounting Info Override function on Invoice Creator. |  |  |
Issue Fixed : SOP distribution were not balanced if uses negative kit items. |  |  |
Closed Build 508 - October 2015
  • Project
    • Added the Drill-Down functionality for ARED-ARCB Integration on the Billing Schedule Detail Inquiry window.
      Path: Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Detail Inquiry
    • Added functionality of rolldown price adjustments from header.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Issue Fixed: Stored Procedures for Analytical Accounting were always being installed. They will now only be installed if AA is included in the Launch file. |  |  |
Added support for ARED Event Based recognition. |  |  |
Issue Fixed: When Analytical Accounting was not installed, Invoice Creator was trying to call an AA Stored Procedure. It will now only call this procedure if AA is installed. |  |  |
Closed Build 507 - September 2015
  • Project
    • Upgrade from GP 2015 build 506 to GP 2015 R2.

GP 2015

Closed Build 506
  • Project
    • On the Setup window, added an option to apply only the increasing CPI changes apply to a price adjustment.
    • Added functionality to use the Billing Start Date as the default value for the Invoice Due Date.
    • For the schedule line import, added Price Default and Free Quantity fields.
    • Added a new window: Billing Schedule Price Adjustment Line Detail Inquiry.
      Path: Inquiry > Adv. Recurring Contract Billing > Billing Schedule Price Adjustment Line Detail Inquiry
    • Added Report Writer functions to get the rolling contract start and end dates.
    • Added integration with Avalara - Avatax.
Closed Build 505a
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Quotes originated from ARCB schedule, when transferred to an Order billing schedule didn’t get updated correctly. |  |  |
Fixed an issue with eConnect stored procedure for R2 throwing an error message on the Invoice Creator window. |  |  |
Changed the hard coded US date format on the Invoice description to system date format. |  |  |
Fixed an issue with billing schedule’s currency ID being deleted after voiding an invoice containing a tiered priced item and then changing the consumption quantity in the billing schedule. |  |  |
Fixed an issue with Extended tier price not matching with GP extended price decimal places. |  |  |
Formatted the value of min/max amount to two decimals along with comma and dollar sign. |  |  |
Changed the verbiage for min/max amount or qty reached comment field. |  |  |
Closed Build 505
  • Project
    • Added Renewal Audit for Start and End Date.
    • Added MRR Report.
    • Added Report writer functions to print Meter Number, Meter Name and Comments on the SOP Historical Blank Invoices.
    • Added enhancements for integration with Multiple Element Revenue Allocation (MERA)
Closed Build 504
  • Project
    • Added Report Writer functions to print the Meter Number, Meter Name, and Comments on SOP invoices.
Closed Build 503
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue on the Invoice creator window throwing an error message, empty Deferral start date when ARED product is installed but not setup. |  |  |
Fixed an issue with the Tier Price expansion button on the SOP Entry window not showing Tiered Pricing breakdown. |  |  |
Fixed an issue with not rolling down the billing frequency change to billing details when occurrence is not set. |  |  |
Changed the Date Restriction filter on the WIP Journal Entry Processing window, take out the As Of Date. |  |  |
Closed Build 502
  • Project
    • Added functionality for retrieving schedule dates and tier pricing.
    • Added functionality that attaches the termination ID to the termination date.
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue getting error with "BSSI_Get_Default_CheckbookID" on the WIP Journal Entry Process window when MEM is enabled. |  |  |
Closed Build 501
Release Notes Table
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2013R2 (Build 402) to GP 2015SP0. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB for Microsoft Dynamics GP 2013

Review the information on this screen to see what's new or changed in the latest versions of Advanced Recurring Contract Billing. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2013 R2

Closed Build 410 - February 2016
  • Project
    • Added aggregated pricing functionality for items shipped to multiple locations. The following windows have been updated: Invoice Creator, Invoice Creator Mass Processing, and Setup windows.
Closed Build 409 - February 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When running the Billing Schedule Detail Inquiry, the SQL error message was arising. | Inquiry > Adv. Recurring Contract Billing > Billing Schedule Detail Inquiry |  |
Closed Build 408 - January 2016
  • Project
    • Added automatic numbering and default location functionality on the Billing Schedule Maintenance window.
      Path: Cards > Advanced Rev. & Exp. Deferrals > Billing Schedule
Closed Build 407 - September 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed FORMAT function compatibility with SQL Server 2008 R2 or earlier versions. |  |  |
Closed Build 406 - August 2015
  • Project
    • On the Setup window, added an option to apply only the increasing CPI changes apply to a price adjustment.
    • Added MRR report.
    • Added functionality to use the Billing Start Date as the default value for the Invoice Due Date.
    • For the schedule line import, added Price Default and Free Quantity fields.
    • Added a new window: Billing Schedule Price Adjustment Line Detail Inquiry.
      Path: Inquiry > Adv. Recurring Contract Billing > Billing Schedule Price Adjustment Line Detail Inquiry
    • Added RW functions to get rolling contract dates (start/end dates).
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added MRR report. |  |  |
Closed Build 405 - June 2015
  • Project
    • Added Renewal Audit for Start and End Date.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Quotes originated from ARCB schedule, when transferred to an Order billing schedule didn’t get updated correctly. |  |  |
Fixed an issue with eConnect stored procedure for R2 throwing an error message on the Invoice Creator window. |  |  |
Changed the hard coded US date format on the Invoice description to system date format. |  |  |
Closed Build 404 - April 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue getting error with "BSSI_Get_Default_CheckbookID" on the WIP Journal Entry Process window when MEM is enabled. |  |  |
Fixed an issue on the Invoice creator window throwing an error message, empty Deferral start date when ARED product is installed but not setup. |  |  |
Fixed an issue with the Tier Price expansion button on the SOP Entry window not showing Tiered Pricing breakdown. |  |  |
Fixed an issue with not rolling down the billing frequency change to billing details when occurrence is not set. |  |  |
Changed the Date Restriction filter on the WIP Journal Entry Processing window, take out the As Of Date. |  |  |
Closed Build 403 - February 2015
  • Project
    • Added functionality for retrieving schedule dates and tier pricing.
Closed Build 402 - November 2014
  • Project
    • Added Report Writer functionality for Price Adjustment Percentage Value, Billing Frequency.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When browsing using the VCR buttons, Entity and Department (from Multi-Entity Management) fields were not locked for existing Billing Schedules. Users were able to clear these fields and Save, making the Schedules inaccessible. Fields will now be locked when browsing with VCR buttons to be consistent with Billing Schedule Lookups. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: Could not see entire Meter Number as field was too narrow. Could not identify line, need more detail. Forced report to Landscape Layout in order to extend Meter Number field and add From/To Dates. Field alignment was also corrected so the CSV export showed fields in correct order. Page Header text labels corrected. | Tools > Utilities > Adv. Recurring Contract Billing > Meter Reading Import |  |
Fixed Issue: Prorated amount is not calculated correctly on the billing schedule detail window. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: When ARED recognition schedule is created from the SOP invoice created from ARCB without Include Markdown being selected in ARED and Create One Schedule option is selected in ARCB the recognition amount of the ARED schedule is not calculated correctly. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: When ARCB schedule is terminated, the re-calculation date for the deferral end date of the ARED recognition schedule is not calculated correctly, resulting some of the recognized periods are reversed. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: The prorated amount is not calculated correctly on the Auto Renewal period. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Improved performance on SOP batch deletion. |  |  |
Fixed Issue: The same Deferral Start Date and Deferral End Date cannot be entered. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: The comment do not display on the Schedule Line Components Inquiry window. | Billing Schedule Zoom>Comment |  |
GP Series: System |  |  |
Fixed issue: add tier price item for Schedule in Non Multicurreny GP environment, open Schedule Billing Detail window, didn't update Billable Qty column, also didn't update Extended Price. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Closed Build 401 - September 2014
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2013SP2 (Build 321) to GP 2013R2. |  |  |

GP 2013 SP0

Closed Build 324
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: The comment do not display on the Schedule Line Components Inquiry window. | Billing Schedule Zoom > Comment |  |
Closed Build 323
  • Project
    • Added Report Writer functionality for Price Adjustment Percentage Value, Billing Frequency.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When browsing using the VCR buttons, Entity and Department (from Multi-Entity Management) fields were not locked for existing Billing Schedules. Users were able to clear these fields and Save, making the Schedules inaccessible. Fields will now be locked when browsing with VCR buttons to be consistent with Billing Schedule Lookups. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: Could not see entire Meter Number as field was too narrow. Could not identify line, need more detail. Forced report to Landscape Layout in order to extend Meter Number field and add From/To Dates. Field alignment was also corrected so the CSV export showed fields in correct order. Page Header text labels corrected. | Tools > Utilities > Adv. Recurring Contract Billing > Meter Reading Import |  |
Fixed Issue: Prorated amount is not calculated correctly on the billing schedule detail window. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: When ARED recognition schedule is created from the SOP invoice created from ARCB without Include Markdown being selected in ARED and Create One Schedule option is selected in ARCB the recognition amount of the ARED schedule is not calculated correctly. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: When ARCB schedule is terminated, the re-calculation date for the deferral end date of the ARED recognition schedule is not calculated correctly, resulting some of the recognized periods are reversed. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: The prorated amount is not calculated correctly on the Auto Renewal period. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Improved performance on SOP batch deletion. |  |  |
Fixed Issue: The same Deferral Start Date and Deferral End Date cannot be entered. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Closed Build 322
  • Project
    • New Report Writer Function: return Salesperson Last Name for an SOP.
    • Added Report Writer functionality for CPI calculations.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: add tier price item for Schedule in Non Multicurreny GP environment, open Schedule Billing Detail window, didn't update Billable Qty column, also didn't update Extended Price. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Closed Build 321
  • Project
    • Add Customer PO number in Data connection.
      Path: Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import
    • Added price adjustment end date to the price adjustment import.
      Path: Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import
    • Add a transaction window: Invoice Creator Mass Processing.
      Path: Transactions > Adv. Recurring Contract Billing > Invoice Creator Mass Processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Added validation when the billing schedule line is processed, the billing start date cannot be changed on the Billing Schedule Maintenance window. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Defaulted Sales Account for the renewal items on the billing schedule when created using support/renewal function. | Transactions > Adv. Recurring Contract Billing > Billing Creation |  |
Fixed Issue: End User Transfer utility was not copying all Schedule Line Details between existing and new Schedules. | Utilities > Adv. Recurring Contract Billing > Transfer End User |  |
Closed Build 320
  • Project
    • Added multiple CPI price adjustment enhancements including multiple price adjustments applying to the same billing period and price adjustment starting from first billing periods.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
Closed Build 319
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with SOP Distributions out of balance when invoices are created from Invoice Creator. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Closed Build 318
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Account Substitution not taking place according to MEM setup. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with ARCB and ARED integration. ARED Template ID defined on the ARCB Schedule Maintenance window doesn't get passed to ARED Recognition schedule. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Closed Build 317
  • Project
    • Added Report Writer function to return the Line Period Cover Dates for Blank SOP Invoice Report.
      Path: Transactions > Sales > Sales Transaction Entry > Print
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: On the Billing Schedule Detail window, Unit Price and Markdown fields were being restricted to values with only 9 digits to the left of the decimal place. This was inconsistent with the Billing Schedule window and less than the allowed value for those fields. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: When using the Meter Reading Import, any Free Quantity was not being taken into account. | Tools > Utilities > Adv. Recurring Contract Billing > Meter Reading Import |  |
Fixed Issue: When changing the End Date of a Billing Schedule Line, Deferral End Date was being set to zero unless the line was saved first. If Schedule Line Deferral window is open when changing the Line End Date, a warning will be raised. If ARED button is selected when the Line is not saved, a warning message will be raised. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: When running the Billing Schedule Detail Inquiry, the Salesperson ID column was incorrectly populated with Entity ID. | Inquiry> Adv. Recurring Contract Billing > Billing Schedule Detail Inquiry |  |
Fixed Issue: When terminating a schedule billing line with the termination date equal end date of the period, the next billing period is left out on the Billing Schedule Maintenance window. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed Issue: 1. When updating a schedule billing line with the Price Update utility, the extended price is not updated. 2. Not all billing schedule lines are displayed on the Price Update utility window. | Tools > Utilities > Adv Recurring Contract Billing> Price Update |  |
Fixed an issue with Account Amount field on SOP window not calculated correctly after applying CCH taxes using Invoice creator window. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with CCH-Sales integration not updating the Tax distributions. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Closed Build 316
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue causing an error message on Invoice Creator when Autorenewal Template is not populated on Schedule Maintenance | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with Kits Allocation not creating correct SOP distribution for negative lines | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Closed Build 315
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with not defaulting the values from the header when inserting a line item on Billing Schedule Maintenance | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed an issue with Process button on the Price Adjustment window not processing CPI/Markdown on the first select | Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Schedule Detail >Billing Schedule Price Adjustment Detail |  |
Fixed an issue with Schedule ID Prefix not allowing hyphen (-) in the schedule number | Tools > Setup > Adv. Recurring Contract Billing > ARCB Setup |  |
Fixed an issue with Copy function not recalculating Total Extended Amount on Billing Schedule Detail | Cards > Adv. Recurring Contract Billing > Billing Schedule > Copy option |  |
Disabled Create One Schedule option for multicurrency schedules | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Closed Build 314
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Improved the performance of schedule import utility |  |  |
Improved the performance of meter import utility |  |  |
Fixed an issue with AutoRenew flag not defaulted on the Schedule Billing Maintenance window when renewal line item is originated from Sales transaction entry window. |  |  |
Fixed an issue with Standard Price option not picking up the right price buckets for the quantities entered on the billing detail window |  |  |
Change the warning message on the Unit Price field. |  |  |
Closed Build 313
  • Project
    • Improved the Invoice Creator performance and ARED schedule creation.
    • Added analytical accounting (AA) dimensions to billing schedules.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue that wiping out the unit price on the schedule detail window when terminating a schedule line with Adj. Schedule option. |  |  |
Fixed an issue with ARED schedule not taking Recognition account from ARCB Schedule. |  |  |
Closed Build 312
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Negative line item showing positive extended price on Sales Invoice |  |  |
Closed Build 311
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with Price Level for Extended Pricing causing warning message on the Invoice Creator. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed issue with Price Sheet ID for Extended Pricing not defaulting from the customer causing the error message on the Invoice Creator. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed the issue with prorate amount not calculating the prorated amount for the partial periods. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed an issue with one time frequency not updating the unit price on Billing detail or negative unit price if start date is back dated. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed an issue with unit price rounding up on the Billing Schedule window. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Closed Build 310
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed various issues with data connection import utility | Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import |  |
Closed Build 309
  • Project
    • Updated Data Connection and XML import options to work with GP extended pricing.
      Path: Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an incompatibility issue with MEM eConnect stored procedures throwing an error message - Cannot insert duplicate key in object 'dbo.eConnectOutTemp'….” ` | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Closed Build 308
  • Project
    • Added functionality to calculate Billing End Date using the Billing Start Date, Billing Frequency, and Occurrence.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added functionality to allow escalating billing rates based on CPI.
      Path:Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added functionality to sort and filter contract items (lines).
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue Deferral dates do not match the Billing dates for prorate schedules ARCB vs ARED. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed the issues related to case-sensitive SQL environment (SQL Collation). |  |  |
Fixed the issue: add Billing Dates to Invoice/Quote Item Description on SOP. | Transactions > Sales > Sales Transaction Entry |  |
Fixed the issue with MEM 216e18 and ARCB 247 on Billing Schedule Inquiry window. | Inquiry> Adv. Recurring Contract Billing > Billing Schedule Inquiry |  |
Closed Build 307
  • Project
    • Added new functionality to create billing contracts for a kit item.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added new functionality to record sales revenue account at the kit or components level.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added new functionality to auto-renew contracts based on a predefined template.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added new functionality to allow you to use the GP extended pricing functionality with the ability to change the Price Sheet on the billing schedule.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added ability to review the Start Date, Billing End Date, and Item Status on the line.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Schedule import header not allowing to import Schedule Type field's all Characters(20). | Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import |  |
Fixed an issue with Schedule import line not allowing to import Comment ID's all Characters(15). | Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import |  |
Fixed an issue with Combine Unit Price option on the Invoice Creator generating quantity of -1 on the sales transaction entry window. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with Combine Unit Price option on the Invoice Creator not combining the line items even all parameters match. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
34 Build 307 Nov 15,2013 Project Upgrade Compatible with GP2013SP2 |  |  |
Closed Build 306
  • Project
    • Rearranged the window layout of the Billing Schedule Maintenance window, Billing Schedule Detail window and Setup window.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added Quantity and Extended Price to the Billing Schedule Detail window.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button .
    • Added functionality to default the quantity from the original sales transaction line to the support /renewal items.
      Path: Transactions >Sales> Sales Transaction Entry
    • Added salesperson ID to the billing schedule line item.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added functionality to push the markdown from the original sales transaction line to the billing schedule line item.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added Bill To address to schedule line and create separate invoice for different Bill To address.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
    • Added new functionality to create new schedule with Hold status.
      Path: Cards > Adv. Recurring Contract Billing > Billing Schedule
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with the unit price not rolling down to billing detail when the Price Level is selected on the Billing Schedule Maintenance window. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed an issue with the unit price being cleared when changing the quantity on the Billing Maintenance line item. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed an issue cannot delete the current consumptions unless it is the latest entered period. | Cards > Adv. Recurring Contract Billing > Billing Schedule C |  |
Fixed an issue with Schedule Import utility changing the unit price based on the price level even the schedule is selected using Flat Amount. | Cards > Adv. Recurring Contract Billing > Billing Schedule |  |
Fixed an issue with the alternate Customer Maintenance window it was throwing an error message when user selects the email button. | Cards > Sales > Customer Maintenance |  |
Closed Build 305
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with Invoice creator select and clear check box on each line item. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with Quotes created from Invoice creator window cannot directly transferred to Invoice. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with Invoice Creator window unable to generate invoices if Multicurrency is not enabled. | Transactions > Adv. Recurring Contract Billing > Invoice Creator |  |
Fixed an issue with Note ID on the Schedule Maintenance window when copy functionality is used. |  |  |
Closed Build 304
  • Project
    • Added functionality to check credit limit of a customer. If the credit limit is exceeded when invoices are generated using Invoice Creator window a hold is created.
      Path: Transactions > Adv. Recurring Contract Billing > Invoice Creator
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue area page disappears after installing new PSM CNK file. |  |  |
Fixed an issue with Trail Keys not displaying the warning message. |  |  |
Fixed an issue with February month not aligning the dates correctly if the Disable Calendar Billing option is selected. |  |  |
Closed Build 303
  • Project
    • Added Entity and Region segments for account substitution when creating the sales transaction using Invoice Creator window.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with incorrect registration keys check for the sample Fabrikam company if the database name is not TWO. |  |  |
Closed Build 302
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed an issue with Invoice Creator window throwing an error and unable to generate the Invoices. |  |  |
Closed Build 301
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2010 SP1 (Build 246) to GP 2013 SP0. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of Advanced Recurring Contract Billing.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Adv. Recurring Contract Billing, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Recurring Contract Billing Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of Advanced Recurring Contract Billing (ARCB), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing ARCB.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Notes:

  • The Pathnames window is not currently supported.
  • If you are using the Advanced Revenue & Expense Deferrals (ARED) and Multiple Element Revenue Allocation (MERA) integrations, the order of installation is as follows:
    1. ARED
    2. MERA
    3. ARCB

    If you have a previous version of ARCB installed, you must remove it. After ARCB is removed, you can install, the software in the order indicated so that you can use the integrated functionality.

    The MERA integration is available as of ARCB for Microsoft Dynamics GP 2015 and MERA build 504.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Requirements

To check if your computer meets all hardware and system requirements, review the article in the Microsoft documentation: System Requirements for Microsoft Dynamics GP [image].

Note icon. Note: Many Microsoft Dynamics GP processes require some additional processing steps when the Binary Stream program is installed and enabled. Therefore, both programs perform best when you configure your system to exceed the minimum requirements that Microsoft suggests.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installation Checklist

Print this checklist before you begin your installation of Advanced Recurring Contract Billing. Use this checklist to as a guide to select the tasks you perform, and then, check off the tasks as they are completed.

This checklist is for installing Advanced Recurring Contract Billing only. For a checklist for installing Microsoft Dynamics GP, review the Microsoft Dynamics GP installation instructions for the version of Microsoft Dynamics GP that you are installing.

To Do | Task | Completed
Advanced Recurring Contract Billing
 | Downloading the Installation Files |
 | Extracting the Installation Files |
 | Uninstalling the Previous Version of Advanced Recurring Contract Billing |
 | Exporting Modified Forms and Reports |
 | Installing within Windows |
 | Installing within GP |
 | Registering |
 | Importing Modified Forms and Reports |
 | Using Alternate Forms and Reports |
 | Setting Up User Security |

See also

Installation Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Operational Checklist

Advanced Recurring Contract Billing does not require separate daily, monthly, and annual procedures. All data from Advanced Recurring Contract Billing is saved within the Microsoft Dynamics GP database. For information on how to perform daily, monthly, and annual procedures and database backups, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Downloading the Advanced Recurring Contract Billing Installation Files

You can download the installation files from a compressed (zipped) folder from the Binary Stream Portal (https://portal.binarystream.com/) External link. The files that you download have the following naming convention:

  • Software files: ARCB_Install_GPvers_Build#_YYYYMMDD.zip

For example, ARCB_Install_GP2018_BLD501_20180703.zip

Where:

  • GPvers = GP2018
  • Build# = BLD501

To download the installation files, follow these steps:

  1. Go to the Binary Stream Portal [image] .
  2. Select the link for Dynamics GP Portal [image], and log in with your Username and Password.
  3. On the Binary Stream GP Ticketing Center page, select the Knowledge Base and Downloads [image] link.
    On the page that appears, you might have to log in again.
  4. In the navigation on the left, select Binary Stream Downloads [image] to expand the tree, and then select the product you want.
    If you do not see the product you want, contact Binary Stream support: gpsupport@binarystream.com.
  5. From the list of files to download, select the compressed zipped folder you want.
    The file is automatically downloaded to your computer.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extracting the Advanced Recurring Contract Billing Installation Files

After you save the compressed (zipped) installation folder to your computer, you must extract the files to be able to run the installer (.msi) file to install the program.

To extract the installation files, follow these steps:

  1. In the File Explorer, go to the folder location where you saved the compressed (zipped) installation folder.
  2. Right-click the compressed (zipped) folder, and select Extract All.

The compressed (zipped) folder contains the following items:

Installation Files Table
File Name | Description
ARCB_GPvers_Setup.msi | The installer file for the Binary Stream program and the EULA. Note icon. Note: The installer is for a 64-bit operating system only.
Readme_ARCB_GPvers.pdf | The Readme file updated for the latest build. Provides information on all enhancements and issues that were fixed in the release.
ARCB_WebClient_HelpFiles.zip | The documentation for the Microsoft Dynamics GP web client. Note icon. Note: If this format is not available from the compressed (zipped) installation folder, you can access it on the Binary Stream Portal (https://portal.binarystream.com/) External link .
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Exporting Modified Forms and Reports

Before you upgrade Advanced Recurring Contract Billing, you must export any modified forms and reports to a package file. After you finish upgrading Advanced Recurring Contract Billing, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the modified forms and reports so that you can continue using them without any issues or errors. If you do not export and import the modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

When you export the modified forms and reports, you perform the following activities:

  • Export Modified Forms and Reports
  • Rename Modified Forms and Report Dictionaries

Export Modified Forms and Reports

To export ARCB modified forms and reports to a package file, follow these steps:

  1. In Microsoft Dynamics GP, open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  2. Select the Product column header, which sorts the modified forms and reports by product name.
  3. Scroll down until you see the modified forms and reports for Adv. Recurring Contract Billing.
    If you do not see Adv. Recurring Contract Billing, you can stop at this step. You do not have any ARCB modified forms and reports.
  4. Select all of the modified forms and reports for Adv. Recurring Contract Billing.
  5. Select Export.
  6. In the Please select a package file window, specify a name for the package file, and select Save.
  7. To confirm that the export was successful, check the status bar of the Customization Maintenance window.
  8. Close the Customization Maintenance window.
  9. Exit Microsoft Dynamics GP.

Rename Modified Forms and Report Dictionaries

To rename the ARCB modified forms and reports dictionaries, follow these steps:

  1. In the File Explorer, go to the folder where the ARCB modified forms and reports dictionaries are saved.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2013\Data.
  2. Find the ARCB modified forms and reports dictionaries, which are usually named BSSI08FRMS.DIC and BSSI08RPTS.DIC, respectively.
    Note icon. Note: If you do not have any ARCB modified forms, you will not have a forms dictionary. Similarly, if you do not have any ARCB modified reports, you will not have a reports dictionary.
  3. Rename the dictionaries.
    For example, add the word BACKUP - BSSI08FRMS_BACKUP.DIC and BSSI08RPTS_BACKUP.DIC.

After you export the modified forms and reports, and rename the dictionaries, you are ready to install ARCB. After ARCB is installed, you can then import the ARCB modified forms and reports from the package file that you just exported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Uninstalling the Previous Version of Advanced Recurring Contract Billing

When you upgrade ARCB from a previous version, you must remove it in Windows before you run the installation file (.msi). By removing ARCB, you ensure that any ARCB application libraries are replaced with the most current versions.

Also as a best practice before uninstalling ARCB, back up your current environment, and rename the BSSI08.dic file.

Tip: For some Binary Stream programs, you can run the installer file (.msi) and you get the option of repairing or removing the program. If the installer file gives you the option to repair or remove ARCB, select to remove the program. You can then skip these steps and advance to the next section for installing ARCB. If you do not get the option, select Cancel to exit the installer and follow the instructions to uninstall ARCB.

When you uninstall ARCB, follow these steps:

  1. Back up your current Microsoft Dynamics GP environment, including all Microsoft Dynamics GP folders and databases.
  2. In the File Explorer, go to the GP<Version> folder and find the file named BSSI08.dic.
  3. Rename BSSI08.dic to a different name, for example BSSI08_BACKUP.dic.
  4. From the Start menu, open the Control Panel.
  5. In Programs, select Uninstall a program, which opens the Programs and Features window.
  6. In the list of programs, select the program you want to uninstall, and select Uninstall.

  7. Follow the prompts to finish uninstalling the program.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing Advanced Recurring Contract Billing within Windows

When you install ARCB, you must run the installer (.msi) file on each individual server or client computer that has Microsoft Dynamics GP installed.

To install ARCB within Windows, follow these steps:

  1. In the File Explorer, go the folder where you extracted the installation files, and double-click ARCB_GPvers_Setup.msi.
  2. On the first page of the Installation Wizard, select Next to proceed with the installation.
  3. Read the License Agreement, select I Agree, and select Next.
  4. In the Select Installation Folder window:
    • In Folder, select the folder where Microsoft Dynamics GP is installed.
      If you installed Microsoft Dynamics GP to the default location, you do not have to change the value in this box.
    • To allow anyone using the computer to use ARCB, select Everyone.
  5. Select Next.
  6. In the Confirm Installation window, select Next.
    The installation can take a few moments.
  7. When the installation finishes, select Close.

After the installation is complete, you can find the following files in the GPVersion folder.

Windows Installation Files Table
File Name | Description
BSSI08.cnk | After you start GP, this file is converted to BSSI08.DIC.
BSSI EULA Modified.rtf | This file is your End-User License Agreement.
ARCB.chm | This file is the documentation for the Windows client version of Microsoft Dynamics GP. Note icon. Note: Some products do not have this format of documentation. In these cases, only a PDF file of the documentation is available.
ARCB_WebClient_HelpFiles.zip | This file is the documentation for the Web client version of Microsoft Dynamics GP. For instructions on extracting the contents, see Accessing the Web client Help.

If a Web client format of the documentation is available, the installer file copies it to the following folder: Microsoft Dynamics\GP Web Components\GPweb\Help\ARCB. Remember, not all BSSI programs have a .chm file. If the program has a .chm file, the Web client documentation might be available as well.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing Advanced Recurring Contract Billing within Microsoft Dynamics GP

After the software is installed in Windows, you must complete the installation by installing the software in Microsoft Dynamics GP. When you restart Microsoft Dynamics GP, the BSSI software chunk file is automatically run at the same time, and starts the BSSI Installation Wizard.

When you install ARCB in Microsoft Dynamics GP, you do the following:

  • Install the new code in the GPVersion folder.
    You must perform this activity on each computer that ran the installation file.
  • Install or update ARCB in each company (database) that you want to use it in.
    You must perform this activity on only one computer (usually the server computer) where you ran the ARCB installation file.

Note icon. Note: To install third-party software that integrates with GP, always log on with the system administrator (sa) user account.

Install the Software in Microsoft Dynamics GP

To install the software in Microsoft Dynamics GP, follow these steps:

  1. Start GP, and log on with the system administrator (sa) account.
    The Dexterity Runtime dialog box appears with the following message:
    New code must be included in the Dynamics.set dictionary. Do you wish to include new code now?
  2. To include the new code, select Yes.

Update the Microsoft Dynamics GP Database

To update each company database, follow these steps:

  1. After the new code is installed to Microsoft Dynamics GP, the logon window appears. Log on to Microsoft Dynamics GP with the system administrator (sa) user account.
  2. When you see the BSSI Installation Wizard, select Next.
  3. In the BSSI System Install window, for each company database that you want to use ARCB select the Install check box.

  4. After you select all the company databases that you want, select Next, which starts the installation.

For a new installation, the installation can take a few minutes to complete.
For an upgrade, the installation can take a few minutes or a few hours, depending on the number and size of each database that you are updating.

You can see the progress bar on the BSSI Installation Wizard for the status of the installation process.

Tip: If you want to access the BSSI Installation Wizard at another time, create a shortcut to the BSSI Installation Wizard window in the Navigation pane on your Microsoft Dynamics GP home page.

Note icon. Note: If other users have problems accessing the third-party software, run a Grant.sql script to give the users access to all third-party software.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Registering Advanced Recurring Contract Billing

After the program is installed in Microsoft Dynamics GP, the BSSI Registration window appears. You use the BSSI Registration window to type your registration key and activate the program. If you do not have a registration key, contact Binary Stream for assistance.

Note icon. Note: If you use ARCB with the sample database (Fabrikam), you do not need a registration key.

To register the software, follow these steps:

  1. If the BSSI Registration window is not open, in Microsoft Dynamics GP, select Tools > Setup > System > Binary Stream Registration.
  2. Enter the registration key as follows:
    • For new customers with permanent keys, type the registration key value in Permanent Keys.
    • For demonstration users with trial keys, type the registration key value in Trial Keys.
    • For Microsoft Services Providers License Agreement (SPLA) users with SPLA keys, type the registration key value in Trial Keys.
  3. Check that Site Name shows your company name.

  4. If you have Trial Keys, you can complete this optional step.
    1. Select Notification Setup, which opens the User/Reg Key Notification Setup window.
    2. You can set the Number of Days before the trial key expiration date to notify each user. By default, all users are notified 30 days before the expiration date.
      • If you want all users to have the same number of days' notice, in Default Number of Days, specify the number of days' notice.
        The list is updated so that all user IDs have the same value in the Number of Days column.
      • If you want each user to have different number of days' notice, in the list, specify the Number of Days for each User ID.

      Note icon. Note: If the Number of Days for a user is set to zero (0), the trial key expiry warning does not appear for the specific user.
  5. To complete the registration, select OK .
  6. When the registration is completed, log off of Microsoft Dynamics GP, and log back on again.

Tip: If you want to access the registration at another time, create a shortcut to the BSSI Registration window in the Navigation pane on your Microsoft Dynamics GP home page.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Modified Forms and Reports

Before you upgrade ARCB, you must export any ARCB modified forms and reports to a package file. After you finish upgrading ARCB, use the package file to import the modified forms and reports.

Note icon. Note: It is important to export and then import the ARCB modified forms and reports so that you can continue using them without any issues or errors. If you do not export and then import the ARCB modified forms and reports, you will experience issues. For example, you might see messages such as:

Parameter type incompatible in user defined function call

Before you can import the modified forms and reports, you must have already completed the following activities:

  • Exporting Modified Forms and Reports
  • Installing Advanced Recurring Contract Billing within Windows
  • Installing Advanced Recurring Contract Billing within Microsoft Dynamics GP

To import the ARCB modified forms and reports from the package file, follow these steps:

  1. Start Microsoft Dynamics GP.
  2. Open the Customization Maintenance window (Microsoft Dynamics GP > Tools > Customize > Customization Maintenance).
  3. Select the Product column header, which sorts the modified forms and reports by product name.
    If you successfully renamed the dictionary files, you should not see any ARCB modified forms and reports as you scroll through the Customization Maintenance window.
    If you do see some, go back to the steps where you renamed the dictionary files, and try again.
  4. Select Import.
  5. On the Import Package File window, select Browse.
  6. Go to the folder location where you saved the package file, select it, and select Open.
    In the Import Package File window, you should see the ARCB modified forms and reports that you are about to import.
  7. To import the package file, select OK.
  8. To confirm that the import was successful, check the status bar of the Customization Maintenance window.
  9. In the Customization Maintenance window, select the Product column header, and scroll down until you see the modified forms and reports for Adv. Recurring Contract Billing.
    You should see the ARCB modified forms and reports that you just imported.

For more information on importing and exporting package files, see the Microsoft Dynamics GP documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from Advanced Recurring Contract Billing in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate ARCB window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type ARCB_USER and in Description, type Alternate forms and reports for ARCB.
  3. In Product, select Adv. Recurring Contract Billing.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the ARCB alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the ARCB alternate form instead of the Microsoft Dynamics GP version, select the Adv. Recurring Contract Billing option.
      For example, select the ARCB alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all ARCB alternate forms in a single action, set the Select box to Adv. Recurring Contract Billing, and then select Change All.

  5. To use the ARCB alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the ARCB alternate version of the report in the selected Microsoft Dynamics GP series.
  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom Advanced Recurring Contract Billing windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Task

To help facilitate the process of creating security tasks, the following security tasks are automatically created with your Advanced Recurring Contract Billing installation:

These tasks are automatically created in ARCB (Build 604 and newer):

  • ARCB_GENERAL_WIN
  • ARCB_GENERAL_REP
  • ARCB_UTILITIES_WIN
  • ARCB_UTILITIES_REP
  • ARCB_ADMIN_WIN
  • ARCB_ADMIN_REP

To create a security task, follow these steps:

  1. Open the Security Task Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Tasks).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Task Setup window, specify a Task ID, Task Name, and Task Description.
    For example, you could type ARCB_TASKS in all three boxes.
  4. In Category, select Project.
  5. In Product, select Adv. Recurring Contract Billing.
  6. In Type, select Windows.
  7. In Series, select Project.
  8. Select Mark All to select all of the window titles in the Access List.
  9. If you do not want the task ID to have access to certain windows, clear the check box for the window name.

  10. In Type, change the value to Reports, and in Series, select Project.
  11. Select Mark All to select all of the report titles in the Access List.
  12. If you do not want the security task ID to have access to certain reports, clear the check box for the report name.

  13. Select Save.

See also

Setting Up User Security

Creating a Security Role

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Role

To help facilitate the process of creating security roles, the following security roles are automatically created with your Advanced Recurring Contract Billing installation:

These tasks are automatically created in ARCB (Build 604 and newer):

  • ARCB_GENERAL
  • ARCB_UTILITIES
  • ARCB_ADMIN

To create a security role, follow these steps:

  1. Open the Security Role Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Roles).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Role Setup window, specify a Role ID, Role Name, and Role Description.
    For example, you could type ARCB_ROLE in all three boxes.
  4. In the list, select the Security Task ID that you created (for example, ARCB_TASKS).
  5. Select Save.

See also

Setting Up User Security

Creating a Security Task

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Security Role to a User

To assign a security role to a user, follow these steps:

  1. Open the User Security Setup window (Microsoft Dynamics GP > Tools > Setup > System > User Security).
  2. If you are asked for your password, type your password and select OK.
  3. In the User Security Setup window, select a User ID.
  4. Select a Company name.
  5. Under Roles, select the Security Role ID that you created (for example, ARCB_ROLE).
  6. In Alternate/Modified Forms and Reports ID, select the alternate forms and reports ID you created.
  7. Select Save.
  8. Repeat these steps for all users and companies that use ARCB.

See also

Setting Up User Security

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Security: ARCB_GENERAL

Available as of Microsoft Dynamics GP 2016 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

When you install a new instance of ARCB or upgrade from a previous version, the security tasks and roles specifically for ARCB are automatically created.

Tasks

  • ARCB_GENERAL_WIN - provides access to all cards, transactions, inquiries, and custom or extra windows in ARCB. Access to setup and utility windows is not available from this task.
  • ARCB_GENERAL_REP - provides access to all reports in all cards, transactions, inquiries, and custom or extra windows in ARCB. Access to reported related to setup and utility windows is not available from this task.

You can view the details of the tasks on the Security Task Setup window.

Role

  • ARCB_GENERAL - automatically assigned the ARCB_GENERAL_WIN and ARCB_GENERAL_REP tasks.

You can view the details of the roles on the Security Role Setup window.

See also

Security: ARCB_UTILITIES

Security: ARCB_ADMIN

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Security: ARCB_ADMIN

Available as of Microsoft Dynamics GP 2016 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

When you install a new instance of ARCB or upgrade from a previous version, the security tasks and roles specifically for ARCB are automatically created.

Tasks

  • ARCB_ADMIN_WIN - provides access to all setup windows in ARCB.
  • ARCB_ADMIN_REP - provides access to all setup-related reports in ARCB.

    • Note icon. Note: ARCB_ADMIN_REP currently does not have any reports and is created for future use.

You can view the details of these tasks on the Security Task Setup window.

Role

  • ARCB_ADMIN - automatically assigned the ARCB_ADMIN_WIN and ARCB_ADMIN_REP tasks.

You can view the details of the roles on the Security Role Setup window.

See also

Security: ARCB_UTILITIES

Security: ARCB_GENERAL

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Security: ARCB_UTILITIES

Available as of Microsoft Dynamics GP 2016 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

When you install a new instance of ARCB or upgrade from a previous version, the security tasks and roles specifically for ARCB are automatically created.

Tasks

  • ARCB_UTILITIES_WIN - provides access to all utility windows in ARCB.
  • ARCB_UTILITIES_REP - provides access to all reports that are related to ARCB utilities.

You can view the details of these tasks on the Security Task Setup window.

Role

  • ARCB_UTILITIES - automatically assigned the ARCB_UTILITIES_WIN and ARCB_UTILITIES_REP tasks.

You can view the details of the roles on the Security Role Setup window.

See also

Security: ARCB_GENERAL

Security: ARCB_ADMIN

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to ARCB windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Adv. Recurring Contract Billing.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Adv. Recurring Contract Billing node to show all of the Microsoft Dynamics GP series.
  7. For each ARCB window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.

  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Adv. Recurring Contract Billing node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Implementing Advanced Recurring Contract Billing

Only a qualified and experienced Microsoft Dynamics GP consultant should work with you to integrate Advanced Recurring Contract Billing with your Microsoft Dynamics GP environment, data, and processes.

Typical implementation tasks include the following:

  • Setting up a test system
  • Installing and configuring the software
  • Importing data
  • Setting up users, security, and other options
  • Testing your scenarios
  • Going live with your production database
  • Training end users and on-site system administrators

Implementation Service

If your authorized reseller cannot help you with your integration, contact Binary Stream Software for integration and training services.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Advanced Recurring Contract Billing

To remove Advanced Recurring Contract Billing from your Microsoft Dynamics GP environment, you must perform the following activities in the order shown:

  1. Removing the product tables from all companies, or from one company
  2. Removing the product information and dictionaries
  3. Removing the product in Windows

Note icon. Note: The instructions vary depending on whether you remove Advanced Recurring Contract Billing from all company databases or just one company database.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Advanced Recurring Contract Billing Tables in Microsoft Dynamics GP

Before you can remove Advanced Recurring Contract Billing, you must remove the product tables in the DYNAMICS and company databases. However, the steps depend on whether you want to remove Advanced Recurring Contract Billing from all company databases or just one company database.

Important: Before you proceed with either of these steps, make a backup of your DYNAMICS and company databases.

Closed Remove ARCB from all company databases

To delete the product tables for ARCB in the DYNAMICS database, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of your DYNAMICS database (the default name is DYNAMICS).
  3. In Product, select Adv. Recurring Contract Billing.
  4. Perform this step depending on how many Binary Stream software programs you have installed:
    • If ARCB is the only Binary Stream software program installed, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed and you want to remove only ARCB, select all of the tables except the following tables:
      • BSSI_SY_Company_MSTR
      • BSSI_Registration
      • BSSI_RegExp_Date
      Select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_SY_Company_MSTR table, run the following script against the DYNAMICS database to remove the product reference from the BSSI_SY_Company_MSTR table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines:

    Note icon. Note: If your DYNAMICS database does not use the default name, you must change it in the following use statement.

    use DYNAMICS
    delete from BSSI0300 where BSSI_Product_ID = '5186'
  4. Select Execute.

To delete the product tables for ARCB in all company databases, follow these steps for each company database:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Adv. Recurring Contract Billing.
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If ARCB is the only Binary Stream software product installed in the selected company, select all the tables , select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only ARCB, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '5186'
  4. Select Execute.
Closed Remove ARCB from one company database

To remove ARCB from one company database only, follow these steps:

  1. In Microsoft Dynamics GP, open the SQL Maintenance window (Maintenance > SQL).
  2. In Database, select the name of the company database (for example, TWO20).
  3. In Product, select Adv. Recurring Contract Billing
  4. Perform this step depending on how many Binary Stream software products you have installed:
    • If ARCB is the only Binary Stream software product installed in the selected company, select all the tables, select Drop Table and Drop Auto Procedure, and select Process.
    • If two or more Binary Stream software programs are installed in the selected company, and you want to remove only ARCB, select all of the tables except the BSSI_Product_Setup table, select Drop Table and Drop Auto Procedure, and select Process.

If you did not select the BSSI_Product_Setup table, run the following script against the company database to remove the product reference from the BSSI_Product_Setup table:

  1. Start SQL Server Management Studio, and log in to your SQL Server instance as the system administrator (sa).
  2. Select New Query.
  3. In the query window, enter the following two lines (but replace TWO20 with the name of the company database):

    use TWO20
    delete from BSSI0200 where BSSI_Product_ID = '5186'
  4. Select Execute.
  5. From the BSSI0300 table in the DYNAMICS database, run the following query to delete the rows for the company:
    • delete from BSSI0300 where INTERID = 'enter the company ID here'
      and BSSI_Product_ID = 5186

After you complete these steps, ARCB should be removed from the selected company only.

See also

Removing Program Information in Microsoft Dynamics GP

Removing Advanced Recurring Contract Billing in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Program Information in Microsoft Dynamics GP

When you remove ARCB, you must also remove the product information and dictionaries in Microsoft Dynamics GP.

To remove product information and dictionaries, follow these steps:

  1. Exit Microsoft Dynamics GP.
  2. Open the File Explorer, and go to the folder where Microsoft Dynamics GP is installed.
    For example, C:\Program Files (x86)\Microsoft Dynamics\GP2016.
  3. Make a backup of the DYNAMICS.SET file.
  4. Open DYNAMICS.SET in a text editor (for example, Notepad).
  5. Select and delete the following two lines in the top section of the file:
    • The line with the product name: Adv. Recurring Contract Billing.
    • The line with the product number, which is above the line with the product name.
      The product number is 5186.
  6. Select and delete the three lines in the lower section of the file that have the following file names: BSSI08.DIC, BSSI08FRMS.DIC, and BSSI08RPTS.DIC.

    7. For example:
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/BSSI08.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BSSI08FRMS.DIC
    :C:Program Files (x86)/Microsoft Dynamics/GPVersion/Data/BSSI08RPTS.DIC

  7. Go to the first line of the DYNAMICS.SET file. This line has a number that represents the number of installed products in GP. Decrease that number by 1. For example, if the number is 42, change it to 41.
  8. Save the changes to DYNAMICS.SET, and exit the text editor.

ARCB is completely removed from Microsoft Dynamics GP.

See also

Removing Advanced Recurring Contract Billing Tables in Microsoft Dynamics GP

Removing Advanced Recurring Contract Billing in Windows

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Advanced Recurring Contract Billing in Windows

When you remove ARCB from Microsoft Dynamics GP, you must also remove it from Windows.

If you are updating ARCB, you must remove it from Windows before you run the new installer (.msi) file in the system.

To remove ARCB from Windows, follow these steps:

  1. Open the Windows Control Panel, and select Uninstall a program.
  2. In the Programs and Features window, in the list of installed programs, select the program you want to uninstall.
  3. Select Uninstall.

The Uninstall wizard runs, and when it completes, ARCB is removed from Windows.

See also

Removing Advanced Recurring Contract Billing Tables in Microsoft Dynamics GP

Removing Program Information in Microsoft Dynamics GP

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Video Catalog

The following videos are available to help you better understand how to set up and use Advanced Recurring Contract Billing.

Closed Setup window

These videos provide information about the options on the Setup window

Closed Billing Schedule Defaults
  • Apply Promotion Based On
  • Maintain Schedule By
  • Price Default
  • Meter Reading Option
  • CPI Index Calculation
  • Price Adjustment Based On
  • Disable Calendar Billing
  • No Proration on CPI
  • CPI Increases Only
  • Display Only Active Schedule Lines
Closed Support/Renewal Preferences
  • Auto Billing Creation
  • Support/Renewal Qty
Closed ARED Options
  • Create One Schedule
  • Create Schedule Based on Dates
  • Default Deferral Frequency
Closed Invoice Processing
  • Account Substitution
  • Auto Renew
  • Add Billing Date to Invoice/Quote Description
  • Consolidation options
  • Use Master Meters
  • Multiple Ship To on Same Invoice
Closed Tasks

These videos provide information about tasks.

  • Putting billing schedules or billing schedule Lines on hold
  • Terminating billing schedules
Closed Workflows

These videos provide information about workflows for using certain features.

  • Milestone billing
  • Tiered pricing
  • Standard pricing
  • Support/Renewal items ( ARCB build 609 and newer)
  • Support/Renewal items (ARCB build 608 and earlier)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within ARCB.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import: Data Connection Column Mappings

The data connection column mappings for importing a schedule are as follows:

Schedule Header

Column | Ignore | Default | Value
Facility ID | Y | N | Y
Schedule ID (Contract ID) | N | N | N
Schedule Description | N | N | N
Billing StartDate | N | N | N
BillingEndDate | N | N | N
CustomerNumber (GPCustomerID) | N | N | N
Document Type Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702) | Y | Y | Y
SiteID | N | Y | Y
InvoiceID | N | N | Y
BillToAddress | N | Y | Y
ShipTo address | N | Y | Y
Status | Y | N | Y
BillingFrequency | N | N | Y
Daystoincrement | Y | N | Y
Contract Signed Date | Y | N | N
Conract Add Signed Date | Y | N | N
Contract Complete date | Y | N | N
End User ID | Y | N | N
Deferrable Start Date | Y | N | N
Deferrable End Date | Y | N | N
Currency ID | N | N | Y
Schedule Type | N | N | Y
Salesperson ID | N | N | Y
Auto Renewal Template ID | N | N | Y
Price Sheet ID | Y | N | Y
Hold | Y | N | N
Occurrence | Y | N | Y
Customer PO Number | N | N | Y
Milestone Template ID | Y | N | Y
Calculate From (available as of Microsoft Dynamics GP 2015 R2) |  |  |
Calculation Method (available as of Microsoft Dynamics GP 2015 R2) |  |  |
Prior Days (available as of Microsoft Dynamics GP 2015 R2) |  |  |
After Days (available as of Microsoft Dynamics GP 2015 R2) |  |  |
Days (available as of Microsoft Dynamics GP 2015 R2) |  |  |

Schedule Line

Column | Ignore | Default | Value
ScheduleID(ContractID) | N | N | N
Line Seq Number | Y | N | N
Item Number | N | N | N
Item type | N | N | Y
U of M | N | Y | Y
Qty | Y | N | N
Unit Price | N | N | N
Billing StarDate | N | N | N
BillingEndDate | N | N | N
BillingFrequency | N | N | Y
Days to Increment | Y | N | Y
Location | N | N | Y
Price Level | N | Y | N
ContractTerm | Y | N | Y
Comment1 | Y | N | Y
Comment2 | Y | N | Y
DeferrableItem | Y | N | N
Template ID | Y | N | Y
Deferral Start Date | Y | N | N
Deferral End Date | Y | N | N
Recognition Acct | Y | N | Y
Sales Acct | Y | N | Y
COGS Acct | Y | N | Y
Deferrable COGS | Y | N | N
Create one sch | Y | N | N
Create Sch Based on Dates | Y | N | N
Deferral Frequency | Y | N | N
Escalation | Y | N | N
Hold | Y | N | N
Hold Start Date | Y | N | N
Meter Number | Y | N | N
Contract Complete date | Y | N | N
WIP Item | Y | N | N
WIP Acct | Y | N | Y
Unbilled Rev Acct | Y | N | Y
ShipTo address | N | Y | Y
Comment ID | Y | N | Y
Comment Text | Y | N | Y
Journal Entry | Y | N | Y
BillToAddress | N | N | Y
Salesperson ID | N | N | Y
Auto Renew | Y | N | N
Auto Renewal Template ID | N | N | Y
Price Sheet ID | Y | N | Y
Occurrence | Y | N | Y
Price Option | Y | N | Y
Free Quantity | Y | N | Y
Committed Option | Y | N | Y
Minimum | Y | N | Y
Maximum | Y | N | Y
Price Default | Y | N | Y
Free | Y | N | Y
Recognition Type | Y | N | Y
Milestone Template ID | Y | N | Y

Kits

Column | Ignore | Default | Value
ScheduleID(ContractID) | N | N | N
Line Seq Number | Y | N | N
Item Number | N | N | N
Component Item Number | N | N | N
Location | N | N | Y
Component U of M | N | N | Y
Component Qty | Y | N | N
Sales Acct | Y | N | Y
Allocation Percentage | Y | N | N

User Defined Fields

Column | Ignore | Default | Value
ScheduleID (ContractID) | N | N | N
Field | N | N | N
Value | N | N | N

Termination Header

Column | Ignore | Default | Value
ScheduleID (ContractID) | N | N | N
Termination Date | N | N | N
Termination Comment | Y | N | Y

Termination Line

Column | Ignore | Default | Value
ScheduleID (ContractID) | N | N | N
Line Seq Number | N | N | N
Item Number | N | N | N
Termination Date | N | N | N
Termination Comment | Y | N | Y

Sales User-Defined Fields

Column | Ignore | Default | Value
ScheduleID (ContractID) | N | N | N
User Defined Date 1 | Y | N | N
User Defined Date 2 | Y | N | N
User Defined Table 1 | Y | N | N
User Defined Table 2 | Y | N | N
User Defined Table 3 | Y | N | N
User Defined 1 | Y | N | Y
User Defined 2 | Y | N | Y
User Defined 3 | Y | N | Y
User Defined 4 | Y | N | Y
User Defined 5 | Y | N | Y
Tracking Number 1 | Y | N | Y
Tracking Number 2 | Y | N | Y
Tracking Number 3 | Y | N | Y
Tracking Number 4 | Y | N | Y
Tracking Number 5 | Y | N | Y
Tracking Number 6 | Y | N | Y
Tracking Number 7 | Y | N | Y
Tracking Number 8 | Y | N | Y
Tracking Number 9 | Y | N | Y
Tracking Number 10 | Y | N | Y

Price Adjustment Line

Column | Ignore | Default | Value
ScheduleID (ContractID) | N | N | N
Line Seq Number | N | N | N
Item Number | N | N | N
Frequency | N | N | N
Start Date | N | N | N
Percentage | Y | N | N
Amount | Y | N | N
CPI Schedule ID | N | N | N
Escalation End Date | N | N | N

Meter

Column | Ignore | Default | Value
Meter Number | N | N | N
Meter Name | N | N | N
IsMasterMeter | N | N | N
Item Number | Y | N | N
Master Meter Number | N | N | N

See also

Schedule Import - Column Mappings: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data: CSV File Formats

Before you import data, review these Closed data format tips.

When using Microsoft Excel (or other spreadsheet editor) to modify the data in the import file, keep in mind these tips for formatting your data:

  • Avoid using commas (,) for dollar amounts

    • To format the cells, use the Number format, not the Currency format. Also, do not use the Accounting format.

  • Do not use commas (,) or quotation marks (" ") in text cells (for example, comment text)

    • During the import, commas and quotation marks are "read" as a separate column.

  • If any of the data has leading zeros (for example, invoice number 000012345), you might need to save the file in the spreadsheet format (XLSX) until you are ready to import the file

    • When you are ready to import the file, save the file to a CSV format.If you need to review the data, open the CSV file in a text editor to retain the leading zeros. If you open the file in Microsoft Excel (or other spreadsheet editor), the leading zeros disappear.

  • Before you save the file to a CSV format, remove
    • all blank rows
    • additional header rows
    • columns you added for reference purposes
      When data is imported, the mapping is based on the column number not the column header name.

    • When a file is imported, the import uses the column numbers. The import mapping is not based on column header names.

  • When entering the monetary amount for the unit price, make sure the amount entered is the price for the billing frequency specified

    For example, when frequency is monthly, the unit price is the monthly amount or when frequency is quarterly, the unit price is the quarterly billing amount.

    ARCB uses the unit price for the specified frequency. The unit price is NOT converted. For example, if frequency is monthly and the unit price is the annual price, the monthly price is not calculated. In this case the annual price would be considered the unit price for the monthly frequency, which is incorrect.

Note icon. Note: The date format must be MM/DD/YYYY.

Closed Billing Schedule Header
Column | Description
Facility ID | String, Required when Multi-Entity Management and the SOP module are enabled
Schedule ID (Contract ID) | Unique, String, Required
Schedule Description | String
Billing Start Date | Date, Required
Billing End Date | Date, Required
Customer Number (GP Customer ID) | Exist, String, Required
Site ID (Location Code) | Exist, String, Required
Invoice ID | Exist, String
Bill To Address | Exist, String, Optional
Ship To Address | Exist, String, Optional
Status
  • 1-New
  • 2-Renew
  • 3-Cancel
  • 4-Resign
  • 5-One Time

Optional
Billing Frequency
  • 1-Monthly
  • 2-Quarterly
  • 3-Semi-Annual
  • 4-Annual
  • 5-One Time
  • 6-Weekly
  • 7-Daily
  • 8-Miscellaneous

Optional
Days to increment | Integer, Required if Billing Frequency is 8
Contract Signed Date | Date, Optional
Contract Add Signed Date | Date, Optional
Contract Completion | Date, Optional
Termination Date | Date, Optional
End User ID | Exist, String, Optional
Deferral Start Date | Date, Optional
Deferral End Date | Date, Optional
Currency ID | String, Optional
Schedule Type | String, Optional
HOLD
  • 0-No
  • 1-Yes

Optional
SLPRSNID | Sales Person ID
BSSI_Renewal Template ID | String, Optional
Price Sheet ID | Required if the Pricing module is used
Occurrence | Optional
Customer PO Number | String, Optional
Milestone Template

String, Optional

(available as of Microsoft Dynamics GP 2015 R2)
Invoice Separately
  • 0-No
  • 1-Yes

Optional (available as of Microsoft Dynamics GP 2016 RTM)
Deferred Contract Revenue Account | Required if you use the Multiple Element Revenue Allocation integration (available as of Microsoft Dynamics GP 2016 RTM)
Calculate From
  • 1-Billing Start Date
  • 2-Billing End Date

(available as of Microsoft Dynamics GP 2015 R2)
Calculation Method
  • 1-None
  • 2-Net Days
  • 3-Date
  • 4-EOM
  • 5-Next Month

(available as of Microsoft Dynamics GP 2015 R2)
Prior Days

Numeric, Optional

(available as of Microsoft Dynamics GP 2015 R2)
After Days

Numeric, Optional

(available as of Microsoft Dynamics GP 2015 R2)
NoOfDays

Numeric, Optional

(available as of Microsoft Dynamics GP 2015 R2)
Document Type
  • 1- Invoice
  • 2 - Quote

Note icon. Note: When this value is empty, the document type is from the Setup.

Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702)
Closed Billing Schedule Line
Column | Description
Schedule ID (Contract ID) | Exist, String, Required
Line Sequence Number | Integer number 1, 2, 3…, Required when the Ignore line sequence number in the file option is cleared.
Item Number | Exist, String, Required
Item Type

Exist, String, Required, Differentiates whether an item is a regular item or an event-based item.

(Milestone billing support available as of Microsoft Dynamics GP 2015 R2)
U Of M | Exist, String, Required
Quantity | Numeric, Required
Unit Price | Numeric, Required
Billing Start Date | Date, Optional
Billing End Date | Date, Optional
Billing Frequency
  • 1-Monthly
  • 2-Quarterly
  • 3-Semi-Annual
  • 4-Annual
  • 5-One Time
  • 6-Weekly
  • 7-Daily
  • 8-Miscellaneous

Optional
Days to Increment | Integer, Required if Billing Frequency is 8
Site ID (Location Code) | Exist, String, Required
Price Level | Exist, String, Optional
Contract Term
  • 1-M2M
  • 2-Other
  • 3-Yearly

Optional
Comment1 | String, Optional
Comment2 | String, Optional
Deferrable Item
  • 0-No
  • 1-Yes

Optional
Template ID | String, required when Deferrable Item is set to 1
Deferral Start Date | Date, required when Deferrable Item is set to 1
Deferral End Date | Date, required when Deferrable Item is set to 1
Recognition Account | String, Optional
Sales Account | String, Optional
Create One Schedule
  • 0-No
  • 1-Yes

Optional

Create Schedule Based on Dates
  • 0-No
  • 1-Yes

Optional
Deferral Frequency
  • 1-Monthly
  • 2-Quarterly
  • 3-Semi-annually
  • 4- Annually
Hold
  • 0-No
  • 1-Yes

Optional. The schedule line identified in the line import will be placed on hold once the record is imported, and no billing detail line will be created.
Hold Start Date | Date, Optional
Meter Number | String, Required for bandwidth type items only
Contract Completion | Date, Optional
ShipTo Address ID | Exist, String, Optional
Comment ID | Exist, String, Optional
Comment Text | String, Optional
WIP | 1- WIP Tracking
WIP Account Number | Exist, String, Required when WIP is set to 1
WIP Unbilled Revenue Account Number | Exist, String, Required when WIP is set to 1
WIP Journal Entry | Numeric, Optional
Bill To Address | Exist, String, Optional
SLPRSNID | Sales Person ID
BSSI_Autorenew
  • 0-No
  • 1-Yes

Optional
BSSI_Renewal Template ID | String, Optional
Price Sheet ID | Required if the Pricing module is used.
Occurrence
Price Option
  • 0-Standard
  • 1-Tier
Free Quantity Option
  • 0-Per Period
  • 1-Cumulative
Committed Option
  • 0-By Amount
  • 1-By Quantity
Minimum Qty/Amt | Numeric
Maximum Qty/Amt | Numeric
Price Default
  • 0-Standard / Extended
  • 1-Flat Amount
Free Quantity | Numeric, Optional
ARED Recognition Type
  • 0-Standard
  • 1-Event Based

(available as of Microsoft Dynamics GP 2015 R2)
Milestone Template

String, Optional

(available as of Microsoft Dynamics GP 2015 R2)
Escalation
  • 0-No
  • 1-Yes
COGS
  • 0-COGS not deferrable
  • 1-COGS deferrable
COGS Account | Exist, String, Required when COGS is set to 1
Markdown
  • 0-No
  • 1-Yes
Estimated Consumption

Numeric, Optional

(available as of Microsoft Dynamics GP 2016 RTM)
Deferred Contract Revenue Account

Exist, String, Required if you use the Multiple Element Revenue Allocation integration

(available as of Microsoft Dynamics GP 2016 RTM)
Fair Value | Required if you use the Multiple Element Revenue Allocation integration (available as of Microsoft Dynamics GP 2016 RTM)
Price Group ID

String (20)

Name of the price group. If empty, the line does not use the price group feature.

Adjustment Item Number

String (31)

Adjustment item from the first item in a price group. If empty, the price group adjustment is based on the last group item.

Item pricing options are copied from the first item in the group to all subsequent items.

Closed CPI

Use the CPI Import window to import this data.

Column | Description
Year | Numeric, four-digit year
January CPI Index | Numeric
February CPI Index | Numeric
March CPI Index | Numeric
April CPI Index | Numeric
May CPI Index | Numeric
June CPI Index | Numeric
July CPI Index | Numeric
August CPI Index | Numeric
September CPI Index | Numeric
October CPI Index | Numeric
November CPI Index | Numeric
December CPI Index | Numeric
Closed Price Adjustment Line Fields
Column | Description
Schedule ID | Exist, String, Required
Sequence Number | Integer number 1, 2, 3… This is required when the Ignore line sequence number in the file option is cleared.
Item Number | Exist, String, Required
Escalation Frequency
  • 1-Monthly
  • 2-Quarterly
  • 3-Semi-Annual
  • 4-Annual
  • 5-Markdown
Date | Date, Required
Percentage | Numeric, Optional
Amount | Numeric, Optional
CPI Schedule ID | String, Optional
Escalation End Date | Date, Optional
Closed Kits
Column | Description
ScheduleID | ContractID
Line Seq Number | Integer number 1, 2, 3…
Item Number | Exist, String, Required
ComponentItemNumber | Numeric
Site | Exist, String, Required
U of M | Exist, String, Required
Qty | Numeric
Allocation | Numeric (percent expressed in thousands, for example, 50% is 5000)
Sales Acct | String
Closed Meter Reading

Use the Meter Reading Import window to import this data.

The meter reading option is from the billing schedule.

Column | Description
Schedule Number | Exist, Required
Meter Number | Exist, Required
From Date | Required, Must match the calculated dates based on reporting option
To Date | Required, Must match the calculated dates based on reporting option
Current Reading | Numeric Note icon. Note: Only one of Current Reading or Consumption can be imported - not both.
Consumption | Numeric Note icon. Note: Only one of Current Reading or Consumption can be imported - not both.
Comment | String, Optional Available as of Microsoft Dynamics GP 2015 R2
UOM (Unit of Measure - required) | Exist, String, Required Available as of Microsoft Dynamics GP 2016 R2
Closed Revenue Allocation Header
Column | Description
Schedule ID | Exist, String, Required
MEA Type
  • 1 - None
  • 2 - Single
  • 3 - Multiple
MEA ID | String
Deferred Contract Rev Account | String
Closed Revenue Allocation Line
Column | Description
Schedule ID | Exist, String, Required
Line Sequence Number Integer number 1, 2, 3…
MEA ID

String
Deferred Contract Revenue | String
Fair Value Method

Integer

  • 1 – Amount
  • 2 – Sales Amount
  • 3 – List Price
  • 4 - % of an Item
Fair Value Percentage

Percentage, >=0 and <=100

Only for Fair Value Method = 4 (Percentage)
Fair Value Amount

Money, positive value >= 0

Only for Fair Value Method = 1 (Amount)
Closed Revenue Allocation Line Percentage
Column | Description
Schedule ID | Exist, String, Required
Line Sequence Number | Integer number 1, 2, 3…
Line Item Sequence | Integer number 1, 2, 3…
Fair Value Percentage | Percentage, >=0 and <=100
Closed Sales User Defined Fields
Column | Description
Schedule ID | Exist, String, Required
Date Field 1 | Date, Optional
Date Field 2 | Date, Optional
List Field 1 | Exist, string, Optional
List Field 2 | Exist, string, Optional
List Field 3 | Exist, string, Optional
Text Field 1 | String, Optional
Text Field 2 | String, Optional
Text Field 3 | String, Optional
Text Field 4 | String, Optional
Text Field 5 | String, Optional
Tracking Number 1 | Exist, String, Optional
Tracking Number 2 | Exist, String, Optional
Tracking Number 3 | Exist, String, Optional
Tracking Number 4 | Exist, String, Optional
Tracking Number 5 | Exist, String, Optional
Tracking Number 6 | Exist, String, Optional
Tracking Number 7 | Exist, String, Optional
Tracking Number 8 | Exist, String, Optional
Tracking Number 9 | Exist, String, Optional
Tracking Number 10 | Exist, String, Optional
Closed Termination Header Fields
Column | Description
Schedule ID | Exist, String, Required
Termination date | Date, Required
Termination Comment | String, Optional
Termination ID | String
Closed Termination Line Fields
Column | Description
Schedule ID | Exist, String, Required
Line Sequence Number | Integer number 1, 2, 3… This is required when the Ignore line sequence number in the file option is cleared.
Item Number | Exist, String, Required
Termination date | Date, Required
Termination Comment | String, Optional
Termination ID | String
Closed User Defined Fields
Column | Description
Window ID
  • 1 - Billing Schedule Maintenance
  • 2 - End User Maintenance
Contract Number/Schedule ID | Exist, String, Required
Field Name | Exist, String, Required
Field Value | Required – the value must match the Field Type for the specified Field Name

See also

Schedule Import: Overview

Schedule Import: Data Connection Column Mappings

Meter Import: Overview

Meter Reading Import: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Changing the Frequency for a Billing Schedule

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

When changes to the frequency of a billing schedule are made in CRM, the following eConnect nodes are used to update Microsoft Dynamics GP.

  • taBSSI_ARCB_UpdateScheduleHeaderBillingFrequency
  • taBSSI_ARCB_UpdateScheduleLineBillingFrequency

These changes also cause the billing schedule to be recreated from the period in which the change is effective. If an invoice has already been created for the period, a return transaction is created to reverse the invoice, and the billing period is created based on the new billing frequency.

Review the following examples to understand how the billing schedules change.

Closed Basic example

The billing schedule with a frequency of Monthly is created:

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | January 31, 2019 | 1000.00 | Yes | STDINV0001
February 01, 2019 | February 28, 2019 | 1000.00 | Yes | STDINV0002
March 01, 2019 | March 31, 2019 | 1000.00 | Yes | STDINV0003
April 01, 2019 | April 30, 2019 | 1000.00 | No |
May 01, 2019 | May 31, 2019 | 1000.00 | No |
June 01, 2019 | June 30, 2019 | 1000.00 | No |
July 01, 2019 | July 31, 2019 | 1000.00 | No |
August 01, 2019 | August 31, 2019 | 1000.00 | No |
September 01, 2019 | September 30, 2019 | 1000.00 | No |
October 01, 2019 | October 31, 2019 | 1000.00 | No |
November 01, 2019 | November 30, 2019 | 1000.00 | No |
December 01, 2019 | December 31, 2019 | 1000.00 | No |
Closed Frequency change effective after invoice has been created

The frequency of the billing schedule is changed to Quarterly and is effective on April 01, 2019. Because the last invoice is created on March 31, 2019, the return transaction is not necessary. The billing schedule is changed as follows:

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | January 31, 2019 | 1000.00 | Yes | STDINV0001
February 01, 2019 | February 28, 2019 | 1000.00 | Yes | STDINV0002
March 01, 2019 | March 31, 2019 | 1000.00 | Yes | STDINV0003
April 01, 2019 | June 30, 2019 | 3000.00 | No |
July 01, 2019 | September 30, 2019 | 3000.00 | No |
October 01, 2019 | December 31, 2019 | 3000.00 | No |

The frequency of the billing schedule is changed to Quarterly and is effective on April 01, 2019.

Closed Frequency change effective after invoice has been created

The frequency of the billing schedule is changed to Quarterly and is effective on February 01, 2019. Because invoices were created on February 28, 2019 and March 31, 2019, two return transactions must be created and applied to STDINV0002 and STDINV0003. The billing schedule is changed as follows:

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | January 31, 2019 | 1000.00 | Yes | STDINV0001
February 01, 2019 | April 30, 2019 | 3000.00 | No |
May 01, 2019 | July 31, 2019 | 3000.00 | No |
August 01, 2019 | October 31, 2019 | 3000.00 | No |
November 01, 2019 | December 31, 2019 | 2000.00 | No |
Closed Fixed term, single payment

The billing schedule with a fixed term and single payment has already had the invoice created. The customer wants to change to 3 payments. As a result, a return transaction is needed.

Original billing schedule: frequency is Annually.

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | December 31, 2019 | 1000.00 | Yes | STDINV0001

Changed billing schedule: frequency Monthly, effective January 01, 2019 changed to three equal payments. The return of 1000.00 is applied to STDINV0001.

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | January 31, 2019 | 333.33 | No |
February 01, 2019 | February 28, 2019 | 333.33 | No |
March 01, 2019 | December 31, 2019 | 333.34 | No |
Closed Fixed term contract , three payments

The billing schedule with a fixed term contract with three payment. The customer wants to change to monthly payments. Invoices have already been created for one-third of the contract.

Original billing schedule:

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | January 31, 2019 | 333.33 | Yes | STDINV0001
February 01, 2019 | February 28, 2019 | 333.33 | No |
March 01, 2019 | March 31, 2019 | 333.34 | No |

Changed billing schedule: frequency Monthly, effective January 01, 2019 changed to monthly payments. The return of amount 333.33 is created and applied to STDINV0001.

Start Date | End Date | Unit Price | Invoiced | Invoice Number
January 01, 2019 | January 31, 2019 | 83.33 | No | Will invoice immediately
February 01, 2019 | February 28, 2019 | 83.33 | No |
March 01, 2019 | March 31, 2019 | 83.33 | No |
April 01, 2019 | April 30, 2019 | 83.33 | No |
May 01, 2019 | May 31, 2019 | 83.33 | No |
June 01, 2019 | June 30, 2019 | 83.33 | No |
July 01, 2019 | July 31, 2019 | 83.33 | No |
August 01, 2019 | August 31, 2019 | 83.33 | No |
September 01, 2019 | September 30, 2019 | 83.33 | No |
October 01, 2019 | October 31, 2019 | 83.33 | No |
November 01, 2019 | November 30, 2019 | 83.33 | No |
December 01, 2019 | December 31, 2019 | 83.37 | No |

See also

eConnect: Billing Frequency Modification Header

eConnect: Billing Frequency Modification Line

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy Analytical Accounting Dimensions from an ARCB Schedule to an ARED Schedule

Analytical accounting (AA) dimensions that are added to the sales account on the billing schedule (which is a deferral revenue account for a deferrable item) are copied to the deferral a account of the recognition schedule. For an example, see Analytical Accounting Information Flow: Example.

The Sales Transaction Entry window:

The Sales Distribution Entry window:

The Analytical Sales Entry window:

Each line item could have its own modified AA dimensions. When the SOP is posted, the ARED Recognition Schedule for a line item is created, and the AA dimensions are attached to that line on the ARED schedule.

The revenue recognition process adds the AA dimensions to the revenue recognition journal entries according to ARED functionality. The AA dimensions is taken from the deferral account on the recognition schedule and added to the revenue and deferred revenue accounts on the revenue recognition journal entries (ARED functionality).

See also

Analytical Accounting Information Flow: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Analytical Accounting Information Flow: Example

The following diagram illustrates the analytical accounting (AA) information flow from an ARCB schedule to an SOP invoice and, if applicable, to an ARED schedule and revenue recognition journal entries.

For a non-deferrable item, AA dimensions are defined on a sales account and copied to the sales account on the SOP invoice.

For a deferrable item, AA dimensions are defined on a deferred revenue account, which is also copied to the deferred revenue account on the SOP invoice, and later follows to the deferred revenue account on a ARED schedule. Revenue recognition journal entries have AA dimensions copied to both revenue and deferred revenue accounts.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Pricing Methods

You can use one of the following pricing methods to calculate the unit price of an item:

  • Flat (no example)
  • Standard
  • Tier
  • Flat Tier (Available as of Microsoft Dynamics GP 2015 R2)

The method used to calculate price depends on the setting of the Enable Tier Pricing check box on the Setup window and on the Pricing Method assigned to a contract item.

Flat

When the flat pricing method is used, the unit price for a schedule line item on the window can be edited to any value you want.

Standard Price

Standard Price

An item has the following price brackets:

Price Brackets Table
Qty From | Qty To | U of M | Price
1 | 100 | Each | 1.50
101 | 200 | Each | 1.25
201 | 99999 | Each | 1.00

Using the price brackets, assume the invoice quantity is 250. With the standard pricing method, the unit price is calculated as follows:

  • 250 x 1.00 = 250.00

    • Unit price = 1.00, which uses the price level that has the quantity of 250

This method is used to determine the price of an item when the Enable Tier Pricing check box on the Setup window is cleared and when Price Option is Standard on the Item Maintenance window.

Watch a video [image].

Tier Price

An item has the following price brackets:

Price Brackets Table
Qty From | Qty To | U of M | Price
1 | 100 | Each | 1.50
101 | 200 | Each | 1.25
201 | 99999 | Each | 1.00

Using the price brackets, assume the invoice quantity is 250. With the tier pricing method, the unit price is calculated as follows:

  • First hundred items: 100 x 1.50 = 150.00
  • Second hundred items: 100 x 1.25 = 125.00
  • Remaining items: 50 x 1.00 = 50.00

    • Unit price = 3.25 / 250 = 1.30

This method is used to determine the price of an item when the Enable Tier Pricing check box on the Setup window is selected and when Price Option is Tier on the Item Maintenance window.

The tier pricing method is often used with meter (bandwidth) items with reading or consumption quantities that are entered in the Billing Schedule Detail window.

Watch a video [image].

Flat Tier Price

Available as of Microsoft Dynamics GP 2015 R2.

The price brackets are set as follows:

Flat Tier Pricing Table
Qty From | Qty To | Flat Amount
1 | 50 | 100.00
51 | 200 | 150.00

The following invoices show the unit prices with the different quantities purchased:

Tiered Pricing Table
Invoice | Quantity Purchased | Unit Price | Extended Amount
1 | 25 | 100.00 / 25 = 4.00 | 100.00
2 | 20 | 100.00 / 20 = 5.00 | 100.00
3 | 50 | 100.00 / 50 = 2.00 | 100.00
4 | 60 | 150.00 / 60 = 2.50 | 150.00

This method is used to determine the price of an item when Enable Tier Pricing is selected on the Setup window is selected and when Price Option is Flat Tier on the Item Maintenance window.

See also

Billing by Amount

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing by Amount

When billing by amount, you can set a minimum and a maximum amount to charge.

Billing Minimum by Amount

The billing minimum defines the minimum fees paid for an item.

For example, using the price brackets, assume the billing minimum is 200.00. If the quantity in the current month is 10, the extended price is determined as:

  • 10 x 1.50 =15.00

Since the billing minimum is 200.00, the invoice shows the following:

Billing Minimum Table
Item Number | Quantity | Unit Price | Extended Price
3-A2440A | 10 | 20.00 | 200.00

Billing Maximum by Amount

The billing maximum defines the maximum amount to be paid for an item in the billing period.

For example, using the price brackets, assume the billing maximum is 500.00. If the quantity in the current month is 600, the extended price is determined as follows (using the Standard pricing method):

  • 600 x 1.00 = 600.00

Since the billing maximum is 500.00, the invoice shows the following:

Billing Maximum Table
Item Number | Quantity | Unit Price | Extended Price
3-A2440A | 600 | 0.83 | 500.00

Note icon. Note: The aggregate quantity functionality works only with the standard Microsoft Dynamics GP pricing functionality. It does not work with the ARCB tiered pricing functionality or flat amount. In situations where the tiered pricing and aggregate quantity functionality are both selected, the aggregate quantity functionality dominates and overrides the tiered pricing functionality. In situations where the aggregate quantity is selected and the schedule line says flat amount, aggregate quantity is ignored.

See also

Setting Up the Minimum and Maximum Billing Amount for an Item

Setting Up the Free Quantity Options for an Item

Pricing Methods

Item Pricing Options: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Benchmark Performance Results

This article provides benchmark performance information for ARCB.

The results are based on the following Microsoft Dynamics GP environments:

  • Microsoft Dynamic GP2013, SP2.
  • Microsoft Dynamic GP2010, SP4.

Summary Benchmark Results

Benchmark performance testing consists of the following steps:

  1. Redisplaying 100 000 lines on the invoice creator
  2. Processing 100 000 lines with Consolidate by Item selected including Invoice Creator Log Report printing
  3. Creating a posting sales batch after processing 100 000 lines including creating a ARED recognition schedule for each line

The following table provides a summary of the test results:

Transaction Type | Total Time
 | Microsoft Dynamics GP 2013 ARCB Build 312 | Microsoft Dynamics GP 2013 ARCB Build 322 + CCH/Avalara Sales Tax Office | Microsoft Dynamics GP 2010 ARCB Build 254
Invoice creator: Redisplay | 6 minutes | 10 minutes | 6 minutes
Invoice creator: Process | 34 minutes (*) | 1 hour 50 minutes | 21 minutes
Sales Batch Posting | 4 hour 26 min (*) |  | 1 hour 15 minutes
Schedule Import |  |  | 2 hour 13 minutes to import 133,746 schedule line
Meter reading import |  |  | 3.46 minutes to import 15020 records

(*) with Analytical Accounting Enabled on ARCB Setup

Test Lab Configurations

This report presents the results of internal testing as performed by a BSSI lab with the following software and hardware configurations:

  • Testing software
    • Microsoft® SQL Server® 2012 Enterprise x64 Edition SP1
    • Windows® 7 Enterprise x64 Edition (Client)
  • Testing hardware
    • Intel® Core™2 Duo CPU E8400 @ 3.00 GHz
    • 465 GB Hard Drive
    • 8 GB RAM

Assumptions

  • Slight differences might occur live client environments as compared to the benchmark lab results.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in ARCB.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Aggregated Pricing for Items Shipped to Multiple Locations (Regular): Example

Note icon. Note: The aggregate quantity functionality works only with the standard Microsoft Dynamics GP pricing functionality. It does not work with the ARCB tiered pricing functionality or flat amount. In situations where the tiered pricing and aggregate quantity functionality are both selected, the aggregate quantity functionality dominates and overrides the tiered pricing functionality. In situations where the aggregate quantity is selected and the schedule line says flat amount, aggregate quantity is ignored.

The following example demonstrates how aggregated pricing works for regular items that are shipped to multiple locations.

On the Item Price List Maintenance window (Inventory > Cards > Price List), the price level for item 128 SDRAM is setup:

When the item is entered on the Billing Schedule Maintenance window, the unit price is based on the individual item, price level, and quantity. The following schedule uses the price level EXTPRCLVL. The Ship To address is different for each line.

When Multiple Ship To On Same Invoice and Aggregate Qty are selected on the Setup window, the unit price is updated when invoices are created on the Invoice Creator or Invoice Creator Mass Processing windows.

In this example the total cumulative sum of the item (128 SDRAM) is 300. The price level EXTPRCLVL used is the third tier where 300 is within the quantity range.

When you view a preview of the invoice in the Invoice Preview window and select the Aggregate Qty check box, the unit price is based on the cumulative quantity.

In the Sales Transaction Entry window, the unit price is based on the cumulative quantity.

See also

Aggregated Pricing for Items Shipped to Multiple Locations (Metered): Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Aggregated Pricing for Items Shipped to Multiple Locations (Metered): Example

Note icon. Note: The aggregate quantity functionality works only with the standard Microsoft Dynamics GP pricing functionality. It does not work with the ARCB tiered pricing functionality or flat amount. In situations where the tiered pricing and aggregate quantity functionality are both selected, the aggregate quantity functionality dominates and overrides the tiered pricing functionality. In situations where the aggregate quantity is selected and the schedule line says flat amount, aggregate quantity is ignored.

The following example demonstrates how aggregated pricing works for metered items that are shipped to multiple locations.

On the Item Price List Maintenance window (Inventory > Cards > Price List), the price level for item 1-A3261A is setup:

When the item is entered on the Billing Schedule Maintenance window, the unit price is based on the individual item, price level, and quantity. The following schedule uses the price level RETAIL. The Ship To address is different for each line.

When Multiple Ship To On Same Invoice and Aggregate Qty are selected on the Setup window, the unit price is updated when invoices are created on the Invoice Creator or Invoice Creator Mass Processing windows.

The updated (or new unit price) does not appear on the Invoice Creator or Invoice Creator Mass Processing windows. The updated price is calculated and displayed on the Sales Transaction Entry window only.

In this example the total cumulative sum of the item (1-A3261A) is 2700. The price level RETAIL used is the third tier where 2700 is within the quantity range.

When you view a preview of the invoice in the Invoice Preview window and select the Aggregate Qty check box, the unit price is based on the cumulative quantity.

In the Sales Transaction Entry window, the unit price is based on the cumulative quantity.

See also

Aggregated Pricing for Items Shipped to Multiple Locations (Regular): Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing and Converting Consumption Amounts: Example

As of Microsoft Dynamics GP 2016 R2, when consumption data is imported, it is can be automatically converted to the same unit of measure of the item based on the settings on the Unit of Measure Schedule Setup and the Item Price List Maintenance windows. The following examples demonstrate how imported data is converted.

Closed Converting Yard to Foot

In this example the windows for a consumption item are set with the following information:

Unit of Measure Schedule Setup window:

U of M | Quantity | Equivalent
Foot | 1.00 | Foot
Yard | 3.00 | Foot
Spool | 100.00 | Foot
Spool | 33.33 | Yard

Item Price List Maintenance window:

Price Level | U of M | Price
EXTPRCLVL | Foot | 100.00

In the import file, the U of M is Yard with a consumption quantity of 2. The data is converted using the information from the Unit of Measure Schedule Setup and Item Price List Maintenance windows as follows:

  • From the Unit of Measure Schedule Setup window, 1 Yard = 3 Foot

    • The quantity calculated is 2 * 3 = 6

  • From the Item Price List Maintenance window, the price for 1 Foot is 100.00

    • The extended price calculated is 6 * 100.00 = 600.00

Closed Converting Case to Each

In this example the windows for a consumption item are set with the following information:

Unit of Measure Schedule Setup window:

U of M | Quantity | Equivalent
Case | 1 | Case
Each | 10 | Case

Item Price List Maintenance window:

Price Level | U of M | Price
RETAIL | Case | 100.00

In the import file, the U of M is Each with a consumption quantity of 20. The data is converted using the information from the Unit of Measure Schedule Setup and Item Price List Maintenance windows as follows:

  • From the Unit of Measure Schedule Setup window, 1 Case = 10 Each

    • The quantity calculated is (1/10) * 20 = 2

  • From the Item Price List Maintenance window, the price for 1 Case is 100.00

    • The extended price calculated is 2 * 100.00 = 200.00

Closed Converting Case to Each - Price Calculation

In this example the windows for a consumption item are set with the following information:

Unit of Measure Schedule Setup window for item 1-A3261A:

U of M | Quantity | Equivalent
Case | 1 | Case
Each | 12 | Case

Item Price List Maintenance window for item 1-A3261A has different price levels:

Price Level | U of M | Start Quantity | End Quantity | Price
RETAIL | Each | 1 | 50 | 10.00
RETAIL | Each | 51 | 100 | 9.00
RETAIL | Each | 100 | 200 | 8.00
RETAIL | Each | 201 | 999,999,999,999 | 7.00

The billing schedule has an existing line:

Item Number | UoM | Quantity | Unit Price
1-A3261A | Each | 50 | 10.00

In the import file, the U of M is Each with a consumption quantity of 20. The imported data is converted as follows:

  • From the Unit of Measure Schedule Setup window, 1 Case = 12 Each

    • The quantity calculated is 20 * 12 = 240

  • From the Item Price List Maintenance window, the quantity imported is 240 Each, so the unit price for 1 unit is 7.00

    • The extended price calculated is 240 * 7.00 = 1680.00

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alignment - Annual Billing Frequency: Example

This example provides information on aligning a billing schedule with an annual billing frequency.

The billing periods are as follows:

Period Dates Table
Period | Dates | Amount
1 | February 01, 2010 - January 31, 2011 | 1000.00
2 | February 01,2011 - January 31,2012 | 1000.00
3 | February 01, 2012 - January 31,2013 | 1000.00

The alignment date is May 1, 2010.

After the alignment is processed, the billing periods are changed to:

Period Dates Table
Period | Dates | Amount
1 | February 01, 2010 - May 01, 2011 | 1246.58
2 | May 02,2011 - May 01,2012 | 1000.00
3 | May 02, 2012 - May 01,2013 | 1000.00

The unit price for the first period is pro-rated.

For any billing frequency other than annually and one-time billing frequency, the alignment is for the date only. For example, , by using the same day each month for a monthly frequency.

The period is shortened or expanded for the alignment, depending on the specified alignment date. For example, the billing period is October 10, 2011 – October 09, 2012 1000.00.

  • When alignment date is September 01, 2012, the billing period is shortened to October 10, 2011 – September 01, 2012, 896.17 (when Pro-rate Amount is selected)
  • When alignment date is December 01, 2012, the billing period is expanded to October 10, 2011 – December 01, 2012, 1144.8 (when Pro-rate Amount is selected)

See also

Alignment - Quarterly Billing Frequency: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alignment - Quarterly Billing Frequency: Example

This example provides information on aligning a billing schedule with a quarterly billing frequency.

The billing periods are as follows:

Billing Frequency Table
Period | Dates | Amount
1 | February 01, 2010 - April 30, 2010 | 1000.00
2 | May 01,2010 - July 31,2010 | 1000.00
3 | August 01, 2012 - October 31,2010 | 1000.00

The alignment date is March 15, 2010.

After the alignment is processed, the billing periods are changed to:

Period Dates Table
Period | Dates | Amount
1 | February 01, 2010 - May 15, 2010 | 1168.54
2 | May 16,2010 - August 15, 2010 | 1000.00
3 | August 16, 2012 - November 15, 2010 | 1000.00

The unit price for the first period is pro-rated.

For one-time billing frequency, after alignment occurs, nothing is changed.

See also

Alignment - Annual Billing Frequency: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


WIP Tracked Items - Distributions Breakdown

Work in progress (WIP) tracked items are set up on the Billing Schedule Maintenance window, then generally the journal to set up WIP should be processed. A validation is performed to check that the journal entry for WIP tracked items exists before periodic invoices are created. If the journal entry for WIP tracked items does not exist, the invoices cannot be created for the selected billing line item. These line items appear in the exception report.

The original entry to set up a WIP tracked item for the total of the scheduled billing amounts for the item is as follows:

Dr. WIP

CR Unbilled Revenue

Each WIP tracked line item is pushed to SOP and has a corresponding distribution to back out the WIP and unbilled Revenue accounts as well as create the AR and DefRev transactions.

The distributions appear as follows in sales:

Create the periodic invoices (100.00 per month):

 | Debit | Credit
AR | 100.00 |
Unbilled Revenue | 100.00 |
DefRev Item 1 |  | 100.00
Work In Progress Item 1 |  | 100.00

Before you process invoices, select Excel to export the data to a Microsoft Excel file.

Examples

When the Price Default for the billing line is set to Flat Amount, the software will use the Unit Price on the Billing Schedule Detail window for the selected period, when the Price Default for the billing line is set to Price Level, the software will use the Unit Price set for the specified price level for the billing line.

Example of consolidation invoices:

Schedule ID | Customer ID | Invoice ID | Currency ID
100 | IBM | Summary | USD
200 | IBM | Summary | USD
300 | IBM | Detail | USD
400 | IBM | Detail | USD
500 | IBM | Detail | CAD
600 | IBM | QVI | USD
700 | IBM | QVI | USD
800 | IBM | QVI | CAD
900 | IBM | Summary | USD
1000 | IBM | Detail | USD

When the Consolidate check box is marked, five sales Invoices will be created:

Invoice # 1

100 | IBM | Summary | USD
200 | IBM | Summary | USD
900 | IBM | Summary | USD

Invoice # 2

300 | IBM | Detail | USD
400 | IBM | Detail | USD
1000 | IBM | Detail | USD

Invoice # 3

600 | IBM | QVI | USD
700 | IBM | QVI | USD

Invoice # 4

500 IBM Detail CAD

Invoice # 5

800 IBM QVI CAD
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidate Some Invoices

As of Microsoft Dynamics GP 2016 RTM, you can create invoices for a customer, such that some billing schedules are consolidated on one invoice, while other billing schedules each have separate invoices.

For this type of situation to occur, Invoice Separately must be selected on the Billing Schedule Maintenance window for the specified billing schedule.

Consolidated Invoices Example

A customer has the following billing schedules:

Schedule ID | Customer ID | Invoice ID | Currency ID | Invoice Separately
100 | IBM | Summary | USD | Cleared
200 | IBM | Summary | USD | Cleared
300 | IBM | Detail | USD | Cleared
400 | IBM | Detail | USD | Cleared
500 | IBM | Detail | CAD | Cleared
600 | IBM | QVI | USD | Cleared
700 | IBM | QVI | USD | Cleared
800 | IBM | QVI | CAD | Cleared
900 | IBM | Summary | USD | Cleared
1000 | IBM | Detail | USD | Cleared

The table shows the invoices that are created when you use the Invoice Creator or Invoice Creator Mass Processing windows and have the following options set:

  • Invoice Separately is cleared for all billing schedules on the Billing Schedule Maintenance window
  • Consolidate by Customer is selected on the Invoice Creator window
Invoice 1
100 | IBM | Summary | USD
200 | IBM | Summary | USD
900 | IBM | Summary | USD
Invoice 2
300 | IBM | Detail | USD
400 | IBM | Detail | USD
1000 | IBM | Detail | USD
Invoice 3
600 | IBM | QVI | USD
700 | IBM | QVI | USD
Invoice 4
500 | IBM | Detail | CAD
Invoice 5
800 | IBM | QVI | CAD

Consolidated and Separate Invoices Example

A customer has the following billing schedules:

Schedule ID | Customer ID | Invoice ID | Currency ID | Invoice Separately Option
100 | IBM | Summary | USD | Cleared
200 | IBM | Summary | USD | Cleared
300 | IBM | Detail | USD | Selected
400 | IBM | Detail | USD | Selected
500 | IBM | Detail | CAD | Selected
600 | IBM | QVI | USD | Cleared
700 | IBM | QVI | USD | Cleared
800 | IBM | QVI | CAD | Selected
900 | IBM | Summary | USD | Selected
1000 | IBM | Detail | USD | Cleared

The table shows the invoices that are created when you use the Invoice Creator or Invoice Creator Mass Processing windows and have the following options set:

  • Invoice Separately is selected for some of the billing schedules on the Billing Schedule Maintenance window
  • Consolidate by Customer is selected on the Invoice Creator window
Invoice 1
100 | IBM | Summary | USD
200 | IBM | Summary | USD
Invoice 2
300 | IBM | Detail | USD
Invoice 3
400 | IBM | Detail | USD
Invoice 4
500 | IBM | Detail | CAD
Invoice 5
600 | IBM | QVI | USD
700 | IBM | QVI | USD
Invoice 6
800 | IBM | QVI | CAD
Invoice 7
900 | IBM | Summary | USD
Invoice 8
1000 | IBM | Detail | USD

Watch a video

  • Consolidating invoices
  • Consolidating invoices for multiple ship to addresses

See also

Creating Invoices with the Invoice Creator Window

Creating Invoices with the Invoice Creator Mass Processing Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Group: Adjustment Examples

Review the following example to better understand how price groups in billing schedules works when adjustments are applied.

When items are added or removed from the price group of a billing schedule or the committed options are modified, a recalculation of all amounts for all items occurs and adjustments are applied as necessary based on the adjustment option setting. These recalculations affect only the periods for which invoices have not yet been created.

A billing schedule has the following items. Three are part of a price group.

Item Number | Quantity | Unit Price | Extended Price | Group | Adjustment Item
3-A2440A | 10 | 20.00 | 200.00 | Yes |
9-F454A | 7 | 10.00 | 70.00 |  |
4-C8900A | 5 | 10.00 | 50.00 | Yes |
1-B5410A | 10 | 15.00 | 150.00 | Yes |
ADJ – 001 | 1 | 0.00 | 0.00 | Yes | Yes
1-C987A | 5 | 20.00 | 100.00 |  |

The quantities for the items are for the current billing period. The following scenarios demonstrate independent cases of the minimum/maximum functionality.

Case 1: Other Item Adjustment, Maximum Bill Amount

On the Item Pricing Options window, the Committed Options have the following setup:

  • Adjustment Option: Other Item
  • Adjustment Item: ADJ-001
  • Committed Options
    • Min/Max: By Amount:
    • Maximum Bill Amount/QTY: 370.00

For the price group, the maximum amount to be billed is 370.00. The actual total is 200 + 50 + 150 = 400, which is greater than the maximum bill amount. The amount to be billed for the adjustment item is -30.00 so that the invoice for the billing period is 370.00. The billable amounts are calculated as follows:

Item Number | Quantity | Unit Price | Extended Price
3-A2440A | 10 | 20.00 | 200.00
4-C8900A | 5 | 10.00 | 50.00
1-B5410A | 10 | 15.00 | 150.00
ADJ – 001 | 1 | -30.00 | -30.00
 |  | Total | 370.00

Case 2: Other Item Adjustment, Minimum Bill Amount

On the Item Pricing Options window, the Committed Options have the following setup:

  • Adjustment Option: Other Item
  • Adjustment Item: ADJ-001
  • Committed Options
    • Min/Max: By Amount:
    • Minimum Bill Amount/QTY: 420.00

For the price group, the minimum amount to be billed is 420.00. The actual total is 200 + 50 + 150 = 400, which is less than the minimum bill amount. The amount to be billed for the adjustment item is 20.00 so that the invoice for the billing period is 420.00. The billable amounts are calculated as follows:

Item Number | Quantity | Unit Price | Extended Price
3-A2440A | 10 | 20.00 | 200.00
4-C8900A | 5 | 10.00 | 50.00
1-B5410A | 10 | 15.00 | 150.00
ADJ – 001 | 1 | 20.00 | 20.00
 |  | Total | 420.00

Case 3: Last Group Item Adjustment, Minimum Bill Quantity

On the Item Pricing Options window, the Committed Options have the following setup:

  • Adjustment Option: Last Group Item
  • Committed Options
    • Min/Max: By Quantity
    • Minimum Bill Amount/QTY: 40

The minimum quantity to be billed is 40, and all items have 10.00 unit price. The actual quantity is 10 + 5 + 10 = 25. The minimum quantity to be billed must be 40. In this case, the last item in the group is increased by a quantity of 15 to make the billable quantity of the last item 25. The billable quantities are adjusted as shown in the following table.

Item Number | Quantity | Billable Quantity | Unit Price | Extended Price
3-A2440A | 10 | 10 | 10.00 | 100.00
4-C8900A | 5 | 5 | 10.00 | 50.00
1-B5410A | 10 | 25 | 10.00 | 250.00
 | Total | 40 |  | 400.00

Case 4: Last Group Item Adjustment, Maximum Bill Quantity

On the Item Pricing Options window, the Committed Options have the following setup:

  • Adjustment Option: Last Group Item
  • Committed Options
    • Min/Max: By Quantity
    • Maximum Bill Amount/QTY: 20

The maximum quantity to be billed is 20, and all items have 10.00 unit price. The actual quantity is 10 + 5 + 10 = 25. The minimum quantity to be billed must be 20. In this case, the last item in the group is decreased by a quantity of 5 to make the billable quantity of the last item 5. The billable quantities are adjusted as shown in the following table.

Item Number | Quantity | Billable Quantity | Unit Price | Extended Price
3-A2440A | 10 | 10 | 10.00 | 100.00
4-C8900A | 5 | 5 | 10.00 | 50.00
1-B5410A | 10 | 5 | 10.00 | 50.00
 | Total | 20 |  | 200.00

Case 5: Adjustment Exceeds Last Group Item, Maximum Bill Quantity

On the Item Pricing Options window, the Committed Options have the following setup:

  • Adjustment Option: Last Group Item
  • Committed Options
    • Min/Max: By Quantity
    • Maximum Bill Amount/QTY: 13

The maximum quantity to be billed is 13, and all three have 10.00 unit price. The actual quantity is 10 + 5 + 10 = 25. The minimum quantity to be billed must be 13. In this case, the last item in the group is decreased by a quantity of 10 to make the billable quantity of the last item 0. Since the billable quantity is still above the maximum billable quantity, the next item is also decreased, so that the quantity of the next item becomes 3. The billable quantities are adjusted as shown in the following table.

Item Number | Quantity | Billable Quantity | Unit Price | Extended Price
3-A2440A | 10 | 10 | 10.00 | 100.00
4-C8900A | 5 | 3 | 10.00 | 30.00
1-B5410A | 10 | 0 | 10.00 | 0.00
 | Total | 13 |  | 130.00

See also

Using Price Groups

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options: Examples

You can set different pricing options for a billing schedule line item on the Item Pricing Options window. The following examples demonstrate how different pricing options work with the different settings.

Free Quantity Options

Support agreement - 10 support cases for free each year

The invoices for a support agreement are created monthly. The support agreement provides up to 10 free support cases every year. The contract is set up to be billed monthly with the free quantity to reset every 12 months. The Item Pricing Options window is set as follows:

  • Free = Cumulative
  • Free Quantity = 10
  • Reset Number of Periods = 12
  • For each monthly billing invoice, the Reset Free Used is updated

After invoices have been created for 12 periods, the Reset Free Used is reset to zero (0), so that the next 12 invoice periods have 10 free support cases available.

Note icon. Note: If the customer uses the 10 free support cases before invoices have been created for 12 billing periods, any support case that is over and beyond the free quantity, and is charged the company rate for a support case.

Support agreement - 10 calls for free each quarter

The invoices for a support agreement are created monthly from April 16 for 12 months. A customer is allowed 10 calls for free every quarter. The Item Pricing Options window is set as follows:

  • Free = Cumulative
  • Free Quantity = 10
  • Reset Number of Periods = 3
  • For each monthly billing invoice, the Reset Free Used is updated

The following table demonstrates the billing detail for a metered item consumption:

Billing Detail Table
Billing Start Date | Billing End Date | Qty Entered | Billable Qty
April 16 | May 15 | 7 | 0
May 16 | June 15 | 15 | 12
June 16 | July 15 | 9 | 9
July 16 | August 15 | 8 | 0
August 16 | September 15 | 14 | 12
September 16 | October 15 | 6 | 6

First quarter, the first 10 calls are free:

  • First month quantity is 7 calls: Free Contract Used = 7, Billable quantity = 0, Remaining free = 3
  • Second month quantity is 15: Free Contract Used = 10 (7 + 3), Billable quantity = 15 - 3= 12, Remaining free = 0
  • Third month quantity is 9: No more free calls available, Billable quantity = 9

Second quarter, the free calls are reset back to 10 calls free:

  • First month quantity is 8 calls: Free Contract Used = 8, Billable quantity = 0, Remaining free = 2
  • Second month quantity is 14: Free Contract Used = 10 (8 + 2), Billable quantity = 14 - 2= 12, Remaining free = 0
  • Third month quantity is 6: No more free calls available, Billable quantity = 6
Back to top ▲

Committed Options

Support agreement - billed a maximum of 25 support calls every quarter

The invoices for a support agreement are created monthly from April 16 for 12 months. A customer is billed for support calls every month with a maximum billable quantity of 25 calls every quarter. The Item Pricing Options window is set as follows:

  • Min/Max = By Quantity
  • Maximum Bill QTY = 25
  • Reset Number of Periods = 3

The following table demonstrates the billing detail for a metered item consumption:

Billing Detail Table
Billing Start Date | Billing End Date | Qty Entered | Billable Qty | Comments
April 16 | May 15 | 10 | 10 | 10 calls billed, remaining calls to reach maximum = 15
May 16 | June 15 | 12 | 12 | 12 calls billed, remaining calls to reach maximum = 3
June 16 | July 15 | 9 | 3 | 3 calls billed + 6 calls not billed, maximum billable quantity has been reached (10 + 12 + 3), no additional calls are billed
July 16 | August 15 | 15 | 15 | 15 calls billed, remaining calls to reach maximum = 10
August 16 | September 15 | 15 | 10 | 10 calls billed + 5 calls not billed, maximum billable quantity has been reached (15 + 10), remaining calls to reach maximum = 0
September 16 | October 15 | 6 | 0 | Maximum billable quantity has been reached (15 + 10), no additional calls are billed
October 16 | November 15 | 10 | 10 | 10 calls billed, remaining calls to reach maximum = 15
November 16 | December 15 | 5 | 5 | 5 calls billed, remaining calls to reach maximum = 10
December 16 | January 15 | 5 | 5 | 5 calls billed, remaining calls to reach maximum = 5, below quarterly maximum

Support agreement - billed a minimum of 25 support calls every quarter

The invoices for a support agreement are created monthly from April 16 for 12 months. A customer is billed for support calls every month with a minimum billable quantity of 25 calls every quarter. The Item Pricing Options window is set as follows:

  • Min/Max = By Quantity
  • Minimum Bill QTY = 25
  • Reset Number of Periods = 3

The following table demonstrates the billing detail for a metered item consumption:

Billing Detail Table
Billing Start Date | Billing End Date | Qty Entered | Billable Qty | Comments
April 16 | May 15 | 7 | 7 | 7 calls billed, number of calls to reach minimum charge = 18
May 16 | June 15 | 3 | 3 | 3 calls billed, number of calls to reach minimum charge (7 + 3) = 15
June 16 | July 15 | 9 | 15 | 9 calls billed, number of minimum calls to be billed is 25 (remaining 6 unused calls must be billed)
July 16 | August 15 | 8 | 8 | 8 calls billed, number of calls to reach minimum charge = 17
August 16 | September 15 | 7 | 7 | 7 calls billed, number of calls to reach minimum charge = 10
September 16 | October 15 | 6 | 10 | 6 calls billed, number of minimum calls to be billed is 25 (remaining 4 unused calls must be billed)
October 16 | November 15 | 10 | 10 | 10 calls billed, number of calls to reach minimum charge = 15
November 16 | December 15 | 12 | 12 | 12 calls billed, number of calls to reach minimum charge = 3
December 16 | January 15 | 15 | 15 | 15 calls billed, above quarterly minimum
Back to top ▲

Holds

When a schedule is put on hold, the minimum and maximum amounts or free quantity features are not affected and work as expected.

Support agreement - 15 calls for free every quarter

The invoices for a support agreement are created monthly from January to December for 12 months. A customer is allowed 15 calls for free every quarter. A hold is placed on the customer from January 01, 2017 to January 28, 2017. The Item Pricing Options window is set as follows:

  • Free = Cumulative
  • Free Quantity = 15
  • Reset Number of Periods = 3
  • For each monthly billing invoice, the Reset Free Used is updated

The following table demonstrates the billing detail for a metered item consumption:

Billing Detail Table
Type | Billing Start Date | Billing End Date | Qty Entered | Billable Qty | Free Quantity | Remaining Free Quantity
Billable | January 01, 2017 | January 31, 2017 | 8 | 0 | 8 | 7
Hold (1-Jan-2017 - 28-Jan-2017) | January 01, 2017 | January 28, 2017 | 8 | 8 | -7 | 14
Resume (29-Jan-2017 - 31-Jan-2017) | January 29, 2017 | January 31, 2017 | 8 | 8 | 1 | 13
Billable | February 01, 2017 | February 28, 20 | 8 | 0 | 8 | 5
Billable | March 01, 2017 | March 31, 2017 | 8 | 3 | 5 | 0
Billable | April 01, 2017 | April 30, 2017 | 8 | 0 | 8 | 7
Billable | May 01, 2017 | May 31, 2017 | 8 | 1 | 7 | 0
Billable | June 01, 2017 | June 30, 2017 | 8 | 8 | 0 | 0

Support agreement - 10 calls for free every quarter

The invoices for a support agreement are created monthly from January to December for 12 months. A customer is allowed 15 calls for free every quarter. A hold is placed on the customer from February 01, 2017 to February 28, 2017. The Item Pricing Options window is set as follows:

  • Free = Cumulative
  • Free Quantity = 10
  • Reset Number of Periods = 3
  • For each monthly billing invoice, the Reset Free Used is updated

The following table demonstrates the billing detail for a metered item consumption:

Billing Detail Table
Type | Billing Start Date | Billing End Date | Qty Entered | Billable Qty | Free Quantity | Remaining Free Quantity
Billable | 01-Jan, 2017 | 31-Jan, 2017 | 8 | 0 | 8 | 2
Billable | February 01, 2017 | February 28, 2017 | 8 | 6 | 2 | 0
Hold (February 01, 2017 - February 28, 2017) | February 01, 2017 | February 28, 2017 | 8 | 8 | -2 | 2
Resume (March 01, 2017) | March 01, 2017 | March 31, 2017 | 8 | 8 | 2 | 0
Billable | April 01, 2017 | April 30, 2017 | 8 | 0 | 8 | 2
Billable | May 01, 2017 | May 31, 2017 | 8 | 6 | 2 | 0
Billable | June 01, 2017 | June 30, 2017 | 8 | 8 | 0 | 0

Support agreement - billed a minimum of 100 minutes every three months

The invoices for a support agreement are created monthly. A customer is billed for a minimum of 100 minutes every three months. In the first month, the customer uses 20 minutes. In the second month, a hold is put on the contract. The Item Pricing Options window is set as follows:

  • Min/Max = By Quantity
  • Minimum Bill QTY = 100
  • Reset Number of Periods = 3

The following table demonstrates the possible scenarios:

Billing Scenario Table
Scenario 1
Month | Qty Used | Qty Invoiced | Comments
January | 20 | 20 |
February | Hold | 0 |
March | 60 | 80 | 100 minutes - 20 used in January - 0 used in February
Scenario 2
Month | Qty Used | Qty Invoiced | Comments
January | 20 | 20 |
February | Hold | 0 |
March | Hold | 0 | Minimum is reset
April | Hold | 0 |
May | 40 | 40 |
June | 30 | 60 | 100 minutes (April - June) - 0 used in April - 40 used in May
Back to top ▲

Other Functions

Price adjustments and prorate functionality are not affected by the different pricing options.

When a billing schedule is put on hold, the commit quantity or free quantity remain the same.

The invoices for a support agreement are created monthly. The customer must pay for a minimum of 100 minutes every 3 months. The Item Pricing Options window is set as follows:

  • Min/Max = By Quantity
  • Minimum Bill QTY = 100
  • Reset Number of Periods = 3

In the first month, the customer uses 20 minutes. In the second month the contract is put on home. The following scenarios could occur:

Scenario 1

Billign Scenario Table
Month | Qty Used | Qty Invoiced | Comments
January | 20 | 20
February | Hold | 0
March 60 80

100 minutes is charged on the invoice:

  • 20 minutes used in January
  • 0 minutes in February
  • 60 minutes in March
  • The remaining unused 20 minutes must be charged on the invoice

Scenario 2

Billing Scenario Table
Month | Qty Used | Qty Invoiced | Comments
January | 20 | 20
February | Hold | 0
March | Hold | 0 | The minimum minutes are reset.
April | Hold | 0
May | 40 | 40
June 30 60

100 minutes is charged on the invoice:

  • 0 minutes in April
  • 40 minutes used in May
  • 30 minutes in June
  • The remaining unused 30 minutes must be charged on the invoice

See also

Setting Up the Minimum and Maximum Billing Amount for an Item

Setting Up the Free Quantity Options for an Item

Pricing Methods

Item Pricing Options: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Terminating a Billing Schedule: Example

This example provides information on terminating a billing schedule.

The following settings are used:

  • Create One Schedule on the Setup window is selected
  • Bill Remaining Amount on the Billing Schedule Maintenance window is selected
  • Termination Date is changed on the line
  • Billing Start Date is September 06, 2006
  • Billing End Date is December 31, 2019

The total billing amount is 20,708.85.

The first three periods have already been billed, and the termination date is changed to December 31, 2016

The ARCB schedule is recalculated so that the period ends on December 31, 2006, the remaining amount shows: 20,708.85 – (112.66+135.20+135.20) = 20,325.79.

20,325.79 is billed in the December 01, 2006-December 31, 2006 period. Further billing is canceled.

For an associated recognition schedule, ARED changes the deferral end date to be the same as the ARCB termination date and recalculates the ARED recognition schedule based on the new deferral end date and recognize any unrecognized amounts in the termination period.

After the last billing in the termination period December 01, 2006 – December 31, 2006, the ARCB billing schedule status is changed to Disabled.

For the ARED schedule, after the termination period is recognized, the schedule status is changed to Complete.

Calculation of Early Termination Fee

Early Termination Fee Table
Details |  | Comments
Online Date/Contract Start Date | January 01, 2011 |
Monthly pricing | 120.00 |
12-month pricing | 110.00 |
Promotion for 12-month contract | 1 month free |
Scenario 1 |  |
Client opts for month-to-month contract at 120 per month |  | No termination penalties.
Scenario 2 |  |
Client signs up for 12 months |  |
Client terminates before end of term | July 31, 2011 |
Early termination fees are the lessor of: |  |
1. Pricing difference (monthly vs. annually) | 70.00 | Client is priced as if were never signed up for 12 months for the months services were online
 |  | Then difference between monthly and annual pricing is 10 multiplied by months (online from Jan - Jul).
- Reversal of 1-month free | 110.00 |
 | 180.00 | Early termination penalty to be invoiced since calculation #1 is the lessor of the two.
OR |  |
2. Hosting fees for the remainder of the contract | 550.00 | 110.00 for five remaining months (Aug - Dec).
 | 110.00 |
 | 660.00 |

See also

Fixed Term Contract Termination: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Billing Based on a Standalone: Example

The following steps demonstrate an example of a billing schedule with a single standalone milestone item:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule) to create a billing schedule.
  2. When you enter an item, set the Item Type to Milestone.

    3. With Milestone selected, the default Start Date is from the Billing Start Date in the header section, the End Date is empty. You can change the dates if needed. Also, the Billing Frequency is set to One Time.

  3. After you enter the start and end dates, you can create an invoice for the line item in the Invoice Creator window.
  4. You can then process the invoice as you would normally.

For this situation, the functionality for the window is as follows:

  • ARED button: You can select this button to choose a standard or event-based ARED schedule for this item.
  • Apply Hold: You can select this check box to apply a hold to a milestone item.
  • Auto Renew: If Frequency is a value other than One Time, you can select this check box for a standalone milestone item.
  • Price Adjustment: You cannot select this check box for milestone item.
  • Termination Date: The termination functionality is not available for milestone items.

The following functionality is affected as follows:

  • The free quantity and cumulative quantity is not available for all milestone items
  • The minimum and maximum amount and quantity is only available for milestone items based on consumption. This functionality becomes available when creating an invoice on the Invoice Creator window.

On the Invoice Creator window, milestone items cannot be consolidated. You can select Consolidate by Customer only.

See also

Milestone Billing Based on Consumption: Example

Milestone Billing with Milestone Sub-Items: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Billing Based on Consumption: Example

When you create a billing schedule with one milestone item that has a meter number, the item is defined as milestone that is based on consumption. The following steps demonstrate an example of a billing schedule with a single milestone item that is based on consumption:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule) to create a billing schedule.
  2. When you enter an item, set the Item Type to Milestone, the Meter Number box is available.
  3. Specify a Meter Number for the item. After you specify a meter number, the following boxes are cleared:
    • Quantity
    • Start Date
    • End Date

    The Billing Frequency is updated to One Time.

  4. Every month, you can add or import the consumption.
  5. You can also update the Start Date, which calculates the End Date.

    6. If needed, you can change the End Date. The start and end dates can be the same.

  6. In the Billing Schedule Detail window, you can the billing line details.
  7. After you enter the start and end dates, you can create an invoice for the line item in the Invoice Creator window.

    8. In the Invoice Creator window, a total sum of the total quantity and billing amount appears.

For this situation, the functionality for the window is as follows:

  • ARED button: You can select this button to choose a standard or event-based ARED schedule for this item.
  • Apply Hold: You can select this check box to apply a hold to a milestone item.
  • Auto Renew: You cannot select this check box for a consumption-based milestone item.
  • Price Adjustment: You cannot select this check box for a consumption-based milestone item.
  • Termination Date: The termination functionality is not available for consumption-based milestone items.

The following functionality is affected as follows:

  • The free quantity and cumulative quantity is not available for all milestone items
  • The minimum and maximum amount and quantity is only available for milestone items based on consumption. This functionality becomes available when creating an invoice on the Invoice Creator window.

On the Invoice Creator window, milestone items cannot be consolidated. You can select Consolidate by Customer only.

See also

Milestone Billing Based on a Standalone: Example

Milestone Billing with Milestone Sub-Items: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Billing with Milestone Sub-Items: Example

The following steps demonstrate an example of a billing schedule with milestone sub-items:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule) to create a billing schedule.
  2. When you enter an item, set the Item Type to Milestone.

    3. For the milestone item with Event Type selected, the Start Date and End Date do not require dates. Also, the following boxes are updated as follows:

    • Billing Frequency is set to One Time.
    • Quantity is always 1.
    • Unit Price is based on the allocation.
    • Price Default is Flat Amount.
  3. Select Milestones, which opens the Milestone Allocation window.

    4. The Milestone Allocation window shows the following information:

    • Item Number for the parent milestone item from line on the Billing Schedule Maintenance window.
    • Extended Price for the item. This value is calculated as Quantity * Unit Price from values on the Billing Schedule Maintenance window.
    • Template ID for the item automatically completes the window for additional milestone items and the allocation percentage and amount. You can change the template ID or change the milestone items and the percentage.
      The sum of the Allocation % must equal 100%, and the sum of the sum of the allocation Amount must equal the Extended Price.

    Note icon. Note: All changes in allocation amount and percentage must be made in the Milestone Allocation window. When a price change occurs for the parent item, the allocation percentage and amount for the sub-items is automatically recalculated.

  4. If the information in the Milestone Allocation window is as you want, select OK, which automatically inserts the sub-item lines and updates all information in the Billing Schedule Maintenance window.

    5. The parent item has a link icon [image] that appears next to the item number to indicate that it is the milestone parent item.

    For each linked milestone item, a link icon [image] appears next to the item number to indicate that it is a milestone sub-item. The following boxes are updated as follows:

    • Billing Frequency is set to One Time.
    • Quantity is always 1.
    • Unit Price is based on the allocation.
    • Price Default is Flat Amount.

    For the parent item and sub-items, Meter Number is not available.

    For sub-items, the Quantity, Unit Price, and Billing Frequency are not available.

  5. After you enter the start and end dates for the sub-item, you can create an invoice for the sub-item in the Invoice Creator window.

    6. Milestone sub-items can be regular items only.

    Note icon. Note: You cannot create an invoice for the parent item. Also, you cannot edit the Start Date or End Date for the parent item.

  6. You can then process the invoice as you would normally.

For this situation, the functionality for the window is as follows:

  • ARED button: You can select this button to choose a standard or event-based ARED schedule for milestone sub-items.
  • Apply Hold: You can select this check box to apply a hold to a milestone parent item, which automatically applies the hold to the sub-items.
  • Auto Renew: This functionality is not available for milestone parent item and sub-items.
  • Price Adjustment: You cannot select this check box for milestone parent item and sub-items.
  • Termination Date: The termination functionality is not available for milestone parent item and sub-items.

The following functionality is affected as follows:

  • The free quantity and cumulative quantity is not available for all milestone items
  • The minimum and maximum amount and quantity is only available for milestone items based on consumption. This functionality becomes available when creating an invoice on the Invoice Creator window.

On the Invoice Creator window, milestone items cannot be consolidated. You can select Consolidate by Customer only

See also

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Billing - Modifying Parent Item and Sub-Items: Example

You can change the Extended Amount for a parent item or the allocation Amount for a sub-item on the Milestone Allocation window. After you change the amount for a sub-item, the Allocation % is automatically recalculated.

The following example demonstrates how milestone billing works when modifications to the original contract occur for parent items and sub-items.

A customer purchases products and services with the following details:

  • Initial implementation: 1200.00
  • 20% installation
  • 30% configuration
  • 25% training
  • 25% testing

The contract before any modifications appears as follows:

Item | Quantity | Price
Implementation Service | 1 | 1,200.00

Milestone sub-items:

Milestones | Allocation % | Amount
Installation | 20% | 240.00
Configuration | 30% | 360.00
Training | 25% | 300.00
Testing | 25% | 300.00

The customer cancels the testing, and the service is adjusted by 300.00. The allocation amounts are not changed, and as a result, the Allocation % is recalculated.

On the Milestone Allocation window, the Extended Amount for the parent item is changed to 900.

The contract after any modifications appears as follows:

Item | Quantity | Price
Implementation Service | 1 | 900

On the Milestone Allocation window, the testing sub-item is deleted. The allocation Amount is equal to the Extended Amount, so the Allocation % is recalculated.

Milestone sub-items:

Milestones | Allocation % | Amount
Installation | 27% | 240
Configuration | 40% | 360
Training | 33% | 300

See also

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing with Milestone Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Modifying a Billing Schedule Contract - MERA Integration: Example

As of Microsoft Dynamics GP 2016 RTM, you can modify a billing schedule contract where invoices have already been created for line items. You can make the following types of changes:

  • Add an item to or terminate an item from the billing schedule
  • Change the Unit Price, Quantity, or FMV of an existing item.

Note icon. Note: If invoices have already been created for the billing schedule, you cannot change the MEA ID. If an invoice has been created, revenue is already recorded and accruals (deferral) exists for the MEA ID.

When a change to the billing schedule occurs, a check for an invoice occurs:

  • If an invoice has been created for a line, only the remaining periods for the line are recalculated. Any periods that have already been invoiced are excluded from recalculations.
  • The remaining revenue for the remaining periods for each line is recalculated and the Contract Revenue Clearing Account amount is added to the Contract Value.
  • If the Contract Revenue Clearing Account has no value after the recalculation, the Contract Revenue Clearing Account amount is zero.

The following example shows a billing schedule.

The invoice for the first period has already been created and the Contract Revenue Clearing Account has an amount of 1041.50.

After the invoice for the first month is created, the contract is modified:

  • The unit price for line item SAAS SW changes from 100.00 to 90.00, the FMV stays the same (114.29)

When the schedule is recalculated, the line items HW, Setup Fee, and Prof. Services are excluded from the calculations because these items have a Frequency of One time, and an invoice has already been created for them.

  • The frequency for the line item SW Annual Maint. is annual. The invoice for the first year has already been created, and the second year still remains.
  • The frequency for the line item SAAS SW is monthly. The invoice for the first period has already been created, and 23 periods remain.

The following image shows the remaining calculations:

  • Both lines have remaining billing periods
  • The accrued amount (Contract Revenue Clearing Account ) is added to the Contract Value

The invoice for February is as follows:

The Contract Revenue Clearing Account has a negative value. Therefore, it should be a debit.

The change is reflected in the audit table in the following images.

The first invoice:

After the changes:

See also

Reviewing the Changes to a Billing Schedule that uses MERA

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Combine Partial Billing Periods: Examples

Available as of Microsoft Dynamics GP 2016 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

The following examples demonstrate the combine partial billing periods functionality (Combine Partial Billing Periods is selected on the Independent Renewal Utility window.

Billing Schedule Example 1

The billing schedule has the following information:

  • Schedule ID: SCH001
  • Billing Start Date: November 15, 2016
  • Billing End Date: November 14, 2017
  • Billing Frequency: Monthly
  • Before Auto Renew (No Renewal Template ID)

The last billing period is November 01, 2017 - November 14, 2017, and no invoice was created. After the automatic renewal of the billing schedule, the two new renew billing periods are as follows:

  • Existing billing period:
    • October 01, 2017 - October 31, 2017
  • New billing periods:
    • November 01, 2017 - November 30, 2017
    • December 01, 2017 - December 31, 2017

The last billing period is November 01, 2017 - November 14, 2017, and an invoice was created. After the automatic renewal of the billing schedule, the two new renew billing periods are as follows:

  • Existing billing period:
    • October 01, 2017 - November 14, 2017
  • New billing periods:
    • November 01, 2017 - November 30, 2017
    • December 01, 2017 - December 31, 2017

Billing Schedule Example 2

The billing schedule has the following information:

  • Schedule ID: SCH002
  • Billing Start Date: November 15, 2016
  • Billing End Date: November 14, 2017
  • Billing Frequency: Quarterly
  • Before Auto Renew (No Renewal Template ID)

The last billing period is November 01, 2017 - November 14, 2017, and no invoice was created. After the automatic renewal of the billing schedule, the two new renew billing periods are as follows:

  • Existing billing period:
    • August 01, 2017 - October 31, 2017
  • New billing periods:
    • November 01, 2017 - January 31, 2017
    • February 01, 2017 - 4/30, 2017

The last billing period is November 01, 2017 - November 14, 2017, and an invoice was created. After the automatic renewal of the billing schedule, the two new renew billing periods are as follows:

  • Existing billing period:
    • August 01, 2017 - November 14, 2017
  • New billing periods:
    • November 15, 2017 - January 31, 2017
    • February 01, 2017 - 4/30, 2017
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Fixed Term Contract Termination: Examples

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following CRM termination options are matched as follows with corresponding ARCB termination options:

CRM Termination Options Table
CRM Termination Options | ARCB Termination Options
Full Credit | Adj. Schedule
Partial Credit | Adj. Schedule
No Credit | Bill Remaining
Cancel for Collection | Cancel For Collection

Review the following examples to better understand how the contract amounts are affected for a billing schedule that is terminated. These examples are based on the following setting: on the Setup window, Termination Calculation Option is set to Days In Period.

Closed Full Credit

When a billing schedule is terminated, the customer might be entitled to a full credit.

A contract has a frequency of annual (for example, January 01, 2019 to December 31, 2019) with an invoice of 1,200.00 per year. When the contract was created, the ARED recognition schedule was created for 1,200.00. The revenue is recognized up until May 31.

In CRM, the contract is terminated with a Cancellation Effective Date of December 31, 2018 (corresponds with the ARCBTermination Date). In this case, the cancellation date is before the start of the contract, so a full credit is issued to the customer, and the CRM Cancellation Date is June 1 (corresponds with the ARCBTransaction Date).

At the time the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Unbilled Debits Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoice for the billing schedule has the following distributions:
Unbilled Receivables Table
Debit AR | 1,200.00 |
Credit Unbilled Receivable |  | 1,200.00
  • The revenue recognition from January to May is 496.44 (151 days, no leap year)

Revenue Recognition Table
Debit Deferred Revenue Account | 496.44 |
Credit Revenue Recognition Account |  | 496.44

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date: December 31, 2018
  • Cancellation Date: June 1

When the contract is terminated, the following occurs:

  • In ARCB, the sales return for 1,200.00 is created.
Sales Return Table
Debit Unbilled Receivable | 1,200.00 |
Credit AR |  | 1,200.00
  • The return transaction is automatically applied to the outstanding invoices using the FIFO method: first to the contract or schedule, next to the Microsoft Dynamics GP customer ID.
  • In ARED, revenue (496.44) is recognized up to May 31, with the following dates:
    • Termination Date (CRM cancellation effective date) of December 31, 2018
    • Transaction Date (CRM cancellation date) of June 1
  • On June 1, the ARED recognition schedule is adjusted. The transaction date (CRM cancellation date) is June 1, and the transaction is saved in a month-end batch with the date June 01, 2019):
Revenue Table
Debit Revenue Recognition Account | 469.44 |
Credit Deferred Revenue Account |  | 469.44
  • The ARED recognition schedule is terminated from January 1 onwards (full credit):
Recognition Schedule Table
Debit Deferred Revenue | 1,200.00 |
Credit Unbilled Receivables |  | 1,200.00

The account balances are as follows:

Account Balances Table
Deferred Revenue | 0.00
Revenue | 0.00
AR | 1,200.00
Unbilled Receivables | 0.00

The 1,200.00 is applied to outstanding invoices. After the termination, the ARED schedule is as follows:

Closed Partial Credit

When a billing schedule is terminated, the customer might be entitled to a partial credit.

A contract has a frequency of quarterly, with invoices of 300.00 per quarter. When the contract was created, the ARED recognition schedule was created for 1,200.00. The invoice for the first quarter has been created. On June 1, the contract is terminated in CRM with a Cancellation Effective Date of May 31 (end of day). This date is also the ARCB Termination Date.

At the time the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Recognition Schedule Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoices for the billing schedule has the following distributions:

January 1

Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00

April 1

Billing Schedule Table
Debit AR | 300 |
Credit Unbilled Receivable |  | 300
  • The revenue recognition from January to June is 595.07 (based on per day)
    January 31 + February 28 + March 31 + April 30 + May 31 + June 30 = 181 days

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date (ARCB termination date): May 31 (end of day)
  • Cancellation Date (ARCB transaction date): June 1

When the contract is terminated, the following occurs:

A refund based on per day is created:

  • Number of days for the whole contract (contract start date (begin of day) - contract end date (end of day)) = January 01, 2019 - December 31, 2019 = 365 (based on number of days in a year and end date is end of day)
  • Per day amount is 1200/365 = 3.2876
  • Charge for days including the termination date January 01, 2019 - May 31, 2019 = 151 days * 3.2876 = 469.44
  • Refund amount is calculated as follows: Invoiced amount - Charge for days including termination date = 600.00 - 496.44 = 103.56

The sales return is created for 103.56

Sales Return Table
Debit Unbilled Receivables | 103.56 |
Credit AR |  | 103.56
  • The return transaction is automatically applied to the outstanding invoices using the FIFO method: first to the contract or schedule, next to the Microsoft Dynamics GP customer ID.
  • In ARED, revenue (595.07) is recognized up to June 30 (181 days).
    • Cancellation Effective Date (ARED termination date): May 31 (end of day)
    • Cancellation Date (ARED transaction date): June 1
  • On June 1, the ARED recognition schedule is adjusted.

Revenue recognition for June 30 is reversed (1200/365 * 30 days):

Revenue Recognition Table
Debit Revenue Recognition Account | 98.63 |
Credit Deferred Revenue Account |  | 98.63
  • The ARED recognition schedule is terminated from June onwards 1200/365 * 214 days (June 30, Jul 31, August 31, September 30, October 31, November 30, December 31) = 703.56 (reversal of the initial journal entry).
Revenue Recognition Table
Debit Deferred Revenue (remove remaining liability) | 703.56 |
Credit Unbilled Receivables (remove remaining asset) |  | 703.56

The account balances are as follows:

Account Balances Table
Deferred Revenue | 0.00
Revenue | 496.44
AR | 103.56
Unbilled Receivables | 0.00

The 103.56 is applied to outstanding invoices as follows:

Outstanding Invoices Table
Before Termination |  |
 | Debit | Credit
Unbilled Receivable | 1200.00 |
Deferred Revenue Account |  | 1200.00
AR | 600.00 |
Unbilled Receivable |  | 600.00
Recognition Account |  | 595.07
Deferred Revenue Account | 595.07 |
After Termination |  |
 | Debit | Credit
Unbilled Receivable | 103.56 |
AR |  | 103.56
Recognition Account | 98.63 |
Deferred Revenue Account |  | 98.63
Deferred Revenue Account | 703.56 |
Unbilled Receivable |  | 703.56

After the termination, the ARED schedule is as follows:

Closed No Credit

When a billing schedule is terminated, the customer receives no credit.

A contract has a frequency of quarterly, with invoices of 300.00 per quarter. When the contract was created, the ARED recognition schedule was created for 1,200.00. The invoice for the first quarter has been created. On March 20, the contract is terminated in CRM with a Cancellation Effective Date and Cancellation Date of December 31 (no credit). In ARCB the cancellation date and termination date are also December 31.

At the time, the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Recognition Schedule Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoice for the billing schedule for the first period on January 1 has the following distributions:
Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00
  • The revenue recognition from January to March is 295.89 (1200.00/365 * 90 days)

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date (ARCB termination date): December 31 (no credit)
  • Cancellation Date (ARCB transaction date): March 20

When the contract is terminated, the following occurs:

  • In ARCB, a sales invoice for the remaining amount of 900.00 is created:
Sales Invoice Table
Debit AR | 900.00 |
Credit Unbilled Receivables |  | 900.00
  • In ARED, the revenue of 295.89 is recognized up to March 31.
    • Cancellation Effective Date (ARED termination date): December 31 (no credit)
    • Cancellation Date (ARED transaction date): March 20
  • On March 20, the ARED recognition schedule recognizes the remaining revenue: 1200.00/365 * 275 days (April 30, May 31, June 30, Jul 31, August 31, September 30, October 31, November 30, December 31)
Revenue Recognition Table
Debit Deferred Revenue Account | 904.11 |
Credit Revenue Recognition Account |  | 904.11

After the termination, the ARED schedule is as follows:

Closed Cancel for Collection

When a billing schedule is terminated, the outstanding customer balance is written off and canceled for collections.

A contract has a frequency of quarterly, with invoices of 300.00 per quarter. When the contract was created, the ARED recognition schedule was created for 1,200.00. Three sales invoices have been created.

The contract is terminated in CRM with a Cancellation Date of July 10 and a Cancellation Effective Date of July 10. The Cancel for Collection option is used for terminating the contract with the Write Off Account is specified for the billing schedule.

At the time the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Recognition Schedule Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoices for the billing schedule has the following distributions:

January 1 (first period)

Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00

April 1 (second period)

Billing Schdule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00

July 1 (third period)

Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00
  • The revenue recognition from January to July is 696.99 (1200.00/365 * 212 days = 696.99)

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date (ARCB termination date): July 10 (end of day)
  • Cancellation Date (ARCB transaction date): July 10

When the contract is terminated, the following occurs:

  • When a contract is canceled for collection, future invoices are not created.
  • In ARED, revenue of 696.99 up to July 31 is recognized.
  • On July 10, the ARED recognition schedule is adjusted as follows:
    • Revenue that was recognized is reversed for July: 1200/365 * 31
Recognition Schedule Table
Debit Revenue Recognition Account | 101.92 |
Credit Deferred Revenue Account |  | 101.92
  • Revenue recognition is recalculated for 10 days (based on per day) and recognized 1200/365 * 10
Revenue Recognition Table
Debit Revenue Recognition Account | 32.88 |
Credit Deferred Revenue Account |  | 32.88
  • An adjustment for the July period is created on July 10: 101.92 - 32.88 = 69.04
  • The recognition schedule is terminated from July 10 onwards. The total recognized amount in 191 days : 696.99 -101.92 + 32.88 = 627.95
    Adjustment amount = Total amount - Recognized amount = 1200 - 627.95 = 572.05
Recognition Schedule Table
Debit Deferred Revenue Account | 572.05 |
Credit Unbilled Receivables |  | 572.05
  • In ARCB, a sales return is created using the write-off account.
    • Billed 900.00.
    • Paid 600.00.
    • Sales return of 300.00 (900.00 - 600.00) is created to eliminate the outstanding AR for 300.00.
    • Unbilled receivable was 300.00 debit, until a 572.05 credit was added for remaining period termination (1200.00/365 * 174 days) and sales refund debit of 272.05
Sales Return Table
Debit Unbilled Receivables | 272.05 |
Debit Write Off | 27.95 |
Credit AR |  | 300.00

The amounts are applied as follows:

Sales Return Table
Before Termination |  |
 | Debit | Credit
Unbilled Receivable | 1200 |
Deferred Revenue Account |  | 1200
AR | 900 |
Unbilled Receivable |  | 900
Cash | 600 |
AR |  | 600
Recognition Account |  | 696.99
Deferred Revenue Account | 696.99 |
After Termination |  |
 | Debit | Credit
Recognition Account | 101.92 |
Deferred Revenue Account |  | 101.92
Deferred Revenue Account | 32.88 |
Recognition Account |  | 32.88
Deferred Revenue Account | 572.05 |
Unbilled Receivable |  | 572.05
Unbilled Receivable (returns) | 272.05 |
Write-Off | 27.95 |
AR |  | 300

When a contract with a deferrable item is terminated, and the contract includes markdowns, the ARED markdown schedule is terminated and adjustment journal entries are created. The debits and credits are processed in reverse since the schedule becomes an expense schedule and not a revenue schedule. Also, different accounts are used.

See also

Terminating a Billing Schedule: Example

Rental Contract Termination: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Rental Contract Termination: Example

Review the following termination examples for a rental contract where ARED is not used.

A one-year rental contract for a customer is created:

  • Start date: January 15, 2020; End date: January 14, 2021
  • Total amount: 1,200.00
  • Frequency: Monthly
  • Renewal amount: 110.00 (until the customer terminates the contract)

The billing schedule is as follows:

Start Date | End Date | Unit Price
January 15, 2020 | February 14, 2020 | 100.00
February 15, 2020 | March 14, 2020 | 100.00
March 15, 2020 | April 14, 2020 | 100.00
April 15, 2020 | May 14, 2020 | 100.00
May 15, 2020 | June 14, 2020 | 100.00
June 15, 2020 | July 14, 2020 | 100.00
July 15, 2020 | August 14, 2020 | 100.00
August 15, 2020 | September 14, 2020 | 100.00
September 15, 2020 | October 14, 2020 | 100.00
October 15, 2020 | November 14, 2020 | 100.00
November 15, 2020 | December 14, 2020 | 100.00
December 15, 2020 | January 14, 2021 | 110.00
January 15, 2021 | February 14, 2021 | 110.00
February 15, 2021 | March 14, 2021 | 110.00
Closed Terminated Before Start Date(Full Credit Issued)

In CRM, the rental contract cancellation effective date is January 14, 2020. The ARCB termination date is January 14, 2020, which is before the start date (January 15, 2020). As a result, the customer receives a full credit of 1200.00.

Closed Terminated at End of First Year (No Credit Issued)

In CRM, the rental contract cancellation effective date is the end of the first year. The ARCB termination date is January 14, 2021. The first year is billed fully and immediately with the ARCB transaction date of April 03, 2020. As a result, the customer does not receive any credit when the contract is canceled.

Closed Terminated after First Year (No Credit Issued)

After the first year of the rental contract is finished, the contract is on a month-to-month basis. In CRM, the rental contract cancellation effective date is March 14, 2021. The ARCB termination date is March 14, 2021. The invoice for the period March 15, 2021 to April 14, 2021 is not created, and the line for this period is removed from the billing schedule. As a result, the customer does not receive any credit when the contract is canceled.

See also

Terminating a Billing Schedule: Example

Fixed Term Contract Termination: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Issuing a Refund for a Cancelled Contract: Example

In ARCB, a customer who is set up with a contract can cancel the contract and receive a refund. When this occurs, a refund is processed, the contract is terminated, and in some cases, the ARED recognition schedule is updated.

In this example, the customer has received an invoice for the whole period, but the customer cancels the contract before the billing end date. The customer is issued a refund for the remaining amount after the termination date. This functionality affects both ARED and ARCB and is available as of Microsoft Dynamics GP 2015 R2.

The details of the situation are as follows:

  • Contract start date: January 01, 2015
  • Contract end date: December 31, 2015
  • Frequency: Annual

ARCB Actions and Processing

In ARCB, the customer has been invoiced (advanced billing) for the full year, but cancels in March.

The following image shows the schedule before termination in ARCB, invoiced for the whole period from January 01, 2015 - December 31, 2015.

To terminate the contract on March 15, 2015, follow these steps:

  1. On the ARCB Mass Termination Process window, in the scrolling window, set the limit of the range to the TESTREFUND schedule.
  2. In Termination Date, select March 15, 2015, and select Redisplay.
  3. In the scrolling window, review the Refund Amount for the TESTREFUND schedule.

With the termination date of March 15, 2015, March is considered as the full period. For any partial month termination, the whole month is used.

By default the refund is calculated as follows:

Total Amount divided by frequency

  • Monthly Amount 1200.00 / 12 = 100.00
  • Termination date is March 15th (March 15 count as full month)
  • Months to be billed = (Termination date Month – Start Date Month) = (3 – 1 + 1) = 3
  • Amount to be billed = Months to be billed * Monthly Amount (3 * 100.00) = 300.00

Refund Amount = 900.00

When Prorate Daily is selected, the refund is calculated as follows:

  • 1200.00 / 365 = give you daily rate = 3.28
  • (Termination date Minus Start date) = number of days to be billed
  • March 15, 2015 Minus Jan 01, 2015 = 74 days
  • Amount to be billed = 74(days) * 3.28(daily rate) = 243. 28
  • Refund Amount = 1200(original Amount) – 243.28(Amt. to be billed) = 956.71

Refund Amount = 956.71

The amount can be manually changed, but it must be less than or equal to 1200.00

  4. To create the return for the refund amount, select Issue Credit, and select Process.

When the refund is processing the following actions occur in ARCB:

  • The return is created in Microsoft Dynamics GP.

  • The billing schedule is updated with the termination date of March 15, 2015 and a status of Disabled.
  • The Termination Date Audit Header window shows the reason for termination as Refund.

The following image shows how the billing schedule appears in ARCB after a refund is processed.

The return must be manually posted in ARCB, and then the return is applied against the original sales invoice in the Apply window.

After the return is applied, on the ARCB Billing Schedule Maintenance window, the credit memo icon appears on the line. On the Billing Schedule Detail window, when the SOP Number expansion button is selected the credit applied is shown.

Integration with ARED

While this return is processed and then manually posted in ARCB, the following actions occur in ARED:

  • Because the termination date (March 15, 2015) is within the recognized period, the journal entry for the period March 01, 2015 to March 31, 2015 is automatically reversed.
  • A return of 956.71 is automatically applied to the backend.
  • The deferral end date is adjusted to the termination date (March 15, 2015).

Note icon. Note: As of Microsoft Dynamics GP 2015 R2 and 2016 R2, when the Consolidate by Customer option is selected on the ARCB Mass Termination Process window, one return for one billing schedule is created and one return line for all the detail line refund amounts.

You can review the ARED Recognition Schedule Entry window to review the schedule. By default the termination date is the end of the month (for example, March 31, 2015). However, if Prorate Daily on the ARCB Mass Termination Process window is selected, the termination date is the actual termination date (for example, March 15, 2015).

When the Adjustment Amount expansion button is selected, you can view the ARED Applied From Credits window to review the credit applied. In this example, only the March refund amount appears. In an actual live situation, 43.29 would appear as recognized, and the reversal journal entry would only be 56.71.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Support Tier

You can create different levels for support maintenance using the support functionality that is introduced in Microsoft Dynamics GP 2016 RTM.

A company has the following levels of support with the corresponding support and renewal percentages:

  • Unlimited: 40%
  • Gold: 25%
  • Silver: 20%
  • Bronze: 15%
  • End-User: 28%

In the Item Maintenance window, you create an item that has a support and renewal item.

Item: | 128SDRAM | 1000.00
Support Item: | SUPPORT-128SDRAM | 10%
Renewal Item: | RENEW-128SDRAM | 10%

When you enter the sales document on the Sales transaction Entry window, you can use the item as follows:

  1. On the Sales transaction Entry window, create a sales document and add items.
  2. If you use Microsoft Dynamics GP 2016 RTM and earlier, do the following:
    1. When you add the item to the sales document, select the Support/Renewal Item check box.
    2. Select Support/Renewal Process, which opens the Support Renewal Process window.
    3. In Level of Support, select Bronze.
  3. If you use Microsoft Dynamics GP and newer, do the following:
    1. Select Additional > Support/Renewalwhich opens the Preview: Support/Renewal Process window.
    2. In Tier ID, select Bronze.
  4. Select Process.

When you create the invoice, the item SUPPORT-128SDRAM is inserted on the sales invoice. The price is automatically calculated based on the Level of Support selected. If Level of Support is blank, the support percentage from the Item Maintenance window is used.

Tip: If Auto Billing Creation on the Setup window is selected, a renewal billing schedule is automatically created. You can then review the support level information in the Billing Schedule Inquiry window.

See also

Creating Support Tiers

Creating a Quote, Invoice, or Return

Applying a Support Tier to an Item (ARCB build 608 and earlier) (Microsoft Dynamics GP 2015 R2 and earlier)

Applying a Support Tier to an Item (ARCB build 609 and newer) (Microsoft Dynamics GP 2016 R2 - ARCB Build 609) and newer)Support/Renewal Item Workflow (ARCB build 609 and newer)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Managing Advanced Recurring Contract Billing

Typically, a system administrator performs the following tasks in a Microsoft Dynamics GP environment with the software installed:

  • Installing and updating the software
  • Importing data
  • Setting up the software
  • Troubleshooting
  • Creating Reports or Modifying Reports
  • Managing Integrations

For help with any of these items, contact your system administrator.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Advanced Recurring Contract Billing

As an end user, you typically perform the following tasks in a Microsoft Dynamics GP environment with Advanced Recurring Contract Billing installed:

  • Data entry
  • Processing
  • Reporting

These are typical Microsoft Dynamics GP tasks. In addition, you use the custom and alternate windows and reports for Advanced Recurring Contract Billing.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Basic ARCB Setup Workflow

When you set up ARCB, you set up some of the following areas:

  1. On the Setup window, do the following:
    1. Create billing schedule types and set up the default values to use for new billing schedules.
    2. If you use ARED, you can set up the recognition schedule default values.
    3. If needed, create user-defined fields.
  2. On the Site Maintenance window, create sites that you need.
  3. On the Item Type Setup window, create item types.
  4. For item classes that you create or already have, use the Item Class Setup window to set up the ARCB default values that apply to items that belong to the item class.
  5. On the Billing Class Maintenance window, create billing classes to apply to billing schedules.
  6. In advance preparation, you can set up termination codes for when you are ready to terminate billing schedules.
  7. If needed, you can assign kit components on the Item Kit Maintenance window.
  8. If needed, you can set up an item to track work in progress on the Item Maintenance window.
  9. If you use consumption items, create meters and master meters on the Meter Maintenance window.
    If you use master meters, remember to assign meters to the master meter.

After the basic setup is completed, you can create billing schedules.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Schedule Type

The schedule type is commonly used to group schedules for billing selection filtering and for inquiry purposes.

To create a schedule type, follow these steps:

  1. Open the Setup window (Tools > Setup > Adv. Recurring Contract Billing > Setup).
  2. Select the Schedule Type expansion button Expansion Arrow icon., which opens the Schedule Type Setup window.
  3. Specify a unique the Schedule Type name.
  4. Specify a schedule type on each separate line.
  5. When you are finished, select OK.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Default Billing Schedule Values

To set up the default values used in the individual billing schedules, follow these steps:

  1. Open the Setup window (Tools > Setup > Adv. Recurring Contract Billing > Setup).
  2. Select a default Schedule Type. If the schedule type you want does not exist, Closed create a schedule type.
    1. Select the Schedule Type expansion button, which opens the Schedule Type Setup window.
    2. In the Schedule Types list, specify a descriptive name for the schedule type.
    3. Select OK.
  3. Specify a unique Schedule ID Prefix and a Schedule ID Next Number.
  4. In Module Options, select the modules that you have purchased and want to use.
  5. In Billing Schedule Defaults, set the following:
    1. Select the Default Item Type.
    2. Select the Default Billing Frequency.
    3. If Default Billing Frequency is Miscellaneous, you can set the Days to Increment.
    4. Set other options in this section as needed.
  6. If you use support and renewal, set the default values in the Support/Renewal Preferences area.
  7. If you use Advanced Revenue & Expense Deferrals, set the default values in the ARED Options section.
  8. In Invoice Processing, set the following:
    1. Select the Document Type.
    2. Select the Document ID.
    3. If needed, select the Source Document.
      The source document is used for all invoices created from ARCB.
    4. As needed, set up other default options: date restriction, consolidation options, account substitution, and others.
  9. If you use SSRS reports, specify the SSRS Report Server URL.
  10. If you use Microsoft CRM, consider setting up the following areas for integration with Microsoft Dynamics GP:
    1. In the Billing Line area, specify the name of any User-Defined Fields.
    2. In the Invoice Processing area, select the Source Document and Return ID values.
    3. Select the default Bill Distribution Method and the SSRS Formats values. If you do not have any values, select the expansion button to set up values.
  11. Select OK.

See also

Setting Up ARED Recognition Schedule Default Values

Creating a Schedule Type

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up ARED Recognition Schedule Default Values

To set up the ARED recognition schedule default values for a billing schedule line, follow these steps:

  1. Open the Setup window (Tools > Setup > Adv. Recurring Contract Billing > Setup).
  2. In the ARED Options section, do the following:
    1. Set the Default Deferral Frequency.
    2. Select Create Schedule Based on Dates if you want the recognition schedule to be based on the dates set up on the Schedule Line Deferrals window.
    3. Select Create One Schedule if you want only one recognition schedule for all billing periods on the ARCB schedule.

    3. For more information on these options, see the ARCB Setup window description.

  3. Select OK.

Tip: As you work with the billing schedule, you can change the default settings for a billing schedule line on the Schedule Line Deferrals window.

See also

Advanced Revenue & Expense Deferrals Integration Overview

ARED Defaults Setup

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Site

To create a site, follow these steps:

  1. Open the Site Maintenance window (Cards > Inventory > Site).
  2. Follow the instructions as in the Microsoft Dynamics GP documentation for creating a site.
  3. If needed, select an Entity and the Region.

    4. These values are used for account substitution.

  4. Select OK.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Item Type

To create an item type, follow these steps:

  1. Open the Item Type Setup window (Tools > Setup > Adv. Recurring Contract Billing > Item Type Setup).
  2. Specify a unique Type ID.
  3. Select the Item Type.
  4. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Item Class

To create an item class, follow these steps:

  1. Open the Item Class Setup window (Tools > Setup > Inventory > Item Class).
  2. Follow the instructions as in the Microsoft Dynamics GP documentation for creating an item class.
  3. In the ARCB alternate or extra window, if needed, complete the boxes for the following features:
    1. Support/Renewal functionality
    2. Item Pricing Options
    3. Milestone Template
    4. Work in Progress
  4. Select OK.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Billing Class

Available in ARED for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

To create a billing class, follow these steps:

  1. Open the Billing Class Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Class Maintenance).
  2. Specify a unique Billing Class ID and specify a Description.
  3. In the Invoice Creation Date area, do the following:
    1. Select the Calculate From and Calculation Method options.
    2. Depending on the Calculation Method selected, specify Prior Days, After Days, or Days.
  4. Select Save.

Note icon. Note: If you edit an existing billing class, you must select Process to apply the changes to all affected billing schedules.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Discount Code

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

To create a discount code, follow these steps:

  1. Open the Discount Code Maintenance window (Cards > Adv. Recurring Contract Billing > Discount Code Maintenance).
  2. Specify a unique Discount Code and a Description.
  3. Select accounts for the markdown amounts:
    • Markdown Account
    • Markdown Recognition Account
    • Deferred Markdown Account
    • Unbilled Markdown Account
  4. Select Save.

The discount code is applied to an item in a billing schedule on the Billing Schedule Line Price Adjustment Detail window.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating User-Defined Fields

You can create user-defined fields for the Billing Schedule Maintenance and End User Maintenance windows. You use these custom fields to keep track of additional information. User-defined fields do not appear on the invoice.

To create a user-defined field, follow these steps:

  1. Open the ARCB Setup window (Tools > Setup > Adv. Recurring Contract Billing > Setup).
  2. Select User Defined, which opens the User Defined Fields Setup window.
  3. Select the Window Name.
  4. Specify a Field Name and select the Field Type.
  5. Repeat the previous step for each user-defined field you want to add. You can add up to 40 fields.
  6. When you are finished, select OK.

To add data to the user-defined fields, in the Billing Schedule Maintenance and End User Maintenance windows, select User Defined, which opens a window with all the user-defined fields.

The following tables pertain to the user-defined fields in the ARCB Setup window and in the Billing Schedule Maintenance and End User Maintenance windows:

  • BSSI_User_Def_MSTR (B0803000)
  • BSSI_User_Def_LINE (B0803001)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning Kit Components

To assign kit components, follow these steps:

  1. Open the Item Kit Maintenance window (Cards > Inventory > Kits).
  2. Follow the instructions in the Microsoft Dynamics GP documentation for Assiging kit components in Inventory Control.
  3. In Sales Account, select from where the default value of the sales account originates: From Component Item or From Kit Item.
  4. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up an Item to Track Work in Progress

To set up an item to track work in progress revenue, follow these steps:

  1. Open the Item Maintenance window (Cards > Inventory > Item).
  2. Create an item using the instructions in Microsoft Dynamics GP documentation , or open an existing item record.
  3. Select the Track Work In Progress option.
  4. Select Accounts, which opens the Item Account Maintenance and the Item Account Maintenance - Costing windows.
  5. In the Item Account Maintenance window, set up the WIP Account and Unbilled Revenue account, and select OK.
  6. If necessary, in the Item Account Maintenance - Costing window, set up the WIP - Material account, and close the window.
  7. In the Item Maintenance window, select Save.

When you add this item to a billing schedule in the Billing Schedule Maintenance window, the item is set up to track the work in progress revenue. If needed at the line level for the billing schedule, you can edit the WIP Account and the Unbiled Revenue Account numbers.

After the item is set up to track the work in progress revenue, the next step is to process the journal entry to set up the WIP amount in the General Ledger.

See also

WIP Tracked Items - Distributions Breakdown

Adding a Item to a Billing Schedule that Tracks Work in Progress Revenue

Creating a Journal Entry for a Work in Progress Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Meter

To create a meter, follow these steps:

  1. Open the Meter Maintenance window (Cards > Adv. Recurring Contract Billing > Meter Maintenance).
  2. Specify the Meter Number and Meter Name.
  3. If the meter you are creating is a master meter, do the following:
    1. Select Master Meter.
    2. Select the Master Meter Item Number.
  4. Select Save.

See also

Importing Meters, Master Meters, and Master Meter Relationships

Assigning a Meter to a Master Meter

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Meter to a Master Meter

Master Meters are used to consolidate multiple meters or consumption quantities into a single invoicing line. To assign a meter to a master meter, follow these steps:

  1. Open the Master Meter Maintenance window (Cards > Adv. Recurring Contract Billing > Master Meter Maintenance).
  2. Select the Master Meter Number.
  3. In the list view, select the Meter Number.
  4. Repeat the previous step to add more meters.
  5. Select Save.

See also

Creating a Meter

Importing Meters, Master Meters, and Master Meter Relationships

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up a Termination ID

To set up a termination ID, follow these steps:

  1. Open the Termination Maintenance window (Cards > Adv. Recurring Contract Billing > Termination Maintenance).
  2. Specify a unique Termination ID and Description.
  3. Select Save.

See also

Terminating a Billing Schedule

Terminating a Billing Schedule Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customizing List View Settings

Available as of Microsoft Dynamics GP 2016 R2.

You can customize the columns that appear in the list view for the following windows:

  • Billing Schedule Inquiry
  • Billing Schedule Line Inquiry
  • Billing Schedule Line Detail Inquiry
  • Billing Schedule Price Adjustment Line Detail Inquiry
  • Invoice Creator (available in ARCB build 702 and newer)

To customize the columns that appear in the list view of a window, follow these steps:

  1. Open the User Preference window from one of the windows prior to these steps.
  2. For each Column Name, select or clear the Display check box to show or hide the column from the list view.
  3. Select the line for the Column Name and select an arrow button to move the column up or down or to the top or to the bottom of the list.

    4. Repeat this step for each Column Name that you want to move up or down.

  4. In Sort By, select the default sort order of the list view.
  5. To save the list view setting, select OK.

    6. Tip: You can revert to the original default column order by selecting Default.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Report Writer

You can add information to reports using the Report Writer function:

  • Adding Billing Dates to Third-Party Reports
  • Adding the Billing Schedule ID and Billing Dates to a Report
  • Adding Price Adjustment Data to a Report

See also

SSRS Reports and Advanced Recurring Contract Billing

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding Billing Dates to Third-Party Reports

The following steps provide information on how to use a Report Writer function for calling a calculated field to print the billing start and end dates on third-party reports.

Note icon. Note: For best results, only a qualified Microsoft Dynamics GP consultant or system administrator who is proficient in using Microsoft Dynamics GP Report Writer should modify the Microsoft Dynamics GP reports or the ARCB alternate reports. For information on how to modify reports and add new calculated fields, see the Microsoft Dynamics GP documentation on Report Writer.

Calculated fields can be created by calling the rw_TableHeaderString function to obtain the billing start and end dates for many of the transaction records. The calculated field returns a string type. This function is found under User‑Defined and System.

To use a calculated field to obtain the billing start and end dates for an SOP Blank Invoice document (Header), follow these steps:

  1. Open Report Writer (Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports, which opens the Report Writer window.
  4. In Modified Reports, select the report you want to modify, and select Open.
  5. Select Layout, which opens the Report Layout, Toolbox, and Properties windows.
  6. In the Toolbox window, select the Layout tab.
  7. In the Layout tab, from the list box, select Calculated Fields.
  8. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  9. Create a calculated field for the billing start date:
    1. Specify a Name for the billing start date, for example, BSSI_Billing_StartDate.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableHeaderString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186, and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Work.
      2. In Field, select SOP Number, and select Add.
      3. In Resources, select Sales Transaction Work.
      4. In Field, select SOP Type, and select Add.
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 1, and select Add.
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Header section of the Report Layout window.
  10. Select New, and create a calculated field for the billing end date in the Calculated Field Definition window:
    1. Specify a Name for the billing end date, for example, BSSI_Billing_EndDate.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableHeaderString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186, and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Work.
      2. In Field, select SOP Number, and select Add.
      3. In Resources, select Sales Transaction Work.
      4. In Field, select SOP Type, and select Add.
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 2, and select Add.
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Header section of the Report Layout window.
  11. Select New, and create a calculated field for the end user ID in the Calculated Field Definition window:
    1. Specify a Name for the billing end date, for example, BSSI_EndUser_Name.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableHeaderString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186, and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Work.
      2. In Field, select SOP Number, and select Add.
      3. In Resources, select Sales Transaction Work.
      4. In Field, select SOP Type, and select Add.
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 3, and select Add.
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Header section of the Report Layout window.
  12. Save the report and return to Microsoft Dynamics GP to add security to the modified report.

See also

Adding the Billing Schedule ID and Billing Dates to a Report

Adding Price Adjustment Data to a Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding the Billing Schedule ID and Billing Dates to a Report

The following steps provide information on how to use a Report Writer function for calling a calculated field to print the billing schedule ID data for third-party reports.

Note icon. Note: For best results, only a qualified Microsoft Dynamics GP consultant or system administrator who is proficient in using Microsoft Dynamics GP Report Writer should modify the Microsoft Dynamics GP reports or the ARCB alternate reports. For information on how to modify reports and add new calculated fields, see the Microsoft Dynamics GP documentation on Report Writer.

Calculated fields can be created by calling the rw_TableLineString function to obtain the billing schedule ID for many of the transaction records. The calculated field returns a string type. This function is found under User‑Defined and System.

To use a calculated field to obtain the billing schedule ID for an SOP Blank Invoice document, follow these steps:

  1. Open Report Writer (Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports, which opens the Report Writer window.
  4. In Modified Reports, select the report you want to modify, and select Open.
  5. Select Layout, which opens the Report Layout, Toolbox, and Properties windows.
  6. In the Toolbox window, select the Layout tab.
  7. In the Layout tab, from the list box, select Calculated Fields.
  8. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  9. Create a calculated field named BSSI_Line_Sequence:
    1. In Name, type BSSI_Line_Sequence.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Line Item Sequence, and select Add.
    4. Select OK.
  10. Select New, and create a calculated field named BSSI_Comp_Line:
    1. In Name, type BSSI_Comp_Line.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Component Sequence, and select Add.
    4. Select OK.
  11. Select New, and create a calculated field named BSSI_Billing_Schedule_ID:
    1. In Name, type BSSI_Billing_Schedule_ID.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableLineString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186 , and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select SOP Number, and select Add.
      3. In Resources, select Calculated Fields.
      4. In Field, select BSSI_Comp_Line, and select Add.
      5. In Field, select BSSI_Line_Sequence, and select Add.
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 1, and select Add
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Line of the Report Layout window.
  12. Save the report and return to Microsoft Dynamics GP to add security to the modified report .

Adding the Billing Start and End Dates

To use a calculated field to obtain the billing start and end dates for an SOP Blank Invoice document (Line), follow these steps:

  1. Open Report Writer (Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports, which opens the Report Writer window.
  4. In Modified Reports, select the report you want to modify, and select Open.
  5. Select Layout, which opens the Report Layout, Toolbox, and Properties windows.
  6. In the Toolbox window, select the Layout tab.
  7. In the Layout tab, from the list box, select Calculated Fields.
  8. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  9. Create a calculated field named BSSI_Line_Sequence:
    If this field already exists, skip this step.
    1. In Name, type BSSI_Line_Sequence.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Line Item Sequence, and select Add.
    4. Select OK.
  10. Select New, and create a calculated field named BSSI_Comp_Line:
    If this field already exists, skip this step.
    1. In Name, type BSSI_Comp_Line.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Component Sequence, and select Add.
    4. Select OK.
  11. Select New, and create a calculated field for the billing start date in the Calculated Field Definition window:
    1. Specify a Name for the billing start date, for example, BSSI_Billing_StartDate.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableLineString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186, and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select SOP Number, and select Add.
      3. In Field, select SOP Type, and select Add.
      4. In Resources, select Calculated Fields.
      5. In Field, select BSSI_Comp_Line, and select Add.
      6. In Field, select BSSI_Line_Sequence, and select Add
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 4, and select Add.
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Line of the Report Layout window.
  12. Select New, and create a calculated field for the billing start end in the Calculated Field Definition window:
    1. Specify a Name for the billing end date, for example, BSSI_Billing_EndDate.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableLineString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186, and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select SOP Number, and select Add.
      3. In Field, select SOP Type, and select Add.
      4. In Resources, select Calculated Fields.
      5. In Field, select BSSI_Comp_Line, and select Add.
      6. In Field, select BSSI_Line_Sequence, and select Add
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5, and select Add.
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Line of the Report Layout window.
  13. Save the report and return to Microsoft Dynamics GP to add security to the modified report .

Adding the Billing Period

To use a calculated field to obtain the billing period for an SOP Blank Invoice document (Line), follow these steps:

  1. Open Report Writer (Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports, which opens the Report Writer window.
  4. In Modified Reports, select the report you want to modify, and select Open.
  5. Select Layout, which opens the Report Layout, Toolbox, and Properties windows.
  6. In the Toolbox window, select the Layout tab.
  7. In the Layout tab, from the list box, select Calculated Fields.
  8. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  9. Create a calculated field named BSSI_Line_Sequence:
    If this field already exists, skip this step.
    1. In Name, type BSSI_Line_Sequence.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Line Item Sequence, and select Add.
    4. Select OK.
  10. Select New, and create a calculated field named BSSI_Comp_Line:
    If this field already exists, skip this step.
    1. In Name, type BSSI_Comp_Line.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Component Sequence, and select Add.
    4. Select OK.
  11. Select New, and create a calculated field for the billing period in the Calculated Field Definition window:
    1. Specify a Name for the billing period, for example, BSSI_Billing_Period.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableLineString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186, and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select SOP Number, and select Add.
      3. In Field, select SOP Type, and select Add.
      4. In Resources, select Calculated Fields.
      5. In Field, select BSSI_Comp_Line, and select Add.
      6. In Field, select BSSI_Line_Sequence, and select Add
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 8, and select Add.
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Line of the Report Layout window.
  12. Save the report and return to Microsoft Dynamics GP to add security to the modified report.

See also

Adding Billing Dates to Third-Party Reports

Adding Price Adjustment Data to a Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding Price Adjustment Data to a Report

The following steps provide information on how to use a Report Writer function for calling a calculated field to print the price adjustment data for third-party reports: Base Amount, CPI increase, Percentage Increase, Amount Increase, New Rate, CPI Index Previous, CPI Index Current, Percentage Value, and Billing Frequency.

Note icon. Note: For best results, only a qualified Microsoft Dynamics GP consultant or system administrator who is proficient in using Microsoft Dynamics GP Report Writer should modify the Microsoft Dynamics GP reports or the ARCB alternate reports. For information on how to modify reports and add new calculated fields, see the Microsoft Dynamics GP documentation on Report Writer.

Calculated fields can be created by calling the rw_TableLineString function to obtain the billing schedule ID for many of the transaction records. The calculated field returns a string type. This function is found under User‑Defined and System.

To use a calculated field to obtain the base amount for an SOP Blank Invoice document, follow these steps:

  1. Open Report Writer (Tools > Customize > Report Writer).
  2. In Product, select Microsoft Dynamics GP, and select OK.
  3. Select Reports, which opens the Report Writer window.
  4. In Modified Reports, select the report you want to modify, and select Open.
  5. Select Layout, which opens the Report Layout, Toolbox, and Properties windows.
  6. In the Toolbox window, select the Layout tab.
  7. In the Layout tab, from the list box, select Calculated Fields.
  8. Select New, which opens the Calculated Field Definition window, where you create a calculated field.
  9. Create a calculated field named BSSI_Line_Sequence:
    1. In Name, type BSSI_Line_Sequence.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Line Item Sequence, and select Add.
    4. Select OK.
  10. Select New, and create a calculated field named BSSI_Comp_Line:
    1. In Name, type BSSI_Comp_Line.
    2. In Result Type, select Currency.
    3. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select Component Sequence, and select Add.
    4. Select OK.
  11. Select New, and create a calculated field named BSSI_Base_Amount:
    1. In Name, type BSSI_Base_Amount.
    2. For Result Type, select String.
    3. Select the Functions tab:
      1. Select User-Defined.
      2. In Core, select System.
      3. In Function, select rw_TableLineString, and select Add.
    4. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 5186 , and select Add.
      3. In Type, select String.
      4. In Constant, type SOP, and select Add.
    5. Select the Fields tab:
      1. In Resources, select Sales Transaction Amounts Work.
      2. In Field, select SOP Number, and select Add.
      3. In Field, select SOP Type, and select Add.
      4. In Resources, select Calculated Fields.
      5. In Field, select BSSI_Comp_Line, and select Add.
      6. In Field, select BSSI_Line_Sequence, and select Add.
    6. Select the Constants tab:
      1. In Type, select Integer.
      2. In Constant, type 9, and select Add
    7. Select OK.
    8. In the Toolbox window, select the calculated field you just created, and drag it to the Report Line of the Report Layout window.
  12. Repeat the previous step to add the other fields: CPI increase, Percentage Increase, Amount Increase, New Rate, CPI Index Previous, CPI Index Current, Percentage Value, and Billing Frequency.
    For step 11-f, use the information on the following tables:
Field Name | Constant
BSSI_CPI_Increase | 10
BSSI_%_Increase | 11
BSSI_Amount_Increase | 12
BSSI_New_Rate | 13
BSSI_CPI_Index_Previous | 14
BSSI_CPI_Index_Current | 15
BSSI_%_Value | 16
BSSI_Billing_Frequency | 17

For tier pricing data and auto renewal

Field Name | Constant
Schedule Dates (before auto renewal) | 18
Tier Pricing Data | 19
Tier Comments | 6
Min/Max Qty/Amount | 7
Additional fields:
Meter Number | 20
Meter Description | 21
Billing Line Comment | 33
Comment 1 | 22
Comment 2 | 23
  13. Save the report and return to Microsoft Dynamics GP to add security to the modified report.

See also

Adding Billing Dates to Third-Party Reports

Adding the Billing Schedule ID and Billing Dates to a Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SSRS Reports and Advanced Recurring Contract Billing

When you use Microsoft’s SQL Server Reporting Services (SSRS) with ARCB, ensure that you set up the Microsoft Dynamics GP SSRS reports before you install the ARCB SSRS reports.

Note icon. Note: Microsoft Dynamics GP and ARCB SSRS reports are compatible with SSRS 2008 R2 or newer only.

When setting up the ARCB SSRS reports, you perform the following activities:

  1. Checking that all prerequisite activities are completed.
  2. Setting Up the Microsoft Dynamics GP SSRS Reports
  3. Deploying ARCB SSRS Reports within Windows
  4. Mapping Microsoft Dynamics GP and Windows Users

See also

Troubleshooting: Maximum Request Length Error During GP SSRS Report Deployment

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Recurring Contract Billing SSRS Prerequisite Activities

Before you install and configure the ARCB SSRS Reports, ensure that you have completed the following prerequisites activities:

  1. Installed Microsoft’s SQL Server Reporting Services (SSRS).
    Note icon. Note: Microsoft Dynamics GP and ARCB SSRS reports are compatible with SSRS 2008 R2 or newer only. For more information, see Microsoft’s SQL Server Reporting Services Guide for Microsoft Dynamics GP.
  2. Installed and configured the Microsoft Dynamics GP SSRS reports.
    For more information, see Microsoft’s SQL Server Reporting Services Guide for Microsoft Dynamics GP.
  3. Ran one or more of the Microsoft Dynamics GP SSRS reports to check that your Microsoft Dynamics GP SSRS configuration works as expected.
    By performing this test first, troubleshooting issues that you might experience when installing and running the ARCB SSRS reports will be easier.

See also

SSRS Reports and Advanced Recurring Contract Billing

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting up the Microsoft Dynamics GP SSRS Reports

When you use Microsoft’s SQL Server Reporting Services (SSRS) with ARCB, ensure that you set up the Microsoft Dynamics GP SSRS reports before you install the ARCB SSRS reports.

Note icon. Note: Microsoft Dynamics GP and ARCB SSRS reports are compatible with SSRS 2008 R2 or newer only.

To set up the Microsoft Dynamics GP SSRS reports, follow these steps:

  1. Start Microsoft Dynamics GP and log on as the system administrator (sa).
  2. Open the Reporting Tools Setup window (Tools > Setup > System > Reporting Tools Setup).
  3. If you are asked for your password, type your password and select OK.
  4. In Report Server Mode, select Native.
  5. In Report Server URL and Report Manager URL, specify the location of the servers.
    If you do not have the information, ask your SSRS administrator for these values.
  6. Under Reporting Services and Excel Reports Deployment Status, in the Deployment Options tree view, select the company (or companies) in which you want to use the Microsoft Dynamics GP SSRS reports.
  7. Select Deploy Reports.

Note icon. Note: If you see the following message after you select Deploy Reports, resolve the error using the instructions in Troubleshooting: Maximum Request Length Error During GP SSRS Report Deployment:

The deployment has exceeded the maximum request length allowed by the target server. Set maxRequestLength="20690" in the web.config file and try deploying again.

For more information on setting up the Microsoft Dynamics GP SSRS reports, see Microsoft’s SQL Server Reporting Services Guide for Microsoft Dynamics GP.

See also

Deploying ARCB SSRS Reports

Mapping Microsoft Dynamics GP and Windows Users for MEM

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deploying ARCB SSRS Reports

To deploy the ARCB SSRS reports, you must run the ARCB deployment wizard on your report server in the system where Microsoft Dynamics GP, and ARCB are installed.

To deploy the ARCB-SSRS reports in the system, follow these steps:

  1. From the Binary Stream Portal (https://portal.binarystream.com/) External link, download the following installation files:
    • ARCB-SSRS_Install_GP<version>_BLDNumber_YYYYMMDD.zip
    • InstallGuide_ARCB-SSRSReports_GP<version>_YYYYMMDD.pdf (BSSI installation guide)
  2. Extract the files from ARCB-SSRS_Install_GP<version>_BLDNumber_YYYYMMDD.zip.
  3. Double-click the extracted ARCB Deployment Wizard.exe file.
  4. On the Welcome page of the wizard, select Next.
  5. On the Connect to Database Server page, enter the following information, and select Next:
    • In Microsoft Dynamics GP server, enter the SQL Server instance where you installed Microsoft Dynamics GP.
    • In SQL log on credentials, specify the logon credentials for the system administrator (sa).
      Also, select the System Database. The default is DYNAMICS.
    • In Report Server URL, specify the location of the server on which you want to deploy the reports.

  6. Complete the Select Company and Module page as follows, and select Next:
    1. The company where ARCB is installed is automatically selected.
    2. Select the ARCB SSRS reports that you want to deploy.
      The reports are grouped by module, and by default, all reports in all modules are selected.
      If Multi-Entity Management is installed and used, ARCB SSRS reports are integrated.

  7. Select Finish

    8. The ARCB SSRS reports deployment process starts and can take several minutes to run. During this time, a progress window appears.

  8. In a web browser, specify the report server URL in the address box.
    The ARCB folder is created within each company ARCB folder, and the modified ARCB reports are deployed into the folders.

See also

Setting up the Microsoft Dynamics GP SSRS Reports

Mapping Microsoft Dynamics GP and Windows Users for MEM

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mapping Microsoft Dynamics GP and Windows Users for MEM

If Multi-Entity Management (MEM) is installed and used, you must map Windows users to a Microsoft Dynamics GP user that has access to the MEM entities that you need:

  1. Get a list of Windows users who have access to the report server:
    1. In a web browser, open your SSRS Report Manager URL.
    2. On the home area page, select Site Settings.
    3. On the Site Settings page, select Security.

A list of the Windows users who have access to your report server appears. For more information on adding a Windows user to your report server, see Microsoft’s SQL Server Reporting Services Guide for Microsoft Dynamics GP.

  2. Start Microsoft Dynamics GP and log on as the system administrator (sa).
  3. In MEM, open the GP-Windows User Mapping window (Tools > Setup > Multi-Entity Management > SSRS > Windows-GP Users Mapping).
  4. For each user you want to map, complete the window as follows:
    • Select the GP User ID and link it to the Windows User ID.
      For example, map the Microsoft Dynamics GP user sa to the Windows user XYZ. When user XYZ runs the report, the report contains data for the same entities that the sa users has access.

    Note icon. Note: The mapping of the Microsoft Dynamics GP user name to a Windows User ID is case-sensitive when case-sensitive collation is used on the SQL Server instance (for example, Latin1_General_BIN). So when you enter the Windows User ID, the case of the domain name and Windows user ID must match. If the correct case is not used, no entities appear in the Entity list on the report options window for each ARCB SSRS report.

    Closed You can find out the case used for the domain and Windows user ID from a Command Prompt or from the Control Panel.

    • Open the Command Prompt, and specify the following commands:
      • echo %userdomain%
      • echo %username%

    • Open the Command Prompt, and run the command set. in the results look for USERDOMAIN and USERNAME

    • Open the Control Panel, select User Accounts.

  5. When you are finished mapping Microsoft Dynamics GP users to Windows users, select OK.

For more information about the GP-Windows User Mapping window, see the Multi-Entity Management documentation.

See also

Setting up the Microsoft Dynamics GP SSRS Reports

Deploying ARCB SSRS Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: Maximum Request Length Error During GP SSRS Report Deployment

During the GP SSRS reports setup, and after you selected Deploy Reports, you might see the following message:

The deployment has exceeded the maximum request length allowed by the target server. Set maxRequestLength="20690" in the web.config file and try deploying again.

Resolution

To resolve this issue, follow these steps:

  1. Open the File Explorer, and find the configuration file for the SSRS server (web.config).
    You can usually find this file in a location similar to: C:\Program Files\Microsoft SQL Server\MSSQLSERVER\Reporting Services\ReportServer
    If you cannot find the file, contact your SSRS administrator for assistance.
  2. Make a backup copy of web.config file.
  3. Open the web.config file in a text editor, such as Notepad.
  4. Find the httpRuntime element.

  5. When you find the httpRuntime element, add the attribute maxRequestLength="20690", and save your changes.

  6. If IIS is installed on the SSRS Server computer, start a Command Prompt, and run the command iisreset.
  7. If IIS is not installed and you are running SSRS in Native Mode on the SSRS Server computer, restart the SQL Server Reporting Services service.
  8. In Microsoft Dynamics GP, deploy the reports again by selecting Deploy Reports.

If the issue has not been resolved and you still need assistance, see Microsoft’s SQL Server Reporting Services Guide for Microsoft Dynamics GP or contact Microsoft Dynamics GP Support.

See also

Setting up the Microsoft Dynamics GP SSRS Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Limitations for SSRS Reports

Before you contact Binary Stream for technical support for SSRS Reports, please be advised of the following limitations:

  • If you require support for installing, configuring, and using Microsoft’s SQL Server Reporting Services (SSRS), contact Microsoft Dynamics GP Support.
  • If you require support for installing, configuring and using Microsoft’s SSRS reports for Microsoft Dynamics GP, see the Microsoft SQL Server Reporting Services Guide for Microsoft Dynamics GP or contact Microsoft Dynamics GP Support.

Billable Service

If you require extra service for your software implementation, Binary Stream can provide billable support for extra activities, such as designing or customizing your SSRS reports to work with ARCB.

If you require support with designing or customizing your SSRS reports to work with ARCB, contact Professional Services for pricing information.

See also

Advanced Recurring Contract Billing SSRS Prerequisite Activities

SSRS Reports and Advanced Recurring Contract Billing

Troubleshooting: Maximum Request Length Error During GP SSRS Report Deployment

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Data Import Workflow

When you import billing schedule and meter data from previous program, you can import the data in one of the following formats:

  • CSV file
  • XML file
  • Data Connection

CSV File

  • To import billing schedule data, use the Schedule Import window.
  • To import meter reading data, use the Meter Reading Import window.

XML File or Data Connection

When you import billing schedule and meter data from an XML file or data connection, follow this general workflow:

  1. On the Setup window, if you want to import the data using data connection, select Enable Data Connection Import.
  2. Use the Schedule Import - Connection Setup window to set up the database for billing schedules and meter imports.
  3. To import billing schedule data, use the Schedule Import window.
  4. To import meter data, use the Meter Import window.
    You can access the Meter Import window from the Meter Maintenance window.

After you import the data, you can work with the billing schedules in ARCB. If needed, you can align the billing schedules for a single customer to a particular date.

In addition to importing billing schedule and meter data , you can import the Consumer Price Index (CPI), which is used to help determine the price adjustment.

See also

Schedule Import: Data Connection Column Mappings

Importing Data: CSV File Formats

Importing a Billing Schedule Information

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing a Billing Schedule Information

To import a billing schedule information, follow these steps:

  1. Open the Schedule Import window (Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import).
  2. Select the source of the data: CSV File, XML File, or Data Connection.
  3. As needed, select any of the check box options:
    • First Row is Column Names
    • Allow Non-Inventory Items
    • Ignore line sequence number in the file
    • Validate Deferral Dates
    • Terminate Schedule
  4. If the data source is XML File, type or browse to the path of the source in the XML/Data Connection box.
  5. If the data source is Data Connection, type or browse to the path for where you want to save the XML file after the data is imported.
  6. If the data source is CSV File, as needed navigate to the source data for the following boxes:
    • Schedule Header
    • Schedule Line
    • User Defined Fields
    • Sales User-Defined Fields
    • Kits
    • Price Adjustment Line
    • Termination Header
    • Termination Line
  7. For any data source, as needed navigate to the source data for the following boxes:
    • Revenue Allocation Header
    • Revenue Allocation Line
    • Percentage of an Item
  8. Select Process.

See also

Schedule Import: Data Connection Column Mappings

Importing Data: CSV File Formats

Import Meter Reading Data

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Meter Reading Data

To import meter reading data, follow these steps:

  1. Open the Meter Reading Import window (Tools > Utilities > Adv. Recurring Contract Billing > Meter Reading Import).
  2. If the first row of the source file is header information, select First Row is Column Headings.
  3. Type or navigate to the File Path of the data source.
  4. Select Process.

As of Microsoft Dynamics GP 2016 R2, when you import existing records, the unit of measure specified in the import file is automatically converted to the unit of measure for the billing schedule line. Also, the price is converted accordingly based on the unit of measure on the billing schedule line. For more information, see Importing and Converting Consumption Amounts: Example.

For the conversion to work as expected, the following must already be setup:

  • The relationships between the different unit of measures for the item on the Unit of Measure Schedule Setup window.
  • The unit of measure and price combination on the Item Price List Maintenance window.

Note icon. Note: If this information is not set up, the data is not imported and an error appears on the log report.

See also

Importing a Billing Schedule Information

Importing Data: CSV File Formats

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Meters, Master Meters, and Master Meter Relationships

To import meters, master meters, and master meter relationships, follow these steps:

  1. If you want to import meter data through the data connection, on the Setup window, select Enable Data Connection Import.
  2. Open the Meter Import window (Cards > Adv. Recurring Contract Billing > Meter Maintenance > Import button).
  3. Select the Import Option for the meter data.
    The data can be from an XML file or a data connection.
  4. In File Location, type or navigate to the file location of the data source.
    If you import an XML File, ensure that the CSV file satisfies the required format for meter data.
  5. Select Process, which imports all meters, master meters, and creates relationships between the master meters and meters (based on the data source).

After the meters and master meters are imported, you can review the data in the Meter Maintenance and Master Meter Maintenance windows.

See also

Creating a Meter

Assigning a Meter to a Master Meter

Schedule Import: Data Connection Column Mappings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing the Consumer Price Index (CPI) Schedule

To import the CPI schedule, follow these steps:

  1. Go to the Bureau of Labor Statistics website (www.bls.gov/schedule/archives/cpi_nr.htm) [image], and download the CPI schedule file you want.
    Note icon. Note: You might have to edit the file so that it is in the required format for importing a CPI file. For more information on the file format, see the CPI Import window description.
  2. Open the CPI Schedule Maintenance window.
  3. Select the CPI Schedule ID to which you want to import the file.
  4. Select Import, which opens the CPI Import window.
  5. Specify the File Path for the file you want to import.
  6. If the first row of the file has heading, select First Row is Column Headings.
  7. Select Process.
  8. After the import is finished, close the CPI Import window, and return to the CPI Schedule Maintenance window.
  9. Select Process, which updates the billing schedules that use this CPI schedule.

Note icon. Note: When you import an existing CPI schedule, updates are only applied to uninvoiced billing line items. Invoice adjustments do not occur.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Aligning Billing Schedules to a Particular Date

You can align the date of a single billing schedule or the dates of several billing schedules for a particular customer. For each case, you use a different window.

To align a single billing schedule, follow these steps:

  1. On the Billing Schedule Maintenance window, and select Alignment.
  2. In the Alignment window, specify the date to which you want to align the billing schedule.
  3. Select Process.

To align multiple billing schedules for a single customer to a particular date, follow these steps:

  1. Open the Align Billing Schedule Utility (Tools > Utilities > Adv. Recurring Contract Billing > Align Billing Schedule Utility).
  2. Select the Customer Number you want.
  3. Select Redisplay.

    4. All active billing schedules for the selected customer appear in the scrolling window.

  4. Select the Alignment Date you want to use for the billing schedules.
  5. In the scrolling window, select the schedules that you want to align to the same date.

  6. Select Process.

See also

Alignment - Annual Billing Frequency: Example

Alignment - Quarterly Billing Frequency: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer - End User Workflow

To create links between customers and end users, follow this general workflow:

  1. On the End User Maintenance window, create an end user.
  2. On the Customer Maintenance window, use the instructions in Microsoft Dynamics GP to create a customer.
  3. From the Customer Maintenance window, you can open the Customer End User Maintenance window to associate an end user to the customer.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an End User

To create an end user, follow these steps:

  1. Open the End User Maintenance window (Cards > Adv. Recurring Contract Billing > End User).
  2. Specify a unique End User ID.
  3. Specify the Name and all contact information for the end user ID.
  4. If any user-defined fields have been created, select User-Defined, which opens the User Defined Fields Entry window.
  5. Enter information in the User Defined Fields Entry window as needed, and select OK.
  6. When you return to the End User Maintenance window, select Save.

After you have created the end user records, you can associate the record to a customer ID.

See also

Associating an End User to a Customer ID

Transferring an End User from one Customer ID to a Different Customer ID

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Associating an End User to a Customer ID

To associate an end user record to a customer ID, follow these steps:

  1. Open the Customer End User Maintenance window (Cards > Adv. Recurring Contract Billing > Customer - End User).
  2. Select a Customer ID.

    3. To create a customer ID, follow the steps in the Microsoft Dynamics GP documentation for Adding a customer card.

  3. In the End User list view, for each line select the End User ID.
  4. Repeat the previous step to add more end users.

    5. Note icon. Note: Only one end user can be associated with one customer ID. However, one customer ID can be associated with several end users.

  5. Select Save.

See also

Creating an End User

Transferring an End User from one Customer ID to a Different Customer ID

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Transferring an End User from one Customer ID to a Different Customer ID

To transfer an end user from one customer ID to a different customer ID, follow these steps:

  1. Open the Transfer End User Utility window (Tools > Utilities > Adv. Recurring Contract Billing > Transfer End User).
  2. Select the End User ID.
  3. Select the New Customer ID.
  4. Select Process.

See also

Creating an End User

Associating an End User to a Customer ID

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up the SQL Server Connection

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

To set up the connection to the SQL server computer, follow these steps:

  1. Open the SQL Connection String window.
  2. Specify the Connection String.
  3. To see the connection string without any data encryption, select the Display check box.
  4. To check that the connection string is correct, select Test Connection.
    If the connection does not work, check the connection string, and select Test Connection again.
  5. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the ARCB custom menus from the ARCB area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Standard Billing Schedule Workflow

Use this general workflow to work with billing schedules:

  1. On the Billing Schedule Maintenance window, create a billing schedule.
  2. While on the Billing Schedule Maintenance window, you can also perform the following actions to the whole billing schedule:
    1. Select Alignment to align the billing schedule to a specified date.
    2. Select Copy to copy the billing schedule settings to a new billing schedule.
    3. In the scrolling window, add an item to the billing schedule.
    4. Select Price Adjustment to specify the price adjustment details for the billing schedule.
    5. Select Invoice Preview to view a preview the invoice for the billing schedule.
  3. When the billing schedule is ready, you can create invoices:
    1. On the Billing Schedule Maintenance window, select Invoice Preview to view a preview the invoice for the billing schedule.
    2. On the Invoice Creator window, create the invoice for the billing schedule.

As you work with the billing schedule, you can perform the following actions to the whole billing schedule on the Billing Schedule Maintenance window:

  • Put a hold on or remove a hold from the billing schedule.
  • Terminate the billing schedule.

While on the Billing Schedule Maintenance window, you can also perform the following actions to a specific billing schedule line item:

  • Put a hold on or remove a hold from a line item.
  • Terminate a line item.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Billing Schedule

To create a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select the Schedule Type.
  3. If you use Multiple Element Revenue Allocation, select the MEA Type.
    Available as of Microsoft Dynamics GP 2016 RTM.
  4. The Schedule ID has a default value based on the Setup window. You can change the schedule ID if needed.
  5. Specify the Schedule Description.
  6. Select a Customer Number.
    The Customer Name and Currency ID are automatically entered based on the Customer Number.
  7. Select a Location.
  8. The Invoice ID has a default value based on the Setup window. You can change the schedule ID if needed.
    1. If you want the invoice to be aligned with the start and end dates of the calendar months, leave the Disable Calendar Billing check box cleared.
    2. If the first and last billing periods are not a full billing period, select Prorate Amount, which adjusts the amount that appears on the invoice for the first and last billing period. This functionality is not available when Billing Frequency is One Time.
  9. Select a Billing Frequency, and then select a Billing Start Date and the Occurrence
    The Billing End Date is calculated based on these values.
  10. The Return ID has a default value based on the Setup window. You can change it if needed. Available in ARED for Microsoft Dynamics GP 2018 R2 (build 706 and newer).
  11. Complete the remaining boxes in the header as needed.
  12. To set up contract and billing distribution options, select Options, which opens the Contract and Billing Distribution Options window. On this window, you can specify the SSRS format, billing distribution method, and a short name for the billing schedule.

    13. This window is available in ARED for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

  13. In the scrolling window, for each line:
    1. Select an Item Number.
      The data for the line item is based on the Item Maintenance window.
    2. Select the Item Type.
      When you change the item type, the quantity or consumption information is removed.
      If the line item type is Bandwith, specify a Meter Number. If the type is Colocation, specify a cage Number and Description.
    3. Select the appropriate Inclusion type. When the Inclusion type is Exclusion or Inclusion then the start and end date must be entered.
    4. Select the line item expand button [image], and complete other data as needed.
    5. For non-inventory items, the default U of M is Each, and the Location is from the Inventory Setup window.
    6. If the item is a milestone item, select Milestones to open the Milestone Allocation window, where you can edit the allocation for the milestone. The milestone billing functionality is available as of Microsoft Dynamics GP 2015 R2.
    7. To track the work in progress of an item, select WIP, which opens the Schedule Line Work in Progress window, to set up the work in progress and unbilled revenue accounts.
      You can also view and edit work in progress details for journal entry processing when you select the WIP JE expansion button, which opens the WIP JE Detail window.
    8. If you want to add reference for user-defined fields, select User Defined fields, and enter the information on the User Defined fields window. This information appears on the SSRS formatted invoices. Available in ARED for Microsoft Dynamics GP 2018 R2 (build 706 and newer).
    9. To change the accounts for the markdown deferral schedule for a line, use the Markdown Accounts window. For steps, see Changing the Accounts for a Markdown Deferral Schedule.
    10. To use a Price Group, see Using Price Groups.
  14. If you use Multiple Element Revenue Allocation, select the Revenue Allocation button, which opens the Revenue Allocation window. You can attach the MEA ID and review the line items. However note the following:
    • Any line items that have the Renewal check box selected, have a meter attached, or are on hold cannot be part of the multiple element arrangement (MEA). And an error appears for those lines.
    • The MEA ID cannot be attached to line items that have an error message.
    • When the MEA Type is single, all line items have the same MEA ID. You cannot change it for individual line items.
    • When the MEA Type is multiple, the MEA ID defined in the header can be used to put line items in the same group.
  15. Select OK, to save and close the Revenue Allocation window.
  16. When you return to the Billing Schedule Maintenance window, select Save.

See also

Editing the Allocation for a Milestone Item

Copying a Billing Schedule

Adding a Meter Item to a Billing Schedule

Adding a Regular Item to Billing Schedule

Setting Up Price Adjustment Pricing for a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Price Groups

Available for ARCB build 808 (and newer).

To use price groups in a billing schedule, follow the steps for creating a billing schedule, and incorporate the following:

  1. Add a line item, expand the line details and select a Price Group.
    1. For a new price group, specify the name.
    2. For a subsequent item in a price group, select the price group name.
      The item you add must have the same billing frequency and billing date as all current items in the price group. For more information see the Price Group description.
  2. To edit the options for a price group, open the Item Pricing Options window. Any changes made affect all line items for the price group.
  3. Check that Item Pricing is set to By Group, and ensure that the Price Group name is the one you want to edit.
  4. In Adjustment Option, select how adjustments are applied.
  5. Select OK to return back to the Billing Schedule Maintenance window.

See also

Price Group: Adjustment Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copying a Billing Schedule

In some situations you might have to make a copy of a billing schedule. For example, a new billing schedule is very similar to an existing record.

To make a copy of a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule.
  3. Select Copy, which opens the Copy a Schedule window.
  4. Enter the details for the new schedule:
    1. Change the New Schedule ID if needed.
    2. Select the Customer Number.
    3. Select the Location.
    4. Select the Billing Start Date and Billing End Date.
    5. In the Item list view, select the items that you want to copy to the new billing schedule.
  5. Select Process.

    6. After the billing schedule is copied, the Copy a Schedule window closes, and the new billing schedule is displayed in the Billing Schedule Maintenance window.

  6. Review the newly created billing schedule and all lines. If needed, select a Price Group for each billing schedule line.

    7. The price group for the billing schedule lines are not copied from the originating billing schedule and must be selected manually.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Price Adjustment Pricing for a Billing Schedule

To set up price adjustment pricing for a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule.
  3. Select Price Adjustment, which opens the Billing Schedule Price Adjustment Detail window.
  4. In Price Adjustment Calculation Based On, select how to base the price adjustment price.
  5. In CPI Index Calculation, select to use Prior CPI or Base CPI.
  6. In the scrolling window, for each price adjustment line, do the following:
    1. Select the Effective Date, and Frequency.
    2. Specify a Percentage or Amount. You can only use one.
    3. If needed, select a CPI Schedule.
    4. Select the End Date for the price adjustment.
  7. Repeat the previous step to add more price adjustments.
  8. Select Process to recalculate the billing schedule.
  9. Select OK to close the window and return to the Billing Schedule Maintenance window.

Te set up price adjustments for a line item within a billing schedule, follow these steps:

  1. On the Billing Schedule Maintenance window, open the billing schedule you want.
  2. In the scrolling window, select the line item you want and expand the line details.
  3. Select the Price Adjustment check box.
  4. Select Price Adjustment, which opens the Billing Schedule Price Adjustment Detail window for the selected line.
  5. In Price Adjustment Calculation Based On, select how to base the price adjustment.
  6. In CPI Index Calculation, select to use Prior CPI or Base CPI.
  7. In the scrolling window, for each price adjustment line, do the following:
    1. Select the Start Date, and Frequency.
    2. Specify a Percentage or Amount. You can only use one.
    3. If needed, select a CPI Schedule.
    4. Select the End Date for the price adjustment.
    5. If the item is a deferral item, specify the deferral details.
  8. Repeat the previous step to add more price adjustments.
  9. Select Process. The billing schedule is recalculated.
  10. Select OK. The window closes and you are returned to the Billing Schedule Maintenance window.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Putting a Billing Schedule on Hold

You can put a single billing schedule or several billing schedules on hold if all of the items for the billing schedules are unavailable. You cannot create invoices for billing schedules that are on hold.

Closed Put a single billing schedule on hold

To put a billing schedule on hold, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule record.
  3. Select the Apply Hold check box, and select Save.
Closed Put several billing schedules on hold

To put several billing schedules on hold, follow these steps:

  1. Open the Mass Hold Process window (Tools > Transaction > Adv. Recurring Contract Billing > Mass Hold Process Utility).
  2. Specify the Range By criteria, and select Insert.
  3. In Process Option, select Apply Hold.
  4. Select Redisplay.
  5. In the scrolling window, select all the billings for which you want to put on hold.
  6. Select Process.

See also

Putting a Billing Schedule Item on Hold

Removing a Hold from a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing a Hold from a Billing Schedule

You can remove a hold from a a single billing schedule, multiple billing schedules, or from a line item within a billing schedule. If Remove Hold Password is set on the Setup window, you can remove the hold only if you know the password.

Closed Remove a hold from one billing schedule

To remove a hold from a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule record that is on hold.
  3. Clear the Apply Hold check box.

    4. If certain items still need to be on hold, you can put individual billing schedule line items on hold as needed.

  4. Select Save.
Closed Remove holds from several billing schedules

To remove holds from several billing schedules, follow these steps:

  1. Open the Mass Hold Process window (Tools > Transaction > Adv. Recurring Contract Billing > Mass Hold Process Utility).
  2. Specify the Range By criteria, and select Insert.
  3. Select Redisplay.
  4. In Process Option, select Remove Hold.
  5. In the scrolling window, select all the billing schedules for which you want to remove the hold.
  6. Select Process.
Closed Remove a hold from a billing schedule line item

To remove a hold from a billing schedule item, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule record.
  3. In the item list view, select a line and select Show Details [image].
  4. Clear the Hold check box, and select the expansion button, which opens the Schedule On Hold Detail window.
  5. For the item, select the Resume Date, and select Process.
  6. In the Billing Schedule Maintenance window, select Save.

See also

Putting a Billing Schedule Item on Hold

Putting a Billing Schedule on Hold

Removing a Hold from a Billing Schedule Line (eConnect Integration)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Changing the Accounts for a Markdown Deferral Schedule

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

To change the accounts for the markdown amounts for the markdown deferral schedule of a billing schedule line, do the following:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Retrieve an existing billing schedule or create a new one.
  3. In the scrolling window, select the line you want to add a price adjustment or markdown, and select the Billing Frequency expansion [image] button, which opens the Billing Schedule Detail window.
  4. On the Billing Schedule Detail window, make any necessary changes, and select Price Adjustment Process, which opens the Billing Schedule Line Price Adjustment Detail window.
  5. For each line on the Billing Schedule Line Price Adjustment Detail window, make any necessary changes. In particular, apply a Discount Code and select the expansion [image] button, which opens the Markdown Accounts window.
  6. On the Markdown Accounts window, change the accounts as needed, and select OK.
  7. Back on the Billing Schedule Line Price Adjustment Detail window, select Process.
    When processing is completed, select OK to close the window.
  8. Back on the Billing Schedule Line Price Adjustment Detail window, select OK.
  9. Back on the Billing Schedule Maintenance window, select Save.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Terminating a Billing Schedule

In certain situations, a customer must terminate their contract.

Watch a video [image].

To terminate a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule record.
  3. Select the termination billing option you want to use: Bill Remaining, Adj. Schedule, or No Adj.
  4. Select the Termination Date.
  5. When you tab or select out of the box, you are asked to confirm that you want to terminate the schedule. Select OK.
  6. In the Schedule Termination Reason window that appears, select the Termination ID, and select OK.
  7. Select Save.

To terminate several billing schedules, follow these steps:

  1. Open the Mass Termination Process window (Tools > Transaction > Adv. Recurring Contract Billing > Mass Termination Process Utility).
  2. Specify the Range By criteria, and select Insert.
  3. Select Redisplay..
  4. Select the Termination Date.
  5. In the list view, select all the billing schedules that you want to terminate.
  6. If the billing schedules are to receive a credit, select Issue Credit, and then select the Batch ID and Transaction Date.
  7. If the billing schedules have outstanding balances, select Prorate Daily.
  8. Select Process, and then select OK to confirm that you want to terminate the selected billing schedules.

After you terminate the billing schedule(s), you can create final invoices in the Invoice Creator window.

Billing Schedules with Revenue Splitting

In ARCB build 814 (and earlier) and MERA build 802 (and earlier), billing schedules that use revenue splitting could not be terminated using the termination functionality available in ARCB.

In ARCB build 815 (and newer) and MERA build 803 (and newer), billing schedules that use revenue splitting can be terminated using the termination functionality. When the billing schedule is terminated, the distribution of the sales return document is updated. For more information, Closed review the example.

A billing schedule from January 2016 to December 2017 (24-month contract) is created with the following line items.

Item | Ext. Price | Type | Contract Value | FMV | Contract FMV | Contract Revenue | Period Revenue
Hardware | 15,000.00 | One time | 15,000.00 | 17,000.00 | 17,000.00 | 15,118.85 | 15,118.85
Setup Fee | 5,000.00 | One time | 5,000.00 | 5,000.00 | 5,000.00 | 4,446.72 | 4,446.72
SAAS SW | 7,000.00 | Monthly | 168,000.00 | 8,000.00 | 192,000.00 | 170,754.10 | 7,114.75
Software Annual Maintenance | 12,000.00 | Def. 12 mo | 24,000.00 | 12,000.00 | 24,000.00 | 21,344.26 | 10,672.13
Professional Services | 3,000.00 | Def event based | 6,000.00 | 3,000.00 | 6,000.00 | 5,336.07 | 2,668.04
Discount | -1,000.00 |  | -1,000.00 | - | - | - |
 | 41,000.00 |  | 217,000.00 | 45,000.00 | 244,000.00 | 217,000.00 | 40,020.49

The invoice and sales distribution details for January 2016 are as follows:

January 2016 |  |  |
Invoice |  |  | Sales Distribution |  |
Item | Ext Price | Revenue | AR | 41,000.00 |
Hardware | 15,000.00 | 15,118.85 | Sales Hardware |  | 15,118.85
Setup Fee | 5,000.00 | 4,446.72 | Sales Setup |  | 4,446.72
SAAS SW | 7,000.00 | 7,114.75 | Sales Software |  | 7,114.75
Software Annual Maintenance | 12,000.00 | 10,672.13 | Deferred Rev Maintenance |  | 10,672.13
Professional Services | 3,000.00 | 2,668.04 | Sales Professional Services |  | 2,668.04
Discount | -1,000.00 | - | Deferral Contract Revenue |  | 979.51
 | 41,000.00 | 40,020.49 |  | 41,000.00 | 41,000.00

The invoice and sales distribution details for February 2016 are as follows:

February 2016 |  |  |
Invoice |  |  | Sales Distribution |  |
Item | Ext Price | Revenue | AR | 7,000.00 |
SAAS Software | 7,000.00 | 7,114.75 | Sales Software |  | 7,114.75
 | 7,000.00 | 7,114.75 | Deferral Contract Revenue | 114.75 |
 |  |  |  | 7,114.75 | 7,114.75

The following table shows the deferred schedule revenue in the distribution for January 2016 and for February 2016 to April 2016. If the billing schedule is terminated, the difference is adjusted.

Deferral Schedule Revenue
 | 979.51
344.25 |
344.25 | 979.51

Case 1: Billing Schedule Terminated (With Refund Amount and Sales Return Document)

The billing schedule is terminated in April 2016. The revenue for 8 months is to be refunded.

Item | Ext. Price | Type | Contract Value | FMV | Contract FMV | Contract Revenue - should have been | Comment
Software Annual Maintenance | 12,000.00 | Deferred 12 months | 8,000.00 | 12,000.00 | 8,000.00 | 7,491.79 | Invoiced for 12 months - 8 months to refund
Professional Services | 3,000.00 | Deferred event based | 2,000.00 | 3,000.00 | 2,000.00 | 1,872.95 | Invoiced 12 months - 8 months to refund
Accrued Amount |  |  | -635.26 |  |  |  |
 | 15,000.00 |  | 9,364.74 | 15,000.00 | 10,000.00 | 9,364.74 |

The sales return document and distribution after termination is as follows:

Refund |  |  | Distribution (Refund)
Item | Ext Price | Revenue |  |  |
Software Annual Maintenance | 8,000.00 | 7,491.79 | Deferred Revenue Maintenance | 7,491.79 |
Professional Services | 2,000.00 | 1,872.95 | Sales Professional Serves | 1,872.95 |
 | 10,000.00 |  | AR |  | 10,000.00
 |  |  | Deferral Contract Revenue | 635.26 |
 |  |  |  | 10,000.00 | 10,000.00

Case 2: Billing Schedule Terminated (No Refund Amount and no Sales Return Document)

The billing schedule is terminated in April 2016. A journal entry is created to balance the deferred schedule revenue. On the MEA Maintenance window, the account for the termination is set up as follows:

  • MEA ID: M1
  • Termination Contract Clearing Account: 000-1101-00

The General Ledger entry is as follows:

Deferred Contract Revenue | 635.26 |
Termination Contract Clearing |  | 635.26
 | 635.26 | 635.26

See also

Terminating a Billing Schedule Item

Putting a Billing Schedule on Hold

Putting a Billing Schedule Item on Hold

Removing a Hold from a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Regular Item to Billing Schedule

To add a regular item to a billing schedule follow these steps:

  1. Create a billing schedule.
  2. When you add an item to the billing schedule, do the following:
    1. For Item Type, select Bandwidth.
    2. Change the values for U of M, Quantity, Price Default, and Unit Price as needed.
    3. When you review the details of the item, select the Price Level, and select the expansion button, which opens the Item Pricing Options window.
    4. Set Free Quantity and the Committed Options as needed and select OK.
  3. Finish adding items to the billing schedule, and save it.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Item to a Billing Schedule that Tracks Work in Progress Revenue

When you create or edit a billing schedule, you can add an item that requires you to track work in progress revenue by following these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Create a billing schedule or retrieve an existing record.
  3. In the scrolling window, add a line item and enter the line details.
  4. Select Show Details [image] to expand the line item.
  5. Select WIP, which opens the Schedule Line Work in Progress window.
  6. If the item is not already set up to track the work in progress revenue, select Track Work In Progress.
  7. Select accounts for the WIP Account and the Unbilled Revenue.
  8. Select OK, which closes the Schedule Line Work in Progress window.
  9. On the Billing Schedule Maintenance window, select Save.

See also

WIP Tracked Items - Distributions Breakdown

Setting Up an Item to Track Work in Progress

Creating a Journal Entry for a Work in Progress Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Meter Item to a Billing Schedule

To add a meter item to a billing schedule follow these steps:

  1. Create a billing schedule.
  2. When you add an item to the billing schedule, do the following:
    1. For Item Type, select Bandwidth.
    2. Change the values for U of M as needed.
    3. When you review the details of the item, select the Price Level, and select the expansion button, which opens the Item Pricing Options window.
    4. Set Free Quantity and the Committed Options as needed and select OK.
  3. Finish adding items to the billing schedule, and save it.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sorting and Filtering Line Items

To sort and filter line items in the scrolling window of the Billing Schedule Maintenance window, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select a Schedule ID.
  3. In the scrolling window, select one of the following options:
    • By Order Entered: Sorts the billing line items in the order that they were entered. Default option.
    • By Schedule Status: Sorts the billing line items by status (Active, Last Billing, or Terminated)
    • Active Only: Displays only the billing items that have a status of Active.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Putting a Billing Schedule Item on Hold

You might need to put an item on hold if the item is not available for certain reasons. When you put an item on hold, it does not appear on the Invoice Creator window since you cannot issue an invoice for an item that is on hold.

Watch a video [image].

To put a billing schedule item on hold, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule record.
  3. In the item list view, select a line and select Show Details [image].
  4. Select the Hold check box.

    5. If you expect the schedule to continue as is once the hold is removed, the process is complete.

  5. If you need to skip billing periods while the hold was on then, select the expansion button, which opens the Schedule On Hold Detail window.
  6. For the item, select the Assigned Hold Date for when the hold begins, and select Process.

    7. Tip: You can select a Resume Date to automatically restart the billing periods for the item.

  7. In the Billing Schedule Maintenance window, select Save.

See also

Putting a Billing Schedule on Hold

Removing a Hold from a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing a Hold from a Billing Schedule Line (eConnect Integration)

To remove a hold from a billing schedule line that was imported from the eConnect schedule line stored procedure, follow these steps:

  1. Open the Mass eConnect Schedule Line Process window (Tools > Utilities > Adv. Recurring Contract Billing > Mass eConnect Schedule Line Process).
  2. Specify the Range By criteria, and select Insert.
  3. Select Redisplay.

    4. The list view shows all records that match the selected criteria.

  4. If needed specify the billing and deferral start and end dates.

    5. The billing and deferral start and end dates are available as of Microsoft Dynamics GP 2015 R2 and 2016 R2.

  5. In the list view, select all the records for which you want to resume and remove the hold status.
  6. Select Process.

See also

Removing a Hold from a Billing Schedule

Advanced Recurring Contract Billing eConnect Integration Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Terminating a Billing Schedule Item

To terminate a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule record.
  3. In the item list view, select a line and select Show Details [image].
  4. Select the termination billing option you want to use: Bill Remaining, Adj. Schedule, or No Adj.
  5. For the item you want to terminate, enter the Termination Date.
  6. When you tab or select out of the box, you are asked to confirm that you understand that a return or adjustment to an ARED schedule is not created. Select OK.
  7. In the Schedule Termination Reason window that appears, select the Termination ID or manually specify a reason, and select OK.
  8. Select Save.

After you terminate the billing schedule line(s), you can create final invoices in the Invoice Creator window.

Watch a video [image].

See also

Terminating a Billing Schedule

Putting a Billing Schedule on Hold

Putting a Billing Schedule Item on Hold

Removing a Hold from a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Increasing the Prices of the Line Items for Several Billing Schedules

Available as of Microsoft Dynamics GP 2016 R2.

If you want to increase the price of line items for a billing schedule that belongs to a single customer, you can use the price adjustment functionality that currently exists in ARCB.

These steps provide information on how to increase a range of selected items on a selected contracts by the same percentage from a certain date.

  1. Open the Price Update Utility window (Tools > Utilities > Adv. Recurring Contract Billing > Price Level Update).
  2. Select the Price Default.
  3. If you set Price Default to Flat Amount, select the Increase Type, and type either the percentage or amount.
  4. If you are using Multi-Entity Management, select the entities that you want.
  5. Specify the range of records that you want to display, and select Redisplay.
  6. If you want to change the percentage or amount increase, you can change the value and select Redisplay again.
  7. In the list view, select the records for which you want to increase the price, and select Process.

See also

Setting Up Price Adjustment Pricing for a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting the Default View for the Billing Schedule Lookup Window

Available as of Microsoft Dynamics GP 2015 R2.

To set the default view for the sort order on the Billing Schedule Lookup window, follow these steps:

  1. From the Billing Schedule Maintenance window, select the Schedule ID Lookup [image] button, which opens the Billing Schedule Lookup window.
  2. Select the Sort button, and select the column heading by which you want to sort the list view.
  3. Select the Sort button, and select Set as Default View.

The default view for the sort order on the Billing Schedule Lookup window is set with the column heading that you selected. So when the window is closed and then reopened, the sort order is the same as when you had set it.

When you select the Sort button, a check mark appears next to the heading that represents the default view. You can change the default view for the sort order at any time by repeating these steps.

Note icon. Note: The default view for the sort order is saved for the current company and session of Micorsoft Dynamics GP. So if you log off of the company and use a different company, or you exit Microsoft Dynamics GP and then restart it again later, you must set the default view for the sort order again.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Consolidating Invoices

Invoices can be consolidated in any of the following ways:

  • By customer
  • By item
  • By user-defined fields
  • By combining the unit price
  • By master meters

The most common ways invoices are consolidated are by item or customer. However, companies also choose to consolidate by user-defined fields as well.

When you select more than one consolidation option on the Setup window, the order of consolidation is as follows:

  1. Customer
    1. User-defined
      1. Priority
      2. Ordered by
      3. Confirmation
      4. Text field 4
      5. Text field 5
  2. Item
  3. Combine unit price
  4. Master Meter (available only for master meter items)
    Watch a video on invoice consolidation with master meters

To consolidate invoices by any of the following methods, follow these steps:

  1. In the Setup window, in the Consolidation Options area of the Invoice Processing area, select one or more method by which you would like to consolidate invoices.

    2. By selecting these options, when you create the invoice the options are automatically selected by default on the Invoice Creator window.

  2. Create a billing schedule.
  3. Create an invoice and ensure that the Consolidation Options that you want are selected.

Watch a video

Watch a on consolidating invoices [image].

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating Invoices with the Invoice Creator Window

To create invoices, follow these steps:

  1. Open the Invoice Creator window (Transactions > Adv. Recurring Contract Billing > Invoice Creator).
  2. Specify an Invoice Date and select a Batch Number.
  3. Select the Date Restriction you want to use.
    • When Date Restriction is As Of Date, specify the As Of Date you want to use.
      The as of date is on or after the Billing Start Date, but before the billing end date.
    • When Date Restriction is Date Range, specify the From and To dates.
      The Billing Start Date and Billing End Date within the date range you set.
  4. To exclude any billing detail lines that have a zero (0) consumption quantity, select Exclude Zero Cons. Qty.
    This option is available as of Microsoft Dynamics GP 2016 R2 (ARCB build 610).
  5. Select Redisplay.
  6. In the scrolling window, select the schedules that you want to invoice.
  7. As an optional step, specify the start and end date for the billing period.

    8. If you want these dates to appear on the invoice, complete this step. Otherwise, you can skip it.

  8. Select Validate, which creates a report showing the validation status of all selected lines.

    9. This step is useful because it checks that all lines contain valid data. Any lines that have an error (for example, a zero value) cannot be processed. Fix all the errors before you process the records.

  9. Select Process, which creates invoices for the selected schedules.
    When the CCH or Avalara Sales Tax Online plug-in is installed, the plug-in calculates the tax amount for the invoice.

After invoices are created, only the invoice schedules that have a status of Active and Unprocessed appear in the Invoice Creator window .

If you did not set a currency ID value in the Billing Schedule Maintenance window, , the invoice is generated using the functional currency ID that is set up in GP.

Note icon. Note: If the invoice processing is interrupted or fails, you must delete the batch and then create invoices again using these steps and a different batch number. To delete a batch after the invoice processing was interrupted or failed, follow these steps:

  1. Open the Invoice Creator Mass Processing window (Transactions > Adv. Recurring Contract Billing > Invoice Creator Mass Processing).
  2. In Batch Number, select the batch you want.
  3. Select the Batch Number label link, which opens the Sales Batch Entry window with the batch ID already selected.
  4. Close the Invoice Creator Mass Processing window.
  5. Back in the Sales Batch Entry window, select Delete to delete the batch.
  6. You can then repeat the steps for creating invoices.

See also

Consolidate Some Invoices

Creating Invoices with the Invoice Creator Mass Processing Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating Invoices with the Invoice Creator Mass Processing Window

To mass create invoices, follow these steps:

  1. Open the Invoice Creator Mass Processing window (Transactions > Adv. Recurring Contract Billing > Invoice Creator Mass Processing).
  2. Specify an Invoice Date and select a Batch Number.
  3. Select the Date Restriction you want to use.
    • When Date Restriction is As Of Date, specify the As Of Date you want to use.
      The as of date is on or after the Billing Start Date, but before the billing end date.
    • When Date Restriction is Date Range, specify the From and To dates.
      The Billing Start Date and Billing End Date within the date range you set.
  4. To exclude any billing detail lines that have a zero (0) consumption quantity, select Exclude Zero Cons. Qty.
    This option is available as of Microsoft Dynamics GP 2016 R2 (ARCB build 610).
  5. Select Build Batch to add the schedule lines that are within the range criteria to the batch.
    By default, all lines are marked for inclusion. The invoice schedule status must be Active and Unprocessed for the record to be included in the batch.
  6. To review or clear some schedule lines, select Edit Batch to open the Invoice Creator Edit Batch window, where schedule lines can be selected or cleared.
  7. As an optional step, specify the Billing Period Start Date and Billing Period End Date.

    8. If you want these dates to appear on the invoice, complete this step. Otherwise, you can skip it.

  8. Select Validate to check that all billing schedule lines that are to be processed have valid data.

    9. This step is useful because it checks that all lines contain valid data. Any lines that have an error (for example, a zero value) cannot be processed. Fix all the errors before you process the records.

  9. Select Process, which creates invoices for the billing schedule lines that match the criteria you entered.
    When the CCH or Avalara Sales Tax Online plug-in is installed, the plug-in calculates the tax amount for the invoice.

If you did not set a currency ID value in the Billing Schedule Maintenance window, the invoice is generated using the functional currency ID that is set up in Microsoft Dynamics GP.

Note icon. Note: If the invoice processing is interrupted or fails, you must delete the batch and then create invoices again using these steps and a different batch number. To delete a batch after the invoice processing was interrupted or failed, follow these steps:

  1. Open the Invoice Creator Mass Processing window (Transactions > Adv. Recurring Contract Billing > Invoice Creator Mass Processing).
  2. In Batch Number, select the batch you want.
  3. Select the Batch Number label link, which opens the Sales Batch Entry window with the batch ID already selected.
  4. Close the Invoice Creator Mass Processing window.
  5. Back in the Sales Batch Entry window, select Delete to delete the batch.
  6. You can then repeat the steps for creating invoices.

See also

Consolidate Some Invoices

Creating Invoices with the Invoice Creator Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Journal Entry for a Work in Progress Item

Before you perform these steps, you must set up the item to track the work in progress revenue.

To create a journal entry to track work in progress revenue for an item, follow these steps:

  1. Open the Initial Journal Entry Processing window (Transaction > Adv. Recurring Contract Billing > Initial Journal Entry Processing). Note icon. Note: In the previous ARCB versions this window was called "WIP Journal Entry Processing"
  2. Select a Batch ID and a Transaction Date.
  3. If you have a large number of records, you can select Date Restriction and enter the From and To dates.

    4. Also, you can set the Range By restrictions to narrow the search for items that track work in progress revenue.

  4. Select Redisplay, and the list view is updated to show all items that track work in progress revenue.
  5. In the list view, select the items that you want to process, and Select Process.

A journal entry is created for the item. You can go to the Billing Schedule Maintenance window to review the item and click through the windows to see the details of the journal entry:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Retrieve the billing schedule that has the item that you just processed.
  3. In the scrolling window, select the line for the item, and then select Show Details [image] to expand the line item.
  4. Select WIP, which opens the Schedule Line Work in Progress window.
  5. Select the WIP JE expansion button, which opens the WIP JE Detail window.
  6. In the list view, select the journal entry number you want, and select the Journal No link.

    7. The Transaction Entry window opens, and you can review the details of the journal entry.

  7. When you are finished reviewing the journal entry, you can close the windows.

As invoices are created and posted the journal entries are created to transfer the funds to the appropriate accounts so that the amounts move from being unbilled revenue to billed revenue.

See also

WIP Tracked Items - Distributions Breakdown

Adding a Item to a Billing Schedule that Tracks Work in Progress Revenue

Setting Up an Item to Track Work in Progress

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Recurring Contract Billing Schedule from an Invoice or Return Document

To create a recurring contract billing schedule from an original invoice or return, follow these steps:

  1. Open the Recurring Contract Billing Creation window (Transactions > Adv. Recurring Contract Billing > Billing Creation).
  2. Specify the Range By criteria for the records that you want to appear in the window.
  3. Select the Document Type.
  4. Select Redisplay.

    5. The records that satisfy the criteria you entered appear in the scrolling window.

  5. Select the records for which you want to create a recurring contract billing schedule.
  6. Select Process.

See also

Setting Up Support/Renew Pricing for an Item

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Performing an Inquiry

To perform an inquiry on a billing schedule or an invoice, follow these steps:

  1. Open the inquiry window that you want.
    • Billing Invoices Inquiry
    • Billing Schedule Inquiry
    • Billing Schedule Detail Zoom
    • Billing Schedule Price Adjustment Line Detail Inquiry
    • Billing Schedule Line Inquiry
    • Billing Schedule Line Detail Inquiry
    • Outstanding Renewal Invoices Inquiry
  2. Set the search criteria and ranges for the window, and select Insert.

    3. You can set multiple search criteria as needed.

  3. If you use Multi-Entity Management, select the entities that you want.
  4. Select Redisplay.

    5. All records that match the criteria that you selected appear in the list view.

  5. On some of the windows, double-click a line item to open a zoom window where you can review the details for the line.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Viewing Unbilled Schedule Lines

Available as of Microsoft Dynamics GP 2015 R2.

To view unbilled schedule lines, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Retrieve a billing schedule.
  3. In the scrolling window, select a line and select Show Details [image].
  4. Select the Billing Frequency expansion button, which opens the Billing Schedule Detail window.
  5. To view only the unbilled schedule lines, in the scrolling window, you can select Uninvoiced Only.

    6. This option appears only when the Display Only Uninvoiced Schedule Lines check box on the Setup window is selected.

  6. When you are finished reviewing the information, select OK to return to the Billing Schedule Maintenance window.

To perform an inquiry, follow these steps:

  1. Open the Billing Schedule Inquiry window (Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry).
  2. Specify the range of records that you want to display, and select Redisplay.
  3. In the list view, double-click a schedule ID, which opens the Billing Schedule Zoom window.
  4. In the scrolling window, select a line and select Show Details [image].
  5. Select the Billing Frequency expansion button, which opens the Billing Schedule Detail Zoom window.
  6. To view only the unbilled schedule lines, in the scrolling window, you can select Uninvoiced Only.

    7. This option appears only when the Display Only Uninvoiced Schedule Lines check box on the Setup window is selected.

  7. When you are finished reviewing the information, select OK.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Monthly Recurring Revenue Report

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

To create a monthly recurring revenue (MRR) report, follow these steps:

  1. Open the Report Options window (Report > Adv. Recurring Contract Billing > Monthly Recurring Revenue).
  2. Specify a unique Report ID.

    3. The Report box is automatically updated with the report you want.

  3. Select the From Date and To Date to specify the date range of the report.
  4. Specify the Range By criteria for records to display in the report.
  5. If you are using Multi-Entity Management, select the entities that you want to include in the report.
  6. Select Report.
    The SSRS report opens, and you can review the report.
  7. To save the report settings for future use, select Save.

See also

Creating a Total Contract Value Report

Creating an Upcoming Contract Renewal Report

Creating a Termination Report

Creating a New Contract Sales Report

Creating a Total Contract Revenue Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Upcoming Contract Renewal Report

Available as of Microsoft Dynamics GP 2015 R2.

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

To create a report that shows all the upcoming contract renewals, follow these steps:

  1. Open the Report Options window (Report > Adv. Recurring Contract Billing > Upcoming Contract Renewal).
  2. Specify a unique Report ID.

    3. The Report box is automatically updated with the report you want.

  3. Select the From Date and To Date to specify the date range of the report.
  4. Specify the Range By criteria for records to display in the report.
  5. If you are using Multi-Entity Management, select the entities that you want to include in the report.
  6. Select Report.
    The SSRS report opens, and you can review the report.
  7. To save the report settings for future use, select Save.

See also

Creating a Monthly Recurring Revenue Report

Creating a Total Contract Value Report

Creating a Total Contract Revenue Report

Creating a New Contract Sales Report

Creating a Termination Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Total Contract Value Report

Available as of Microsoft Dynamics GP 2015 R2.

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

To create a total contract value report, follow these steps:

  1. Open the Report Options window (Report > Adv. Recurring Contract Billing > Total Contract Report).
  2. Specify a unique Report ID.

    3. The Report box is automatically updated with the report you want.

  3. Select In Detail to create a detailed report. Or leave the check box cleared to create a summary report.
  4. Specify the Range By criteria for records to display in the report.
  5. If you are using Multi-Entity Management, select the entities that you want to include in the report.
  6. Select Report.
    The SSRS report opens, and you can review the report.
  7. To save the report settings for future use, select Save.

See also

Creating a Monthly Recurring Revenue Report

Creating an Upcoming Contract Renewal Report

Creating a Termination Report

Creating a New Contract Sales Report

Creating a Total Contract Revenue Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a New Contract Sales Report

Available as of Microsoft Dynamics GP 2015 R2.

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

To create a report that shows the new contract sales, follow these steps:

  1. Open the Report Options window (Report > Adv. Recurring Contract Billing > New Contract Sales).
  2. Specify a unique Report ID.

    3. The Report box is automatically updated with the report you want.

  3. Select the From Date and To Date to specify the date range of the report.
  4. Specify the Range By criteria for records to display in the report.
  5. If you are using Multi-Entity Management, select the entities that you want to include in the report.
  6. Select Report.
    The SSRS report opens, and you can review the report.
  7. To save the report settings for future use, select Save.

See also

Creating a Monthly Recurring Revenue Report

Creating an Upcoming Contract Renewal Report

Creating a Total Contract Value Report

Creating a Termination Report

Creating a Total Contract Revenue Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Total Contract Revenue Report

Available as of Microsoft Dynamics GP 2015 R2.

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

To create a total contract revenue report, follow these steps:

  1. Open the Report Options window (Report > Adv. Recurring Contract Billing > Total Contract Revenue).
  2. Specify a unique Report ID.

    3. The Report box is automatically updated with the report you want.

  3. Select the From Date and To Date to specify the date range of the report.
  4. Specify the Range By criteria for records to display in the report.
  5. If you are using Multi-Entity Management, select the entities that you want to include in the report.
  6. Select Report.
    The SSRS report opens, and you can review the report.
  7. To save the report settings for future use, select Save.

See also

Creating a Monthly Recurring Revenue Report

Creating an Upcoming Contract Renewal Report

Creating a Total Contract Value Report

Creating a Termination Report

Creating a New Contract Sales Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Termination Report

Available as of Microsoft Dynamics GP 2015 R2.

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

To create a termination report, follow these steps:

  1. Open the Report Options window (Report > Adv. Recurring Contract Billing > Termination Report).
  2. Specify a unique Report ID.

    3. The Report box is automatically updated with the report you want.

  3. Select the From Date and To Date to specify the date range of the report.
  4. Select In Detail to create a detailed report. Or leave the check box cleared to create a summary report.
  5. Specify the Range By criteria for records to display in the report.
  6. If you are using Multi-Entity Management, select the entities that you want to include in the report.
  7. Select Report.
    The SSRS report opens, and you can review the report.
  8. To save the report settings for future use, select Save.

See also

Creating a Monthly Recurring Revenue Report

Creating an Upcoming Contract Renewal Report

Creating a Total Contract Value Report

Creating a New Contract Sales Report

Creating a Total Contract Revenue Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Billing Workflow

Milestone Billing Workflow Milestone Billing Workflow Milestone Billing Workflow

To use the milestone billing functionality, follow this general workflow:

Watch a video [image].

  1. Set up the parameters to use the milestone billing functionality:
    1. On the Setup window, in Module Options, select Enable Milestone Billing.
      You must have already purchased the module before this option is available.
    2. In the Item Type Setup window, create an item type with Item Type set to Milestone.
    3. On the Milestone Template Maintenance window, create a milestone template.
    4. In the Item Class Setup window, when you create an item class set the Milestone Template to associate a milestone template to the item class.
      Follow the instructions in Microsoft Dynamics GP documentation for creating or editing an item class.
    5. In the Item Maintenance window, for an item, select the Milestone ID to associate a milestone template to the item.
      Follow the instructions in Microsoft Dynamics GP documentation for creating or editing an item.
  2. After you have completed the initial setup, you can add an item that uses the milestone billing functionality to any billing schedule you create.
  3. As needed, you can edit the allocation for the milestone item.
  4. Process and update the completion dates for milestone items as needed.
  5. Create the invoice in the Invoice Creator window.

See also

Creating an Item Type

Creating an Item Class

Creating a Billing Schedule

Editing the Allocation for a Milestone Item

Processing Multiple Milestone Items at One Time

Creating Invoices with the Invoice Creator Window

Milestone Billing with Milestone Sub-Items: Example

Milestone Billing Based on a Standalone: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Milestone Billing Based on Consumption: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Milestone Template

The milestone billing functionality is available as of Microsoft Dynamics GP 2015 R2.

To create a template for milestone billing, follow these steps:

  1. Open the Milestone Template Maintenance window (Tools > Setup > Adv. Recurring Contract Billing > Milestone Template Maintenance).
  2. Specify a Template ID and Template Description.
  3. Select the Allocation Method.
  4. In the scrolling window, select the Milestone ID, and specify the allocation Percentage or Amount.
  5. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Editing the Allocation for a Milestone Item

To edit the allocation for a milestone item, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Retrieve a billing schedule.
  3. In the scrolling window, select the line item expand button [image] for a item to view the details.
  4. Select Milestones, which opens the Milestone Allocation window.

    5. In this window, you can change the allocation for the items as needed.

  5. Select OK.

    6. When you return to the Billing Schedule Maintenance window, any changes are automatically updated for the line item.

  6. Select Save to save the billing schedule.

See also

Processing Multiple Milestone Items at One Time

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing with Milestone Sub-Items: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Processing Multiple Milestone Items at One Time

To process several milestone items, follow these steps:

  1. Open the Mass Milestone Process window (Transactions > Adv. Recurring Contract Billing > Mass Milestone Process).
  2. Select the range by which you want to filter the records.
  3. Under Include, select to include Invoice Milestones or Main Items or both.
  4. Enter the Completion Date.
  5. If the milestone items are associated with an ARED recognition schedule, you can enter a Deferral End Date.
  6. If you have Multi-Entity Management installed and are using it, select the entities that you want.
  7. Select Redisplay to view the records.
  8. In the scrolling window, select the records you want to process.
  9. You can process other records, just remember to change the Completion Date and Deferral End Date as needed before you process the records.
  10. Select Process.

After the milestone items are processed, you can use the Invoice Creator window to create an invoice.

See also

Editing the Allocation for a Milestone Item

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing with Milestone Sub-Items: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tiered Pricing Workflow

Tier Pricing Workflow Tier Pricing Workflow Tier Pricing Workflow

To use the tiered pricing functionality, follow this general workflow:

  1. On the Setup window, in the Modules Options area, select Enable Tier Pricing.
  2. On the Item Maintenance window, set up the item so that it uses tier pricing.
  3. On the Item Price List Maintenance window, set up tiered pricing for an item.
  4. If needed, you can set up promotional pricing for an item that uses tiered pricing.
  5. After you have completed the initial setup, you can add an item that uses the tiered pricing functionality to any billing schedule you create.
  6. In the Billing Schedule Detail window, you can review the billing schedule and make any necessary changes.
  7. Create the invoice in the Invoice Creator window.
  8. Post the invoice.

See also

Setting Up an Item to use Tier Pricing

Setting Up Tier Pricing for an Item

Setting Up a Promotion Price for a Tier Pricing Item

Pricing Methods

Standard Pricing Workflow

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up an Item to use Tier Pricing

To set up tier pricing for an item, follow these steps:

  1. Open the Item Maintenance window (Cards > Inventory > Item).
  2. Follow the instructions in the Microsoft Dynamics GP documentation for setting up an item.
  3. In the Item Pricing Option section for Price Option, select Tier or Flat Tier.
    Flat tier is available as of Microsoft Dynamics GP 2015 R2.

    4. Note icon. Note: For this section to appear, you must use the ARCB alternate version of the Item Maintenance window. Or if you use the Microsoft Dynamics GP version of the window, ensure that you open the ARCB extra window.

  4. Select Save.
  5. On the Item Price List Maintenance window, set up the tier pricing levels (see Setting Up Tier Pricing for an Item).

See also

Setting Up Tier Pricing for an Item

Setting Up a Promotion Price for a Tier Pricing Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Tier Pricing for an Item

Before you can set up and use tiered prices for an item, you must select the Enable Tier Pricing option on the Setup window.

To set up tier pricing for an item, follow these steps:

  1. Open the Item Price List Maintenance window(Cards > Inventory > Price List).
  2. Select the Item Number.
  3. Follow the steps in the Microsoft Dynamics GP documentation for Creating a price list for an item.
  4. In the price list view, for the each line, do the following:
    1. Select the Price Level and U of M.
    2. Clear the All check box.
    3. If you are using a percent pricing method, specify a Percent.
    4. For an item that uses tier (or step) pricing, specify the Price.
    5. For an item that uses flat tier pricing, specify the Total Flat Price.
      Flat tier pricing is available as of Microsoft Dynamics GP 2015 R2.
    6. Select the Currency ID.
    7. Specify the Start Quantity and End Quantity.
  5. Repeat the previous step for each pricing level that you want to add.

    6. For each subsequent price level, the Start Quantity is the End Quantity of the previous line plus one.

    When you enter the last tier, the End Quantity must be 999,999,999,999.

  6. Select Save.

See also

Pricing Methods

Setting Up an Item to use Tier Pricing

Setting Up a Promotion Price for a Tier Pricing Item

Setting Up Standard Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up a Promotion Price for a Tier Pricing Item

To set up promotion pricing for a tier pricing item, follow these steps:

  1. Open the Item Price List Maintenance window (Cards > Inventory > Price List).
  2. Select the Item Number. This item has tier pricing already set up.
  3. In the list view, select the Price and then select the Price Level expansion button, which opens the Item Promotion Pricing window.
  4. Enter the promotion for the item:
    1. Select the Markdown Type.
    2. Depending on the Markdown Type you selected, specify the percentage or amount markdown.
    3. Set the Start Date and Expiration Date.
    4. Select Insert, which inserts the line to the list view.
  5. Repeat the previous step to add more promotion pricing lines as needed.

    6. If you made an error and need to modify a line, select the line in the list view, make any necessary changes, and select Modify.

  6. Select Save.

See also

Pricing Methods

Setting Up an Item to use Tier Pricing

Setting Up Tier Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up the Minimum and Maximum Billing Amount for an Item

To set up the minimum and maximum billing amount for an item, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule.
  3. In the scrolling window, select a line, and select Show Details [image].
  4. Select the Price Option expansion button, which opens the Item Pricing Options window.
  5. For Microsoft Dynamics GP 2016 R2 and newer, do the following:
    1. In the Committed Options area, select the Min/Max option you want to use.
    2. Type values for the Minimum Bill Amount/QTY and Maximum Bill Amount/QTY. The value entered is based on the committed option that you selected in the previous step.
    3. Specify the Reset Number of Periods you want.
  6. For Microsoft Dynamics GP 2016 and earlier, do the following:
    1. Select the Committed Options, which determines how the price of the item is committed.
    2. Type values for the Minimum Bill Amount/QTY and Maximum Bill Amount/QTY. The value entered is based on the committed option that you selected in the previous step.
  7. Select OK.

See also

Billing by Amount

Setting Up the Free Quantity Options for an Item

Setting Up Tier Pricing for an Item

Item Pricing Options: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up the Free Quantity Options for an Item

To set up the free quantity options for an item, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Select an existing billing schedule.
  3. In the scrolling window, select a line, and select Show Details [image].
  4. For Microsoft Dynamics GP 2016 R2 and newer, do the following:
    1. Select the Price Option expansion button, which opens the Item Pricing Options window.
    2. In the Free Quantity Options area, select the Free option you want to use.
    3. Specify the Free Quantity amount
    4. Specify the Reset Number of Periods you want.
  5. For Microsoft Dynamics GP 2016 and earlier, do the following:
    1. In Free, specify the free quantity amount for the item.
    2. Select the Price Option expansion button, which opens the Item Pricing Options window.
    3. Select the Free Quantity option you want to use.
  6. Select OK.

See also

Billing by Amount

Setting Up the Minimum and Maximum Billing Amount for an Item

Setting Up Tier Pricing for an Item

Item Pricing Options: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Standard Pricing Workflow

Standard Pricing Workflow Standard Pricing Workflow Standard Pricing Workflow

To use the standard pricing functionality, follow this general workflow:

Watch a video [image].

  1. On the Setup window, in the Billing Schedule Defaults area, select Standard/Extended.

    2. Note icon. Note: To be able to use the standard pricing calculation for an item, the Enable Tier Pricing option on the Setup window must be cleared.

  2. On the Item Price List Maintenance window, set up standard pricing for an item.
  3. After you have completed the initial setup, you can add an item that uses the standard pricing functionality to any billing schedule you create.
  4. In the Billing Schedule Detail window, you can review the billing schedule and make any necessary changes.
  5. Create the invoice in the Invoice Creator window.
  6. In the Sales Transaction Entry window, review the invoice.
  7. Post the invoice.

See also

Setting Up Standard Pricing for an Item

Pricing Methods

Tiered Pricing Workflow

Extended Pricing Workflow

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Standard Pricing for an Item

To be able to use the standard pricing calculation for an item, the Enable Tier Pricing option on the Setup window must be cleared.

To set up standard pricing for an item, follow these steps:

  1. Open the Item Price List Maintenance window(Cards > Inventory > Price List).
  2. Select the Item Number.
  3. Follow the steps in the Microsoft Dynamics GP documentation for Creating a price list for an item.
  4. In the price list view, for the each line, do the following:
    1. Select the Price Level and U of M.
    2. Clear the All check box.
    3. If you are using a percent pricing method, specify a Percent.
    4. For an item that uses tier (or step) pricing, specify the Price.
    5. For an item that uses flat tier pricing, specify the Total Flat Price.
      Flat tier pricing is available as of Microsoft Dynamics GP 2015 R2.
    6. Select the Currency ID.
    7. Specify the Start Quantity and End Quantity.
  5. Repeat the previous step for each pricing level that you want to add.

    6. For each subsequent price level, the Start Quantity is the End Quantity of the previous line plus one.

    When you enter the last tier, the End Quantity must be 999,999,999,999.

  6. Select Save.

See also

Pricing Methods

Setting Up Tier Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extended Pricing Workflow

Extended Pricing Workflow Extended Pricing Workflow Extended Pricing Workflow

To use the extended pricing functionality, follow this general workflow:

  1. On the Setup window, in the Billing Schedule Defaults area, select Standard/Extended.

    2. Note icon. Note: To be able to use the extended pricing calculation for an item, the Enable Tier Pricing option on the Setup window must be cleared.

  2. Open the Enable Extended Pricing window, and in Pricing Options select Enable Extended Pricing, and select OK.
  3. On the Price Group Maintenance window, follow the steps in the Microsoft Dynamics GP documentation to create a price group and assign items to a price group.
  4. On the Price Sheet Maintenance window, follow the steps in the Microsoft Dynamics GP documentation to create or edit a price sheet and also create and edit the price sheet details.
  5. On the Price Book Maintenance window, follow the steps in the Microsoft Dynamics GP documentation to create or edit a price book and then assign the price book to a customer.
  6. On the Item Price List Maintenance window, ensure Default Price Option is Standard and change the Free Quantity as needed, and select OK.
  7. After you have completed the initial setup, you can add an item that uses the extended pricing functionality to any billing schedule you create.
  8. In the Billing Schedule Detail window, you can review the billing schedule and make any necessary changes.
  9. Create the invoice in the Invoice Creator window.
  10. In the Sales Transaction Entry window, review the invoice.
  11. Post the invoice.

See also

Standard Pricing Workflow

Tiered Pricing Workflow

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Workflow (ARCB build 609 and newer)

Support Renewal Workflow Support Renewal Workflow Support Renewal Workflow

These steps apply to Microsoft Dynamics GP 2016 RTM (ARCB build 609 and newer).

To use the functionality, ensure the initial setup is completed:

  1. In the Support/Renewal Preferences area on the Setup window, set the support and renewal default options.
    In particular, ensure that you select the Auto Billing Creation check box, so that the billing schedule is automatically created.
  2. On the Support Tier Maintenance window, create support tiers.
    Support tiers are used for support/renewal items that use the tier calculation option.
  3. On the Renewal Template Maintenance window, create a renewal template.
  4. On the Item Maintenance window, set the support and renewal for an item.
  5. On the Item Price List Maintenance window, set up the pricing for the item.

After the set up, use the following workflow to create transactions to calculate support and/or renewal amounts:

  1. In the Sales Transaction Entry create a sales invoice and add support and renewal contract information.
    If needed you can apply a support tier level.
  2. Post the invoice.
  3. You can then review the billing schedule in the Billing Schedule Maintenance window.

    4. Note icon. Note: If you did not select Auto Billing Creation on the Setup window, you can use Recurring Contract Billing Creation window to manually create a recurring contract billing schedule from the original invoice or return.

Watch a video

  • Using the support/renewal functionality

See also

Support Level Workflow (ARCB build 609 and newer)

Setting Up Default Billing Schedule Values

Creating Support Tiers

Setting Up Support/Renew Pricing for an Item

Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer)

Applying a Support Tier to an Item (ARCB build 609 and newer)

Creating a Recurring Contract Billing Schedule from an Invoice or Return Document

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating Support Tiers

Available as of Microsoft Dynamics GP 2016 RTM.

To create a support tier, follow these steps:

  1. Open the Support Tier Maintenance window (Cards > Adv. Recurring Contract Billing > Support Tier Maintenance).
  2. Specify a unique Level ID and Description.
  3. Specify the Support Percentage and Renewal Percentage.
  4. Select Save.

After you create the different support levels, you can apply them to items in the Sales Transaction Entry window.

See also

Applying a Support Tier to an Item (ARCB build 609 and newer)

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Setting Up Support/Renew Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Support/Renew Pricing for an Item

To set up the support and renewal pricing for an item, follow these steps:

  1. Open the Item Maintenance window (Cards > Inventory > Item).
  2. Follow the steps in the Microsoft Dynamics GP documentation for Creating a item record.
  3. Set the support and renewal boxes as needed:
    • Select a Support Item and specify the Support %.
    • Select a Renewal Item, and specify the Renewal %.
  4. Select Save.

See also

Creating Support Tiers

Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer)

Applying a Support Tier to an Item (ARCB build 609 and newer)

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer)

These instructions are for Microsoft Dynamics GP 2016 R2 (ARCB Build 609) and newer. If you are using Microsoft Dynamics GP 2016 RTM and earlier, see Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier).

To set up the support and renewal contract information for a sales document, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. Create a sales record or retrieve the sales record you want.
  3. Select Support Renewal/Billing Details, which opens the Support Renewal/Billing Details window.
    If you are not using the ARCB alternate window, select the menu instead (Additional > Support Renewal/Billing Details).

    4. In the Billing tab, the list view shows all items associated with the transaction.

  4. If needed, select the End User ID to associate with the transaction.
  5. In the Billing tab, specify the billing period start and end dates, and for each line, do the following:
    1. If needed, select Meter Number.
    2. Specify a comment in any of the comment boxes.
  6. Select the Support/Renewal tab, and do the following:
    1. Select the Completion Date and Frequency
    2. Select the Support/Renewal Qty.
    3. Specify the support start and end dates and the renewal start and end dates.
    4. Complete other boxes as needed.
    5. For each line in the list view, select the Support or Renewal check box, or you can select both check boxes.
    6. Make any changes to the other cells for each line.
  7. Select Process.

The Support Renewal/Billing Details window automatically closes, and the document in the Sales Transaction Entry window is updated with the support and renewal settings. The support and renewal contract settings are applied to all line items in the scrolling window.

If you need to edit any of the settings, you can simply open the Support Renewal/Billing Details window and make the changes.

In ARCB build 807 (and newer), the Align Deferral to Support is added to the Support Renewal/Billing Detail window. This option allows you to align the deferral start and end dates for the deferral schedule to be the same as the start and end dates of the support item. Closed View example.

For example, the item 1-A3261A is set up as a support item as follows:

On the Sales Transaction Entry window, an invoice transaction is created with the date November 1, 2020 for item 1-A3261A.

For the line item, open the Support Renewal/Billing Detail window, where you can set the following values and process the line:

  • Support Start Date is January 01, 2021
  • Support End Date is December 31, 2021
  • Set the values for the line as needed.

After the line is processed, and you return to the Sales Transaction Entry window, the support item is added to the transaction.

After the sales invoice is posted, the deferral schedule that is created has deferral start and end dates that are determined by setting of the Align Deferral to Support option on the Support Renewal/Billing Detail window.

When Align Deferral to Support is cleared, the deferral schedule created has the deferral dates as follows:

  • Deferral Start Date: November 1, 2020
  • Deferral End Date: October 31, 2021

When Align Deferral to Support is selected, the deferral schedule created has the deferral dates as follows:

  • Deferral Start Date: January 1, 2020
  • Deferral End Date: December 31, 2020

The actual support start date is January 1, 2020, so the deferral start date must be January 1, 2020, instead of November 1, 2020, which is the transaction date, which could be one or two months before actual support starts.

See also

Setting Up Support/Renew Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applying a Support Tier to an Item (ARCB build 609 and newer)

These instructions are for Microsoft Dynamics GP 2016 R2 (ARCB Build 609) and newer. If you are using Microsoft Dynamics GP 2016 RTM and earlier, see Applying a Support Tier to an Item (ARCB build 608 and earlier).

To apply a support level to an item, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. Follow the steps in the Microsoft Dynamics GP documentation to add a sales transaction.
  3. Add one or more items to the sales transaction.
  4. Select Additional > Support Renewal/Billing Details, which opens the Support Renewal/Billing Details window.
  5. Follow the steps in Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer) to add more information for each line.
  6. In the Support Renewal/Billing Details window, select the Support/Renewal tab.
  7. For each line in the list view that you want to apply a tier level, do the following:
    1. In Calc. Option, select Tier.
    2. Select the Tier ID you want.
    3. If you do not want to use the values from the template, specify the support or renewal percentage or amount.
  8. Select Process.
  9. In the Sales Transaction Entry window, select Save.

See also

Creating Support Tiers

Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer)

Setting Up Support/Renew Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reviewing the Renewal Information for a Billing Schedule

To review the renewal information for an item in a billing schedule, follow these steps:

  1. Open an existing billing schedule, or create a billing schedule.
  2. When you add a renewal item to the billing schedule, select Show Details [image].
  3. Select Support/Renewals, which opens the Support/Renew Preview window, where you can review the details of the renewal items.
  4. Select OK to close the Support/Renew Preview window and return to the Billing Schedule Maintenance window.

See also

Setting Up Support/Renew Pricing for an Item

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Support Level Workflow (ARCB build 609 and newer)

Support/Renewal Item Workflow (ARCB build 609 and newer)

Creating Support Tiers

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Manually Renewing a Billing Schedule Line

Available as of Microsoft Dynamics GP 2016 RTM.

Note icon. Note: To be able to perform these steps, Independent Renewal must be selected on the Setup window.

To manually renew a billing schedule line, follow these steps:

  1. Open the Independent Renewal Utility window (Tools > Utilities > Adv. Recurring Contract Billing > Independent Renewal Utility).
  2. If you want to combine billing periods, select Combine Partial Billing Periods.
    Available as of Microsoft Dynamics GP 2016 R2.
  3. Enter the Range By criteria you want .
  4. If needed specify the Billing End Date (From/To) range and the Notice Date (From/To) range.
  5. If you used Multi-Entity Management, select the entities that you want.
  6. Select Redisplay, which updates the list view with records that match the criteria that you entered.
  7. In the list view, select the records that you want to renew, and selectProcess.

See also

Combine Partial Billing Periods: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Automatically Renewing a Billing Schedule

Auto Renew Workflow Auto Renew Workflow Auto Renew Workflow

To auto renew a billing schedule, follow these steps:

  1. Create a billing schedule. When you create the billing schedule, you can do any of the following:
    • Set up price adjustments.
    • If needed, use a renewal template by selecting the Renewal Template ID and specifying the Lead Time (Days).
    • Specify a free quantity for a line item in the Free box.
  2. If the item you added to the billing schedule is not a deferral item, skip this step.
    If the item you added to the billing schedule is a deferral item, do the following:
    1. On the Sales Transaction Entry window, create and post the sales document for the ARED schedule.
    2. In ARED, review the recognition schedule in the Recognition Schedule Entry window.
  3. Create an invoice and ensure that Auto Renew is selected.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Level Workflow (ARCB build 609 and newer)

Support Level Workflow Support Level Workflow Support Level Workflow

To use the support level functionality where you can apply different support levels to items, follow this general workflow:

  1. On the Setup window, create user-defined fields for the Support Tier Maintenance window.
  2. On the Support Tier Maintenance window, create different levels of support (for example, Gold, Silver, or Bronze).
  3. On the Sales Transaction Entry window, you can add a sales transaction, and apply the support tier to the item.
  4. After you post the transaction, you can review the billing schedule in the Billing Schedule Maintenance window.

    5. Note icon. Note: If you did not select Auto Billing Creation on the Setup window, you can use Recurring Contract Billing Creation window to manually create a recurring contract billing schedule from the original invoice or return.

See also

Support/Renewal Item Workflow (ARCB build 609 and newer)

Creating User-Defined Fields

Creating Support Tiers

Applying a Support Tier to an Item (ARCB build 609 and newer)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Renewal Template

To create a renewal template, follow these steps:

  1. Open the Renewal Template Maintenance window (Cards > Adv. Recurring Contract Billing > Renewal Template Maintenance).
  2. Specify a unique Template ID and a Description.
  3. Specify the Billing Duration, which is the number of times you want the billing to occur.

    4. For example, a billing frequency is annual, when you type 3 in this box, the billing line is renewed for 3 years with an annual billing frequency

  4. Select Save.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Workflow (ARCB build 608 and earlier)

Support Renewal Workflow Support Renewal Workflow Support Renewal Workflow

These steps apply to Microsoft Dynamics GP 2016 RTM (ARCB build 608 and earlier).

To use the functionality to calculate support and/or renewal amounts, follow this general workflow:

  1. Initial set up:
    1. In the Support/Renewal Preferences area on the Setup window, set the support and renewal default options.
      In particular, ensure that you select the Auto Billing Creation check box, so that the billing schedule is automatically created.
    2. On the Support Tier Maintenance window, create support tiers.
      Support tiers are used for support/renewal items that use the tier calculation option.
    3. On the Renewal Template Maintenance window, create a renewal template.
    4. On the Item Maintenance window, set the support and renewal for an item.
    5. On the Item Price List Maintenance window, set up the pricing for the item.
  2. In the Sales Transaction Entry create a sales invoice and add support and renewal contract information.
  3. Post the invoice.
  4. You can then review the billing schedule in the Billing Schedule Maintenance window.

    5. Note icon. Note: If you did not select Auto Billing Creation on the Setup window, you can use Recurring Contract Billing Creation window to manually create a recurring contract billing schedule from the original invoice or return.

Watch a video

  • Using the support/renewal functionality

See also

Support Level Workflow (ARCB build 608 and earlier)

Setting Up Default Billing Schedule Values

Creating Support Tiers

Setting Up Support/Renew Pricing for an Item

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Creating a Recurring Contract Billing Schedule from an Invoice or Return Document

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

These instructions are for Microsoft Dynamics GP 2016 RTM (ARCB build 608 and earlier). If you use Microsoft Dynamics GP 2016 R2 (ARCB Build 609) and newer, see Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer).

To set up the support and renewal contract information for a sales invoice, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. Create a sales invoice or retrieve the sales invoice you want.
  3. In the scrolling window, for one line item, select the Support/Renewal check box.
  4. Select Add Support/Renewal, which opens the Support/Renewal Process window.
  5. Select the Completion Date and Frequency.
  6. Select the Support/Renewal Qty.
  7. To use the support contract functionality, select Create Support and enter the appropriate information in the Support Contract Information area.
  8. To use the renewal contract functionality, select Create/Update Renewal and enter the appropriate information in the Renewal Contract Information area.
  9. Select Process.

The Support/Renewal Process window automatically closes, and the document in the Sales Transaction Entry window is updated with the support and renewal settings. The support and renewal contract settings are applied to all line items in the scrolling window.

To edit the support and renewal contract settings for an individual line item, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. Retrieve the sales record you want.
  3. For a line item, select Show Details [image].
    The Support/Renewal Item check box is automatically selected.
  4. Select the Support/Renewal Item expansion button, which opens the Support/Renewal Item Detail window.
  5. Edit the boxes on the Support/Renewal Item Detail and select OK:
    1. Select the Completion Date and Frequency.
    2. Select the Support/Renewal Qty.
    3. To use the support contract functionality, select Create Support and enter the appropriate information in the Support Contract Information area.
    4. To use the renewal contract functionality, select Create/Update Renewal and enter the appropriate information in the Renewal Contract Information area.
  6. On the Sales Transaction Entry , select Save.

Watch a video

  • Using the support/renewal functionality (PrM build 608 and earlier)

See also

Setting Up Support/Renew Pricing for an Item

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Level Workflow (ARCB build 608 and earlier)

Support Level Workflow Support Level Workflow Support Level Workflow

To use the support level functionality where you can apply different support levels to items, follow this general workflow:

  1. On the Setup window, create user-defined fields for the Support Tier Maintenance window.
  2. On the Support Tier Maintenance window, create different levels of support (for example, Gold, Silver, or Bronze).
  3. On the Sales Transaction Entry window, you can add a sales transaction, and apply the support tier to the item.
  4. After you post the transaction, you can review the billing schedule in the Billing Schedule Maintenance window.

    5. Note icon. Note: If you did not select Auto Billing Creation on the Setup window, you can use Recurring Contract Billing Creation window to manually create a recurring contract billing schedule from the original invoice or return.

See also

Support/Renewal Item Workflow (ARCB build 608 and earlier)

Creating User-Defined Fields

Creating Support Tiers

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applying a Support Tier to an Item (ARCB build 608 and earlier)

These instructions are for Microsoft Dynamics GP 2016 RTM and earlier. If you use Microsoft Dynamics GP 2016 R2 (ARCB Build 609) and newer, see Applying a Support Tier to an Item (ARCB build 609 and newer).

To apply a support level to an item, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. Follow the steps in the Microsoft Dynamics GP documentation to add a sales transaction.
  3. When you add an item to the scrolling window, ensure you select Support/Renewal Item for the line.
  4. Select Add Support/Renewal, which opens the Support/Renewal Process window.
  5. Set up the support or renewal contract information.
  6. In the Support/Renewal Option area, set up the support level for all items:
    1. In Calculation Option, select Tier.
    2. Select the Tier ID you want.
    3. Select Percentage or Amount for calculating support and renewal amounts.
    4. Select Preview to open the Support/Renewal Preview window.
      You can edit the support or renewal amounts and percentages as needed, and select OK.
    5. Select Process.

    These settings are applied to all line items.

  7. If you want to change the values for a specific line item, do the following:
    1. In the scrolling window, select Show Details [image] to expand the item.
    2. Make sure the Support/Renewal check box is selected, and select the expansion button, which opens the Support/Renewal Item Detail window.
    3. Edit the support or renewal contract information as needed.
    4. Edit the Support/Renewal Option area as described in the previous step.
      The Preview button is not available in this window, so you can skip that step.
    5. Select OK.
  8. In the Sales Transaction Entry window, select Save.

See also

Creating Support Tiers

Setting Up Support/Renew Pricing for an Item

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Flat Amount Workfow

Flat Amount Workflow Flat Amount Workflow Flat Amount Workflow

To use the flat amount functionality, follow this general workflow:

  1. When you set up the default options, for Price Default, select Flat Amount.
  2. When you create an item on the Item Maintenance window, ensure that the Price Option is Standard.
  3. Create the billing schedule and add a meter item or a regular item to the schedule.
  4. Review the details of the billing schedule in the Billing Schedule Detail window.
  5. Create the invoice for the billing schedule.
  6. On the Sales Transaction Entry window, review and process the invoice.

See also

Setting Up Default Billing Schedule Values

Copying a Billing Schedule

Creating Invoices with the Invoice Creator Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Troubleshooting: ExecuteReader Requires an Open and Available Connection

Users other than the “sa” user (SQL Server system administrator) might see the following error message when running some ARCB processes, such as using the Invoice Creator.

ExecuteReader requires an open and available Connection. The connection’s current state is closed.

Resolution

This error can occur when the ODBC Data Source Name (DSN) used to connect to the Microsoft Dynamics GP database server uses one of the following types of values in the Server field:

  • SQL Server alias name
  • SQL Server High Availability (HA) group name
  • Fully Qualified Domain Name (FQDN)

This error is caused by a known limitation in Microsoft’s GPConnNet.dll library, which is used in some ARCB processes that require the user's password information. During an ARCB process, the encrypted and decrypted password is used.

  1. When using the User Setup window in Microsoft Dynamics GP to create a password for a non-sa user, the Microsoft Dynamics GP code uses the ODBC DSN’s Server name as an input value for the algorithm that is used to encrypt the password before saving it.
  2. During a process, the GPConnNet’s code uses the SQL Server’s internal server name to decrypt the password.

    3. Although unconfirmed, it is believed that GPConnNet’s code uses the following query to retrieve that internal server name: select @@servername.

  3. If a mismatch between the ODBC DSN’s Server name and the SQL Server’s internal server name occurs, the database connection attempts made by GPConnNet’s code fail because the decrypted password is not the same as the original unencrypted password entered on the User Setup window.

To resolve this issue, change the ODBC DSN’s Server name to use the SQL Server’s internal server name. For the SQL Server default instance the internal server name is typically servername. However, for a SQL Server named instance the internal server name is typically servername\instancename.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Overview

Overview Fields Buttons

Tools > Setup > Adv Recurring Contract Billing > Setup

Use this window to set up default values that are used in the individual billing schedules as they are created in ARCB.

Tip: On the Microsoft Dynamics GP Enable Extended Pricing window, check that the Pricing Options is set to Enable Standard Pricing. This option affects the CPI calculations and the pricing methods (standard, tier, and flat tier) that are used in ARCB.

See also

Setting Up Default Billing Schedule Values

Setting Up ARED Recognition Schedule Default Values

Aggregated Pricing for Items Shipped to Multiple Locations (Regular): Example

Aggregated Pricing for Items Shipped to Multiple Locations (Metered): Example

Pricing Methods

Creating a Schedule Type

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Distribution Method Options: Overview
Tools > Setup > Adv Recurring Contract Billing > Setup > Bill Distribution Method expansion button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Use this window to define different billing distribution methods. For example, CCB, Paper, ACH, Credit Card. These values are applied to a billing schedule on the Contract and Billing Distribution Options window.

See also

Setting Up Default Billing Schedule Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SSRS Formats Options: Overview
Tools > Setup > Adv Recurring Contract Billing > Setup > SSRS Formats expansion button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Use this window to define different SSRS formats for customer contracts. These values are applied to a billing schedule on the Billing Distribution Method Options window.

See also

Setting Up Default Billing Schedule Values

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Type Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Adv Recurring Contract Billing > Setup > Schedule Type expansion button

Use this window to manage the schedule types. Different schedule types are useful in improving your productivity when running reports and processing invoices.

See also

Setting Up Default Billing Schedule Values

Creating a Schedule Type

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Adv. Recurring Contract Billing > Setup > User Defined button

Use this window to create new fields to track additional information for billing schedule maintenance and end user maintenance. You can create up to 40 fields and select their data types from string, check box, integer, or double (currency).

When you enter data into these fields, select the User-Defined button in the Schedule Maintenance window to open a separate window where you enter the data.

See also

Creating User-Defined Fields

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Line User-Defined Setup: Overview
Tools > Setup > Adv. Recurring Contract Billing > Setup > User Defined button > Line User-Defined button

Available in ARCB build 709 (and newer).

Use this window to create new fields to track additional information for billing schedule lines and price adjustment lines.

See also

Creating User-Defined Fields

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Type Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Adv. Recurring Contract Billing > Item Type Setup

Use this custom window to set up different item types.

Select Bandwidth for meter read billing that you can import from text files monthly. For standard items, use Other.

See also

Creating an Item Type

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Class Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Inventory > Item Class

When you use the alternate window, a Support/Renewal area is added to the window. If you continue to use the Microsoft Dynamics GP window, an extra window appears with the support/renewal boxes.

The information that you set up in this window, rolls down to items in the item class selected, and affects how an SOP invoice is created in the SOP Transaction window. The renewal status appears in the Item Maintenance window.

When creating an SOP invoice in the SOP Transaction window and you select an item that has the Renewable Item check box selected in the Item Maintenance window, the renewal item is used to insert an SOP line for current renewals.

See also

Creating an Item Class

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Template Maintenance: Overview

Button showing that window Overview page is currently viewed.
Tools > Setup > Adv. Recurring Contract Billing > Milestone Template Maintenance

The milestone billing functionality is available as of Microsoft Dynamics GP 2015 R2.

Use this window to define templates for the milestone billing functionality. You can define the allocation percentages or amounts for each line within the milestone template.

You can then assign the milestone template to billing schedule items that use the milestone billing functionality.

See also

Creating a Milestone Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Connection Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Adv. Recurring Contract Billing > Import Connection

Use this window to setup database connection for billing schedules and meter imports.

Important: If you are using Data Connection Import, you must set up these windows.

See also

Schedule Import: Data Connection Column Mappings

Setting Up the Billing Schedule Import Mapping

Schedule Import - Tables Mapping: Overview

Schedule Import - Column Mappings: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Tables Mapping: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Recurring Contract Billing> Import Connection > Next button

Use this window to map the source and destination tables.

Notes:

  • If data is from more than one table, create a View to link multiple source tables and then map the View as a source table.
  • Is it mandatory to have the Schedule Header and Schedule Lines mapped at all times. The data connection creates the schedules from scratch. If you want to import price adjustment lines, for example, the source tables for Schedule Header and Schedule Lines must have the related data.

See also

Schedule Import: Data Connection Column Mappings

Setting Up the Billing Schedule Import Mapping

Schedule Import - Connection Setup: Overview

Schedule Import - Column Mappings: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Column Mappings: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Recurring Contract Billing >Import Connection > Next button > Edit Mappings button

Use this window to map the columns between source and destination tables.

See also

Schedule Import: Data Connection Column Mappings

Setting Up the Billing Schedule Import Mapping

Schedule Import - Connection Setup: Overview

Schedule Import - Tables Mapping: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SQL Connection String: Overview

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Use this window to specify the connection string fro connecting to the SQL server database.

See also

Setting Up the SQL Server Connection

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Schedule Import

Use this window to import schedule headers, schedule lines, and user-defined information.

When you import files that contain existing data, only the new records for the schedule header and schedule lines are imported. The existing schedule header and schedule lines records in Microsoft Dynamics GP do not change. When you import data for user-defined fields, the existing records are updated. After a file is imported, an exception report is created.

Providing a termination date while importing schedules into Microsoft Dynamics GP has the same results as entering a termination date in the Billing Schedule Maintenance window.

Note icon. Note: If you have Multi-Entity Management installed and are using it, the following data is restricted by entity ID access:

  • In the Schedule Header file, the Entity ID field is required, and the Customer Number, Site ID, and Document ID fields are restricted by their entity IDs.
  • In the Schedule Line file, the Entity ID field is required, and the Customer Number, Site ID, Document ID, and Item Number fields are restricted by their entity IDs.

When Multi-Entity Management is NOT used (not enabled on the Multi-Entity Management Setup window), make the first column of the Schedule Header import file blank.

Prerequisites

Before importing a file that contains user-defined fields, you must set up the user-defined fields in the User Defined Fields Setup window.

Import schedule header records when you import associated schedule line records.

When Create Schedule Based on Dates on the Setup window is selected (has a value 1), you do not have to provide a template ID when importing schedules. However, you must provide a deferral start date, a deferral end date, and a deferral frequency.

See also

Importing a Billing Schedule Information

Schedule Import: Data Connection Column Mappings

Importing Data: CSV File Formats

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Reading Import: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Meter Reading Import

Use this window to import meter readings or consumptions for the bandwidth type items only.

The billing schedule must exist before you can import the meter readings or consumption.

The file that you import must be a comma delimited file. For the file details, review the Importing Data: CSV File Formats article.

See also

Import Meter Reading Data

Importing Data: CSV File Formats

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Tier Maintenance: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Support Tier Maintenance

Available as of Microsoft Dynamics GP 2016 RTM.

Use this window to set up different support levels for support and renewal items.

For example, a company offers the following different support levels:

Support Renewal Level Table
Unlimited | 40%
Gold | 25%
Silver | 20%
Bronze | 15%

See also

Creating Support Tiers

Using the Support Tier

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Item

When you use the ARCB alternate version of this window, an area for support/renewal and item pricing appears. If you continue to use the Microsoft Dynamics GP version of the window, an extra appears.

The information in the support/renewal area affects how an sales order processing invoice is created on the SOP Transaction window. The renewal status appears on the Item Maintenance window.

When a sales order processing invoice is created on the SOP Transaction window and you select an item that has the Renewable Item check box selected on the Item Maintenance window, the renewal item is used to insert a sales order processing line for current renewals.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Setting Up an Item to Track Work in Progress

Setting Up an Item to use Tier Pricing

Setting Up Support/Renew Pricing for an Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Price List Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Price List

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

This ARCB alternate window includes an expansion button in the scrolling window next to Price Level. This button is available only when Enable Tier Pricing is selected on the Setup window.

With tiered pricing, you can create different pricing levels for items based on the quantities purchased, the more items that are purchased, the better the price per unit. For example, for an Item A, the tiered pricing setup might appear as follows:

Quantity | Price per Unit | Description
1-100 | 20.00 | The first 100 items purchased are 20.00 per unit.
101-200 | 15.00 | The next 100 items purchased are 15.00 per unit.
201+ | 10.00 | Any items purchased that are greater than 200 are 10.00 per unit

If a customer purchases 350 of Item A, the cost is calculated as follows: (100 * 20) + (100 * 15) + (150 * 10)

See also

Setting Up Tier Pricing for an Item

Setting Up a Promotion Price for a Tier Pricing Item

Tier Pricing

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Promotion Pricing: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Price List > Price Level expansion button

Use this window to setup promotion prices for any quantity range (price bracket) of the item. This window is available only when Enable Tier Pricing is selected on Setup window.

If any promotions for the current quantity range (price bracket) of the item exists, the billing start date and end date of each billing period is compared to the start and expiration date on the Item Promotion Pricing window to get the effective price for the period. If no promotions occur during a billing period, the default priced is used.

See also

Setting Up a Promotion Price for a Tier Pricing Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Kit Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Kits

Use the ARCB alternate window to select the sales account from the component item or from the kit item.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Notes:

  • When ARED is installed and the selected kit item is marked as a deferral item in ARED, you cannot select the From Component Item option for the Sales Account for the selected kit item.
  • Serial/Lot kit items are not currently supported.

See also

Assigning Kit Components

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Renewal Template Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Renewal Template Maintenance

Use this window to maintain renewal template IDs.

See also

Creating a Renewal Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Site Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Site

When you use the alternate window, additional fields appear for Entity and Region. If you continue to use the Microsoft Dynamics GP window, an extra window appears with these boxes. If you close the extra window, you can open by selecting Additional > Recurring Billing Extra, or pressing Ctrl + R.

The Entity and Region values are used for account substitution when SOP documents are created in the Invoice Creator window. If you do not type values for the entity and region, account substitution does not occur.

Note icon. Note: When Multi-Entity Management is also installed, the invoices created do not use the Entity and Region values for account substitution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Meter Maintenance

Use this window to set up meters or master meters, and then assign the meters to master meters.

See also

Creating a Meter

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Master Meter Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Meter Maintenance > Assign Meters button
Cards > Adv. Recurring Contract Billing > Master Meter Maintenance

Use this window to associate one or more meters with a master meter.

See also

Assigning a Meter to a Master Meter

Importing Meters, Master Meters, and Master Meter Relationships

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Import: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Master Meter Maintenance > Import button

Use this window to import meters, master meter, and assign the master meter relationship.

See also

Importing Meters, Master Meters, and Master Meter Relationships

Schedule Import: Data Connection Column Mappings

Importing Data: CSV File Formats

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


End User Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > End User

Use this window to create, delete, edit, or review end user records that you can later associate with a customer ID.

See also

Creating an End User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Entry: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > End User > User Defined button

Use this window to enter additional information about the end user. The boxes on this window are defined in the User Defined Fields Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales > Customer Maintenance

Use this window to record information about customers.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Note icon. Note: If you change the Bill To address and the Salesperson ID on this window, you must also change the Bill To Address and the Salesperson ID on the Schedule Customer Detail window. These changes are not automatically updated on the Schedule Customer Detail window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer End User Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Customer - End User

Use this window to create end user-customer relationships.

General Scenario

To better understand the purpose of the customer and end user relationship, review this example.

  • Company A produces and sells software.
  • VAR# is a distributor of the software that Company A produces, where # is 1, 2, 3, etc.
  • EndUser# is the actual user of the software that Company A produces, where # is 1, 2, 3, etc.

The relationships are as follows:

  • Company A and each VAR# is a business relationship, where VAR# is a customer of Company A.
  • VAR# and EndUser# is a business relationship where EndUser# is a customer of VAR#.

    Additionally, one VAR# can have relationships with several EndUser#s. However, one EndUser# can have a relationship with only one VAR#.

In Microsoft Dynamics GP , Company A creates customer account records for each VAR#: VAR1, VAR2, VAR3, etc. and customer account records for each EndUser#: Enduser1, Enduser2, Enduser3, etc.

On the this window, the relationships between the VAR#s and the EndUser#s can be created as follows:

  • VAR1 can have relationships with EndUser1, EndUser3, EndUser5.
  • VAR2 can have relationships with EndUser2, EndUser4, EndUser6.
  • VAR3 can have relationships with EndUser7, EndUser8, EndUser9.

With these customer and end user relationships, Company A can keep track of the actual end users of the software and learn more about subscription services and support offerings that EndUser# purchases.

See also

Associating an End User to a Customer ID

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Schedule Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > CPI Schedule Maintenance

Use this window to create, delete, edit, or review the list of Price Index schedules that you obtain from the Internet to help determine the charge price adjustment. You can create many Price Index schedules based on the latest dates and statistics.

If the Price Index schedule is associated with any billing schedule, you cannot delete it.

To obtain the latest Price Index schedule, visit the website for your geographic region. If you are able to, download the latest index and import it to the Price Index schedule.

See also

Importing the Consumer Price Index (CPI) Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Import: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > CPI Schedule Maintenance > Import button

Use this window to import data from the CPI file for a given year. Up to five decimal places are supported.

The file that you import must be a comma delimited file. For the file details, review the Importing Data: CSV File Formats article.

See also

Importing the Consumer Price Index (CPI) Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Termaination Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Termination Maintenance

Use this window to setup termination IDs.

When you terminate a billing line item, you are asked to enter a termination reason. You can create a reason or attach an existing termination reason by selecting a termination ID.

See also

Setting Up a Termination ID

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Termination Reason: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Specify a Termination Date

Use this window to create termination IDs that are used when terminating a billing schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Class Maintenance: Overview
Cards > Adv. Recurring Contract Billing > Billing Class Maintenance

Available in ARED for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Use this window to create classes for billing schedules. The classes are used for defining the date on which invoices are created.

Closed View example.

For example, you set up the following billing classes:

The billing class Meter Cycle 3 is applied to 20,000 billing schedules. When invoices are created for these billing schedules, the date of the invoice is the 10th of the month. You then change 10,000 billing schedules to use billing class Meter Cycle 5. As a result, the invoices for those 10,000 billing schedules are created on the 15th of the month.

On the 1st of the month for Meter Cycle 3, you then change the billing date to bill on 17th. When you select Process, all billing schedules that use the billing class Meter Cycle 3 have an invoice date of the 17th of the month.

See also

Creating a Billing Class

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Discount Code Maintenance: Overview
Cards > Adv. Recurring Contract Billing > Discount Code Maintenance

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Use this window to create and maintain discount codes that are used for the markdown functionality for creating markdown recognition schedules. The accounts specified are used for the initial journal entry and the billing and recognition processes. These default accounts can be changed for specific billing schedule lines on the Markdown Accounts window.

See also

Creating a Discount Code

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule

Use this window to set up a recurring contract billing schedule for each customer, with contract billing information specific to the customer, such as contract dates, quantities, and other details.

Typically a billing schedule is set up for a sale that includes a product and a service contract. The service contract is usually for one period of time and may be renewed in the future. You set up a renewal schedule using the Sales Transaction Entry, Support/Renewal Process, and Support/Renewal Item Detail windows.

This window does not display billing schedules with a status of Archive(d). You can view archived billing schedules in the Billing Schedule Inquiry window.

Note icon. Note: Schedule lines that are included in an invoice creator batch that is still in progress are not available for viewing or editing on this window.

Before you create a billing schedule, ensure that the following customer records are set up with the Price Level and Currency ID filled in.

  • Price Level–Set up in the Customer Maintenance Window
  • Currency ID–Set up in Customer Maintenance Options window
  • Item–Set up for the current location
  • Current Location–Set up in the Item Quantities Maintenance window
  • Item–Set up price for the current Price Level/Currency and U of M
  • Price–Set up in the Item Price List Maintenance window
  • Setup and Item Type Setup windows–Fill in default values
  • All accounts –Set up

Using with Advanced Revenue & Expense Deferrals (ARED)

The Deferral Start Date and Deferral End Date are available when ARED is installed. You can access these boxes by selecting the ARED button. By using these dates, you can make changes to ARED recognition schedules that are associated with ARCB billing schedules. for more information about Deferral Start Date and Deferral End Date, see the field descriptions for this window.

Invoice Creation with a Schedule that has a Multiple Element Arrangements

When an invoice is created for items that are in a group, the Period Revenue Amount is used for the invoice creator process. After the invoice is created, you cannot edit the following values on the header section of this:

  • Start Date
  • End Date
  • Billing Frequency
  • Occurrence
  • Prorate Amount
  • Disable Calendar Billing
  • Hold

Also, the line item is locked.

Terminated Billing Schedules

When you update the price of an item in a billing schedule that has been terminated and still has unbilled revenue amounts, a warning message appears. The price is updated with the amount you specify. However, you must manually process any journal entries for the unbilled revenue amounts that have been created for the billing schedule.

See also

Creating a Billing Schedule

Copying a Billing Schedule

Sorting and Filtering Line Items

Putting a Billing Schedule Item on Hold

Putting a Billing Schedule on Hold

Terminating a Billing Schedule

Terminating a Billing Schedule Item

Adding a Item to a Billing Schedule that Tracks Work in Progress Revenue

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing with Milestone Sub-Items: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Terminating a Billing Schedule: Example

Fixed Term Contract Termination: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract and Billing Distribution Options: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > Options button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Use this window to specify the contract and billing options for a billing schedule.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > User Defined Fields button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Use this window to specify values for user-defined fields that were set up on the Setup window. These fields are used in the SSRS formats for invoices.

See also

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Renewal Terms: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Renewal Terms button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer). For ARCB build 705 and earlier, use the Billing End Date Audit window.

Use this window to view changes to the billing periods for a line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Amount Change Audit Line: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > Renewal Terms button, Renewal Terms > Total Amount expansion button

Use this window to review the changes of the ARED deferral schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Customer Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Customer Number expansion button

Use this window to select the address ID, salesperson ID, and price sheet for the customer.

If you make any changes to the data on this window and select OK, you are asked to roll down the changes to all line items in the billing schedule. If you do not want to roll down the changes to all lines, select No. In some cases, you might want each line item to have different details, which can be edited in the Schedule Line Customer Detail window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Dates Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Start Date expansion button

Use this window to enter the dates on regarding the contract information for the billing schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Completion Date Audit: Overview

Button showing that window Overview page is currently viewed.

Level1 > Level2 > Level3

Use this window to view the modification history of the contract completion date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Customer Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Item Number expansion button

Use this window to select the address ID, and salesperson ID for the line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Comments: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Comment button

Use this window to assign a comment ID to the line item. You can also add addition comments.

After an invoice is processed in the Invoice Creator window, the comment is pushed to the SOP line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule AA Dimension: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Sales Account expansion button

Use this window to enter or modify analytical accounting (AA) dimension values against the sales account for each schedule line item.

When Override SOP AA Info from Schedule Lines is selected on the Setup window, for an SOP invoice created for a billing schedule, the AA dimensions that are added to the sales account on the billing schedule detail line are pushed to the sales account on the SOP invoice.

During the invoice creation process, if the selected schedule line items have modified AA information, then these lines shall not be consolidated even when the Consolidate by Item/Unit Price is selected. However, if the selected schedule line items do not have AA information or have default AA information, then these line items are consolidated.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Price Level or Price Sheet expansion button

Use this window to edit the pricing options for an item. This window is available for each line item on the billing schedule. When you edit the pricing options, you can set the free quantity amounts for a billing schedule line. Also, you can set any minimum or maximum charges for a billing schedule line. The default values for the pricing options for an item are from the Item Maintenance window.

See also

Billing by Amount

Setting Up the Minimum and Maximum Billing Amount for an Item

Setting Up the Free Quantity Options for an Item

Using Price Groups

Item Pricing Options: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Termination Date Audit Header/Line: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Termination Date expansion button

Use this window to view the modification history of the termination date.

See also

Fixed Term Contract Termination: Examples

Terminating a Billing Schedule: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Kit Options: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Kits button

Use this window to edit component items for a kit item. The default values for component items some from the Microsoft Dynamics GP Item Kit Maintenance window. For each component item, the following data is available and can be edited: Quantity, U of M, Location, Allocation %, and Sales Account.

This window is available only when a kit item is added to the contract.

With regard to the unit price, Microsoft Dynamics GP does not display the unit price for each component. ARCB also follows the same rule. The unit price for the kit is based on Microsoft Dynamics GP price methodology.

Note icon. Note: The ability to allocate revenue to components of a kit is limited to the revenue allocation. Any other journal entries, such as markdowns or returns, use GL accounts assigned to a kit item (the parent item).

See also

Adding a Kit Item to a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Deferrals: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > ARED button for a line in the scrolling window

Use this window to edit line items that are deferrable.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Work In Progress: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > WIP button

Use this window to set up the work in progress and unbilled revenue accounts.

Termination Process for WIP Tracked Line Items

For Adjust Schedule or Termination Fee options, when a line item is terminated the total amount changes. In these cases, the original journal entry is reversed and a new journal entry is created with the new amount in the current period.

Quantity (Qty) and Unit Price Changes for WIP Tracked Line Items

Any change to the Schedule Maintenance window results in updating the total amount. The original journal entry is reversed, and a new journal entry is created with the new amount in the current period.

See also

Adding a Item to a Billing Schedule that Tracks Work in Progress Revenue

WIP Tracked Items - Distributions Breakdown

Creating a Journal Entry for a Work in Progress Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


WIP JE Detail: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > WIP button > WIP JE expansion button

Use this window to review the journal entry numbers for an item where you track the work in progress revenue.

To view the details of the journal entry, in the list view select the journal entry number and then select the Journal No link.

See also

WIP Tracked Items - Distributions Breakdown

Creating a Journal Entry for a Work in Progress Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Deferral Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > ARED button on the toolbar

Use this window to edit the deferral start and end dates for a billing schedule, which creates a schedule in ARED. This window is available when ARED is installed.

Change a Deferral Start Date for an Existing Recognition Schedule in ARED

When Create One Schedule and Create Schedule Based on Dates are selected and a deferral schedule exists for a selected line item, you can change the deferral start date on the selected line. When the deferral start date is changed, the start date of the attached ARED recognition schedule is also changed, and the recognition schedule amounts are recalculated based on the new deferral start date.

Recalculate an Existing Recognition Schedule in ARED

When Create One Schedule and Create Schedule Based on Dates are selected and a deferral schedule exists for a selected line item, you can enter the deferral end date. When the deferral end date is changed, the Recalculation Date Header window appears, where you specify a recalculation date and the reason for the change. The deferral periods in the recognition schedule are recalculated by dividing the total schedule amount by the number of periods remaining up to the deferral end date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Price Breakdown: Overview

Button showing that window Overview page is currently viewed.

Cards >Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button > Unit Price expansion button

Use this window to view the unit price brackets for item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recalculation Date: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > change Deferral End Date in the header
Cards > Adv. Recurring Contract Billing > Billing Schedule > change Deferral End Date on the line

Use this window w to enter a recalculation date and the reason for recalculating any recognition schedules in ARED. Schedules are recalculated based on the new deferral end date in the Billing Schedule Maintenance window and the recalculation date in this window.

You can open this window from the Billing Schedule Maintenance window under the following conditions:

  • Advanced Revenue & Expense Deferrals (ARED) is installed
  • You changed the Deferral End Date in the header of the Billing Schedule Maintenance window
  • Both Create One Schedule and Create Schedule Based on Dates are selected on the Setup window, and at least one deferral schedule exists in the Billing Schedule Maintenance window
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Preview: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule Maintenance > Invoice Preview button

Use this window to see a preview the billing amounts of all contract lines and total amounts for the next billing period. You can also see the amounts for the invoiced periods.

For a billing frequency other than monthly, you can review the Monthly Extended Price amount for each contract line in addition to the Extended Price amount.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alignment: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Alignment button

Use this window to align the currently displayed billing schedule to a particular date. Each item in the billing schedule is aligned.

When the alignment is processed, the alignment date is compared with the start date of each billing period. The billing period end date is then extended to one day before the next aligned billing start date. The aligned billing period starts from the next billing period.

When a schedule has already been aligned, it cannot be re-aligned.

Tip: To align several billing schedules for a particular customer, use the Align Billing Schedule Utility.

See also

Aligning Billing Schedules to a Particular Date

Alignment - Annual Billing Frequency: Example

Alignment - Quarterly Billing Frequency: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Alignment Display: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Alignment button > Alignment Date expansion button

Use this window to view the line items for the next billing period for the selected billing schedule.

See also

Alignment - Annual Billing Frequency: Example

Alignment - Quarterly Billing Frequency: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button

Use this window to view a list of the billing schedule based on the start date and end date from the header and the billing frequency from the line level.

Terminated Billing Schedules

When you update the price of an item in a billing schedule that has been terminated and still has unbilled revenue amounts, a warning message appears. The price is updated with the amount you specify. However, you must manually process any journal entries for the unbilled revenue amounts that have been created for the billing schedule.

Using Price Groups

When a price group is used for several items on a billing schedule and the minimum and maximum Committed Options are specified on the Item Pricing Options window, changes to the Qty. Entered or Unit Price affects the last item or the adjustment item in the price group. Review the following example to better understand how the price group works with changes to this window.

Example: Single Group for all Items

A billing schedule (from January 2020 to December 2020) has the following items, that belong to GRP1.

Item Number | Quantity | Unit Price | Group ID
3-A2440A | 40 | 20.00 | GRP1
4-C8900A | 30 | 20.00 | GRP1
1-B5410A | 30 | 20.00 | GRP1
Closed Case 1: Last Group Item Adjustment

The Item Pricing Options window is set up as follows for GRP1:

  • Item Pricing: By Group
  • Price Group: GRP1
  • Adjustment Option: Last Group Item
  • Committed Options
    • Min/Max: By Quantity
    • Minimum Amount/QTY: 50
    • Maximum Amount/QTY: 100
    • Reset Number of Periods: 1

On the Billing Schedule Detail window, the following changes are made for the January 2020 billing period:

  • 3-A2440A: Qty. Entered is changed from 40 to 50.
  • 4-C8900A: Qty. Entered is changed from 30 to 40.

The following table shows the adjustments made to the quantities for the January 2020 billing period based on the Committed Options specified.

Item Number | Period | Qty. Entered | Billable Quantity | Unit Price | Extended Price | Min/Max Committed | Price Comment
3-A2440A | January 2020 | 50 | 50 | 20.00 | 1000.00
4-C8900A | January 2020 | 40 | 40 | 20.00 | 800.00
1-B5410A January 2020 30 10 20.00 200.00 10

Original quantity was 30, but due to adjustment is reduced by 20 to 10.

Based on the Committed Options for GRP1, the maximum billable quantity is 100. The total quantity of the first two items is 50 + 40 = 90.

The adjustment option is based on the last item in the group. As a result, only a billable quantity of 10 of the last item can be included in the January 2020 billing period.

If Reset Number of Periods is greater than 1, then the last period of the last item is adjusted until it becomes zero (0). If additional adjustment is needed, then the second to last item is adjusted, and so on.

Total | January 2020 | 120 | 100 | 20.00 | 2000.00
Closed Case 2: Other Item Adjustment

The Item Pricing Options window is set up as follows for GRP1:

  • Item Pricing: By Group
  • Price Group: GRP1
  • Adjustment Option: Other Item
  • Adjustment Item: ADJUSTMENT
  • Committed Options
    • Min/Max: By Quantity
    • Minimum Amount/QTY: 50
    • Maximum Amount/QTY: 100
    • Reset Number of Periods: 1

On the billing schedule details window, the following changes are made for the January 2020 billing period:

  • 3-A2440A: Qty. Entered is changed from 40 to 50.
  • 4-C8900A: Qty. Entered is changed from 30 to 40.

The following table shows the adjustments made to the quantities for the January 2020 billing period based on the Committed Options specified.

Item Number | Period | Qty. Entered | Billable Quantity | Unit Price | Extended Price | Min/Max Committed | Price Comment
3-A2440A | January 2020 | 50 | 50 | 20.00 | 1000.00
4-C8900A | January 2020 | 40 | 40 | 20.00 | 800.00
1-B5410A January 2020 30 30 20.00 600.00 10

ADJUSTMENT January 2020 20 20 -20.00 -400.00 -20.00

Based on the Committed Options for GRP1, the maximum billable quantity is 100. The total quantity of the items is 50 + 40 + 30 = 120.

The adjustment option is based on other item. As a result, an adjustment item (ADJUSTMENT) is created. The unit price for the item must be negative to ensure that the billable amount is only for the quantity 100.

If Reset Number of Periods is greater than 1, the number of periods in other items is reset.

Total | January 2020 | 120 | 100 | 20.00 | 2000.00

Example: Multiple Groups for Items

A billing schedule (from January 2020 to December 2020) has the following items, that belong to GRP1.

Item Number | Quantity | Unit Price | Group ID |
3-A2440A | 10 | 20.00 | GRP1 | 200.00
4-C8900A | 5 | 20.00 | GRP1 | 100.00
1-B5410A | 10 | 20.00 | GRP1 | 200.00
5-A2440A | 10 | 20.00 | GRP2 | 200.00
6-C8900A | 5 | 10.00 | GRP2 | 50.00
7-B5410A | 10 | 40.00 | GRP2 | 400.00
Closed Case 1: Last Group Item Adjustment

The Item Pricing Options window is set up as follows for each group:

GRP1 GRP2
  • Item Pricing: By Group
  • Price Group: GRP1
  • Adjustment Option: Last Group Item
  • Committed Options
    • Min/Max: By Quantity
    • Minimum Amount/QTY: 50
    • Maximum Amount/QTY: 100
    • Reset Number of Periods: 1
  • Item Pricing: By Group
  • Price Group: GRP2
  • Adjustment Option: Last Group Item
  • Committed Options
    • Min/Max: By Amount
    • Minimum Amount/QTY: 300.00
    • Maximum Amount/QTY: 500.00
    • Reset Number of Periods: 1

On the billing schedule details window, the following changes are made for the January 2020 billing period:

  • GRP1
    • 3-A2440A: Qty. Entered is 10 (no change).
    • 4-C8900A: Qty. Entered is changed from 5 to 15.
    • 1-B5410A: Qty. Entered is 10 (no change).
  • GRP2
    • 5-A2440A: Unit Price is 20.00 (no change).
    • 6-C8900A: Unit Price is 10.00 (no change).
    • 7-B5410A: Unit Price is 40.00 (no change).

The following table shows the adjustments made for the January 2020 billing period for the two groups.

  • GRP1 is based on the Committed Options specified for quantities.
  • GRP2 is based on the Committed Options specified for amounts.
Item Number | Period | Qty. Entered | Billable Quantity | Unit Price | Extended Price | Min/Max Committed | Price Comment
3-A2440A | January 2020 | 10 | 10 | 20.00 | 200.00
4-C8900A | January 2020 | 15 | 15 | 20.00 | 300.00

1-B5410A

(Last Item of GRP1)

 January 2020 10

25

(10 + 15)

 20.00

500.00

(25 * 20)

 25

Based on the Committed Options for GRP1, the minimum billable quantity is 50. The total quantity of the items is 10 + 15 + 10 = 35. The minimum billable quantity has not been satisfied.

The adjustment option is based on the last item in the group. As a result, the billable quantity of the last item is increased by 15 to 25. The minimum quantity is satisfied for price group GRP1 and reset number of periods.

5-A2440A | January 2020 | 10 | 10 | 20.00 | 200.00 | 200.00
6-C8900A | January 2020 | 5 | 5 | 10.00 | 50.00 | 50.00

7-B5410A

(Last Item of GRP2)

 January 2020 10 10

25.00

(40.00-15.00)

250.00

(400.00 - 150.00)

 25.00

Based on the Committed Options for GRP2, the maximum billable amount is 500.00. The total amount is 200 + 50 + 400 = 650.00. This total exceeds the maximum billable amount.

The adjustment option is based on the last item in the group. As a result, the unit prices of the last item is deceased by 15.00 to 25.00. The maximum amount is satisfied for price group GRP2 and reset number of periods.
Closed Case 2: Other Item Adjustment

The Item Pricing Options window is set up as follows for GRP2:

  • Item Pricing: By Group
  • Price Group: GRP2
  • Adjustment Option: Other Item
  • Adjustment Item: ADJUSTMENT
  • Committed Options
    • Min/Max: By Amount
    • Minimum Amount/QTY: 300.00
    • Maximum Amount/QTY: 500.00
    • Reset Number of Periods: 1

The following table shows the adjustments made for the January 2020 billing period for GRP2.

Item Number | Period | Qty. Entered | Billable Quantity | Unit Price | Extended Price | Min/Max Committed | Price Comment
5-A2440A | January 2020 | 10 | 10 | 20.00 | 200.00 | 200.00
6-C8900A | January 2020 | 5 | 5 | 10.00 | 50.00 | 50.00
7-B5410A | January 2020 | 10 | 10 | 40.00 | 400.00
ADJUSTMENT January 2020 1 1 -150.00 -150.00 -150.00

Based on the Committed Options for GRP2, the maximum billable amount is 500.00. The total amount is 200 + 50 + 400 = 650.00. This total exceeds the maximum billable amount.

The adjustment option is based on other item. As a result, an adjustment item (ADJUSTMENT) is created with a quantity of 1 and a unit price of -150.00. This adjustment makes the billable amount of the billing period to satisfy the maximum amount for GRP2 and reset number of periods.

Example: Tier Pricing on Meter Item and Single Group

A billing schedule (from January 2020 to December 2020) has the following items, that belong to GRP1.

Item Number | Item Type | Quantity | Unit Price | Group ID
1-A3261A | Bandwidth | 0 | 10.00 | GRP1
4-C8900A | Bandwidth | 0 | 10.00 | GRP1

Tier pricing is setup as follows:

Item Number | Price Level | UoM | Tier Price | Start Quantity | End Quantity
1-A3261A | RETAIL | Each | 10.00 | 1 | 10
1-A3261A | RETAIL | Each | 5.00 | 11 | 30
1-A3261A | RETAIL | Each | 1.00 | 31 | 999999999999
1-A3483A | RETAIL | Each | 10.00 | 1 | 15
1-A3483A | RETAIL | Each | 25.00 | 16 | 999999999999

For item 1-A3261A, the current reading on the Billing Schedule Detail window entered is 45. The adjustment for the meter item for the billing period January 2020 is as follows:

Item Number | Period | Previous Reading | Current Reading | Cons. Entered | Billable Cons. | Unit Price | Extended Price
1-A3261A | January 2020 | 0 | 45 | 45 | 45 | 4.78 | 215.000

In this period, the consumption 45 has been calculated with respect to the tier pricing:

Tier | Unit Price | Quantity | Amount
1 - 10 | 10.00 | 10 | 100.00
11 - 30 | 5.00 | 20 | 100.00
31 - 45 | 1.00 | 15 | 15.00

The extended price is 100 + 100 + 15 = 215.00. The unit price is calculated as follows: 215 / 45 = 4.78.

The Item Pricing Options window is set up as follows for GRP1:

  • Item Pricing: By Group
  • Price Group: GRP1
  • Adjustment Option: Other Item
  • Adjustment Item: ADJUSTMENT
  • Committed Options
    • Min/Max: By Amount
    • Minimum Amount/QTY: 250.00
    • Maximum Amount/QTY: 750.00
    • Reset Number of Periods: 1

The following table shows the consumption entered for the items and the adjustment based on the committed options. The adjustment item appears on the billing detail with the line type Billing Adj.

Item Number | Period | Consumption | Billable Consumption | Unit Price | Extended Price | Min/Max Committed | Price Comment
1-A3261A | January 2020 | 45 | 45 | 4.78 | 215.00 |  | The minimum billable amount is 250.00. An adjustment of 15.00 is required for this metered item.
1-A3483A | January 2020 | 30 | 30 | 20.00 | 600.00 |  | The maximum billable amount is 500.00. An adjustment of -100.00 is required for this metered item.
ADJUSTMENT | January 2020 | 1 | 1 | -65.00 | -65.00 | -65.00 | For GRP1, the maximum billable amount of 750.00. The current billable total is 215 + 600 = 815. The adjustment item is adjusted the difference: 815 - 750 = 65.
Total | January 2020 |  |  |  | 750.00 |  |

See also

Viewing Unbilled Schedule Lines

Creating a Billing Schedule

Price Group: Adjustment Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Returns: Fields

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

List View

Billing End Date

Displays the date on which the billing period ends.

Billing Start Date

Displays the date on which the billing period starts.

Comment

Displays the reason for the return document.

Return Document

Displays the return document number.

Select the expansion [image] button to open the Applied To Debits window, where you can view the details of the return document.

SOP Number

Displays the number for the sales document.

Extended Price

Displays the document number.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Returns Documents: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button > SOP Number expansion button

This window is available in ARCB for Microsoft Dynamics GP 2018 R2 706 build and earlier and when Display Returns is selected on the Setup window. If you are using ARCB build 707 and newer, use the Schedule Returns window.

Use this window to view the returns or credit memo documents attached to an SOP document.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Price Adjustment Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button (in the scrolling window), Billing Schedule Detail > Price Adjustment Process button

Use this window to enter the parameters for price adjustment calculations. To edit the price adjustment details for a line, ensure that on the Billing Schedule Maintenance window, the Price Adjustment check box for the line item is selected.

Price Adjustment Logic

The price adjustment logic is as follows:

  • The Start Date is the date when the amount starts increasing.
  • The Amount or Percentage is used to adjust the amount.
  • The Frequency is used to identify when the amount increases.
    Each time the amount is increased, it is increased by the amount or percentage provided.
  • Multiple price adjustments can start at the same time.
    And a price adjustment can be applied to the prior adjusted amount or to the original unit price based on the option selected.
  • When the price adjustment Start Date is within the middle of the month, proration occurs.

Markdown in the Middle of a Billing Period (Build 809 and earlier)

When a markdown is applied to a billing schedule, the markdown is applied to the whole billing period regardless of the start and end dates of the markdown. For example, a billing schedule is from January 01, 2020 to December 31, 2020. The Billing Schedule Detail window shows the billing periods when no markdown is applied.

A markdown for the billing schedule is added on the Billing Schedule Line Price Adjustment Detail window.

  • Price Adjustment period: January 15, 2020 to March 10, 2020
  • Markdown Percentage: 100%

The full markdown amount is applied to the three billing periods for January, February, and March.

Billing Start Date | Billing End Date | Quantity | Original Markdown Amount for Period | Markdown | Extended Price | Description of Functionality
January 01, 2020 | January 31, 2020 | 1 | 15.00 | 15.00 | 0.00 | Markdown applied to whole billing period.
February 01, 2020 | February 29, 2020 | 1 | 15.00 | 15.00 | 0.00 | Markdown applied to whole billing period.
March 01, 2020 | March 31, 2020 | 1 | 15.00 | 15.00 | 0.00 | Markdown applied to whole billing period.
April 1, 2020 | April 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
May 1, 2020 | May 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
June 1, 2020 | June 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
July 1, 2020 | July 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
August 1, 2020 | August 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
September 1, 2020 | September 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
October 1, 2020 | October 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
November 1, 2020 | November 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
December 1, 2020 | December 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.

Markdown in the Middle of a Billing Period (Build 810 and newer)

This change in functionality is available in ARCB build 810 (and newer).

When a markdown is applied to a billing schedule, the start and end date of the markdown affect the amount the customer has to pay in the affected billing periods. If the markdown has a start date that is in the middle of a billing period, the markdown only affects the dates in the billing period from the start date. For example, a billing schedule is from January 01, 2020 to December 31, 2020. On the Billing Schedule Detail window, the Markdown column shows the markdown (or discount) applied to a billing period. The following billing schedule is from January 01, 2020 to December 31, 2020. The billing details are as follows:

A markdown for the billing schedule is added on the Billing Schedule Line Price Adjustment Detail window.

  • Price Adjustment period: January 15, 2020 to March 10, 2020
  • Markdown Percentage: 100%

The markdown spans three billing periods, January 2020, February 2020, and March 2020. When the markdown is applied to the billing periods, it is applied only to the dates within the billing period that it affects. Review the following situations to better understand how this functionality works.

Closed Case: Billing period starts on January 1, 2020

In this case, the default settings are used without any modifications.

  • Billing period starts: January 1, 2020

The markdown is applied as follows:

Billing Start Date | Billing End Date | Quantity | Original Markdown Amount for Period | Markdown | Extended Price | Description of Functionality
January 01, 2020 | January 31, 2020 | 1 | 15.00 | 8.23 | 6.77 | Markdown applied to January 15 to January 31. Prorated markdown days: 17 Prorated Markdown Amount is calculated as follows: (Original Markdown Amount for Period / Number of Days in Calendar Month) * Number of Markdown Days = (15 / 31 ) * 17 = 8.23 Extended price = 15.00 - 8.23
February 01, 2020 | February 29, 2020 | 1 | 15.00 | 15.00 | 0.00 | Markdown applied to whole billing period.
March 01, 2020 | March 31, 2020 | 1 | 15.00 | 4.84 | 10.16 | Markdown applied to March 01 to March 10. Prorated markdown days: 10 Prorated Markdown Amount is calculated as follows: (Original Markdown Amount for Period / Number of Days in Calendar Month) * Number of Markdown Days = (15 / 31 ) * 10 = 4.84 Extended price = 15.00 - 4.84
April 1, 2020 | April 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
May 1, 2020 | May 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
June 1, 2020 | June 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
July 1, 2020 | July 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
August 1, 2020 | August 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
September 1, 2020 | September 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
October 1, 2020 | October 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
November 1, 2020 | November 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
December 1, 2020 | December 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
Closed Case: Billing period starts on January 15, 2020

In this case, the following modifications are made:

  • Billing period starts: January 15, 2020
  • On the Billing Schedule Maintenance window, use the following settings:
    • Disable Calendar Billing : Cleared (calendar billing is used)
    • Prorate Amount: Cleared (proration is not used)

The markdown is applied as follows:

Billing Start Date | Billing End Date | Quantity | Original Markdown Amount for Period | Markdown | Extended Price | Description of Functionality
January 15, 2020 | January 31, 2020 | 1 | 15.00 | 15.00 | 0.00 | Proration is not used, so the billing period is charged the full billing period amount. However, the whole markdown amount is applied to the billing period because the billing period and the markdown start on the same date.
February 01, 2020 | February 29, 2020 | 1 | 15.00 | 15.00 | 0.00 | Markdown applied to whole billing period.
March 01, 2020 | March 31, 2020 | 1 | 15.00 | 4.84 | 10.16 | Markdown applied to March 01 to March 10. Prorated markdown days: 10 Prorated Markdown Amount is calculated as follows: (Original Markdown Amount for Period / Number of Days in Calendar Month) * Number of Markdown Days = (15 / 31 ) * 10 = 4.84 Extended price = 15.00 - 4.84
April 1, 2020 | April 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
May 1, 2020 | May 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
June 1, 2020 | June 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
July 1, 2020 | July 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
August 1, 2020 | August 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
September 1, 2020 | September 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
October 1, 2020 | October 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
November 1, 2020 | November 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
December 1, 2020 | December 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
Closed Case: Markdown starts on January 20, 2020

In this case, the following modifications are made:

  • Billing period starts: January 15, 2020
  • On the Billing Schedule Maintenance window, use the following settings:
    • Disable Calendar Billing : Cleared (calendar billing is used)
    • Prorate Amount: Selected (proration is used)

The markdown is applied as follows:

Billing Start Date | Billing End Date | Quantity | Original Markdown Amount for Period | Markdown | Extended Price | Description of Functionality
January 15, 2020 January 31, 2020 1 8.23 5.80 2.43

Proration is used, so the billing period is charged a prorated amount. Also, the markdown is prorated and is calculated as follows:

(Original Markdown Amount for Period / Number of Days in Calendar Month) * Number of Markdown Days = (8.23 / 17) * 12 = 5.80
February 01, 2020 | February 29, 2020 | 1 | 15.00 | 15.00 | 0.00 | Markdown applied to whole billing period.
March 01, 2020 March 31, 2020 1 15.00 4.84 10.16

Markdown applied to March 01 to March 10. Prorated markdown days: 10

Prorated Markdown Amount is calculated as follows:
(Original Markdown Amount for Period / Number of Days in Calendar Month) * Number of Markdown Days = (15 / 31 ) * 10 = 4.84

Extended price = 15.00 - 4.84
April 1, 2020 | April 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
May 1, 2020 | May 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
June 1, 2020 | June 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
July 1, 2020 | July 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
August 1, 2020 | August 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
September 1, 2020 | September 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
October 1, 2020 | October 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
November 1, 2020 | November 30, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.
December 1, 2020 | December 31, 2020 | 1 | 15.00 | 0.00 | 15.00 | No markdown.

See also

Creating a Billing Schedule

Setting Up Price Adjustment Pricing for a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Accounts: Overview
Cards > Billing Schedule > Billing Schedule Detail > Billing Schedule Line Price Adjustment Detail > Discount Code expansion button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Use this window to specify the accounts to use when using the markdown functionality. The accounts specified are used for the initial journal entry and the billing and recognition processes. The default account values are based on the discount code used for the billing schedule, which is set up on the Discount Code Maintenance window.

On the inquiry version of this window, all fields are read-only.

See also

Changing the Accounts for a Markdown Deferral Schedule

Creating a Discount Code

Creating a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Amount Change Audit Line: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button (in the scrolling window), Billing Schedule Detail > Price Adjustment Process button, Billing Schedule Line Price Adjustment Detail > Total Markdown Amount expansion button

Use this window to review the changes of the ARED deferral schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Line User Defined Fields: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button > Comment expansion button

Available in ARCB build 709 (and newer).

Use this window to provide additional information for the billing lines. These fields are created and defined on the Line User-Defined Setup window.

See also

Creating a Billing Schedule

Viewing Unbilled Schedule Lines

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Adjustment Line User Defined Fields: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button (in the scrolling window), Billing Schedule Detail > Price Adjustment Process button > List View expansion button

Available in ARCB build 709 (and newer).

Use this window to provide additional information for price adjustments for the billing lines. These fields are created and defined on the Line User-Defined Setup window.

See also

Creating a Billing Schedule

Viewing Unbilled Schedule Lines

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule User Defined Fields Entry: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > User Defined button

Use this window to enter and track any additional information related to the selected schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy a Schedule: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Copy button

Use this window to copy an existing billing schedule to a new schedule.

See also

Copying a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales User-Defined Fields Entry: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Sales User Defined button

Use this window to enter information in the user-defined fields that were set up to record sales order processing (SOP) data. Enter information specific to your business. These fields must be previously set up in the Sales User-Defined Fields Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


End User Transfer History: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > End User expansion button

Use this window to view the transfer history of an end user ID from one customer to another customer. This window is read-only. For more information on end-user transfers, see the Transfer End User Utility.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule On Hold Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule> Hold expansion button (in scrolling window)

Use this window to enter hold parameters for a line item.

See also

Putting a Billing Schedule Item on Hold

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing End Date Audit: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Auto Renew expansion button

In ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer), this window is replaced by the Renewal Audit window. If you are using ARCB build 705 and earlier, continue to use this window.

Use this window to view changes to the billing periods for a line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Returns: Overview
Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button > Extended Price expansion button

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer) and when Display Returns is selected on the Setup window. In ARCB 706 build and earlier, use the Attach Returns Documents window.

Use this window to view the return documents attached to a sales document.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button

Use this window to set the multiple element arrangement (MEA) and fair value method and/or fair value amount for each line items within a billing schedule.

As of Microsoft Dynamics GP 2016 RTM, you can also use this window to put the line items in a groups based on the MEA ID.

Available only when Multiple Element Revenue Allocation (MERA) is installed.

See also

Creating a Billing Schedule

Reviewing the Changes to a Billing Schedule that uses MERA

Modifying a Billing Schedule Contract - MERA Integration: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA Modifications: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button > History button

Available as of Microsoft Dynamics GP 2016 RTM.

Use this window to review the list of changes to a billing schedule by date and user ID.

Each time a change is made to a billing schedule that use multiple element allocation (MEA), the original calculations and data are moved to the history of the schedule.

See also

Reviewing the Changes to a Billing Schedule that uses MERA

Modifying a Billing Schedule Contract - MERA Integration: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Audit History: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button > History button > Double-click line item

Available as of Microsoft Dynamics GP 2016 RTM and when you use the Advanced Recurring Contract Billing integration with Multiple Element Revenue Allocation.

Use this window to review the Multiple Element Revenue Allocation amounts for the previous billing schedule before the modifications. All fields on this window are read-only.

See also

Reviewing the Changes to a Billing Schedule that uses MERA

Modifying a Billing Schedule Contract - MERA Integration: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Header Price Adjustment Detail: Overview

Button showing that window Overview page is currently viewed.

Cards > Adv. Recurring Contract Billing > Billing Schedule > Price Adjustment button

Use this window to enter the parameters for price adjustment calculations. When you change the price adjustment parameters and select Process, the changes are rolled down to the line items in the Billing Schedule Maintenance window. Available as of Microsoft Dynamics GP 2015 R2.

Caution: If you make changes in this window, and then roll down the changes to the line items in the Billing Schedule Maintenance window, any line-specific changes that you had previously made are overridden by changes that are rolled down from this window.

Price Adjustment Logic

The price adjustment logic is as follows:

  • The Effective Date is the date when the amount starts increasing.
  • The Amount or Percentage is used to adjust the amount.
  • The Frequency is used to identify when the amount increases.
    Each time the amount is increased, it is increased by the amount or percentage provided.
  • Multiple price adjustments can start at the same time.
    And a price adjustment can be applied to the prior adjusted amount or to the original unit price based on the option selected.
  • When the price adjustment Effective Date is within the middle of the month, proration occurs.

See also

Creating a Billing Schedule

Setting Up Price Adjustment Pricing for a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Allocation: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Milestones

The milestone billing functionality is available as of Microsoft Dynamics GP 2015 R2.

Use this window to view and update the milestone allocation information for the item.

See also

Editing the Allocation for a Milestone Item

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Milestone Billing with Milestone Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator: Overview

Button showing that window Overview page is currently viewed.

Transactions > Adv. Recurring Contract Billing > Invoice Creator

Use this window to create mass monthly recurring invoices using the information that you set up on the Billing Schedule Maintenance and the Billing Maintenance Detail windows.

When an invoice or quote is created, the sales order processing line item description is updated with the item description as well as the billing start and end dates for the schedule line being invoiced.

When Multi-Entity Management is installed and used and you select the entity ID, only the billing maintenance schedules for the selected entity appear in the window.

When an invoice is created note the following:

  • Consolidation does not occur - only one schedule exists for one invoice.
  • The revenue amounts for MEA items are replaced with the Period Revenue Amount.
  • The General Ledger revenue accounts are maintained and any distributions are unaffected.
  • An additional distribution is created for the deferral contract revenue amount.
  • Any rounding differences that are created for the deferral contract revenue amount are adjusted using the deferral rounding account that is set up in Multiple Element Revenue Allocation.

Invoice Creation with a Schedule that has a Multiple Element Arrangements

Notes:

  • If you have a large volume of invoices to create, use the Invoice Creator Mass Processing window instead. The standard Invoice Creator window has a maximum limit of 100,000 schedule lines.
  • If an invoice creator batch is in progress, you cannot use the Invoice Creator window until the batch has been processed or cleared using the Invoice Creator Mass Processing window.
  • If you started to create invoices in this window, but then close the window without processing, you are asked to save the displayed schedules for processing later. If you select Yes, you must use the Invoice Creator Mass Processing window to complete processing the schedules. You will not be able to use the Invoice Creator window until the schedules have completed processing or have been cleared. For more information, see the description for the Invoice Creator Mass Processing window.
  • When Display Only Active Schedule Lines on the Setup window is selected and lines items that have a billing frequency of One Time are processed, the schedule status for those lines are updated with Disable. However, if you delete or void the sales order processing invoice the schedule status for the line is returned to Active. This functionality is available as of Microsoft Dynamics 2015 R2.
  • As of Microsoft Dynamics GP 2016 RTM, when you create invoices for a customer, the customer can have some invoices that are consolidated and some that are separate.

See also

Consolidate Some Invoices

Creating Invoices with the Invoice Creator Window

WIP Tracked Items - Distributions Breakdown

Customizing List View Settings

ARED Integration - ARCB Setup: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator Mass Processing: Overview

Button showing that window Overview page is currently viewed.

Transaction > Adv. Recurring Contract Billing > Invoice Creator Mass Processing

Use this window to create several monthly recurring invoices using the information that you set up on the Billing Schedule Maintenance and the Billing Maintenance Detailwindows.

When an invoice or quote is created, the sales order line item description is updated with the item description as well as the billing start and end date for the schedule line being invoiced.

When Multi-Entity Management is installed and used and you select the entity (facility) ID, only the billing maintenance schedules for the selected entity appear in the window.

Notes:

  • If you have a large number of invoices to create, use this window instead of the standard Invoice Creator window. The standard Invoice Creator window has a maximum limit of 100,000 schedule lines. Because this window does not have a scrolling window to show the schedule lines, use the Invoice Creator Edit Batch window to review the schedule lines.
  • When you create a batch, all schedule lines are assigned to a Microsoft Dynamics GP sales batch. The transaction count or batch total is not increased until the invoices have been created.
  • Only one batch at a time can be processed, and the standard Invoice Creator window is not available when batch processing is in progress.
  • Before you can use this window for another batch, you must process all schedule lines assigned to a batch or clear all schedule lines from the batch. Clearing a batch does not remove invoices that are already created.
  • No other users can edit the batch using the Invoice Creator or Invoice Creator Mass Processing windows while the batch is processing. However, because the batch is a Microsoft Dynamics GP sales batch, it can be used for normal purposes. If the sales batch is deleted, all schedule lines included in the batch are made available for invoice creation.
  • When Display Only Active Schedule Lines on the Setup window is selected and lines items that have a billing frequency of One Time are processed, the schedule status for those lines are updated with Disable. However, if you delete or void the sales order processing invoice the schedule status for the line is returned to Active. This functionality is available as of Microsoft Dynamics 2015 R2.
  • As of Microsoft Dynamics GP 2016 RTM, when you create invoices for customers, the customers can have some invoices that are consolidated and some that are separate.

See also

Consolidate Some Invoices

Creating Invoices with the Invoice Creator Mass Processing Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator - Edit Batch: Overview

Button showing that window Overview page is currently viewed.

Transaction > Adv. Recurring Contract Billing > Invoice Creator Mass Processing > Edit Batch button

Use this window to review and select schedule lines to include in the batch.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Initial Journal Entry Processing: Overview

Button showing that window Overview page is currently viewed.

Transaction > Adv. Recurring Contract Billing > Initial Journal Entry Processing

Use this window to create Initial journal entries for the WIP tracked items. This window displays the schedule line items that are applicable for this processing.

The data in the window can be exported to Microsoft Excel.

When Multi-Entity Management is installed and used, you can further restrict the range by the entities (facilities) to which you have access. Access restrictions affect the following ranges:

  • Schedule Number
  • Customer Number
  • Item Number

Note icon. Note: In the previous ARCB versions this window was called "WIP Journal Entry Processing".

See also

Creating a Journal Entry for a Work in Progress Item

WIP Tracked Items - Distributions Breakdown

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recurring Contract Billing Creation: Overview

Button showing that window Overview page is currently viewed.

Transactions > Adv. Recurring Contract Billing > Billing Creation

Use this window to create a recurring contract billing schedule from the original invoice or return.

Invoices and returns that have already been posted and that have a renewal item attached are displayed in this window. Those sales line items that have the Create/Update Renewal option selected in the Support/Renewal Item Detail window are displayed. When Auto Renew is selected in the Setup window, posted invoices or returns do not display in this window.

The billing schedule is created or billing lines are inserted in the existing billing schedule for selected invoices. The information on the Support Item Detail window attached to the renewal item is used to generate billing information.

When Schedule ID is entered on the Support Item Detail window for the renewal item, the renewal item is appended to the existing billing schedule, otherwise, new billing schedule is created.

When a new billing schedule is created, the Original Contract Signed and Billing Frequency boxes for the new billing schedule are from the Original Start Date and Billing Frequency on the Support Process window, and the Document Type and Invoice ID values are defaulted based on the settings on the Setup window.

The Ship to Address ID from the invoice is the Address ID for the billing schedule that is created.

If the SOP document has a renewal item attached and the Create/Update Renewal check box is selected in the Support Renewal Process window, then after posting the invoice/return a billing line item is created that uses the original Ship To Address ID and Comment ID for the line item specified on the Sales Transaction entry window. The original support renewal on the invoice is added to the Billing Schedule Detail window with Original Invoice check box selected to trace back to the original invoice.

See also

Creating a Recurring Contract Billing Schedule from an Invoice or Return Document

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry

Use this alternate Sales Transaction Entry window for posting sales invoices and returns.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When you post sales invoices or returns in the Sales Transaction Entry or Sales Batch Entry windows, a renewal schedule is created when the Create/Update Renewal option is selected for a line item and the line item has renewal information attached. For more information, see the descriptions for the Support/Renewal Process and the Support/Renewal Item Detail windows.

Note icon. Note: The boxes that are available on the ARCB alternate version of this window in Microsoft Dynamics GP 2015 R2 and earlier are moved to the Support Renewal/Billing Details window in Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

See also

Creating a Quote, Invoice, or Return

Support/Renewal Item Workflow (ARCB build 609 and newer)

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Overview

Button showing that window Overview page is currently viewed.

Sales > Transactions > Sales Transaction Entry > Item Number expansion button

Use this window to add, delete, or modify item information for the document that you are entering.

Note icon. Note: The box that is available on the ARCB alternate version of this window in Microsoft Dynamics GP 2015 R2 and earlier is moved to the Support Renewal/Billing Details window in Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preview: Support/Renewal Process: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Add Support/Renewal button

Transactions > Sales > Sales Transaction Entry > Additional menu > Support/Renewal

Use this window to enter the information needed to calculate support and/or renewal amounts for a sales line item in the Sales Transaction Entry window that was marked as a Support/Renewal Item in the Item Maintenance window.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), this window replaces the following windows:

  • Support/Renewal Process
  • Support/Renewal Preview

You can enter the support or renewal contract information, or both. When you enter the support contract information, only the support item is added to the sales document. When you enter the renewal contract information, the renewal item is used to create a billing schedule in the Recurring Contract Billing Creation window.

When a customer allows a support contract to lapse, you are asked if you want to make the schedule active again.

When you want to make a sale that includes the first year of support only, without an automatic renewal of the support contract, clear the Create/Update Renewal option so that when you post the sale in the Sales Transaction Entry window, a renewal schedule is not created.

The support/renewal amounts for these items are based on the parameter selected on the header of the Sales Transaction Entry window. You can change the amount or percentage in the list view, and the newly calculated amount is used when creating the support or renewal line item.

See also

Setting Up Billing Details and Support/Renewal Contract Information (ARCB build 609 and newer)

Applying a Support Tier to an Item (ARCB build 609 and newer)

Support/Renewal Item Workflow (ARCB build 609 and newer)

Using the Support Tier

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Renewal/Billing Details: Overview

Button showing that window Overview page is currently viewed.
Transactions > Sales > Sales Transaction Entry > Additional > Support Renewal/Billing Details

Use this window to enter detailed information about the support or renewal item in the Sales Transaction Entry window. This information is used to calculate the charge amount for the original support contract and/or the renewal amount for creating a billing schedule.

You can enter the support or renewal contract information, or both. When you enter the support contract information, only the support item is added to the sales document. When you enter the renewal contract information, the renewal item is used to create a billing schedule in the Recurring Contract Billing Creation window.

When a customer allows a support contract to lapse, you are asked if you want to make the billing schedule active again.

When you want to make a sale that includes the first year of support only, without an automatic renewal of the support contract, clear the Create/Update Renewal option so that when you post the sale in the Sales Transaction Entry window, a recurring billing schedule is not created.

Note icon. Note: The support and renewal is available for only the sales order and has no other association with the existing billing schedule.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), this window combines the data from the following windows:

  • Support/Renewal Item Detail

    • The Support Renewal/Billing Details window replaces the Support/Renewal Item Detail window.

  • Sales Transaction Entry

    • The boxes available in the ARCB alternate version of the Sales Item Detail Entry window are moved to Support Renewal/Billing Details window.

  • Sales Item Detail Entry

    • The box available in the ARCB alternate version of the Sales Item Detail Entry window is moved to Support Renewal/Billing Details window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Price Breakdown: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Item Number expansion button

Use this window to view the unit price brackets for invoiced tier items.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Master Meter Consolidation Detail: Overview

Button showing that window Overview page is currently viewed.

Transaction > Sales > Sales Transaction Entry > Item Number > Expansion button

Use this window to view the billing quantity for each meter associated with the master meter. Available when the Use Master Meters option on the Setup window is selected. .

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renew Preview: Overview

Button showing that window Overview page is currently viewed.
Cards > Adv. Recurring Contract Billing > Billing Schedule > Support/Renewals button - line item

Available as of Microsoft Dynamics GP 2016 RTM.

Use this window to review the renewal information for all renewal items that are attached to the current billing schedule.

See also

Reviewing the Renewal Information for a Billing Schedule

Using the Support Tier

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Preview: Overview

Button showing that window Overview page is currently viewed.
Transactions > Sales > Sales Transaction Entry > Add Support/Renewal button> Preview button

Available as of Microsoft Dynamics GP 2016 RTM.

Use this window to review the support/renewal information for all items that have the Support/Renewal check box selected. The support/renewal amounts for these items are based on the parameter selected on the header of the Sales Transaction Entry window. You can change the amount or percentage in the list view, and the newly calculated amount is used when creating the support or renewal line item.

The functionality of this window is available when Calculation Option is Standard or Tier.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), the Support/Renewal Process window is merged with the Support/Renewal Preview window. The resulting window is called Preview: Support/Renewal Process and replaces both of these windows.

See also

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Using the Support Tier

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Add Support/Renewal button

Use this window to enter the information needed to calculate support and/or renewal amounts for a sales line item in the Sales Transaction Entry window that was marked as a Support/Renewal Item in the Item Maintenance window.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), the Support/Renewal Process window is merged with the Support/Renewal Preview window. The resulting window is called Preview: Support/Renewal Process and replaces both of these windows.

You can enter the support or renewal contract information, or both. When you enter the support contract information, only the support item is added to the sales document. When you enter the renewal contract information, the renewal item is used to create a billing schedule in the Recurring Contract Billing Creation window.

When a customer allows a support contract to lapse, you are asked if you want to make the schedule active again.

When you want to make a sale that includes the first year of support only, without an automatic renewal of the support contract, clear the Create/Update Renewal option so that when you post the sale in the Sales Transaction Entry window, a renewal schedule is not created.

See also

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Support/Renewal Item Workflow (ARCB build 609 and newer)

Using the Support Tier

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Detail: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Support/Renewal Item expansion button

Use this window to enter detailed information about the support or renewal item in the Sales Transaction Entry window. This information is used to calculate the charge amount for the original support contract and/or the renewal amount for creating a billing schedule.

You can enter the support or renewal contract information, or both. When you enter the support contract information, only the support item is added to the sales document. When you enter the renewal contract information, the renewal item is used to create a billing schedule in the Recurring Contract Billing Creation window.

When a customer allows a support contract to lapse, you are asked if you want to make the billing schedule active again.

When you want to make a sale that includes the first year of support only, without an automatic renewal of the support contract, clear the Create/Update Renewal option so that when you post the sale in the Sales Transaction Entry window, a recurring billing schedule is not created.

Note icon. Note: The support and renewal is available for only the sales order and has no other association with the existing billing schedule.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), the Support Renewal/Billing Details window replaces this window.

See also

Applying a Support Tier to an Item (ARCB build 608 and earlier)

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Using the Support Tier

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Revenue Allocation Zoom: Overview

Button showing that window Overview page is currently viewed.
Transactions > Sales > Sales Transaction Entry > Additional menu > Revenue Allocation

Available as of Microsoft Dynamics GP 2016 RTM and when Multiple Element Revenue Allocation (MERA) is installed.

Use this window to review information about the multiple element arrangement (MEA) and fair value method and/or fair value amount for each line items within a billing schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Milestone Process: Overview

Button showing that window Overview page is currently viewed.
Transactions > Adv. Recurring Contract Billing > Mass Milestone Process

The milestone billing functionality is available as of Microsoft Dynamics GP 2015 R2.

Use this window to update the completion date for specific milestone items for multiple billing schedules or customers. After processing is completed, the end date of the milestone items are updated. You can also use this window to update the Deferral End Date for ARED recognition schedules.

See also

Processing Multiple Milestone Items at One Time

Milestone Billing Based on a Standalone: Example

Milestone Billing Based on Consumption: Example

Milestone Billing - Modifying Parent Item and Sub-Items: Example

Milestone Billing with Milestone Sub-Items: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Termination Process: Overview

Button showing that window Overview page is currently viewed.

Tools > Transaction > Adv. Recurring Contract Billing > Mass Termination Process

Use this utility to terminate currently-displayed billing schedule lines using a specified termination date.

If you are using ARED, billing schedules that have the Termination Date set to Adj. Schedule on the Billing Schedule Maintenance window are eligible for a refund. Available as of Microsoft Dynamics GP 2015 R2.

Note icon. Note: Billing schedule lines that are currently included in an invoice creator batch are not available for this process.

See also

Terminating a Billing Schedule

Issuing a Refund for a Cancelled Contract: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Modify Refund Amount: Overview

Button showing that window Overview page is currently viewed.

Tools > Transaction > Adv. Recurring Contract Billing > Mass Termination Process > in the scrolling window double-click a refund line

Use this window to review the refund amount for a schedule. You can adjust the reund amount as needed. Available as of Microsoft Dynamics GP 2015 R2.

See also

Issuing a Refund for a Cancelled Contract: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Hold Process: Overview

Button showing that window Overview page is currently viewed.

Tools > Transaction > Adv. Recurring Contract Billing > Mass Hold Process Utility

Use this utility to apply hold options to multiple schedules simultaneously. When Multi-Entity Management is installed and used, the facility scrolling window appears in this window.

Note icon. Note: Billing schedule lines that are currently included in an invoice creator batch are not available for this process.

See also

Putting a Billing Schedule on Hold

Removing a Hold from a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Renewal/Billing Details Zoom: Overview

Button showing that window Overview page is currently viewed.
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry > Double-click item in the list view

Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Use this window to view the information that was entered in the corresponding Support Renewal/Billing Details window. All options on this window are read-only.

Note icon. Note: This window combines the data from the following windows:

  • Support/Renewal Item Detail Inquiry

    • The Support Renewal/Billing Details Inquiry window replaces the Support/Renewal Item Detail Inquiry window.

  • Sales Transaction Inquiry Zoom

    • The boxes available in the ARCB alternate version of the Sales Transaction Inquiry Zoom window are moved to Support Renewal/Billing Details window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preview: Support/Renewal Process Inquiry: Overview

Button showing that window Overview page is currently viewed.
Transactions > Sales > Sales Document > Support/Renewal button

Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Use this window to view the information that was entered in the corresponding Preview: Support/Renewal Process window. All options on this window are read-only.

Note icon. Note: This window replaces the Support/Renewal Process Inquiry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Sales > Inquiry > Sales Items > Document Number link

Use this window to view the information that was entered in the corresponding Sales Transaction Entry window.

Note icon. Note: The boxes that are available on the ARCB alternate version of this window in Microsoft Dynamics GP 2015 R2 and earlier are moved to the Support Renewal/Billing Details Inquiry window in Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process Inquiry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Document > Support/Renewal button

Use this window to view the information that was entered in the corresponding Support/Renewal Process window.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), the Preview: Support/Renewal Process Inquiry window replaces this window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Detail Inquiry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Document > Renewal/Support Item expansion button
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry > Double-click item in the list view

Use this window to view the information that was entered in the corresponding Support/Renewal Item Detail window.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARCB Build 609), the Support Renewal/Billing Details Inquiry window replaces this window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry

Use this inquiry window to view archived as well as non-archived schedules. This is the only window where you can view archived schedules.

Double-click a line in the scrolling window to open the Billing Schedule Zoom window.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry > Double click a item in the list view

Use this window to view the information that was entered in the corresponding Billing Schedule Maintenance window for a selected schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options Inquiry: Overview

Button showing that window Overview page is currently viewed.
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry > Double-click a item in the list view > select the Price Level or Price Sheet expansion button

Use this window to view the information that was entered in the corresponding Item Pricing Options window for a selected schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Detail Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv Recurring Contract Billing > Billing Schedule Inquiry > Double-click a line item > Billing Frequency expansion button

Use this window to view the information that was entered in the corresponding Billing Schedule Detail window for a selected schedule.

See also

Viewing Unbilled Schedule Lines

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales User-Defined Field Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Schedule Inquiry > Billing Schedule Zoom > Billing Frequency expansion button

Use this window to view the information that was entered in the corresponding Billing Schedule Maintenance window for a selected schedule. This window displays sales user-defined information for a selected schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Invoices Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Billing Invoices Inquiry

Use this window to view the history of SOP documents created using the Invoice Creator window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Outstanding Renewal Invoices Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Outstanding Renewals Invoices

Use this window to view all quotes and invoices that are outstanding and the associated outstanding amounts, sorted into standard aging buckets.

When a sales document (quote or invoice) is for a renewal item and that document is still open (not posted), it is considered outstanding and is sorted into the appropriate aging bucket according to the number of days it is outstanding.

See also

Viewing Outstanding Renewal Invoices

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Inquiry

Use this window to view the billing schedules line items that are in the work and history tables. The contents of the window can be exported to Microsoft Excel.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Detail Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Detail Inquiry

Use this window to view the billing schedules line item detail that are in the work and history tables. The contents of the window can be exported to Microsoft Excel.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Price Adjustment Line Detail Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Adv. Recurring Contract Billing > Billing Schedule Price Adjustment Line Detail Inquiry

Use this window to view the billing schedules line item detail with price adjustment and CPI amounts that are in the work and history tables. The contents of the window can be exported to Microsoft Excel.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Transaction Inquiry - Customer: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Transaction by Customer

Use this window to view unposted, posted, and historical transactions for a specified customer record. When you use the alternate ARCB window, a third row appears in the detail section (scrolling window) for the End User ID and the End User Name associated with the customer ID.

Also, End User ID is added to the Documents list box to allow you to sort and display data by the end user ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Overview

Button showing that window Overview page is currently viewed.
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Inquiry > User Preference button
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Inquiry > User Preference button
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Line Detail Inquiry > User Preference button
Inquiry > Adv. Recurring Contract Billing > Billing Schedule Price Adjustment Line Detail Inquiry > User Preference button
Transactions > Adv. Recurring Contract Billing > Invoice Creator > User Preference button

Available as of Microsoft Dynamics GP 2016 R2.

Use this window to show or hide columns that are displayed in the list view. You can also change the column order and set the default sort order of the list view.

The list view changes are customizable for each individual user and each window for which the user preferences are available.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Report Options: Overview

Button showing that window Overview page is currently viewed.

Report > Adv. Recurring Contract Billing > Monthly Recurring Revenue
Report > Adv. Recurring Contract Billing > Revenue by Customers
Report > Adv. Recurring Contract Billing > Upcoming Contract Renewal
Report > Adv. Recurring Contract Billing > Total Contract Report
Report > Adv. Recurring Contract Billing > Total Contract Revenue
Report > Adv. Recurring Contract Billing > New Contract Sales
Report > Adv. Recurring Contract Billing > Termination Report
Report > Adv. Recurring Contract Billing > Create One Schedule Reconciliation

Note icon. Note: Before you can print a report, you must run the ARCB SSRS deployment wizard.

Use this window to create or review one of the following reports:

Closed Monthly Recurring Revenue (MRR) Report

You can create or review a monthly recurring revenue (MRR) report for a specific time period, typically 12 months.

You can use this report to project recurring revenue - monthly customer charges (excluding any one time, weekly, daily, miscellaneous charges). Recurring revenue is calculated using new contracts, renewals, cancellations, and any changes to existing contracts.

Also, you can print the report for all the contracts or restrict the report to certain contracts or certain customers.

Notes: :

  • Schedules with one-time, weekly, daily, and miscellaneous billing frequencies are excluded from the report.
  • Monthly revenue of schedules with a billing frequency other than monthly is prorated on the report (for example, divided by 3 for quarterly billing), regardless if ARED is used and an item is deferrable or not.
  • Meter items are included, but you must manually enter the expected revenue amount to the schedules.
  • Price adjustments and markdowns are shown in within the upgrade or downgrade amount (the difference in price).
  • Holds are shown within the upgrade or downgrade amount.
    • In ARCB build 902 (and earlier), when the hold is applied, the amount is negative. When the hold is removed, the amount is positive.
    • In ARCB build 903 (and newer), when a hold is applied the amount appears as a downgrade amount. When a hold is removed, the amount appears as an upgrade amount.
  • A terminated line is shown as if a line is ended, within the Churn amount.
  • If a line is terminated with the Bill Remaining option, the remaining billing amount is shown within the upgrade or downgrade amount.
    Notes: In the following month, the Bill Remaining amount should be removed from the MRR by displaying the negative value within the upgrade or downgrade amount.

For example:

A 100.00 line is terminated in April, and the remaining 500.00 is billed in May. The report shows the following:

Monthly Recurring Revenue Table
Churn (May) | 100.00 (loss revenue)
Upgrade or Downgrade (April) | 500.00 (revenue as remaining unbilled amount)
Upgrade or Downgrade (May) | -500.00 (no more 500.00 charges after May)
  • If a billing line is not aligned to the calendar month, it is included in the month in which the billing start date begins. For example, billing line 2015-01-15 to 2015-02-14 is included in Jan 2015.
  • The amounts shown in this report are the average in each reporting period.
  • In ARCB build 902 (and earlier), the amounts for the upgrades and downgrades were combined where positive values indicated an upgrade, and negative values indicated a downgrade.
    In ARCB build 903 (and newer), the upgrade and downgrade amounts appear in separated columns.
Closed Revenue by Customers

Available in ARCB (build 809 and newer).

You can create or review a report that shows revenue by customers. This report can be generated for only the customers who have a change in their revenue or for all customers regardless of revenue changes.

Closed Upcoming Contract Renewal Report

Generate a report that shows all active billing schedules that are due for renewal. The billing schedules that appear in the list must satisfy the following conditions:

  • The billing schedules are set to automatically renew.
  • The end date for the very last line in the billing schedule detail is within the specified date range.

Closed Total Contract Value Report

Generate a detailed or summary report that shows the value of all active billing schedules. This report shows the total contract amount, the total invoiced amount, and the annualized amount.

Closed Termination Report

Generate a detailed or summary report that shows all contracts that have been terminated. This report shows the total contract amount and the annual revenue amount.

Closed New Contract Sales Report

Generate a report that shows all new contract sales. This report shows the total contract amount and the first month monthly recurring revenue (MRR) amount.

Closed Total Contract Revenue

Generate a report that shows all active billing schedules that were invoiced or active deferrals that were recognized in a reporting period. In this report, the start and end dates are for informational purposes only. This report shows the total contract amount, the current invoice amount, the current deferred amount, the current non-deferred revenue amount, the current deferred recognized amount, and the current deferred unrecognized amount.

Closed Create One Schedule Reconciliation

Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702)

Generate a reconciliation report of the deferral schedule lines from billing schedules that use the Create One Schedule option on the ARCB Setup window.

After you create a report, you can export it to Microsoft Excel or save it as a PDF file.

See also

Creating a Monthly Recurring Revenue Report

Creating an Upcoming Contract Renewal Report

Creating a Total Contract Value Report

Creating a Termination Report

Creating a New Contract Sales Report

Creating a Total Contract Revenue Report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Update Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Price Level Update

Use this window to update the unit price for the selected billing schedule lines.

As of Microsoft Dynamics GP 2016 R2, the following enhancements have been made:

  • You can apply the same percentage or amount increase to a range of selected items for a range of selected billing schedules.
  • When you update the unit price of an item from this window, the minimum and maximum amounts and the free quantity amount are not affected.

See also

Increasing the Prices of the Line Items for Several Billing Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Apply Promotion Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Mass Apply Promotion

Use this utility to update promotional prices for multiple items and update multiple schedules simultaneously with new promotional prices.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Align Billing Schedule Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Align Billing Schedule Utility

Use this utility to align the currently-displayed billing schedules to a particular date.

See also

Aligning Billing Schedules to a Particular Date

Alignment - Annual Billing Frequency: Example

Alignment - Quarterly Billing Frequency: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Transfer End User Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Transfer End User

Use this utility to transfer an end user from one customer ID to another customer ID. All active schedules are transferred to the new customer-end user pair. A log report is generated at the end of the process to summarize the changes.

Note icon. Note: When an invoice creator batch is in progress, this utility is not available.

See also

Transferring an End User from one Customer ID to a Different Customer ID

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archive Billing Schedule Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Archive Schedule

Use this utility to archive any disabled schedules to history.

Note icon. Note: After a billing schedule has been archived, the action cannot be reversed. You cannot reactivate archived schedules, nor can you access them in the Billing Schedule Maintenance window. You can only view archived schedules in the Billing Schedule Inquiry window.

The scrolling window displays only the schedules that have a status of Disabled. When processing is completed, an Archive Billing Schedule Log Report prints and the Schedule Status changes to Archive(d).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Update Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Update

Use this utility to mass update information about customers, items, site names, and sales accounts in ARCB schedules with information from GP.

Important: Before you run this utility and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and databases). If any issues arise after the utility is run, the backup copy of your environment provides a starting point for restoring your environment.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Stubbing Status Modify: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Stubbing Utility

Use this utility to mark imported billing schedule lines as invoiced or uninvoiced, preventing or allowing the lines to show in the Invoice Creator window. Lines that have SOP associated with them are not affected. The description for lines marked with this utility is set to Document N/A.

WIP Module - Stubbing WIP Tracked items

When stubbing the periods, ARCB does not back out the WIP and unbilled revenue accounts for the selected stubbing periods.

The initial journal entry for the WIP billing line item is created for the whole amount of the billing line. You must manually enter the necessary journal entries to back out the WIP and unbilled revenue amounts for the periods that were stubbed. ARCB does not create those journal entries.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Conversion Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Recurring Contract Billing > Conversion Utility

Note icon. Note: This utility is available for a version of ARCB prior to Microsoft Dynamics GP 2013.

Use this conversion utility to convert billing schedule data from a previous build to build 10. The utility converts and populates the new fields and new tables for build 10.

When the billing schedule data is converted, the following boxes on the Billing Schedule Maintenance window are updated:

  • The Deferral Start Date on the header is populated with the same date as Billing Start Date.
  • The Status on the header and line are updated with New.
  • On the line, the Billing Start Date and Billing End Date are updated with the same dates as Billing Start Date and Billing End Date on the header.
  • The Billing Frequency is updated with the same value as the Billing Frequency on the header.
  • The Status is updated to New.
  • The Deferral Start Date is updated with the same value as the Deferral Start Date on the header.
  • The Price Default is updated with the default Price Default value set on the Setup window.
  • When Advanced Revenue & Expense Deferrals is installed, the Template ID is updated with the Template ID attached to the item.
  • The Billing Schedule Detail window is updated with the billing periods based on the Billing Start Date, Billing End Date, and Billing Frequency.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Independent Renewal Utility: Overview

Button showing that window Overview page is currently viewed.
Tools > Utilities > Adv. Recurring Contract Billing > Independent Renewal Utility

This window is available when the Independent Renewal check box is selected on the Setup window.

Use this window to renew several billing schedules in a single action. Billing schedules are renewed per line based as follows:

  • If no renewal template ID is specified for the line, the billing schedule line is renewed by one billing period.
  • If a renewal template ID is specified for the line, the billing schedule line is renewed by the number of periods as defined in the template.

The Auto Renew option on the billing schedule line provides separate functionality from this utility and is not considered when this utility is used. For information on the Auto Renew option, see Billing Maintenance.

See also

Manually Renewing a Billing Schedule Line

Combine Partial Billing Periods: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Update by File
Tools > Utilities > Adv. Recurring Contract Billing > Price Update by File

Use this window to update the price of billing schedule lines by importing a csv file. The csv file will contain the schedule number, line sequence number, price amount increase and price percentage increase.

This enhancement will be available in Microsoft Dynamics GP 18.2 and 18.4

Using price update by file users will be able to update the prices of Active schedule lines by either percentage increase or amount increase. User will not be able to update the price of Terminated lines, apply percentage increase larger than one hundred percent, apply negative amount increase or update prices of invalid schedules and lines.

In case there is an error during processing there will be a log file created to display which schedules have failed to process.

See also

Reverse Price Update

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

Advanced Recurring Contract Billing currently integrates with the following Binary Stream programs:

  • Multi-Entity Management (MEM)
  • Advanced Revenue & Expense Deferrals (ARED)
  • Multiple Element Revenue Allocation (MERA)
  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multi-Entity Management Integration Overview

The Multi-Entity Management (MEM) integration with Advanced Recurring Contract Billing affects how you access the billing schedules and also how account substitution is performed:

  • When using MEM, you associate the billing schedules with entity IDs. As a result, you can access and process the billing schedules that are associated with the entity IDs to which you have access.

    • Note icon. Note: When MEM customer and item security are turned on, you can access only the customer and item records that are associated to the entity ID to which you have access. As a result, when you create a billing schedule, you can add only the customers and items to which you have access.

    For more information on MEM customer and item security, see the Multi-Entity Management documentation.

  • When account substitution is performed, the account substitution for ARCB is performed first, and then the MEM account substitution is performed after. The resulting account numbers that are used for posting are based on the final MEM account substitution.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Revenue & Expense Deferrals Integration Overview

For billing schedules, you can use Advanced Revenue & Expense Deferrals (ARED) for deferring selected billing schedule detail lines.

When you use ARED with ARCB, you can work with and view the schedule information from both programs seamlessly:

  • Recognition schedule information is available in ARCB through the zoom and inquiry windows
  • Billing schedule information is available in ARED through the zoom and inquiry windows

Importing Data

When you import a billing schedule into ARCB, the ARED recogintion account and recognition type for a deferral line are also imported.

Setting ARED Default Values

You set up ARED default options in the ARCB Setup window.

As needed, when you work with the billing schedules, you can set the deferral dates or override the default values in the following windows:

  • For a billing schedule, you can set up the deferral start and end dates on the Schedule Deferral Detail window.
  • For an individual billing schedule line, you can override and set up deferral details on the Schedule Deferral Detail window.

Schedules with Multiple Element Arrangements

When a schedule has items that are part of a multiple element arrangement and the item is a deferrable item, the Period Revenue Amount is used to create the schedule.

See also

ARED Defaults Setup

ARED Schedule Deferrals

ARED Schedule Line Deferrals

ARED Integration - ARCB Setup: Overview

Include Analytical Accounting Dimenstions from an ARCB Billing Schedule to an ARED Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Defaults Setup

On the ARCB Setup window, you can set billing schedule default options:

  • Default Deferral Frequency - you can set the default deferral frequency for billing schedules.
  • Create Schedule Based on Dates - you can set the dates on which a recognition schedule is created in ARED.
  • Create One Schedule - you can create one recognition schedule for all billing periods in a billing schedule.

For full details on these default options, see the descriptions on the ARCB Setup window. You can override the default settings on the Schedule Line Deferrals window.

See also

Advanced Revenue & Expense Deferrals Integration Overview

ARED Schedule Deferrals

ARED Schedule Line Deferrals

ARED Integration - ARCB Setup: Overview

Include Analytical Accounting Dimenstions from an ARCB Billing Schedule to an ARED Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Schedule Deferrals

For a billing schedule, you can set up the deferral start and end dates on the Schedule Deferral Detail window.

For full details on the window, see the description for the Schedule Deferral Detail window.

See also

Advanced Revenue & Expense Deferrals Integration Overview

ARED Defaults Setup

ARED Schedule Line Deferrals

ARED Integration - ARCB Setup: Overview

Include Analytical Accounting Dimenstions from an ARCB Billing Schedule to an ARED Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Schedule Line Deferrals

For billing schedule lines, you can set up the specific deferral options on the Schedule Line Deferrals window, such as the following:

  • recognition accounts
  • the type of recognition schedule used for the line (standard or event-based)
    • if the line is for a standard deferral, you can set the recognition schedule options
    • if the line is for an event-based deferral, you can set the events and allocation options

For full details on the options that you set, see the descriptions on the Schedule Line Deferrals window.

See also

Advanced Revenue & Expense Deferrals Integration Overview

ARED Defaults Setup

ARED Schedule Deferrals

ARED Integration - ARCB Setup: Overview

Include Analytical Accounting Dimenstions from an ARCB Billing Schedule to an ARED Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Integration - ARCB Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals Setup

When you use Invoice Creator to create an invoice for a billing schedule that has a deferral line item, a recognition schedule for the line item is automatically created when Recognition by Item is selected for the Use Sales Transaction option on the Advanced Rev. & Exp. Deferrals Setup window.

The information for the schedule line depends on the template that is attached to the item.

The Start Date is the document date from the sales transaction header.

For more information on the Advanced Rev. & Exp. Deferrals Setup window, see the ARED documentation within the ARED program.

See also

Advanced Revenue & Expense Deferrals Integration Overview

ARED Defaults Setup

ARED Schedule Deferrals

ARED Schedule Line Deferrals

Include Analytical Accounting Dimenstions from an ARCB Billing Schedule to an ARED Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Include Analytical Accounting Dimenstions from an ARCB Billing Schedule to an ARED Recognition Schedule

When you create an invoice using the Invoice Creator window and Override SOP AA Info from Schedule Lines is selected on the ARCB Setup window, the analytical accounting dimensions that are entered on a billing schedule line item are included on the sales order processing invoice. If the billing schedule line is a deferral item, and Recognition by Item is selected for the Use Sales Transaction option on the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for the line item is created.

When a revenue recognition schedule is created in ARED for a billing schedule detail line, the analytical accounting information is included on the recognition schedule. Also, the analytical accounting dimensions that are added to the sales account on the billing schedule (which is a deferred revenue account for a deferrable item) are also added to the deferral account of the recognition schedule.

The analytical accoutning dimensions are taken from the deferral account on the recognition schedule and added to the revenue and deferred revenue accounts on the revenue recognition journal entries as described in the Analytical Accounting Integration section of the ARED documentation.

For more information on the Advanced Rev. & Exp. Deferrals Setup window, see the ARED documentation within the ARED program.

See also

Advanced Revenue & Expense Deferrals Integration Overview

ARED Defaults Setup

ARED Schedule Deferrals

ARED Schedule Line Deferrals

ARED Integration - ARCB Setup: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multiple Element Revenue Allocation Integration Overview

For multiple-element transactions, you can use the integration with Multiple Element Revenue Allocation (MERA). With the MERA integration, the following ARCB functionality is affected:

  • When the billing schedule is moved to the History, the associated revenue allocation and percentage of an item records are also moved.
  • Pro-ration calculations do not occur. All amounts are calculated based on the SOP invoices that are created.

    • Important: Because line items can have different frequencies, you must ensure that the invoices that are created include all items that are part of the multiple element arrangement (MEA).

Note icon. Note: The MERA integration is available as of ARCB for Microsoft Dynamics GP 2015 and MERA build 504.

As of Microsoft Dynamics GP 2016 R2, for existing billing schedules that use the multiple element allocation (MEA) functionality, you can do the following:

  • Add an item
  • Terminate an item
  • Change the unit price, quantity, and fair market value (FMV)

Note icon. Note: If an invoice has for the billing schedule has already been created, you cannot change the MEA ID. Once an invoice is created, the revenue is recorded and accruals (deferral) exists for the MEA ID.

The functionality within the following ARCB windows are affected by the integration with MERA:

  • Billing Schedule Maintenance
  • Billing Schedule Zoom
  • Revenue Allocation
  • Revenue Allocation Zoom
  • Percentage of an Item
  • Percentage of an Item Zoom
  • Invoice Creator
  • Invoice Creator Batch Processing
  • Schedule Import

The following table shows the ARCB functionality within the corresponding windows that do not work with MEA schedules:

ARCB Functionality Table
Functionality | Window
Auto Renewal | Billing Schedule Maintenance Independent Renewal Utility
Hold | Billing Schedule Maintenance Mass Hold Processing
Termination | Mass Termination Process Note icon. Note: The termination functionality on the Billing Schedule Maintenance window supports MEA schedules.
Price Update | Price Update Utility Note icon. Note: The price change functionality on the Billing Schedule Maintenance window supports MEA schedules.
Markdown/Price adjustment | Billing Schedule Maintenance Billing Schedule Header Price Adjustment Detail Billing Schedule Line Price Adjustment Detail Billing Schedule Detail
Free Qty | Billing Schedule Maintenance
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Billing Schedule Maintenance

The Billing Schedule Maintenance window has the following additions when you use Multiple Element Revenue Allocation:

  • Revenue Allocation button: Select this button to open the ARCB Revenue Allocation window, which is different from the Revenue Allocation window that appears on SOP.
  • Copy button: The copy functionality supports the integration with MERA.
  • MEA Type: Select the multiple element arrangement type for the billing schedule.
    Available as of Microsoft Dynamics GP 2016 RTM. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Billing Schedule Maintenance Zoom

In the Billing Schedule Maintenance Zoom window, the Revenue Allocation button is added. Select Revenue Allocation to open the ARCB Revenue Allocation Zoom window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Revenue Allocation

In the Revenue Allocation window, all standard functionality and lookups and sort by features work as expected, with the additional functional changes:

  • Boxes for integrating with MERA appear on this window.
  • Only select the Fair Value Method for each line. Fair value amounts or recognition amounts are not calculated in this window.
  • Fair value amount and recognition amount are calculated at the time the invoice is created.
  • When you select the Expansion Expansion Arrow icon. button for item, the Percent of an Item window opens only when the Fair Value Method is % of an Item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Revenue Allocation Zoom

In the Revenue Allocation window, all standard functionality and lookups and sort by features work as expected, with the additional functional changes:

  • This window shows the revenue allocation records in work or history.
  • When you select the Expansion Expansion Arrow icon. button for item, the Percent of an Item Zoom window opens only when the Fair Value Method is % of an Item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Percentage of an Item

In the Percentage of an Item window, all standard functionality of roll-down (including the Roll-down button), sort by, mark lines, and mark all lines work as expected, with the additional functional changes:

  • This window is the equivalent of the Fair Value Calculator in the SOP module. The main difference is that the data is saved to the database so it can be used for multiple periods.
  • The data exists only for revenue allocation lines with the Fair Value Method of % of an Item.
  • This window is not compatible with the ARED option Create One Schedule.
    If this option is selected, warning messages appear and prevent the consolidation of multiple schedules into one schedule.
  • You can set the default percentages of an item.

Note icon. Note: The lines in this window do not need to be part of the same multiple element arrangement (or of any MEA) to be included in the calculation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Percentage of an Item Zoom

The Percentage of an Item window shows the revenue allocation records in work or history.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Invoice Creator

The Invoice Creator window has the following changes:

  • In the scrolling window, new columns show the MEA Type, MEA ID, and Period Revenue Amount (as of Microsoft Dynamics GP 2016 RTM).
  • The Fair Value and Recognition Amount are calculated after the SOP invoice has been created.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Invoice Creator - Edit Batch

The Invoice Creator - Edit Batch window has the following changes:

  • A button to expand and collapse the rows.
  • Boxes to show the MEA Type and MEA ID on the second row.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Windows - Schedule Import

In the Schedule Import window, the following changes occurred:

  • Boxes to enter file paths for .csv files only are added:
    • Revenue Allocation Header
    • Revenue Allocation Line
    • Percentage of an Item
  • The file uploads can occur separately.
    For example, headers and lines can be added first, and then percentage of an item later.
  • The file uploads do not need to run at the same time as the Schedule Header import, which means revenue allocation information can be added to existing schedules.
  • Currently, only importing .csv files is supported.
    Importing XML files and Data Connection files are for a future release.
  • When data is imported:
    • the Ignore line sequence number in the file option is not supported
    • existing data remains intact and is not overwritten
    • the data being imported is validated, and log reports are produced for each file that is imported
    • any missing revenue allocation or percent item lines are defaulted when opened in the corresponding window

File Formats

The following file formats are supported:

Revenue allocation header

Field Name | Type | Required | Values
Schedule ID | String | Yes | SCH00001
MEA Type | Integer | Yes | 0 – None 1 – Single 2 – Multiple
MEA ID | String | Only for MEA Type: Single | MEA_ID_01

Example file with headers:

ScheduleID,MEA Type,MEA ID

SCH0001,1,MEA_ID_01

IMP_01,2,MEA_ID_01

IMP_02,2,

Revenue Allocation Line

Field Name | Type | Required | Values
Schedule ID | String | Yes | SCH00001
Sequence Number | Integer | Yes | > 0
MEA ID | String | Only for MEA Type: Single | MEA_ID_01
Fair Value Method | Integer | Yes | 1 – Amount 2 – Sales Amount 3 – List Price 4 - % of an Item
Fair Value Percentage | Decimal | No | >= 0 <= 100

Example file with headers:

ScheduleID,Seq Number,MEA ID,FV Method,FV Default Percent

IMP_01,1,MEA_ID_01,1,

IMP_01,2,MEA_ID_01,3,

IMP_01,3,MEA_ID_02,2,

IMP_02,1,MEA_ID_02,4,15

IMP_02,2,MEA_ID_02,4,

Percent of an Item

Field Name | Type | Required | Values
Schedule ID | String | Yes | SCH00001
Sequence Number | Integer | Yes | > 0
Line Sequence | Integer | Yes | > 0
Fair Value Percentage | Decimal | No | >= 0 <= 100

Example file with headers:

ScheduleID,Seq Number,Line Sequence,FV Percent

IMP_01,2,1,11

IMP_01,2,3,13

IMP_01,3,1,21

Note icon. Note: The Sequence Number corresponds to the Revenue Allocation line that has a Fair Value Method set to % of an Item. The Line Sequence is all other lines of which you want to get the percentage (the lines shown on the Percentage of an Item window).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Recurring Contract Billing eConnect Integration Overview

If you use Microsoft Dynamics GP eConnect, you can modify your existing eConnect integration to work with Advanced Recurring Contract Billing (ARCB) using SQL stored procedures that Binary Stream provides. The scripts work with any system that uses eConnect, including customized products.

The ARCB eConnect stored procedures allow you to perform the following activities:

  • Create billing schedule headers
  • Create billing schedule lines
  • Create sales user-defined fields
  • Create sales tracking number
  • Create user-defined fields

The ARCB eConnect integration is available in Microsoft Dynamics GP 2015 (and newer).

Before you set up the ARCB eConnect stored procedures , ensure you complete the prerequisite activities.

  • Installed and set up ARCB on the Microsoft Dynamics GP environment
  • Set up and create the eConnect integration for standard Microsoft Dynamics GP fields

If you require assistance in setting up your ARCB eConnect integration, review Support Limitations for eConnect.

See also

Installing SQL Scripts

Support Limitations for eConnect

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing SQL Scripts

To enable ARCB to be integrated with eConnect, Binary Stream provides custom SQL code in the window of stored procedures that you install on the company database.

You can install all of the SQL stored procedures in one action by running the BSSI_ARCB_eConnect_Install.bat file.

You can install the ARCB eConnect stored procedures while users are still logged on to and using Microsoft Dynamics GP.

See also

eConnect: Schedule Header

eConnect: Schedule Line

eConnect: Schedule Sales Tracking Number

eConnect: Schedule Sales User-Defined

eConnect: Schedule User-Defined Fields

eConnect: Billing Schedule Price Adjustment Header

eConnect: Billing Schedule Price Adjustment Line

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Schedule Header

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_CreateScheduleHeader node.

Note icon. Note: The eConnect procedure always creates new schedules only.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description | CRM Integration | Update in CRM
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |  | Contract ID | N
2 | SCHDESC | Schedule Description | string (64) | N | <blank> |  | Cont Desc | Y
3 | SCHTYPE | Schedule Type | string (20) | N | Default from ARCB setup | Predefined in GP/ACRB. Can use same type for all Schedules or use Contract Type Codes |  | Y
4 | STARTDATE | Billing Start Date | date | Y | Not Applicable | Contract Start Date |  | N
5 | ENDDATE | Billing End Date | date | Y | Not Applicable | Contract End Date |  | N
6 | CUSTNMBR | Customer Number | string (15) | Y | Not Applicable |  |  | N
7 | LOCNCODE | Location Code | string (19) | N | Default from SOP setup | Site ID |  | Y
8 | DOCTYPE | Document Type | integer | N | Default from ARCB setup | 1 = Invoice 2 = Quote |  | N
9 | DOCID | Invoice ID | string (15) | N | Default from ARCB setup |  |  | Y
10 | PRBTADCD | Primary Bill to Address ID | string (15) | N | Default from Customer master |  |  | Y
11 | PRSTADCD | Primary Ship to Address ID | string (15) | N | Default from Customer master |  |  | Y
12 | STATUS | Status | integer | N | 1 | 1 = New 2 = Renew 3 = Cancel 4 = Resign |  | Y
13 | FREQUENCY | Billing Frequency | integer | N | Default from ARCB setup | 1 = Monthly 2 = Quarterly 3 = Semi-Annual 4 = Annual 5 = One Time 6 = Weekly 7 = Daily 8 = Miscellaneous |  | N
14 | DAYSTOINCREMENT | Days to Increment | integer | N | <blank> |  |  | N
15 | CONSIGNDATE | Contract Signed Date | date | N | <blank> |  |  | Y
16 | CONADDSIGNDATE | Contract Add Signed Date | date | N | <blank> |  |  | Y
17 | CONCOMPLETEDATE | Contract Complete Date | date | N | <blank> |  |  | N
18 | ENDUSERID | End User ID | string (35) | Y/N | <blank> | Required if Maintain Schedule By End User if selected in the setup. |  | N
19 | DEFERRABLESTRTDATE | Deferral Start Date | date | N | <blank> |  |  | N
20 | DEFERRABLEENDDATE | Deferral End Date | date | N | <blank> |  |  | N
21 | CURNCYID | Currency ID | string (15) | N | Default from customer, if it is not setup for the customer, then functional currency will be used. |  |  | N
22 | SLPRSNID | Salesperson ID | string (15) | N | Default from Customer master |  |  | Y
23 | RENEWTEMPID | Renewal Template ID | string (25) | N | Default from ARCB setup |  |  | N
24 | LEADTIME | Lead Time (Days) | integer | N | <blank> |  |  | N
25 | PRORATE | Prorate Amount | boolean | N | Default from ARCB setup |  |  | N
26 | DISABLECALBILL | Disable Calendar Billing | boolean | N | Default from ARCB setup |  |  | N
27 | PRCSHID | Price Sheet ID | string (15) | N | <blank> |  |  | N
28 | HOLD | Hold | boolean | N | Default from ARCB setup |  |  | Y
29 | OCCURANCE | Occurrence | integer | N | <blank> |  |  | N
30 | CSTPONBR | Customer PO Number | string (20) | N | <blank> |  |  | Y
31 | MILESTONETEMPID | Milestone Template ID | string (30) | N | <blank> |  |  | N
32 | ENTITYID | Entity ID (MEM) | string (66) | N | <blank> |  |  | N
33 | DEPTID | Department ID (MEM) | string (66) | N | <blank> |  |  | N
34 | USE_NEXT_SCHID | Use schedule id | boolean | N | 0 | 0 = It will use provided SCHID 1 = Use Next Schedule number from ARCB Setup |  | N
35 | CREATIONDATE | Creation Date | date | N | <blank> |  |  | N
36 | SSRSFORMAT | Allow CRM to write string | string (20) | N |  |  |  | Y
37 | SCHSHORTNAME | Schedule Short Name | string (18) | N |  |  |  | Y
38 | BILLINGCLASS | Billing Class | string (35) | N |  |  |  | Y
39 | RETURNID | Return ID | string (15) | N | Default from ARCB setup |  |  | Y
40 | BCM | Bill Distribution Method | string (35) | N |  | Paper, CCB, Credit Card, ACH… |  | Y
41 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success |  | N
42 | oErrString | eConnect Error Description | string (255) | OUTPUT |  | Empty in case of success |  | N

See also

Installing SQL Scripts

eConnect Shedule Header: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Shedule Header: Example

Create a schedule header from schedule header eConnect, using only required parameters.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_CreateScheduleHeader]

@SCHID = 'ECONNECT_SCH_1',

@SCHDESC = 'eConnect Schedule',

@STARTDATE = '01/01/2016',

@ENDDATE = '12/31/2016',

@CUSTNMBR = 'AARONFIT0001',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

eConnect creates the following schedule header record in ARCB, which you can view in the Billing Schedule Maintenance window.

See also

eConnect: Schedule Header

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Schedule Line

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_CreateScheduleLine node.

Note icon. Note: The schedule line stored procedure always creates new items.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description | CRM Integration | Update in CRM
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |  |  | N
2 | LNITMSEQ | Line Number | integer | N | 0 | Line item sequence number; by default, the line item sequence number will be auto incremented by 16,384 for each schedule line if it is not passed in; if the value needs to be passed in, It is recommended passing in a value of 16,384 for the first line and increment the value by 16,384 for each subsequent line (that is, pass in a value of 16,384 for the first schedule line and then 32,768 for the second schedule line) |  | N
3 | ITEMNMBR | Item Number | string (31) | Y | Not Applicable |  |  | N
4 | ITEMTYPE | Item Type | integer | N | Default from ARCB setup |  |  | N
5 | UOFM | Unit Of Measure | string (9) | N | Default from Item master Always Each |  |  | N
6 | NONINVEN | Non-inventory | integer | N | 0 | 0=No 1=Yes |  | N
7 | QUANTITY | Quantity | integer | N | 1 | For a meter item, quantity is 0 |  | N
8 | UNITPRCE | Unit Price | currency | N | Default from Item price list |  |  | N
9 | STARTDATE | Billing Start Date | date | N | Default from schedule header |  |  | N
10 | ENDDATE | Billing End Date | date | N | Default from schedule header |  |  | N
11 | FREQUENCY | Billing Frequency | integer | N | Default from schedule header | 1 = Monthly 2 = Quarterly 3 = Semi-Annual 4 = Annual 5 = One Time 6 = Weekly 7 = Daily 8 = Miscellaneous |  | N
12 | DAYSTOINCREMENT | Days to Increment | integer | N | Default from schedule header |  |  | N
13 | OCCURRENCE | Occurrence | integer | N | 1 | 1 = New 2 = Renew 3 = Cancel 4 = Resign |  | N
14 | STATUS | Status | integer | N | <blank> | 1 = M2M 2 = Other 3 = Yearly |  | Y
15 | CONTRACTTERMS | Contract Terms | integer | N | Default from schedule header |  |  | N
16 | LOCNCODE | Location Code | string (19) | N | Default from schedule header |  |  | Y
17 | SLPRSNID | Salesperson ID | string (15) | N | Default from schedule header |  |  | Y
18 | ADRSCODE | Bill to Address ID | string(15) | N | Default from schedule header |  |  | Y
19 | PRSTADCD | Ship to Address ID | string(15) | N | Default from schedule header |  |  | Y
20 | METERNUMBER | Meter Number | string(65) | N | <blank> | Required if Item Type = Bandwidth |  | N
21 | METEROPTN | Meter Option | integer | N | Default from ARCB setup | 0 = Reading 1 = Consumption |  | N
22 | PRICEDEFLT | Price Default | integer | N | Default from ARCB setup | 0 = Standard / Extended 1 = Flat Amount |  | N
23 | PRICELVL | Price Level | string (15) | N | Default from Item master |  |  | N
24 | PRCSHID | Price Sheet ID | string (15) | N | <blank> | If Extended module is enabled. System will default Price sheet ID from schedule header. |  | N
25 | PRICEOPTN | Price Option | integer | N | Default from Item master | 0 = Standard 1 = Tier |  | N
26 | FREEQTYOPTN | Free Quantity Option | integer | N | Default from Item master | 0 = Per Period 1 = Cumulative |  | N
27 | COMMOPTN | Committed Option | integer | N | 0 | 0 = By Amount 1 = By Quantity |  | N
28 | MINCAP | Minimum Bill Amount / Quantity | currency | N | 0 |  |  | N
29 | MAXCAP | Maximum Bill Amount / Quantity | currency | N | 0 |  |  | N
30 | FREEQTY | Free Quantity | currency | N | 0 |  |  | N
31 | AUTORENEW | Auto Renew | boolean | N | Default from setup |  |  | N
32 | RENEWTEMPID | Renewal Template ID | string (25) | N | Default from schedule header |  |  | N
33 | COMMENT1 | Comment 1 | string (255) | N | <blank> |  |  | Y
34 | COMMENT2 | Comment 2 | string (255) | N | <blank> |  |  | Y
35 | COMMNTID | Comment ID | string (15) | N | <blank> |  |  | Y
36 | CMMTTEXT | Comment Text | string (500) | N | <blank> |  |  | Y
37 | DEFERRABLE | Deferrable | tiny integer | N | Default from Item master |  |  | N
38 | RECOGTYPE | Recognition Schedule Type | integer | N | Default from Item master | 0 = Standard 1 = Event Based |  | N
39 | DEFERRABLESTRTDATE | Deferral Start Date | date | N | Default from schedule header |  |  | N
40 | DEFERRABLEENDDATE | Deferral End Date | date | N | Default from schedule header |  |  | N
41 | RECOGNITIONACCT | Recognition Account | string (100) | N | Default from Item master |  |  | Y
42 | CREATEONESCH | Create One Schedule | boolean | N | Default from ARCB setup |  |  | N
43 | SCHBASEDONDATES | Schedule Based on Dates | boolean | N | Default from ARCB setup |  |  | N
44 | DEFTEMPLATEID | Deferral Template ID | string (31) | N | Default from Item master | Standard / Event based Template ID |  | N
45 | DEFFREQUENCY | Deferral Frequency | integer | N | Default from ARCB setup | 1 = Monthly 2 = Quarterly 3 = Semi-Annually 4 = Annually |  | N
46 | COGSDEFERRABLE | COGS Deferrable | boolean | N | Default from Item master |  |  | N
47 | COGSRECOGACCT | COGS Recognition Account | string (100) | N | Default from Item master |  |  | N
48 | SALESACCT | Sales Account | string (100) | N | Default from Item master if not provided |  |  | Y
49 | HOLD | Hold | Integer | N |  | 0 = No hold 1 = On hold Set to 1 when not used in conjunction with DLL. |  |
50 | CREATIONDATE | Creation Date | date | N | <blank> | Used for exchange rate calculation |  | N
51 | WIP | WIP Track work in progress | boolean | N | Default from Item master |  |  | N
52 | WIPACCT | WIP Account | string (100) | N | Default from Item master |  |  | N
53 | WIPUNBILLREVACCT | Unbilled Revenue Account | string (100) | N | Default from Item master |  |  | N
54 | WIPJRENTRY | WIP Journal Entry | integer | N | 0 |  |  | N
55 | MILESTONETEMPID | Milestone Template ID | string (30) | N | Default from schedule header |  |  | N
56 | TERMDTOPTN | Termination Date Option | integer | N | Default from schedule header | 0 = billing remaining 1 = Adj Schedule 2 = Term. Fee 3 = No Adj. |  | N
57 | MRKDRECOGACCT | Markdown Recognition Account | string (100) | N |  |  |  | Y
58 | ESTIMATEDCONSUPMTION | Estimated Consumption | integer | N |  |  |  | N
59 | ITEMDESC | Item Description | string (100) | N |  |  |  | Y
60 | PROFITLOSSDEFERREDREVENUEACCT | Deferral Revenue Account | string (100) | N |  | Profit and Loss ARED Method |  | N
61 | PROFITLOSSDEFERRALACCT | Deferral Account | string (100) | N |  | Profit and Loss ARED Method |  | N
62 | FREERESETPERIODS | Free reset number of periods | integer | N |  |  |  | N
63 | MINMAXRESETPERIODS | Min/Max reset number of periods | integer | N |  |  |  | N
64 | UNBILLEDREVACCT_CREATEONESCHTERM | Unbilled Revenue Account (Create One Schedule) | string (100) | N | Default from ARCB Setup - termination only | Unbilled revenue account for Create One Schedule |  | N
65 | DEFREVACCT | Deferred Revenue Account(Contract Liability) | string (100) | N |  | Default from ARED setup if not provided |  | Y
66 | UNBILLEDACCT | Unbilled Receivable Account(Contract Asset) | string (100) | N |  | Default from ARED setup if not provided |  | Y
67 | DEFMKDACCT | Deferred Markdown Account | string (100) | N |  | Default from ARED setup if not provided |  | Y
68 | UNBILLEDMRDACCT | Unbilled Markdown | string (100) | N |  | Default from ARED setup if not provided |  | Y
69 | NUMOFINSTALLMENT | Number of Installments | integer | N |  | Default to 0, if passed in as non-zero value, it is treated as installment schedule. |  | N
71 | TOTCONTVAL | Total Contract Value | Numeric | N |  |  |  | N
72 | WRITEOFFACCT | Write Off GL Account | string (100) | N |  |  |  | Y
73 | MARKDOWNACCT | Markdown Account | string (100) | N | Default from Item master IF not provided |  |  | Y
74 | USERDEF1 | User Defined 1 | string | N |  |  | Blank unless populated by CRM | Y
75 | USERDEF2 | User Defined 2 | string | N |  |  | Blank unless populated by CRM | Y
76 | USERDEF3 | User Defined 3 | string | N |  |  | Blank unless populated by CRM | Y
77 | USERDEF4 | User Defined 4 | string | N |  |  | Blank unless populated by CRM | Y
78 | USERDEF5 | User Defined 4 | string | N |  |  | Blank unless populated by CRM | Y
79 | I_vPriceGroupID | Price Group | string (20) | N |  | Name of the price group. If empty, the line does not use the price group feature. |  |
80 | I_vPriceGroupAdjustment_ITEMNMBR | Adjustment Item | string (31) |  |  | Adjustment item from the first item in a price group. If empty, the price group adjustment is based on the last group item. Item pricing options are copied from the first item in the group to all subsequent items. |  |
81 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success |  | N
82 | oErrString | eConnect Error Description | string ( | OUTPUT |  | Empty in case of success |  | N

See also

Installing SQL Scripts

eConnect Shedule Line: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Shedule Line: Example

Create a schedule line from schedule line eConnect, using only required parameters.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_CreateScheduleLine]

@SCHID = 'ECONNECT_SCH_1',

@ITEMNMBR = '128 SDRAM',

@QUANTITY = 150,

@FREQUENCY = 1,

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

eConnect creates the following schedule line record in ARCB, which you can view in the Billing Schedule Maintenance window.

See also

eConnect: Schedule Line

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Schedule User-Defined Fields

The following table shows the fields for the taBSSI_ARCB_ScheduleUserDefined node.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string | Y | Not Applicable |
2 | FIELDNAME | ARCB user-defined field name | string | Y | Not Applicable |
3 | FIELDVALUE | User-Defined field value | string | Y | Not Applicable |
4 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success
5 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success

See also

Installing SQL Scripts

eConnect Shedule User Defined Fields: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Shedule User Defined Fields: Example

Assign ARCB user-defined field values to a schedule from eConnect procedure.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_ScheduleUserDefined]

@SCHID = 'ECONNECT_SCH_1',

@FIELDNAME = 'User Defined 1',

@FIELDVALUE = '800',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

EXEC [dbo].[taBSSI_ARCB_ScheduleUserDefined]

@SCHID = 'ECONNECT_SCH_1',

@FIELDNAME = 'User Defined 2',

@FIELDVALUE = 'eConnect',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

EXEC [dbo].[taBSSI_ARCB_ScheduleUserDefined]

@SCHID = 'ECONNECT_SCH_1',

@FIELDNAME = 'User Defined 3',

@FIELDVALUE = 'Import',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

EXEC [dbo].[taBSSI_ARCB_ScheduleUserDefined]

@SCHID = 'ECONNECT_SCH_1',

@FIELDNAME = 'User Defined 4',

@FIELDVALUE = '100.6',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

EXEC [dbo].[taBSSI_ARCB_ScheduleUserDefined]

@SCHID = 'ECONNECT_SCH_1',

@FIELDNAME = 'User Defined 5',

@FIELDVALUE = '2016-06-24',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

eConnect assigns user-defined values to the schedule, which you can view in the User Defined Fields Entry window.

See also

eConnect: Schedule User-Defined Fields

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Schedule Sales User-Defined

The following table shows the fields for the taBSSI_ARCB_ScheduleSOPUserDefined node.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string | Y | Not Applicable |
2 | USRDAT01 | User-defined date 1 | date | N | <blank> |
3 | USRDAT02 | User-defined date 2 | date | N | <blank> |
4 | USRTAB01 | User-defined table 1 | string | N | <blank> |
5 | USRTAB012 | User-defined table 2 | string | N | <blank> |
6 | USRTAB013 | User-defined table 3 | string | N | <blank> |
7 | USERDEF1 | User defined 1 | string | N | <blank> |
8 | USERDEF2 | User defined 2 | string | N | <blank> |
9 | USERDEF3 | User defined 3 | string | N | <blank> |
10 | USERDEF4 | User defined 4 | string | N | <blank> |
11 | USERDEF5 | User defined 5 | string | N | <blank> |
12 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success
13 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success

See also

Installing SQL Scripts

eConnect Shedule Sales User Defined: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Shedule Sales User Defined: Example

Assign sales order processing user-defined field values to a schedule from eConnect procedure.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_ScheduleSOPUserDefined]

@SCHID = 'ECONNECT_SCH_1',

@USRDAT01 = '01/01/2016',

@USERDEF1 = 'TEMP',

@O_iErrorState = @O_iErrorState OUTPUT,

@oErrString = @oErrString OUTPUT

eConnect assigns sales order processing user-defined values to the schedule, which you can view in the Sales User Defined Fields Entry window.

See also

eConnect: Schedule Sales User-Defined

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Schedule Sales Tracking Number

The following table shows the fields for the taBSSI_ARCB_ScheduleSOPTrackingNum node.

Note icon. Note: Only the new tracking number is added.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string | Y | Not Applicable |
2 | TRACKING_NUMBER | Tracking Number | string | Y | Not Applicable |
3 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success
4 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success

See also

Installing SQL Scripts

eConnect Shedule SalesTrackNo: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Shedule SalesTrackNo: Example

Add tracking numbers to the schedule.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_ScheduleSOPTrackingNum]

@SCHID = 'ECONNECT_SCH_1',

@TRACKING_NUMBER = 'TEST 1',

@oErrString = @O_iErrorState OUTPUT,

@O_iErrorState = @oErrString OUTPUT

EXEC [dbo].[taBSSI_ARCB_ScheduleSOPTrackingNum]

@SCHID = 'ECONNECT_SCH_1',

@TRACKING_NUMBER = 'TEST 2',

@oErrString = @O_iErrorState OUTPUT,

@O_iErrorState = @oErrString OUTPUT

eConnect assigns tracking numbers to the schedule, which you can view in the Sales User Defined Fields Entry window.

See also

eConnect: Schedule Sales Tracking Number

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Schedule Price Adjustment Header

The following table shows the fields for the taBSSI_ARCB_CreateEscalationHeader node.

Note icon. Note: Only the new price adjustment line is added.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string | Y | Not Applicable
2 LNSEQNBR Line Sequence Number numeric Y/N 16384

By default, if the line sequence number is not passed in, it is automatically incremented by 16,384 for each price adjustment line. IF the value needs to be passed in, it is recommended that a value of 16,384 be passed for the first line, and then each subsequent line is incremented by 16,384 (in other words, pass in a value of 16,384 for the first schedule line and then 32,768 for the second schedule line).

When using SmartConnect, the value is required and should be set as a Key Field. If not, only the last record in the sheet is imported.

3 | STARTDATE | Price Adjustment Start Date | string | Y
4 | ENDDATE | Price Adjustment End Date | string | Y | Not Applicable
5 FREQUENCY Price Adjustment Frequency integer N Not Applicable 1 = Monthly
2 = Quarterly
3 = Semi-Annual
4 = Annual
5 = Markdown
6 | AMOUNT | Price Adjustment Amount | currency | N | 0
7 | PERCENT | Price Adjustment Percent | currency | N | 0
8 | CPIID | CPI Schedule ID | string | N | empty
9 | O_iErrorState | eConnect Error Number | integer | OUTPUT | Empty in case of success
10 | oErrString | eConnect Error Description | string | OUTPUT | Empty in case of success

See also

Installing SQL Scripts

eConnect Billing Schedule Price Adjustment Header: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Billing Schedule Price Adjustment Header: Example

Add price adjustment line to the schedule header.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_CreateEscalationHeader]

@SCHID = 'ECONNECT_SCH_1',

@STARTDATE = '2017-03-01',

@FREQUENCY = 1,

@AMOUNT = 50,

@oErrString = @O_iErrorState OUTPUT,

@O_iErrorState = @oErrString OUTPUT

eConnect creates the following price adjustment line to the schedule header record in ARCB, which you can view in the Billing Schedule Price Adjustment Detail window.

See also

eConnect: Billing Schedule Price Adjustment Header

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Schedule Price Adjustment Line

The following table shows the fields for the taBSSI_ARCB_CreateEscalationLine node.

Note icon. Note: Only the new price adjustment line is added.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string | Y | Not Applicable
2 | LNITMSEQ | Line Item Sequence | interger | Y | Not Applicable | Line item sequence number, identify the billing schedule line.
3 LNSEQNBR Line Sequence Number numeric N 16384

By default, if the line sequence number is not passed in, it is automatically incremented by 16,384 for each price adjustment line. IF the value needs to be passed in, it is recommended that a value of 16,384 be passed for the first line, and then each subsequent line is incremented by 16,384 (in other words, pass in a value of 16,384 for the first schedule line and then 32,768 for the second schedule line).

When using SmartConnect, the value is required and should be set as a Key Field. If not, only the last record in the sheet is imported.

4 | STARTDATE | Price Adjustment Start Date | string | Y
5 | ENDDATE | Price Adjustment End Date | string | N | Not Applicable
6 FREQUENCY Price Adjustment Frequency integer Y Not Applicable 1 = Monthly
2 = Quarterly
3 = Semi-Annual
4 = Annual
5 = Markdown
7 | AMOUNT | Price Adjustment Amount | currency | N | 0
8 | PERCENT | Price Adjustment Percent | currency | N | 0
9 | CPIID | CPI Schedule ID | string | N | empty
10 | O_iErrorState | eConnect Error Number | integer | OUTPUT | Empty in case of success
11 | oErrString | eConnect Error Description | string | OUTPUT | Empty in case of success

See also

Installing SQL Scripts

eConnect Billing Schedule Price Adjustment Line: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect Billing Schedule Price Adjustment Line: Example

Add price adjustment line to the schedule line.

DECLARE @O_iErrorState int

DECLARE @oErrString varchar (255)

EXEC [dbo].[taBSSI_ARCB_CreateEscalationLine]

@SCHID = 'ECONNECT_SCH_1',

@LNITMSEQ = 16384,

@STARTDATE = '2017-03-01',

@FREQUENCY = 1,

@AMOUNT = 50,

@oErrString = @O_iErrorState OUTPUT,

@O_iErrorState = @oErrString OUTPUT

eConnect creates the following price adjustment line to the schedule record in ARCB, which you can view in the Billing Schedule Price Adjustment Detail window.

See also

eConnect: Billing Schedule Price Adjustment Line

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Price Update

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_UpdateScheduleLinePrice node.

Note icon. Note: At least price or markdown or both must be passed in.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description | CRM Integration
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |  |
2 | LINENO | Line Number | integer | Y | Not Applicable | Schedule Line No Price Change or Markdown associated to |
3 | STARTDATE | Effective Date | date | N | Not Applicable |  |
4 | PRICE | New Unit Price | numeric | N | Not Applicable | If zero it will be ignored otherwise price will be updated. |
5 | TOTALPRICE | New Total Price | numeric | N | Not Applicable | If zero it will be ignored otherwise price will be updated. |
6 | MARKDOWN | Unit Markdown | numeric | N | Not Applicable | If zero it will be ignored otherwise price will be updated. |
7 | MRKDTOTALAMT | Total Markdown | numeric | N | Not Applicable | If zero it will be ignored otherwise price will be updated. |
8 | DISCOUNTCODE | Discount Code | string (35) | N | Not Applicable |  |
9 | MARKDOWN REF NUM | Markdown Line Number | integer | N | Not Applicable |  | Used by CRM to reference to the markdown.
10 | ENDDATE | End Date | date | N | Not Applicable |  | If not provided the price increase or Markdown will continue.
11 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success |
12 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success |

Markdown

When a markdown line is imported, a markdown ARED deferral schedule is created. The markdown deferral schedule has the MRKD suffix on the deferral schedule number. Within a billing schedule, each markdown line has its own ARED markdown deferral schedule.

See also

Installing SQL Scripts

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Schedule Line Renewal

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_ScheduleLineRenewal node.

Since one billing schedule line can have many renewals, a separate ARED deferral schedule is created for each renewal. A deferral schedule that is renewed has the REN suffix on the deferral schedule number. Renewals created from the eConnect node are based on the new renewal price and the renewal deferral start and end dates.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description | CRM Integration
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |  |
2 | LINENO | Line Number | integer | Y | Not Applicable |  |
3 | STARTDATE | Renewal Start Date | date | Y | Not Applicable | If not provided, reject line |
4 | ENDDATE | Renewal End Date | date | Y | Not Applicable | If not provided, reject line |
5 | DEFSTARTDATE | Renewal Deferral Start Date | date | N | Not Applicable | Required when BASEONDATE = 1 |
6 | DEFENDDATE | Renewal Deferral End Date | date | N | Not Applicable | Required when BASEONDATE = 1 |
7 | PRICE | Renewal New Total Price | numeric | N | Not Applicable |  |
8 | FREQUENCY | Billing Frequency | integer | N | Not Applicable | 1 = Monthly 2 = Quarterly 3 = Semi-Annual 4 = Annual 5 = One Time 6 = Weekly 7 = Daily 8 = Miscellaneous |
9 | INSTALLMENT | Number of Installment | integer | N | Not Applicable |  |
10 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success |
11 | oErrString | eConnect Error Description | string ( | OUTPUT |  | Empty in case of success |

See also

Installing SQL Scripts

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Frequency Modification Header

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_UpdateScheduleHeaderBillingFrequency node.

The modifications are rolled down to all lines that have a status of active or on-hold.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |
2 | STARTDATE | Effective Date | date | Y | Not Applicable |
3 | FREQUENCY | Billing Frequency | integer | Y | Not Applicable | 1 = Monthly 2 = Quarterly 3 = Semi-Annual 4 = Annual 5 = One Time 6 = Weekly 7 = Daily 8 = Miscellaneous
4 | DAYSTOINCREMENT | Days to Increment | integer | Y/N |  | Required for Billing Frequency of “Miscellaneous”.
5 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success
6 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success

eConnect updates the schedule header record in ARCB, which you can view in the Billing Schedule Maintenance window.

See also

Installing SQL Scripts

eConnect: Billing Frequency Modification Line

Changing the Frequency for a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Frequency Modification Line

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_UpdateScheduleLineBillingFrequency node.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |
2 | LINENO | Line Number | integer | Y | Not Applicable |
3 | STARTDATE | Effective Date | date | Y | Not Applicable |
4 | FREQUENCY | Billing Frequency | integer | Y | Not Applicable | Same as header
5 | DAYSTOINCREMENT | Days to Increment | integer | Y/N | 0 | Required for Billing Frequency of “Miscellaneous”.
6 | INSTALLMENT | Number of installment | integer | Y/N | Not Applicable |
7 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success
8 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success

eConnect updates the schedule line record in ARCB, which you can view in the Billing Schedule Maintenance window.

See also

Installing SQL Scripts

eConnect: Billing Frequency Modification Header

Changing the Frequency for a Billing Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Schedule Termination Header

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_TerminateSchedule node.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description | CRM Integration
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |  |
2 | TERMDATE | Termination Date | date | Y | Not Applicable |  | BSSI Termination Date is CRM Cancellation Effective Date
3 | TERMOPT | Termination Option | integer | Y | Not Applicable | 0 = Bill Remaining 1 = Adj. Schedule 2 = Term. Fee 3 = No Adj. 4 = Cancel For Collection |
4 | TRANSDATE | Transaction Date | date | Y | Not Applicable |  | BSSI Transaction Date is CRM Cancellation Date
5 | TERMID | Termination ID | string (35) | N | Not Applicable |  |
6 | TERMREASON | Termination Reason | string (55) | N | Not Applicable |  |
7 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success |
8 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success |

eConnect terminates the schedule header record in ARCB, which you can view in the Billing Schedule Maintenance window.

See also

Installing SQL Scripts

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


eConnect: Billing Schedule Termination Line

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

The following table shows the fields for the taBSSI_ARCB_TerminateScheduleLine node.

Note icon. Note: The write off account is in the taBSSI_ARCB_CreateScheduleLine node.

SNO | Parameter Name | Field Description | Data Type | Required | Default | Description | CRM Integration
1 | SCHID | Schedule ID | string (35) | Y | Not Applicable |  |
2 | LINENO | Line Number | integer | Y | Not Applicable | BSSI Termination Date is CRM Cancellation Effective Date |
3 | TERMDATE | Termination Date | date | Y | Not Applicable | BSSI Termination Date is CRM Cancellation Effective Date | BSSI Termination Date is CRM Cancellation Effective Date
4 | TERMOPT | Termination Option | integer | Y | Not Applicable | 0 = Bill Remaining 1 = Adj. Schedule 2 = Term. Fee 3 = No Adj. 4 = Cancel For Collection |
5 | TRANSDATE | Transaction Date | date | Y | Not Applicable |  | BSSI Transaction Date is CRM Cancellation Date
6 | TERMID | Termination ID | string (35) | N | Not Applicable |  |
7 | TERMREASON | Termination Reason | string (55) | N | Not Applicable |  |
8 | O_iErrorState | eConnect Error Number | integer | OUTPUT |  | Empty in case of success |
9 | oErrString | eConnect Error Description | string | OUTPUT |  | Empty in case of success |

eConnect terminates the schedule line record in ARCB, which you can view in the Billing Schedule Maintenance window.

See also

Installing SQL Scripts

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass eConnect Schedule Line Process: Overview

Button showing that window Overview page is currently viewed.
Tools > Utilities > Adv. Recurring Contract Billing > Mass eConnect Schedule Line Process

Use this window to resume schedule lines that have a status of Hold.

The list view shows only the records that are imported from the eConnect schedule line stored procedure.

See also

Removing a Hold from a Billing Schedule Line (eConnect Integration)

Advanced Recurring Contract Billing eConnect Integration Overview

eConnect: Schedule Line

eConnect Shedule Line: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Limitations for eConnect

Before you contact Binary Stream for technical support for eConnect, please be advised of the following limitations:

  • If you require support for installing, configuring, and using Microsoft’s eConnect, see the Microsoft eConnect Installation and Administration Guide or contact Microsoft Dynamics GP Support.
  • If you require support for installing, configuring, and using a third-party eConnect integration software such as eOne SmartConnect, Salespad GP or Scribe Microsoft Dynamics GP Connector, see the installation and administration guide for the software or contact the vendor of the third-party eConnect integration software.

Billable Service

If you require extra service for your software implementation, Binary Stream can provide billable support for extra activities, such as configuring your eConnect scripts to work with ARCB. To configure your eConnect scripts to work with ARCB, review the setup instructions.

If you still require support with configuring your eConnect scripts or stored procedures to work with ARCB, contact Professional Services for pricing information.

See also

Advanced Recurring Contract Billing eConnect Integration Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SmartConnect/eConnect Integration

The following content provides information on how to map eConnect nodes and invoke the SBA methods to create, update, and terminate ARCB billing schedules and billing schedule lines.

The BSSI ARCB eConnect integration leverages the Service Based Architecture (SBA) in Microsoft Dynamics GP. For the BSSI ARCB eConnect integration to work, you must install and configure SBA.

Sample URLs

The following sample URLs can be used for testing and troubleshooting SBA:

  • https://xx.xx.xx.xx/GPService/Management/Diagnostics
    Closed View sample page.

  • https://xx.xx.xx.xx/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/help/
    Closed View sample page.

Security Setup

A domain user must be mapped to a Microsoft Dynamics GP user and granted proper permission in Microsoft Dynamics GP. This domain user will be used to authenticate SBA requests in all method calls to the BSSI_ARCB_Integration.dll. Following images show the windows in sequential order for the setting up the ARCB SBA security.

  1. Security Task Setup window:

  2. Security Role Setup window:

  3. User Security Setup window:

  4. User Security Access Setup window:

See also

Creating or Updating an ARCB Billing Schedule

Updating the Price for an ARCB Billing Schedule Line

Applying a Discount for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Creating a Fixed Term Renewal

Terminating a Billing Schedule

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mapping eConnect Nodes and Invoking the SBA Methods

This section provides specific steps for mapping the eConnect nodes and invoking the SBA methods. When you use these steps to invoke the SBA methods, note the following:

  • The code samples in the steps are for example only.
    The examples show you how to invoke the procedure in the BSSI_ARCB_Integration.dll to create billing schedule lines.
  • You MUST replace the IP address, Domain, and User Password in the code sample to values for SBA.
  • The domain user must be mapped to a Microsoft Dynamics GP user with the appropriate permissions in Microsoft Dynamics GP.
  • Depending on the name of the Source Column, _SCHID and _EXTERNALID might be different.
  • Ensure that Microsoft Dynamics GP SBA is installed and properly configured before the integration can be run successfully.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating or Updating an ARCB Billing Schedule

You can create or update an ARCB billing schedule or create and update lines within an ARCB billing schedule with the following eConnect nodes:

  • taBSSI_ARCB_CreateScheduleHeader node: Create or update the ARCB billing schedule header.
  • taBSSI_ARCB_CreateScheduleLine node: Create or update the ARCB billing schedule line.

To create or update an ARCB billing schedule, follow these steps:

  1. Copy the file BSSI_ARCB_Integration.dll to SmartConnect folder.
    If you did not change the default folder location, you can find this file in C:\Program Files (x86)\eOne Solutions\SmartConnect.
  2. Go to the folder: C:\Program Files (x86)\eOne Solutions\SmartConnect.
    1. Find the file RestSharp.dll, and rename it (for example, RestSharpOld.dll).
      (This older file is for version 105.2.3.0)
    2. Copy the updated RestSharp.dll file to the folder.
      (This updated file is for version 106.6.9.0.)
  3. Open SmartConnect, and then select the following path: Maintenance > Script Name Spaces.
  4. In the Default Script Namespaces window, do the following:
    1. Under Add Namespace, select Load From File.
    2. In Assembly, navigate to the BSSI_ARCB_Integration.dll file.
    3. Select Add Selected.

  5. In the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_CreateScheduleLine).

  6. Select the Options tab, on the Script Language area, select C#.Net.

  7. Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*****************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https:// ip address/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.CreateScheduleLine(__SCHID, _EXTERNALID, out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*****************************************************************************/

  8. After the previous task, add the following TaskSqlCommand.

/*****************************************************************************/

if exists (select * from B0800002 where PEER_Billing_Schedule_ID = '__SCHID' and BSSI_ExternalID = '_EXTERNALID' and BSSI_Imp_InProgress = 1)

begin

Delete from B0800013 where PEER_Billing_Schedule_ID = '__SCHID' and LNITMSEQ = (select SEQNUMBR from B0800002 where PEER_Billing_Schedule_ID = '__SCHID' and BSSI_ExternalID = '_EXTERNALID' and BSSI_Imp_InProgress = 1)

Delete from B0800026 where PEER_Billing_Schedule_ID = '__SCHID' and SEQNUMBR = (select SEQNUMBR from B0800002 where PEER_Billing_Schedule_ID = '__SCHID' and BSSI_ExternalID = '_EXTERNALID' and BSSI_Imp_InProgress = 1)

Delete from B0800002 where PEER_Billing_Schedule_ID = '__SCHID' and BSSI_ExternalID = '_EXTERNALID' and BSSI_Imp_InProgress = 1

End

/*****************************************************************************/

  9. In the Tasks tab, go to Tasks that run if the document fails, and add the same TaskSqlCommand.

See also

SmartConnect/eConnect Integration

Updating the Price for an ARCB Billing Schedule Line

Applying a Discount for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Creating a Fixed Term Renewal

Terminating a Billing Schedule

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Updating the Price for an ARCB Billing Schedule Line

To update the price for an ARCB billing schedule, use taBSSI_ARCB_UpdateScheduleLinePrice.

Follow the same steps as Creating or Updating an ARCB Billing Schedule with the following changes:

  • In step 5, for the the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_UpdateScheduleLinePrice).
  • In step 7, Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https:// ip address/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.UpdateScheduleLinePrice(_SCHID,_EXTERNALID,Convert.ToDateTime(_STARTDATE),Convert.ToSingle(_UNITPRICE),Convert.ToSingle(_TOTALPRICE),Convert.ToInt16(_MKDREFNUM),0,0,"",Convert.ToDateTime(_ENDDATE),_ADJINVOICED,"","","","",””,out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*******************************************************************************************/

  • Add the following TaskSqlCommand after previous task. Also add it under Tasks that run if the document fails.

  • Add the above TaskSqlCommand under Tasks that run if the document fails.

See also

SmartConnect/eConnect Integration

Creating or Updating an ARCB Billing Schedule

Applying a Discount for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Creating a Fixed Term Renewal

Terminating a Billing Schedule

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applying a Discount for an ARCB Billing Schedule Line

To apply a discount to an ARCB billing schedule line, use taBSSI_ARCB_UpdateScheduleLinePrice.

Follow the same steps as Creating or Updating an ARCB Billing Schedule with the following changes:

  • In step 5, for the the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_UpdateScheduleLinePrice).
  • In step 7, Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https:// ip address/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.UpdateScheduleLinePrice(_SCHID, _EXTERNALID,Convert.ToDateTime(_STARTDATE),Convert.ToSingle(_UNITPRICE),Convert.ToSingle(_TOTALPRICE),Convert.ToInt16(_MKDREFNUM),Convert.ToSingle(_MARKDOWN),Convert.ToSingle(_MKDTOTALAMT),_DISCCODE,Convert.ToDateTime(_ENDDATE),_ADJINVOICED,

_MKDRRCACCT,_DEFMKDACCT,_UNBILLEDMRDACCT,_MARKDOWNACCT,_MARKDOWNDESC,out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*******************************************************************************************/

See also

SmartConnect/eConnect Integration

Creating or Updating an ARCB Billing Schedule

Updating the Price for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Creating a Fixed Term Renewal

Terminating a Billing Schedule

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Updating the Frequency and Number of Installments for an ARCB Billing Schedule

You can update the frequency and number of installments for an ARCB billing schedule line or header.

  • taBSSI_ARCB_UpdateScheduleLineBillingFrequency: Update the billing frequency and number of installments for an ARCB billing schedule line.
  • taBSSI_ARCB_UpdateScheduleHeaderBillingFrequency: Update the billing frequency and number of installments for an ARCB billing schedule.

Update a Billing Schedule Line (UpdateScheduleLineBillingFrequency)

Follow the same steps as Creating or Updating an ARCB Billing Schedule with the following changes:

  • In step 5, for the the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_UpdateScheduleLineBillingFrequency).
  • In step 7, Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https://10.52.2.72/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.UpdateScheduleLineFrequency(_SCHID, _EXTERNALID,Convert.ToDateTime(_STARTDATE),Convert.ToInt16(_FREQUENCY),Convert.ToInt16(_DAYSTOINCREMENT),Convert.ToInt16(_INSTALLMENT),out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*******************************************************************************************/

  • Add the following TaskSqlCommand after previous task. Also add it under Tasks that run if the document fails.

  • Add the above TaskSqlCommand under Tasks that run if the document fails.

Update a Billing Schedule (UpdateScheduleHeaderBillingFrequency)

To update the billing frequency and number of installments for an ARCB billing schedule line, use taBSSI_ARCB_UpdateScheduleHeaderBillingFrequency.

Follow the same steps as Update a Billing Schedule Line (UpdateScheduleLineBillingFrequency) above, but note the following change:

Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https://10.52.2.72/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.UpdateScheduleHeaderFrequency(_SCHID, Convert.ToDateTime(_STARTDATE),Convert.ToInt16(_FREQUENCY),Convert.ToInt16(_DAYSTOINCREMENT),Convert.ToInt16(_INSTALLMENT),out strError);

// return sba process errors.

//if (ret == false)

// MessageBox.Show(strError);

}

catch(Exception ex)

{

//MessageBox.Show(ex.Message); //capture data type conversion errors.

return false;

}

return ret;

/*******************************************************************************************/

See also

SmartConnect/eConnect Integration

Creating or Updating an ARCB Billing Schedule

Updating the Price for an ARCB Billing Schedule Line

Applying a Discount for an ARCB Billing Schedule Line

Creating a Fixed Term Renewal

Terminating a Billing Schedule

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Fixed Term Renewal

To create a renewal for to an ARCB billing schedule line, use taBSSI_ARCB_ScheduleLineRenewal.

Follow the same steps as Creating or Updating an ARCB Billing Schedule with the following changes:

  • In step 5, for the the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_ScheduleLineRenewal).
  • In step 7, Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https://10.52.2.72/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.CreateScheduleLineRenewal(_SCHID, _EXTERNALID,out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*******************************************************************************************/

  • Add the following TaskSqlCommand after previous task. Also add it under Tasks that run if the document fails.

/**************************************************************************************************/

declare @lineSeq int

declare @preBillingFreq int

select @lineSeq = SEQNUMBR from B0800002 where PEER_Billing_Schedule_ID = '_SCHID' and BSSI_ExternalID = '_EXTERNALID' and BSSI_Imp_InProgress = 1

select top 1 @preBillingFreq = BSSI_Billing_Frequency from B0800013 where PEER_Billing_Schedule_ID = '_SCHID' and LNITMSEQ = @lineSeq and BSSI_Billing_Start_Date < '_STARTDATE' order by PEER_Billing_Schedule_ID,LNITMSEQ,BSSI_Billing_Start_Date

Update B0800002 set BSSI_Imp_InProgress = 0,BSSI_Billing_Frequency = @preBillingFreq where PEER_Billing_Schedule_ID = '_SCHID' and BSSI_ExternalID = '_EXTERNALID' and BSSI_Imp_InProgress = 1

delete B0800013 where PEER_Billing_Schedule_ID = '_SCHID' and LNITMSEQ = @lineSeq and BSSI_Billing_Start_Date = '_STARTDATE'

/**************************************************************************************************/

  • Add the above TaskSqlCommand under Tasks that run if the document fails.

See also

SmartConnect/eConnect Integration

Creating or Updating an ARCB Billing Schedule

Updating the Price for an ARCB Billing Schedule Line

Applying a Discount for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Terminating a Billing Schedule

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Terminating a Billing Schedule

You can terminate an ARCB billing schedule line or an ARCB billing schedule and all its lines with the following eConnect nodes:

  • taBSSI_ARCB_TerminateScheduleLine: Terminates a line within an ARCB billing schedule.
  • taBSSI_ARCB_TerminateSchedule: Terminates an ARCB billing schedule and all its lines.

Terminate a line

To terminate an ARCB billing schedule line, use taBSSI_ARCB_TerminateScheduleLine.

Follow the same steps as Creating or Updating an ARCB Billing Schedule with the following changes:

  • In step 5, for the the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_TerminateScheduleLine).
  • In step 7, Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https://10.52.2.72/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.TerminateScheduleLine(_SCHID, _EXTERNALID,Convert.ToDateTime(_TERMINATIONDATE),Convert.ToInt16(_TERMOPT),Convert.ToDateTime(_TRANSDATE),_TERMID,_TERMREASON,out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*******************************************************************************************/

  • Add the following TaskSqlCommand after previous task. Also add it under Tasks that run if the document fails.

Terminate a Billing Schedule and All Lines within the Billing Schedule

To terminate an ARCB billing schedule and all its lines, use taBSSI_ARCB_TerminateSchedule.

Follow the same steps as Terminate a line above, but note the following change:

Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https://10.52.2.72/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.TerminateSchedule(_SCHID,Convert.ToDateTime(_TERMINATIONDATE),Convert.ToInt16(_TERMOPT),Convert.ToDateTime(_TRANSDATE),_TERMID,_TERMREASON,out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

See also

SmartConnect/eConnect Integration

Creating or Updating an ARCB Billing Schedule

Updating the Price for an ARCB Billing Schedule Line

Applying a Discount for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Creating a Fixed Term Renewal

UserDefined Fields on Markdown

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Rolling Back Schedules

Important: This procedure should be used under specific circumstances in which communication issues between client computers and the main database have occurred. For instructions on when to use this procedure, contact your administrator.

You can roll back changes to a billing schedule and its associated deferral schedule.

  • taBSSI_ARCB_RollbackScheduleHeader node: Rolls back changes made to a billing or deferral schedule header and all lines for the schedule.
  • taBSSI_ARCB_RollbackScheduleLine node: Rolls back changes made to a single billing schedule line and its related deferral schedule header and lines.

When used, data is deleted from the following records:

  • ARCB Billing Schedule Header
  • ARCB Billing Schedule Lines
  • ARED Schedule Header
  • ARED Schedule Lines
  • Journal entries that have not been posted
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Rolling Back the Termination of Schedules

Important: This procedure should be used under specific circumstances in which communication issues between client computers and the main database have occurred. For instructions on when to use this procedure, contact your administrator.

You can roll back the termination of a billing schedule and its associated deferral schedule.

  • taBSSI_ARCB_UnTerminateSchedule node: Rolls back the termination of a billing or deferral schedule header and all lines for the schedule.
  • taBSSI_ARCB_UnTerminateScheduleLine node: Rolls back the termination of a single billing schedule line and its related deferral schedule header and lines. Also, updates the header of the schedule.

When used, data is updated for the following records:

  • ARCB Billing Schedule Header
  • ARCB Billing Schedule Lines
  • ARED Schedule Header
  • ARED Schedule Lines
  • Journal entries that have not been posted
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


UserDefined Fields on Markdown

To update the user-defined fields on markdown, use taBSSI_ARCB_EscalationLineUserDefined .

Follow the same steps as Creating or Updating an ARCB Billing Schedule with the following changes:

  • In step 5, for the the Map Setup window, Source & Destination tab, create a mapping for the eConnect node (taBSSI_ARCB_EscalationLineUserDefined ).
  • In step 7, Select the Tasks tab, and under the Tasks that run if the document succeeds, add the following TaskScript. Make sure that both the On Failure and On Success options are set to Go to next step. The next task should always run regardless of whether this task succeeds or fails.

/*******************************************************************************************/

bool ret = true;

string strError = "";

try

{

BSSI_ARCB_Integration.ARCBSchedule arcb = new BSSI_ARCB_Integration.ARCBSchedule();

arcb.SBAServiceURL = "https://10.52.2.72/GPService/Tenants(DefaultTenant)/Companies(Fabrikam,%20Inc.)/";

arcb.SBAUser = "Domain\\User";

arcb.SBAPwd = "Password";

arcb.DBName = GlobalCompanyID;

ret = arcb.UpdateMarkdownUserDefined(_SCHID, _EXTERNALID,Convert.ToInt16(_MKDREFNUM),_UDF_1,_UDF_2,_UDF_3,_UDF_4,_UDF_5,out strError);

}

catch(Exception ex)

{

return false;

}

return ret;

/*******************************************************************************************/

  • Add the following TaskSqlCommand after previous task. Also add it under Tasks that run if the document fails.

See also

SmartConnect/eConnect Integration

Creating or Updating an ARCB Billing Schedule

Updating the Price for an ARCB Billing Schedule Line

Applying a Discount for an ARCB Billing Schedule Line

Updating the Frequency and Number of Installments for an ARCB Billing Schedule

Creating a Fixed Term Renewal

Terminating a Billing Schedule

Methods in the DLL File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Methods in the DLL File

The following tables show the methods in the BSSI_ARCB_Integration.dll file.

CreateScheduleLine: Updates or creates a billing schedule line

Parameter | Data Type | Description
Schedule ID | String |
Extern ID | String | The identifier from CRM to identify a billing schedule line
Error String | Out String | Return message if error occurs.

UpdateScheduleLinePrice: Updates the price or applies a discount.

Parameter | Data Type | Description | Price Update | Discount
Schedule ID | String |  | Y | Y
Extern ID | String | The identifier from CRM to identify a billing schedule line | Y | Y
Effective Date | Date | Effective Date of the Price update/Discount | Y | Y
Unit Price | Float | Pass 0 for Initial Term. Pass 0 for Discount. | Y | N
Total Price | Float | Total contract value for current term. Pass 0 for Rental contract Renewals as it uses Unit Price. Pass 0 for Discount. | Y | N
Markdown Reference | Integer | Unique identifier from CRM to identify discount line. Pass 0 for Price update. | N | Y
Markdown | Float | Markdown unit amount. Pass 0 for Price update. Pass 0 if Markdown Total is used. | N | Y
Markdown Total | Float | Markdown total amount. Pass 0 for Price update. Pass 0 if Markdown unit amount is used. | N | Y
Markdown Code | String | Discount code from CRM. Pass empty string for Price update. | N | Y
End Date | Date | End Date for Discount. Pass “1900-01-01” for Price update. | N | Y
Adjust Invoiced Period | String | “1”: Reverse invoiced period if Effective date fall into those period. | Y | N
Markdown Recognition Account | String | Pass empty string for Price update. | N | Y
Deferral Markdown Account | String | Pass empty string for Price update. | N | Y
Markdown Description | String | Pass empty string for Price update. | N | Y
Unbilled Markdown Account | String | Pass empty string for Price update. | N | Y
Markdown Account | String | Pass empty string for Price update. | N | Y
Error String | Out String | Return message if error occurs. | Y | Y

UpdateScheduleLineFrequency: Updates the billing frequency change for a billing schedule line.

Parameter | Data Type | Description
Schedule ID | String |
Extern ID | String | The identifier from CRM to identify a billing schedule line
Error String | Out String | Return message if error occurs.

TerminateSchedule: Terminates a billing schedule.

Parameter | Data Type | Description
Schedule ID | String |
Termination Date | Date | CRM Cancellation Date
Termination Option | Integer | 0: No Credit 1: Full/Partial Credit 4: Cancel for Collection
Transaction Date | Date | CRM Cancellation Effective Date
Term ID | String | Termination ID (Predefined in GP)
Termination Reason | String |
Error String | Out String | Return message if error occurs.

TerminateScheduleLine: Terminates a billing schedule line.

Parameter | Data Type | Description
Schedule ID | String |
External ID | String | The identifier from CRM to identify a billing schedule line
Termination Date | Date | CRM Cancellation Date
Termination Option | Integer | 0: No Credit 1: Full/Partial Credit 4: Cancel for Collection
Transaction Date | Date | CRM Cancellation Effective Date
Term ID | String | Termination ID (Predefined in GP)
Termination Reason | String |
Error String | Out String | Return message if error occurs.

UpdateMarkdownUserDefined: Updates user-defined fields on markdown.

Parameter | Data Type | Description
Schedule ID | String |
External ID | String | The identifier from CRM to identify a billing schedule line
Markdown Reference | Integer | Markdown Reference
UDF1 | String | User Defined Field 1
UDF2 | String | User Defined Field 2
UDF3 | String | User Defined Field 3
UDF4 | String | User Defined Field 4
UDF5 | String | User Defined Field 5
Error String | Out String | Return message if error occurs.

RollbackScheduleHeader: Rolls back changes made to a billing or deferral schedule header and all lines for the schedule.

Parameter | Data Type | Description
SCHID | String | Schedule ID (max length 35 characters). Required.

RollbackScheduleLine: Rolls back changes made to a single billing schedule line and its related deferral schedule header and lines.

Parameter | Data Type | Required | Description
SCHID | String | Required | Schedule ID (max length 35 characters)
LNITMSEQ | Integer | Required | Schedule Line Number

UnTerminateSchedule: Rolls back the termination of a billing or deferral schedule header and all lines for the schedule.

Parameter | Data Type | Description
SCHID | String | Schedule ID (max length 35 characters). Required.

UnTerminateScheduleLine: Rolls back the termination of a single billing schedule line and its related deferral schedule header and lines. Also, updates the header of the schedule.

Parameter | Data Type | Required | Description
SCHID | String | Required | Schedule ID (max length 35 characters)
LNITMSEQ | Integer | Required | Schedule Line Number
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Scheduler

Available for ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

The ARCB Scheduler allows you to create and execute tasks for the Windows Task Scheduler. The tasks that you create are for automatically creating and posting sales invoices and automatically creating and posting journal entries for month-end revenue recognition of deferrable contract items. By being able to create these tasks, you do not have to log on to Microsoft Dynamics GP to manually create and post the sales invoices.

Note icon. Note: Microsoft Dynamics GP Service Based Architecture (SBA) must be installed and setup before tasks for creating and posting sales invoices and journal entries.

See also

Setup: Overview

ARCB Scheduler List: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Scheduled Task: Creating Invoices Process

When the scheduled task for creating invoices runs, sales invoices are automatically created for the ARCB billing schedules, and the following processes occur:

  1. The settings for the Invoice Creation Date and the current system date are used to determine whether an invoice is created.
  2. The current system date is used as the invoice transaction date.
  3. The Invoice ID and Source Document values are applied to the invoice.
  4. The invoices created are combined in batches according to the Billing Distribution Method set for the billing schedule. And the batch that is created uses the following naming convention that includes the date on which the invoices were created: BillingDistMethod YYMMDD (for example, CCB 190204 or ACH 190204).
  5. All invoices that are created are saved to the batch.
  6. If any invoices were not created due to errors, a log report is created, and a notification is sent the specified email addresses.

When the invoice creation process finishes, the batch is saved. If you already created the schedule task to post the sales invoices, it can run.

See also

Scheduled Task: Posting Invoices Process

Adding a Scheduled Task

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Scheduled Task: Posting Invoices Process

When the scheduled task for posting invoice runs, the batches that have the sales invoices are automatically posted, and the following processes occur:

  1. The current system date is used for processing all transactions in a batch.
  2. After the invoice is posted, a log report shows the results of the posted invoices.
  3. To view specific invoices, use the Billing Invoices Inquiry window.

See also

Scheduled Task: Creating Invoices Process

Adding a Scheduled Task

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Scheduled Task: Creating Journal Entries Process

When the scheduled task for creating a journal entry runs, journal entries and ARED recognition schedules are automatically created for the deferral items, and the following processes occur:

  1. For items that are identified as deferrable, the ARED recognition schedules are created. Also, any deferrable items that have a markdown amount also have associated markdown schedules created.
  2. The recognition template applied to all recognition schedules is standard.
  3. The recognition frequency applied to all recognition schedules is Monthly.
  4. The deferral start and deferral end dates are imported from CRM.
  5. Revenue recognition journal entries are created for each recognition schedule date with the corresponding Source Document value applied to the recognition schedule.
  6. All journal entries that are created are saved to the batch
  7. If any journal entries were not created due to errors, a log report is created, and a notification is sent the specified recipients.

Note icon. Note: The scheduled task is for standard recognition schedules only.

See also

Scheduled Task: Posting Journal Entries Process

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Scheduled Task: Posting Journal Entries Process

When the scheduled task for posting journal entries runs, the batches that have the journal entries are automatically posted, and the following processes occur:

  1. The current system date is used for processing all transactions in a batch.
  2. After the journal entry is posted, a log report shows the results of the posted journal entries.
  3. To view specific journal entries, use the Deferral Revenue/Recognition Inquiry window in ARED.

See also

Scheduled Task: Creating Journal Entries Process

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing the ARCB Scheduler

To install the ARCB Scheduler, follow these steps:

  1. Get the ARCB Scheduler Setup compressed (zipped) folder from Binary Stream Software.
  2. Extract the file from the compressed (zipped) folder.
  3. Double-click the installer file named ARCB_Scheduler_Setup.msi, and follow the steps in the wizard.

After the installation is finished, you can run the ARCB Scheduler by going to the installation location and selecting XmlTaskScheduler.exe. If you did not change the installation location, you can find the ARCB Scheduler in C:\Program Files\Binary Stream\ARCB.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting up the ARCB Scheduler Configuration File

To set up the ARCB Schedulerconfiguration file, follow these steps:

  1. Open the ARCB Scheduler, and select Setup.
  2. On the Setup window, specify the information for the Server Configuration, Email Configuration, and SBA Configuration sections.
  3. After specifying the information for each section, test the configuration .
    If the configuration fails, check the data you entered and make any necessary changes, and test the configuration again.
  4. After you know the configurations works, select Save, which generates the configuration file that is used when the scheduled tasks are executed.

Note icon. Note: If any of the information for the Server Configuration, Email Configuration, and SBA Configuration changes, you must change the information on this Setup window and generate an updated configuration file.

See also

Adding a Scheduled Task

Editing a Scheduled Task

Setting Up Email Notifications

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Scheduled Task

To add a scheduled task that creates and posts sales invoices and creates and posts journal entries for deferral items, follow these steps:

  1. Open the ARCB Scheduler, and select Task Scheduler.
  2. Select Add [image], which opens the ARCB Scheduler - Add/Edit window for adding a task.
  3. Select the Process for which you want to create a task, and specify a Description.
  4. Under Frequency, do the following:
    1. In Occurs, select how often you want the task to run.
    2. Select the Start date for the task.
  5. If you selected the task to run daily (Occurs is Daily), specify the Time of day for the task to run.
  6. If you selected the task to run weekly (Occurs is Weekly), select the day(s) of the week and specify the Time of day for the task to run.
  7. If you selected the task to run monthly (Occurs is Monthly), do the following for scheduling task:
    1. Select the months and specify the Time of day.
    2. If you select Days, select the day(s) of the month.
    3. If you select On, select the week(s) of the month and the day(s) of the week.

    8. For scheduled task examples, see ARCB Scheduler - Add/Edit: Overview.

  8. Select Email Notification [image] to set up the email notifications.
  9. Select Save.

After the task is saved, it appears in the ARCB Scheduler List.

See also

Setting up the ARCB Scheduler Configuration File

Editing a Scheduled Task

Setting Up Email Notifications

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Email Notifications

Schedule tasks are usually run outside of regular business hours. After a scheduled task finishes, an email notification is sent to the email recipient. If the task encountered any errors, a log file is generated and sent as an attachment to the email message. The email recipient can then review the log file and take any appropriate actions for errors that occurred.

To set up the email notifications, follow these steps:

  1. Open the ARCB Scheduler, and select Task Scheduler.
  2. Select Add [image] or Edit [image] to open the ARCB Scheduler - Add/Edit window.
  3. Add or edit a task as needed, select Email Notification [image].
  4. In the Email Notification window, specify an Email ID and select Add [image].
  5. Repeat the previous step to add more email addresses.
  6. If you want to delete any email addresses, select the email address from the list and select Delete [image].
  7. When you are finished, select Close [image].

See also

Setting up the ARCB Scheduler Configuration File

Adding a Scheduled Task

Editing a Scheduled Task

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Editing a Scheduled Task

To edit a scheduled task that creates and posts sales invoices and creates and posts journal entries for deferral items, follow these steps:

  1. Open the ARCB Scheduler, and select Task Scheduler.
  2. Select a task from the list and select Edit [image], which opens the ARCB Scheduler - Add/Edit window for editing a task.
  3. Make any changes as needed.
  4. Select Save.

If instead you want to delete the task, select the task from the ARCB Scheduler List and select Delete [image].

See also

Setting up the ARCB Scheduler Configuration File

Adding a Scheduled Task

Setting Up Email Notifications

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Overview
Task Scheduler > Setup

Use this window to setup up connections to the Microsoft Dynamics GP server, the sending email address account, and the Service Based Architecture (SBA) URL for all tasks that are created using the ARCB Scheduler. When you save this information, a configuration file is saved. This configuration file is used for executing the scheduled tasks for creating and posting the invoices and journal entries.

Important: If any of the passwords (or other details) are changed, you must also change the password (or other details) in this setup. Failure to update the information can result in schedule tasks that fail.

See also

Setting up the ARCB Scheduler Configuration File

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Scheduler List: Overview
Task Scheduler > Task Scheduler

Use this window to view the existing tasks for posting sales invoices and journal entries for month-end revenue recognition of deferrable contract items. These tasks are automatically executed with Windows Task Scheduler.

When a task is executed, a batch is created in Microsoft Dynamics GP. You can review the batch and transactions within a batch on the corresponding windows:

  • Sales Batch Entry
  • Sales Transaction Inquiry Zoom

See also

Adding a Scheduled Task

Editing a Scheduled Task

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Scheduler - Add/Edit: Overview
Task Scheduler > Task Scheduler > Add or Edit

Use this window to add or edit tasks for creating and posting the following:

  • sales invoices for active ARED billing schedules
  • journal entries for active ARED recognition schedules

These tasks are automatically run using Windows Task Scheduler.

The following examples demonstrate the type of task occurrences that you can set up.

Closed Daily occurrence

When Occurs is Daily, the task runs everyday (7 days per week) at the specified time.

The following task runs daily at 10:00 pm.

Closed Weekly occurrence

When Occurs is Weekly, the task runs on certain days of the week at the specified time.

The following task runs at 11:00 pm on weekdays (Monday to Friday).

The following task runs at 11:30 pm every Saturday.

Closed Monthly occurrence (specific days of the months)

When Occurs is Monthly and Days is selected, the task runs on certain days of the selected month(s) at the specified time.

The following task runs at 11:45 pm on the 15 and last day of the selected months .

The following task runs at 11:30 pm on the 3rd day of the selected months.

Closed Monthly occurrence (specific days of specific weeks)

When Occurs is Monthly and On is selected, the task runs on the selected day(s) of first, second, third, fourth or last week of the selected month(s) at the specified time.

The following task runs at 1:00 pm on the first and the last Friday of the selected months.

The following task runs at 1:45 pm on the second Tuesday of the selected months.

See also

Adding a Scheduled Task

Editing a Scheduled Task

Setting Up Email Notifications

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Email Notification: Overview
Task Scheduler > Task Scheduler > Add or Edit > Email Notification

Use this window to add email recipients for scheduled task notifications. After a task finishes, the notifications that are sent to the email recipients shows the following information:

  • Start and end date and time
  • Total lines processed (with number of errors and successful lines processed)
  • Batch numbers processed
  • Log file attachment (only if any errors occurred)

It is a best practice to add one or more email recipients for each scheduled task that you create.

Closed View example of email notification with log file.

See also

Setting Up Email Notifications

Adding a Scheduled Task

Editing a Scheduled Task

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2026 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

Advanced Recurring Contract Billing for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Tuesday, February 3, 2026

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Web Client Documentation

In Microsoft Dynamics GP 2016, the Web client documentation (HTM files) is not included in the product installer. However, the complete Web client documentation is included in a compressed (zipped) folder within the product release. The compressed (zipped) folder contains both the Windows client and Web client versions of the documentation:

  • ARCB.chm
  • ARCB_WebClient_HelpFiles.zip

To be able to access the Web client documentation, you must extract the contents of the compressed (zipped) documentation file to the following location:

  • C:\Program Files\Microsoft Dynamics\GP Web Components\GPweb\Help\ARCB

This folder location exists only after the Web client for Microsoft Dynamics GP 2016 is installed. If the folder location does not exist, you must create it so that you can extract the Web client documentation files to that location. After the files are extracted to this folder, you can access the Web client documentation from the Ribbon (Help > About This Window)

Note icon. Note: When you open the documentation, the home page appears, not the article for the specific window.

See also

Accessing the Extra Windows for All Binary Stream Programs

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Accessing the Web Client Documentation

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Distribution Method Options: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Distribution Method Options: Fields

Bill Distribution Method

Specify the billing distribution method.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Class Setup: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Class Setup: Fields

Item Class ID

Select a class ID for the selected item.

Item Pricing Option

Price Option

Select the pricing option:

  • Standard: Calculates the unit price based on the total quantity entered and is taken from the Item Price List Maintenance according to existing Microsoft Dynamics GP standard pricing functionality.
  • Flat: Applies a flat price to the original item price.
  • Tier: Calculates unit price using fixed quantity at different pricing brackets. Each tier must be filled before moving to the next pricing tier bracket. For more information, see Pricing Methods.
  • Flat Tier: Calculates unit price using fixed quantity and extended price amounts for different pricing brackets. The price that is charged in a billing period uses the extended price that corresponds to the tier where the billing quantity exists. For more information, see Pricing Methods.

    Available as of Microsoft Dynamics GP 2015 R2, and when Enable Tier Pricing is selected on the Setup window is selected.

Free Quantity

Select the free quantity method:

  • Per Period: The free quantity is per period. For each period, the free quantity is deducted from the Consumption/Quantity Entered to provide a Billable Consumption/Quantity.
  • Cumulative: The free quantity is cumulative from the beginning of the contract. After the free quantity is used, the Consumption/Quantity Entered becomes the Billable Consumption/Quantity.

Any settings or changes on the Item Class Setup window can be rolled down to the item included in this class.

Milestone Template ID

Select the milestone template ID for the item class. Available as of Microsoft Dynamics GP 2015 R2.

This value is the default milestone template ID for line items that belong to this item class.

Renewal %

Specify the renewal percentage. When adding a renewal item to an SOP line, this percentage is multiplied by the item price to calculate the renewal amount.

Renewal Item

Select a renewal item that to be used to create a renewal billing schedule from the posted sales transaction.

Support %

Specify a support percentage. When adding a renewal item to an SOP line, this percentage is multiplied by the item price to calculate the support charge amount.

Support Item

Select an item number for a support and enhancement service for the sales transaction.

Support/Renewal Item

Select the renewal item or support item. Available when the Support/Renewal Item check box is selected. The renewal item and the support item are attached to the selected item class.

The renewal item and support item must have the default price level and selling U of M that is set up in the Item Price List Maintenance window.

Track Work In Progress

Select to indicate the item class is tracking the Work In Progress . Available only when Enable Work in Progress is selected in the Setup window.

If Item Class Setup is not an alternate window, all the extra WIP boxes are added to the Item Class Setup Extra window.

Unbilled Revenue

Select the unbilled revenue account when tracking WIP.

WIP Account Number

Select the Work In Progress account when tracking WIP.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Type Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Type Setup: Fields

Type ID

Specify a unique type identifier for the billing type, for example, IMPORT.

Item Type

Select the item type:

  • Bandwidth: Select for metered or usage type items. When you select this option, a Meter ID for the item is required.
  • Colocation: Select for use with static quantity related to colocation.
    When you select this option, the Description box for a billing schedule item is renamed to Cage Description.
  • Connectivity: Select for use with static quantity related to connectivity.
  • Milestone: Select if you use the Milestone Billing module.
    If you purchased the Milestone Billing module and selected Enable Milestone Billing on the Setup window, you can select this option.

    • Available as of Microsoft Dynamics GP 2015 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

  • Other: Select for use with static quantity. This option is used most often.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Reading Import: Buttons

OK

Closes the window.

Process

Imports the data from the selected file.

After the process completes a log report showing the results of the import is generated.

You can view the meter reading or the consumption data in the Billing Schedule Detail window. The following information is validated:

  • Schedule Number exists
  • Meter Number exists
  • From and To Date exist

As of Microsoft Dynamics GP 2015 R2, when you import existing records, if a comment exists for a line, the Comment is updated.

As of Microsoft Dynamics GP 2016 R2, when you import existing records, the unit of measure specified in the import file is automatically converted to the unit of measure for the billing schedule line. Also, the price is converted accordingly based on the unit of measure on the billing schedule line. For more information, see Importing and Converting Consumption Amounts: Example.

For the conversion to work as expected, the following must already be setup:

  • The relationships between the different unit of measures for the item on the Unit of Measure Schedule Setup window.
  • The unit of measure and price combination on the Item Price List Maintenance window.

Note icon. Note: If this information is not set up, the data is not imported and an error appears on the log report.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Reading Import: Fields

First Row is Column Headings

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

File Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Template Maintenance: Buttons

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Description

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Template Maintenance: Fields

Allocation Method

Select the allocation method:

  • Percentage of Completion: A cumulative completion value for each line.
  • Percentage: A percentage amount can be specified for the allocation. The sum of all percentages must equal 100.
  • Variable Amount: An amount can be specified for the allocation. The allocation amount is specified at the transaction level.
  • Equal Amount: The allocation percentages are automatically calculated and equally split among the items within the template.

Template Description

Specify a description for the milestone template.

Template ID

Specify a unique identifier for the milestone template.

Scrolling Window

Description

Displays the description of the item. You can change the description if needed.

Milestone ID

Select the item number for the milestone template.

Percentage/Amount

Displays the allocation percentage for the milestone:

  • When Allocation Method is Percentage, you can specify the percentage.
  • When Allocation Method is Equal Amounts, the percentage is automatically calculated into equal percentages based on the number of items in the template.

The sum of all the percentages must equal 100%.

Total Allocation

Displays the sum total of the percentage. The sum of all percentages must equal 100.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import: Buttons

OK

Closes the window.

Process

Imports the data using the information you entered in the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import: Fields

Allow Non-Inventory Items

Select to allow records for non-inventory items to be imported a schedule line file.

Price Adjustment Line

Specify the path location for the price adjustment line items you want to import.

First Row is Column Names

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

Ignore line sequence number in the file

Select to ignore the sequence number in an imported file. When data is imported, the line sequence numbers are also generated.

Import Option

Select how the data is to be imported:

  • CSV File: Imports data from a CSV file. For the file details, review the Importing Data: CSV File Formats article for header and line formats.
  • XML File: Imports data from a XML file. Available when Enable Data Connection Import is selected in the Setup window. When you select this option, specify the file location in the XML/Data Connection box.
  • Data Connection: Imports data from a data connection. Available when Enable Data Connection Import is selected in the Setup window. When you select this option, specify the file location in the XML/Data Connection box. The file location is used to save the XML file after the data is imported.

Kits

Specify the path location for the kit items you want to import.

Schedule Header

Specify the path location for the Schedule Header file that you want to import.

Schedule Line

Specify the path location for the Schedule Line file that you want to import.

Terminate Schedule

Select when importing termination header and termination line files.

Termination Header

Specify the path location for the termination header file that you want to import. Ensure that the Terminate Schedule option is selected.

Termination Line

Specify the path location for the termination header line that you want to import. Ensure that the Terminate Schedule option is selected.

Percentage of an Item

Specify the path location for the percentage of an item that you want to import.

Revenue Allocation Header

Specify the path location for the revenue allocation header file that you want to import.

Revenue Allocation Line

Specify the path location for the revenue allocation header line that you want to import.

User Defined Fields

Specify the path location for the user-defined fields file that you want to import.

XML/Data Connection

Specify the path location for the XML file.

When Import Option is set to XML File, the path location is the location of the XML file that you are importing. When Import Option is set to Data Connection, the path location is used to save the XML file after the data is imported.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Column Mappings: Buttons

Cancel

Closes the window without saving the mapping information.

OK

Saves the mapping information and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Column Mappings: Fields

Schedule Columns

Displays a pre-defined list of the columns.

Source Columns

Select the source column:

  • a column from the source table
  • Constant Value: Specify a Value for the column.
  • Default: Uses Microsoft Dynamics GP default values.

Value

Specify the value when Constant Value is selected in the source column.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Connection Setup: Buttons

Back

Returns to the previous window, where you can make any necessary changes.

Cancel

Closes the window and cancels the data import.

Finish

Imports the data, and closes the window. Available after the table and column mapping is completed.

Next

Opens the Table Mappings window.

Refresh

Updated the window with the latest changes.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Connection Setup: Fields

Database

Specify the source database name.

Password

Type your Microsoft Dynamics GP password. Available when Use Windows Authentication is cleared.

Server Name

Specify the server name where the import source database is located.

Use Windows Authentication

Select to use your Windows credentials to log on to the server. Leave the check box cleared to use your Microsoft Dynamics GP user credentials.

User ID

Type your Microsoft Dynamics GP User ID. Available when Use Windows Authentication is cleared.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Tables Mapping: Buttons

Back

Returns to the previous window, where you can make any necessary changes.

Cancel

Closes the window and cancels the data import.

Edit Mappings

Opens the Column Mappings window for the selected schedule table.

Finish

Imports the data, and closes the window. Available after the table and column mapping is completed.

Refresh

Updated the window with the latest changes.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Import - Tables Mapping: Fields

Schedule Tables

Displays a predefined list of the tables.

Source Tables

Select the source table from which to import the data.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Type Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Type Setup: Fields

Schedule Type

Specify the schedule type name.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Buttons

Overview Fields Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Schedule Type Expansion

Opens the Schedule Type Setup window, where you manage schedule types.

User Defined

Opens the User-Defined Fields Setup window so you can track additional information.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Fields

Overview Fields Buttons

ARED Options

Available only when Advanced Revenue & Expense Deferrals (ARED) is installed.

Default Deferral Frequency

Select a default deferral frequency for deferral schedules: Monthly, Quarterly, Semi-Annually, and Annually. The deferral frequency is used only when Create Schedule Based on Dates is selected.

Note icon. Note: The deferral frequency cannot be greater than billing frequency.

Watch a video [image].

Create Schedule Based On Dates

Select to create a recognition schedule in ARED based on the Deferral Start Date, the Deferral End Date, and the Deferral Frequency that are set up on the Schedule Line Deferrals window. A template ID is not required when this option is selected.

When this option is cleared, a Deferral Start Date and Template ID are required on the Schedule Line Deferrals window to create a recognition schedule in ARED.

Watch a video [image].

Create One Schedule

Select to create one ARED recognition schedule for all of the billing periods in an ARCB schedule instead of one recognition schedule for each period:

  • Original: Creates the ARED recognition schedule when the invoice for the first line is created.
  • With Initial JE: Creates the ARED recognition schedule when the initial journal entry for the first line is created.

Watch a video [image].

Termination Unbilled Revenue Account

Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702).

Specify the account for unbilled revenue amounts. Available when Create One Schedule is selected.

The default account is from the Setup window, but you can change the account as needed.

Account Substitution

Select the account substitution options.

Note icon. Note: When Multi-Entity Management is installed, these account substitution options are not available.

Watch a video [image].

Entity Segment

Select the entity segment you want. This segment is the part of the account number that contains the entity information.

Region Segment

Select the region segment. This segment is the part of the account number that contains the region information.

Substitute Receiving Account

Select whether the receiving account for an invoice is substituted.

  • Selected: Account substitution occurs for the receiving account of an invoice.
  • Cleared: No account substitution occurs for the receiving account of an invoice.

Bill Distribution Method

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Select the default billing distribution method for the billing schedule. This value appears on the Contract and Billing Distribution Options window.

To define values, select the [image] expansion button to open the Billing Distribution Method Options window.

Billing Line

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

User-Defined Field 1-5

Specify the label for these fields. These fields are used in the data integration between CRM and Microsoft Dynamics GP using SmartConnect and the eConnect node taBSSI_ARCB_CreateScheduleLine. For more information about the node, see eConnect: Schedule Line.

Billing Schedule Defaults

Apply Promotion Based On

Select the default method to apply a promotion:

  • Start Date: Checks the billing start date, and applies the promotion if the start date is within the promotion period.
  • End Date: Checks the billing end date, and applies the promotion if the end date is within the promotion period.
  • Period: Checks the billing start and end date, and applies the promotion if the billing period is within the promotion period.

Available only when Enable Extended Pricing is selected on the Enable Extended Pricing window (MS Dynamics GP > Tools > Setup > Sales > Extended Pricing).

Watch a video [image].

For example, the billing start date is 05/15, the end date 06/14, and the promotion period is from 06/01 –06/30:

  • When Start Date is selected, no promotion is applied because the billing start date is before the promotional period.
  • When End Date is selected, the promotion is applied because the billing end date is within the promotional period.
  • When Period is selected, the promotion is applied because the billing end date is within the promotional period.

CPI Increase Only

Determines whether only increases of the amount calculated by the CPI appear on the price adjustment windows.

When selected the amount calculated by the CPI on the Billing Schedule Header Price Adjustment Detail or Billing Schedule Line Price Adjustment Detail windows only increases, even when the CPI decreases.

Watch a video [image].

For example, in the previous billing period, the prior calculated amount is 100.00, and the CPI at the time is 100. In the current billing period, the CPI decreases to 90, but the current calculated amount remains at 100.00 instead of decreasing to 90.00. However, if the CPI increases to 120, the calculated amount increases to 120.00.

When the option is cleared, the calculated amount can increase or decrease based on the increase or decrease of the CPI.

CPI Index Calculation

Select to determine the method used for the CPI price adjustment calculation:

  • Prior CPI: Uses the previous CPI index for the price adjustment calculation.
  • Base CPI: Uses the base CPI index for the price adjustment calculation.

For more information about the CPI calculation, see CPI Calculation: Example.

Watch a video [image].

Days to Increment

Specify the number of days to increment the transaction date. Available when Default Billing Frequency is Miscellaneous.

Default Billing Frequency

Select a default billing frequency to appear on a new billing schedule.

Default Item Type

Select a default item type to appear on a new billing schedule.

Disable Calendar Billing

Clear the check box to align the billing schedule detail lines to the end of a month when a billing schedule is created or updated. For example, this option is cleared and the billing frequency is monthly. For a billing cycle that starts on April 15, the end of the first billing cycle is April 30. Each subsequent billing cycle then starts on the 1st of the month and ends on the last day of the month.

Select this option to prevent the billing schedule detail lines from aligning with the end of a month when a billing schedule is created or updated. For example, this option is selected and the billing frequency is monthly. For a billing cycle that starts on April 15, the end of the billing cycle is May 14. Each subsequent billing cycle starts on the 15th of the month and ends on the 14th of the month.

You can override this setting in the Billing Schedule Maintenance window.

Watch a video [image].

Display Only Active Schedule Lines

Available as of Microsoft Dynamics GP 2015 R2.

Select to display only active line items for a schedule on the Billing Schedule Maintenance window. Active lines can be associated with schedules that have a status of Active or Last Billing.

When this check box is cleared, all line items (active and disabled) for a schedule are visible for the selected schedule on the Billing Schedule Maintenance window.

Watch a video [image].

Display Only Unbilled Schedule Detail

Available as of Microsoft Dynamics GP 2015 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Select to show only the schedule lines that have not yet been billed. Leave this option cleared to hide the schedule lines that have not yet been billed.

The setting of this option is the default setting for the sort option for the scrolling window on the Billing Schedule Detail and the Billing Schedule Detail Zoom windows.

Display Returns

Select to display an icon beside the line item on the Billing Schedule Maintenance window and Billing Schedule Detail window when returns or credit memo documents are attached to the line.

Price Adjustment Based On

Select which amount is used for the price adjustment calculation:

  • Original Unit Price: Uses the original unit price for the price adjustment calculation.
  • Prior Price Adjustment Amount: Uses the prior price adjustment amount for the price adjustment calculation.

Watch a video [image].

Hold

Sets the default setting of the Hold check box on the header section of the Billing Schedule Maintenance window. When selected, an approval process for new contracts is used. A schedule that is On Hold is not displayed on the Invoice Creator window.

Maintain Schedule By

Select how to maintain the billing schedule:

  • Customer: Allows only one active billing schedule per customer ID.
  • End User: Allows only one active billing schedule per end user ID.
  • None: Allows multiple active billing schedule for each customer ID or end user ID.

The same validations occur on the Support/Renewal Process window as on the Sales Transaction Entry window.

Watch a video [image].

Meter Reading Option

Select the meter reading option: Reading or Consumption.

This selection is used for Bandwidth Type Items in the Billing Schedule Maintenance window. You can import readings or consumption for individual bandwidth type items.

Watch a video [image].

No Proration on CPI

Select if you do not want ARCB to prorate the CPI price adjustment when the price adjustment date is not aligned with billing start date.

Watch a video [image].

Price Default

Select the default price for a item that is added to a billing schedule:

  • Standard/Extended: The billing schedule uses the standard or extended price. When you review the billing schedule detail, the price used is the price that is set up in Microsoft Dynamics GP.
  • Flat Amount: The billing schedule uses the flat amount for the item. You can change the price for the item on the Billing Schedule Maintenance window. When you review the billing schedule detail, the price used is the one you entered for the line item.

This selection is used for individual items in the Billing Schedule Maintenance window. It is also used when creating an invoice in the Invoice Creator window.

Watch a video [image].

Prorate Amount

Select to apply a prorate amount to any new schedules created on the Billing Schedule Maintenance window.

Remove Hold Password

Specify a password to restrict users from changing the status of a billing schedule from On Hold to Active. Available when Hold is selected.

You cannot create an invoice for a billing schedule that has a Hold status.

Renewal Template ID

Select the renewal template ID. The template you select is the default value for newly created billing schedules.

Use this option to select Auto-Renewal Template ID. This template ID will be defaulted to the newly created billing schedules.

Sales Account From

For a kit item added to a contract, use this option to select the sales account to record revenue for the kit item or allocate revenue to individual components:

  • Component Item: Uses the sales account from the component item.
  • Kit Item: Uses the sales account from the kit item.

Termination Option

Select the default termination option when you enter a termination date in the Billing Schedule Maintenance window.

  • Bill Remaining: Adds any remaining amounts in the billing schedule to the termination period, changes the status of the schedule to Last Billing, and updates the deferral end date for an associated recognition schedule.
  • Adj. Schedule: Cuts off the billing schedule at the termination date, changes the status of the schedule to Last Billing, and adjusts the associated recognition schedule by reversing the amount that no longer must be recognized.
  • Term. Fee: (short for Termination Fee) Compares the contract completion date with the termination date, and if the termination is an early termination, performs the following:
    • cuts off the billing schedules at the termination date
    • reverses any advanced billing
    • creates the termination fee
    • changes the status of the schedule to Last Billing
    • adjusts the associated recognition schedules by reversing the amounts that no longer need to be recognized
  • Bill Distribution Method: This field allows the user to add as many Distribution Methods as they like. For example: CCB, Paper, ACH, Credit Card. Users will be able to select them from the Billing Schedule Header.
  • SSRS Format: This field allows the user to define the SSRS format to be used for showing consolidated items in Billing Schedule invoices. Users will be able to select them from the Billing Schedule Header.

Invoice Processing

Consolidation Options

Select the default consolidation options for the invoice.

Add Billing Dates to Invoice/Quote Item Description

Select to append billing start and end dates to the item description for the invoice or quote generated in the Invoice Creator window.

When the check box is cleared, billing start and end dates are not appended to the item description.

Watch a video [image].

Aggregate Qty

Select to determine pricing based on the aggregate of the quantity of an item that is shipped to multiple locations, so that the unit price from the price level is based on the cumulative quantity of the item from all locations to where the item is shipped.

For example, Item A is shipped to three different locations. Instead of the unit price for Item A being based on each location separately, the unit price for Item A is based on the cumulative total from all three locations.

Available when Multiple Ship To On Same Invoice is selected.

Notes:

  • When this option is used, the same price level must be assigned to the item for all locations.
  • The aggregate quantity functionality works only with the standard Microsoft Dynamics GP pricing functionality. It does not work with the ARCB tiered pricing functionality or flat amount. In situations where the tiered pricing and aggregate quantity functionality are both selected, the aggregate quantity functionality dominates and overrides the tiered pricing functionality. In situations where the aggregate quantity is selected and the schedule line says flat amount, aggregate quantity is ignored.

Auto Renew

Select to automatically renew the recurring contract billing schedule for the next billing period in the Invoice Creator window.

Watch a video [image].

By Sales User-Defined Fields Area

Available only when Consolidate by Customer is selected.

The prompts for these boxes are set up in the Sales User-Defined Fields Setup window.

Select the criteria to consolidate selected documents based on the sales user-defined boxes.

Combine Unit Price

Select to consolidate line items when the unit price is different, but the billing quantity and the other boxes (as described in the Consolidate by Item description) have the same values. The unit price is summed in the consolidated line item. Available only when Consolidate by Item is selected.

Consolidate by Customer

Select to consolidate invoices by customer ID, doc ID, and currency ID when an invoice is created in the Invoice Creator window. This selection appears in the Invoice Creator window.

Note icon. Note: When selected, Maintain Schedule By must be set to Customer or None.

Consolidate by Item

Select to consolidate the invoice lines for matching items when an invoice is created in the Invoice Creator window. For item lines to be consolidated, the following fields must match:

Item Number, U of M, Item Type ID, Location, Unit Price, Price Level, Deferrable option, Deferral Start Date, Deferral End Date, Create One Schedule, Create Schedule Based on Dates, Template ID, Recognition Account, and Sales Account.

Exclude Zero Consumption

Available as of Microsoft Dynamics GP 2016 R2 (ARCB build 610).

Indicates whether billing detail lines that have a zero (0) consumption quantity are excluded from the invoice to be created:

  • Selected: Billing detail lines that have a zero (0) consumption quantity are excluded from the invoice to be created.
    When applying the filter criteria, these lines do not appear on the Invoice Creator and Invoice Creator Mass Processing windows.
  • Cleared: All billing detail lines, even lines with a zero (0) consumption quantity, are included on the invoice to be created.

The option you select becomes the default value on the Invoice Creator and Invoice Creator Mass Processing windows.

Independent Renewal

Available as of Microsoft Dynamics GP 2016 RTM. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Select to be able to manually renew a recurring contract billing schedule. When you select this check box, the Auto Renew check box and functionality is not available on the Invoice Creator and Invoice Creator Mass Processing windows.

For more information on this functionality, review Combine Partial Billing Periods: Examples.

Invoice Preview

Select the invoice preview options:

  • Next Billing Period: Populates the As of Date with the earliest billing start date of next billing (uninvoiced) period and displays the uninvoiced lines that have a billing start date the same as the As of Date.
  • User Date: Populates the As of Date with Microsoft Dynamics GP user date and displays all uninvoiced lines that have a billing start date and billing end date the same as or earlier than the As of Date. You can override As of Date.

Invoice Separately

Available as of Microsoft Dynamics GP 2016 RTM. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Select this option to be able to create separate invoices based on the customer. When this option is selected, you can create a combination of consolidated invoices and separate invoices for the same customer. For example, a customer have five contracts. Three of the contracts are to be consolidated on a single invoice, and the other two contracts each require separate invoices.

The setting of this option is the default setting for the Invoice Separately option on the Billing Schedule Maintenance window.

Multiple Ship To On Same Invoice

Select to consolidate line items into one invoice when the Ship To Address is different. The consolidated invoice can have SOP lines with multiple ship to addresses.

Override SOP AA Info from Schedule Lines

Select to copy analytical accounting dimensions values from schedule lines to the SOP invoice. When the check box is cleared, default values from Analytical Accounting Account Class Setup are copied to SOP Invoice.

Available only when the Analytical Accounting module is installed.

Use Master Meters

Select to use the master meters functionality in ARCB.

Date Restriction Default

Select the default date restriction:

  • Use As Of Date: Select to use the as of date as the default date restriction in the Invoice Creator window.
  • Use Date Range: Select to use a date range as the default date restriction in the Invoice Creator window.

Document Type

Select the document type that appears on a new billing schedule: Invoice or Quote.This type of SOP document is created.

Document ID

Select a document ID for the selected document type. The selected document ID appears on a new billing schedule.

Tip: Select the Document ID link to open the Sales Fulfillment Order/Invoice Setup window to review the details of the selected document type.

Payment Terms

Select how the SOP invoice Due Date is determined when invoices are created using the Invoice Creator or Invoice Creator Mass Processing windows:

  • Customer: Calculates the Due Date by Microsoft Dynamics GP based on the payment term assigned to the customer. Default option.
  • Billing Start Date: Uses the billing start date as the Due Date.

The option you select is the default option on the Invoice Creator or Invoice Creator Mass Processing window.

Return ID

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Specify the return ID that is used when a sales return for cancellation is created. Return IDs are created on the Microsoft Dynamics GP Sales Return Setup window.

The default value is selected on the Setup window is used on the Billing Schedule Maintenance window. For an individual billing schedule, you can change it.

Source Document

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Select the source document code to use for the deferral schedule. Source document codes are created on the Microsoft Dynamics GP Source Document Setup window.

The source document code is applied to all invoices created from ARCB. When the sales invoice is posted, the associated journal entry also has the same source document code.

Module Options

Enable Data Connection Import

Select to enable data import from an XML file or from any other database.

Enable Milestone Billing

Select to enable the milestone billing functionality.

Enable Tier Pricing

Select to enable the Tier Pricing module. When selected, when pricing levels are set up on the Item Price List Maintenance window, the tier pricing calculation method is used.

Clear this check box so that the Tier Pricing module is not used. When cleared, when pricing levels are set up on the Item Price List Maintenance window, the standard pricing calculation method is used.

Tier pricing is a tool that allows you to define different item prices for different quantities. Each item has price brackets defined that determine the unit price based on the quantity. Two methods of price brackets are used: tiered and standard. Each item has a default method assigned, which can be changed per contract. You can also define minimum and maximum dollar amounts to be charged for an item.

  • Tier price calculation method - The unit price is calculated using fixed quantities at different pricing levels. Each tier must be filled before moving to the next tier level.
  • Standard price calculation method - The unit price is calculated based on the total quantity purchased. After the quantity reaches the next level, the new price is used.

For more information and examples on tier pricing and standard pricing methods, see Pricing Methods.

Enable Work In Progress

Select to enable the Work in Progress module.

Schedule ID Prefix

Specify the schedule ID prefix. This prefix is combined with the schedule ID next number to create a schedule ID in the Billing Schedule Maintenance window.

Schedule ID Next Number

Specify the schedule ID next number. The schedule ID next number is combined with the schedule ID prefix when creating a schedule ID in the Billing Schedule Maintenance window.

Schedule Type

Select a default schedule type to appear on a new billing schedule. If no schedule types exist, select the Expansion button Expansion Arrow icon. to add a schedule type in the Schedule Type Setup window.

SSRS Format

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Select the default SSRS invoice format for customer contracts. This value appears on the Contract and Billing Distribution Options window.

To define values, select the [image] expansion button to open the SSRS Formats Options window.

SSRS Report Server URL

Specify the URL path for the SSRS report server. The default value is from the SSRS deployment wizard, but you can edit it as needed.

Available as of Microsoft Dynamics GP 2015 R2.For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Support/Renewal Preferences

Align Deferral to Support

Available in ARCB build 807 (and newer).

Indicates whether the deferral start and end dates are aligned with the start and end dates of the deferral support item in a sales order transaction.

  • Selected: The deferral schedule created from a sales order has the same start and end dates as the support item.
  • Cleared: The deferral schedule created from a sales order does not have the same start and end dates as the support item.

Auto Billing Creation

Indicates whether the billing schedule is created when a sales invoice is posted:

  • Selected: The billing schedule is automatically created when a sales invoice is posted.
  • Cleared: The billing schedule is not created when the billing schedule is posted.
    When you select this option, you can create the billing schedule for the posted sales invoice using the Recurring Contract Billing Creation window.

Watch a video [image].

Extended Price

Select whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown. This option appears in the Support Process window when it is opened from the Sales Transaction Entry window.

Renewal Percentage

Specify the percentage to use when calculating the unit price for a renewal item in a billing schedule.

When you select an invoice in the Billing Schedule Maintenance window, the total price for all renewal items is calculated and multiplied by this percentage to give the unit price for the renewal item.

Support Percentage

Specify the percentage to use when calculating the unit price for a support item in a billing schedule.

Support/Renewal Qty

Select one of the following options:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

Watch a video [image].

Termination Calculation Option

Select how amounts area calculated when a billing schedule is terminated:

  • By Period: Termination calculations are based on the number of billing periods in the whole contract. For example, a contract has a start date of January 1 and an end date of December 31. The billing frequency is monthly. The total number of billing periods is 12.

    • Any calculations use the number of billing periods to determine refund amounts.

  • Days in Period: Termination calculations are based on the number of days in the whole contract (Start Date - End Date). For example, a contract has a start date of January 1 and an end date of December 31. The total number of days in the contract are 365.

    • Any calculations use the total number of days in the contract to determine refund amounts. For examples, see Fixed Term Contract Termination: Examples.

Termination Return Option:

Create Return based on Schedule Line Quantity:

  • When this option is unmarked, a SOP Return document is created through the ARCB Mass Termination process for a refund amount that will be created with a quantity of 1.

  • When this option is marked, a SOP Return document is created through the Mass Termination process for a refund amount that will be created with a quantity equal to the Billing Schedule Item Line quantity.

Terminator Return Option

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SQL Connection String: Buttons

Save

Saves the record and any changes to the window.

Test Connection

Verifies the connection to the SQL server computer. If the connection fails, check the Connection String, and then test the connection again.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SQL Connection String: Fields

Connection String

Specify the connection string for connecting to the SQL server computer. This string is required for ARCB AddIns to connect to the SQL server computer.

If the connection is empty, the default connection to the Microsoft Dynamics GP database is used to establish a connection to the SQL server computer.

Display

Determines whether the full connection string appears as without data encryption:

  • Selected: Displays the full connection string without data encryption.
  • Cleared: Data encryption is used to hide certain values in the connection string.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SSRS Formats Options: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SSRS Formats Options: Fields

SSRS Formats

Specify the SSRS invoice format.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Setup: Buttons

Cancel

Cancels all changes and closes the window.

Delete

Deletes all fields that were created for the selected Window Name.

Note icon. Note: If a user-defined field has data associated with it, you cannot delete the field.

Line User-Defined

Opens the Line User-Defined Setup window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Setup: Fields

Field Name

Specify a descriptive field name.

Field Type

Select the data type for the field: Integer, Double (currency), String, Checkbox, or Date.

Window Name

Select the window name for which you want to create additional fields: Billing Schedule Maintenance, End User Maintenance, or Support Level Maintenance.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Line User-Defined Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Line User-Defined Setup: Fields

Billing Line

Specify up to five user-specific fields for the billing line details.

These fields appear on the Billing Line User Defined Fields window.

Price Adjustment Line

Specify up to five user-specific fields for the price adjustment for the billing line details.

These fields appear on the Price Adjustment Line User Defined Fields window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up the Billing Schedule Import Mapping

To set up the billing schedule import mapping information, follow these steps:

  1. Open the Schedule Import - Connection Setup window ( Tools > Setup > Adv. Recurring Contract Billing > Import Connection).
  2. To connect to the database server, do the following, and select Next:
    1. Specify the Server Name.
    2. If you do not use Windows authentication, specify the Microsoft Dynamics GP User ID and Password.
    3. Select the Database.
  3. On the Schedule Import - Tables Mapping window, for each schedule table you need, specify the name of the source table.
  4. If no further mapping is needed, select Finish.
  5. Or to edit the column mappings, select Edit Mappings, which opens the Schedule Import - Column Mapping.
  6. On the Schedule Import - Column Mapping window, for each schedule column you need, specify the name of the source column.
    1. If the source column is Constant Value, specify the value for the column.
  7. Select OK.
  8. Select Finish.

See also

Schedule Import: Data Connection Column Mappings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Calculation: Example

In this example, the period is January 01, 2020, to December 31, 2022. On January 01, 2021, the current Price Index is 110.5, and the base Price Index rate is 105.65 (the Price Index value at the time the contract starts). Please refer the price index master setup as shown below.

In the Setup window, you set Price Index Calculation to Base Price Index.

Base price index % calculation = (Current CPI – Base CPI) /Base CPI *100

Amount calculation: Previous amount + (Previous amount *CPI%) = Current escalated amount

Example for a Billing Schedule (Start: Jan 2020, Annual, 3 Periods):

  • Adjustment for Jan 01, 2021: Starting with an initial amount of 1000.00 and using CPI values of 110.5 (Current) and 105.65 (Base), the calculation is:

    1000.00 + (110.5–105.65)/105.65*1000.00 = 1045.91

  • Adjustment for Jan 01, 2022: The new escalated amount of 1,045.91 becomes the base for the next period:

    1045.91 + (114.25-105.65)/105.65*1045.91 = 1,131.04

In the Setup window, you set Price Index Calculation to Prior Price Index.

Prior price index % calculation = (Current CPI –Previous CPI) /Previous CPI *100

Example for a Billing Schedule (Start: Jan 2020, Annual):

  • Adjustment for Jan 01, 2021: With a Price Index of 110.5 and a base of 105.65, the escalated amount from 1000.00 is:

    1000.00 + (110.5–105.65)/105.65*1000 = 1045.91

  • Adjustment for Jan 01, 2022: Using the new Price Index of 114.25 and the prior index of 110.5, the next amount is calculated from the previous escalated amount:

    1045.91 + (114.25-110.5)/110.5*1045.91 = 1081.40

Notes:

  • The price adjustment process uses the latest Price Index value, regardless of the index date.
    For example, if the price adjustment happens in September, but the latest Price Index value is for July. The July index is used. No adjustments are made after the September index is entered.
  • After the contract prices are adjusted based on the Price Index value, all price sheets on the contract become ineffective and are to be used for the references only. Any promotional price sheets are not to be used after the price adjustment process.

Prorated Price Adjustment

If the price adjustment happens in the middle of a billing period, the amount will be prorated. For example, the billing period is August 01, 2020, to July 31, 2021. The Price Index value is 244 on Price Index Date September 01, 2019, and 250 on Price Index Date September 01, 2020. If the previous rate is 1000, the following equations show how the billing amount for this period is calculated:

  • Price Index changes = (250 – 244)/244 = 2.459%
  • Current Rate = 1000.00 * 2.459% = 1024.59
  • Number of days @ current rate = July 31, 2021 – September 01, 2020 = 334
  • Previous Rate = 1000.00
  • Number of days @ previous rate = August 31, 2020 – August 01, 2020 = 31
  • Total number of days in the billing period = July 31, 2021 – August 01, 2020 + 1 = 365
  • The billing amount for this period = 1000.00*31/365 + 1024.59*334/365
  • = 1022.50

Price Adjustment Using Price Index and %

Price adjustments can also be done by Price Index. The Price Index + 3% price adjustment starts on January 01, 2020, with Annual frequency. Amount billed for January 01, 2019 to December 31, 2020, is 4000. The billing period to be adjusted is January 01, 2020 to December 31, 2020. The Price Index value is 205.3 on the Price Index Date December 01, 2018, and also is 219.6 on the Price Index Date December 01, 2019. If previous rate is 4000.00, the following equations show the billing amount for this period is calculated:

  • Price Index changes = (219.6 – 205.3)/205.3 = 6.965%
  • Current Rate = 4000.00 * 6.965% - 4000.00 = 278.60
  • Percentage changes = 4000.00 * 1.03 - 4000.00 = 120
  • Billing amount = 4000.00 + 278.6 + 120.00 = 4398.6

In the Price Index master page, under the Price Index master fields, there is a Boolean button named % Index, which will define whether the Price index Values on the Price index lines will be in % or not.. If this is enabled, then the calculations will be in percent.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Scheduler - Add/Edit Task: Buttons

Email Notification

Opens the Email Notification window, where you specify the email addresses for people who are to receive a notification after a task finishes.

Save

Saves the task you created and closes the window. The new task appears in the ARCB SchedulerList.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Scheduler - Add/Edit Task: Fields

Process

Select the process for which you want to create or view a task:

  • Generate ARCB Invoice: View or create task for generating invoices for all active billing schedules based on the system date (as of date).
  • Post SOP Invoice:View or create task for posting the batches that contain sales invoices for the active billing schedules. These batches are created by the SBA user as defined on the Setup window.
  • Generate ARED JEs: View or create task for generating journal entries for all active ARED recognition schedules based on the system date (as of date).
  • Post ARED JEs: View or create task for posting the batches that contain journal entries for recognition schedules. These batches are created by the SBA user as defined on the Setup window.

Description

Specify a descriptive name for the task.

Frequency

Use this section to specify the frequency and start date of the task. For more information, review the examples in the overview.

Occurs

Select the frequency of the task. The options that appear on this window are determined by the frequency option selected.

  • Daily
  • Weekly
  • Monthly

Daily

When Occurs is Daily, select the time of day that you want the task to run. Closed View example.

When Occurs is Daily, the task runs everyday (7 days per week) at the specified time.

The following task runs daily at 10:00 pm.

Monthly

When Occurs is Monthly, you have the additional options:

  • Days: Select specific dates in the month and the time on which to run the task. Closed View example.

    • When Occurs is Monthly and Days is selected, the task runs on certain days of the selected month(s) at the specified time.

    The following task runs at 11:45 pm on the 15 and last day of the selected months .

    The following task runs at 11:30 pm on the 3rd day of the selected months.

  • On: Select specific days of the week, the weeks in the month, and the time on which to run the task. Closed View example.

    • When Occurs is Monthly and On is selected, the task runs on the selected day(s) of first, second, third, fourth or last week of the selected month(s) at the specified time.

    The following task runs at 1:00 pm on the first and the last Friday of the selected months.

    The following task runs at 1:45 pm on the second Tuesday of the selected months.

Start

Specify the start date of the task.

Weekly

When Occurs is Weekly, select the day(s) of the week and the time of day that you want the task to run. Closed View example.

When Occurs is Weekly, the task runs on certain days of the week at the specified time.

The following task runs at 11:00 pm on weekdays (Monday to Friday).

The following task runs at 11:30 pm every Saturday.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Email Notification: Buttons

Add

Adds the specified email address to the notification recipient list.

Delete

Deletes the selected email address from the notification recipient list.

Close

Saves the changes and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Email Notification: Fields

Email ID

Specify the email address of the recipient who is to receive the email notification after a scheduled task finishes.

Send email notification to

Displays a list of email recipients who are to receive the email notification when a scheduled task finishes.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Buttons

Email Configuration

Test Email

Sends a test message using the specified SMTP server configuration. If the sending the test email message fails, check the Email Configuration details and run the test again.

Test Event Viewer

Creates a test entry in the Event Viewer. When you check the Event Viewer and the entry does not exist, check the Email Configuration details and run the test again.

Save

Saves the configuration information and closes the window.

SBA Configuration

Test Service

Verifies the connection to the SBA service URL. If the connection fails, check the SBA Configuration details and run the test again.

Server Configuration

Test Connection

Verifies the connection to the Microsoft Dynamics GP server. If the connection fails, check the Server Configuration details and run the test again.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setup: Fields

Email Configuration

Specify the email user account details from which email messages originate. The information is used for sending customer invoices through email.

Email Address

Specify the SMTP server user name from which invoices are sent.

Email send by Outlook

Indicates whether Microsoft Outlook is used as the email program for sending customer invoices.

  • Selected: Email messages are sent from Outlook. When you select Test Email, ensure that Outlook is installed on the computer, and is closed.
  • Cleared: Email messages are not sent from Outlook. When this option is selected, you can select Enable SSL or Enable TLS, and complete the corresponding values for the SMTP server (e.g., password, port, etc.).

Enable SSL

Indicates whether the SMTP server requires SSL (Secure Sockets Layer) for data security.

  • Selected: The SMTP requires SSL.
  • Cleared: The SMTP does not requires SSL.

Enable TLS

Indicates whether the SMTP server requires TLS (Transport Layer Security) for data security.

  • Selected: The SMTP requires TLS.
  • Cleared: The SMTP does not requires TLS.

Password

Specify the password associated with the SMTP server user name. Required when Enable SSL or Enable TLS is selected.

Port

Specify the SMTP server port. Required when Enable SSL or Enable TLS is selected.

Sender's Name

Specify the name associated with the SMTP server user name. Required when Enable SSL or Enable TLS is selected.

SMTP Server

Specify the SMTP server name. Required when Enable SSL or Enable TLS is selected.

SBA Configuration

Specify the details for using Service Based Architecture (SBA) for the Microsoft Dynamics GP server.

REST Service URL

Specify the URL for the GP REST Service.

Service User ID

Specify the SBA user ID.

Service Password

Specify the password associated for the specified Service User ID.

Server Configuration

Specify the details for the Microsoft Dynamics GP company server.

Database Name

Specify the database name for company.

GP User Name

Specify the Microsoft Dynamics GP user that is associated with the SBA.

Password

Specify the password for the specified SQL User Name.

Server Name

Specify the name of the SQL server where the company database is installed.

SQL User Name

Specify the user name for connecting to the SQL Server.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB SchedulerList: Buttons

Add

Opens a ARCB Scheduler - Add/Edit window where you create a task.

Close

Closes the window and returns to the main ARCB Scheduler window.

Delete

Deletes the selected task from the task list.

Edit

Opens a ARCB Scheduler - Add/Edit window where you edit an existing task.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Scheduler List: Fields

Task List

Displays all scheduled tasks. The list shows the following information:

  • Process Name : Displays the process of the task. For a description of the processes, see ARCB Scheduler - Add/Edit: Overview.
    • Generate ARCB Invoice
    • Post SOP Invoice
    • Generate ARED JEs
    • Post ARED JEs
  • Task Type: Displays the frequency of the task (Daily, Weekly, Monthly).
  • Task Name: Displays the description of the task.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Amount Change Audit Line: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Amount Change Audit Line: Fields

ARED Schedule ID

Displays the ARED schedule ID.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

ARED Reversal JE

Displays the number for the reversal journal entry.

ARED New JE

Displays the number of the new journal entry.

ARED Old JE

Displays the number for the old journal entry.

Comment

Displays a comment for the change.

Date Modified

Displays the date on which the change was processed.

Effective Date

Displays the effective date of the change.

Invoice Adjustment

Indicates whether the deferral invoice has been adjusted.

New Amount

Displays the new amount for the deferral schedule.

New Freq.

Displays the new frequency for the deferral schedule.

New No. of payments

Displays the new number of payments for the deferral schedule.

Old Amount

Displays the old amount for the deferral schedule.

Old Freq.

Displays the old frequency for the deferral schedule.

Old No. of payments

Displays the old number of payments for the deferral schedule.

User Modified

Displays the ID of the user who processed the change.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Amount Change Audit Line: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Amount Change Audit Line: Fields

ARED Schedule ID

Displays the ARED schedule ID.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Reversal JE

Displays the number for the reversal journal entry.

New JE

Displays the number of the new journal entry.

Old JE

Displays the number for the old journal entry.

Comment

Displays a comment for the change.

Date Modified

Displays the date on which the change was processed.

Effective Date

Displays the effective date of the change.

Invoice Adjustment

Indicates whether the deferral invoice has been adjusted.

New Markdown Amount

Displays the new amount for the deferral schedule.

New No. of payments

Displays the new number of payments for the deferral schedule.

Old Markdown Amount

Displays the old amount for the deferral schedule. .

Old No. of payments

Displays the old number of payments for the deferral schedule.

User Modified

Displays the ID of the user who processed the change.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Returns Documents: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Returns Documents: Fields

Billing End Date

Displays the date on which the billing period ends.

Billing Start Date

Displays the date on which the billing period starts.

Description

Displays the description of the schedule ID.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

SOP Number

Displays the number for the SOP document.

SOP Type

Displays the SOP document type.

Scrolling Window

Document Number

Displays the document number.

Document Type

Displays the document type: Return or Credit Memo.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Audit History: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Audit History: Fields

Deferral Contract Revenue Account

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This default value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation. You can change the account as needed.

MEA ID

Displays the multiple element arrangement ID.

When the MEA Type is Multiple, this box can be empty.

MEA Type

Displays the multiple element arrangement transaction type for the items in the list view:

  • None: Indicates the transaction item is a "normal" item. The processing for this type of item is not affected by MERA functionality.
  • Single: Indicates all line items are part of the same multiple element arrangement.
  • Multiple: Indicates some line items are part of the multiple element arrangement, or if there is more than one arrangement. Each arrangement is calculated separately. Line items that are not part of an arrangement do not have a recognition amount calculated, and are equal to the Extended Price.

Schedule Description

Displays the description of the schedule from the Billing Schedule Maintenance window window.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Various enhancements have been made to this scrolling window that are available as of Microsoft Dynamics GP 2016 RTM.

Billing Frequency

Displays the billing frequency of the line item. Read-only.

Contract FMV

Displays the contract fair market value, which is calculated by the Extended Fair Market Value * number of occurrence.

Contract Revenue

Displays the contract revenue, which is calculated as follows:

(Contract FMV of the line/Total Contract FMV of all the line items with same MEA) * Total Contract Value of all the line items with same MEA)

Contract Value

Displays the calculated contract value for the line item, calculated as follows: Extended price * number of occurrence.

Deferral Contract Revenue Account

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation.

Line items that are in the same group must have the same deferral contract revenue account. And when you change the account for one line, all lines within the same group are updated with the same account number.

Error Messages

Displays an error message for a line item that does not satisfy the criteria for the multiple element arrangement . If a line item has an error message, the invoice cannot be created until the error is resolved, or the line item is removed from the arrangement.

Extended Price

Displays the calculated extended price of the line item, which is calculated as follows Quantity * Unit Price. Read-only.

Fair Value

Displays the fair value for the line item. You can specify a different value based on the Fair Value Method selected.

Fair Value Method

The fair value method for the item.

  • Amount: The Fair Value can simply be any amount greater than zero. The amount is converted between the functional and originating currencies as needed.
  • Sales Amount: The Fair Value is the same value as the Extended Price for the line item, which applies for both functional and originating currency amounts.
    Note icon. Note: The sales amount method is not compatible with negative amounts because the Fair Value must be greater than zero.
  • List Price:The Fair Value comes from the List Price on the MERA Item Currency Maintenance window using functional or originating currency as needed.
  • % of an Item: The Fair Value is set using the MERA Item Fair Value Calculator window.
    Note icon. Note: Negative quantity line items result in a negative Extended Fair Value. A negative value is allowed and is handled by the calculation.

Include Check Box

Indicates that the MEA ID in the header is applied to the line item.

Line items that have the Renewal check box selected, have a meter attached, or are on hold cannot be part of the multiple element arrangement. Error messages for these situations appear in the scrolling window.

Item Number

Displays the number for the item. Read-only.

MEA ID

Displays the MEA ID for the item.

  • When the MEA Type is Single, the MEA ID is automatically entered from the MEA ID box in the header, and all items have the same MEA ID. You cannot change the MEA ID for the individual line items.
  • When the MEA Type is Multiple, you can edit the MEA ID. When you leave he MEA ID box in the header empty, you can change the MEA ID for each individual line as needed. As a result, some line items can have the same MEA ID, some with different MEA IDs, and some with no MEA ID.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Class Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Process

Updates all billing schedules to which the class is applied with the changes you made.

Save

Saves the record and any changes to the window.

Button Name

Description

Button Name

Description

Button Name

Description

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Class Maintenance: Fields

Billing Class ID

Specify a unique billing class identifier.

Description

Specify a description for the billing class.

Invoice Creation Date

Specify the values to use for the invoice creation date. For more information on how the invoice creation date is calculated, Closed review the example.

In this example, Calculate From is Billing Start Date. The billing start date is November 01, 2017. The following table shows how the invoice creation date is calculated based on the Calculation Method selected.

Invoice Creation Date Table
Calculation Method | Results
Net Days | Prior Days set to 5
 | Five days are added to the billing start date to calculate the invoice creation date. As a result, the invoice creation date is November 02, 2017, which is five days before the billing start date.
Net Days | After Days set to 5
 | Five days are subtracted from the billing start date to calculate the invoice creation date. As a result, the invoice creation date is November 12, 2017, which is five days after the billing start date.
Date | Add Day set to 10
 | The invoice creation date is November 10, 2017, which is the tenth day of the current billing period.
EOM |
 | The invoice creation date is November 30, 2017, which is the end of the month of the current billing period.
Next Month | Add Day set to 10
 | The invoice creation date is December 10, 2017, which is the tenth day of the next month.

Calculate From

Select whether to use the start or end date of a billing period from which to calculate the invoice creation date.

  • Billing Start Date (default)
  • Billing End Date

Calculation Method

Select the method by which you want to calculate the invoice creation date:

  • None: The invoice creation date is not on any specific date. Default option.
  • Net Days: The invoice creation date is a certain number of days before or after the billing start or end date.
  • Date: The invoice creation date is on a certain day of the month.
  • EOM: The invoice creation date is at the end of the month.
  • Next Month: The invoice creation date is a certain day in the next month.

Prior Days

Available when Calculation Method is Net Days.

Specify the number of days prior to the billing start or end date to set the invoice creation date. You can enter any number from 1 to 999. The number of days specified is added to the invoice billing start or end date. Only one of Prior Days or After Days can have a value.

After Days

Available when Calculation Method is Net Days.

Specify the number of days after the billing start or end date to set the invoice creation date. You can enter any number from 1 to 999. The number of days specified is subtracted from the invoice billing start or end date. Only one of Prior Days or After Days can have a value.

Days

Specify the day of the month (1 to 31) for the invoice creation date. Available when Calculation Method is Date or Next Month.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract and Billing Distribution Options: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract and Billing Distribution Options: Fields

Bill Distribution Method

Select the billing distribution method for the billing schedule. The options are specified during the ARCB setup with the default value specified on the Setup window.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Schedule Short Name

Specify a short name for the billing schedule.

SSRS Formats

Select the SSRS format for the billing schedule. The options are specified during the ARCB setup with the default value specified on the Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing End Date Audit: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing End Date Audit: Fields

Item Description

Displays the description for the item.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Date Processed

Displays the date on which the change was processed.

Lead Time (Days)

Displays the number of lead days before the billing period end date.

New Billing End Date

Displays the end date for the new billing period.

New Billing Start Date

Displays the start date for the new billing period.

Notice Date

Displays the date on which notice is sent. This date is the New Billing End Date - the Lead Time (Days).

Previous Billing End Date

Displays the end date for the previous billing period.

Previous Billing Start Date

Displays the start date for the previous billing period.

Renewed

Indicates whether the contract was renewed. A selected check box indicates that the contract was renewed.

User Processed

Displays the ID of the user who processed the change.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule AA Dimension: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule AA Dimension: Fields

Account

Displays the sales account number and description from the Billing Schedule Maintenance window.

Description

Displays the description for the item.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window 1

Alias

Select the AA alias.

Assign %

Specify a percentage assigned. The sum of the assign percentages cannot exceed 100%.

Number

Displays the sequence number order of the percentage assignments.

Reference

Specify any reference comments.

Scrolling Window 2

Displays the following information:

  • Alphanumeric
  • Date
  • Numeric
  • Trx Dimension
  • Trx Dimension Code Description
  • Trx Dimension Description
  • Yes/No
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alignment: Buttons

Alignment Date expansion button

Opens the Billing Schedule Alignment Display window.

Process

Aligns each item in the currently displayed billing schedule to a particular date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alignment: Fields

Alignment Date

Specify the date that you want to align the currently displayed billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Alignment Display: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Alignment Display: Fields

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Billing End Date

Displays the date on which the billing period ends.

Billing Start Date

Displays the date on which the billing period starts.

Description

Displays the description of the item.

Displays the item number.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Detail: Buttons

Price Adjustment Process

Opens the Billing Schedule Price Adjustment Detail window, where you enter the price adjustment parameters.

OK

Saves any changes, and closes the window.

SOP Number expansion button

Opens the Attach Returns Documents window.

Unit Price expansion button

When the extended pricing is used, opens the Billing Schedule Price Adjustment Detail window.

When tier or flat tier pricing is used, opens the Schedule Price Breakdown window. Available as of Microsoft Dynamics GP 2015 R2.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Detail: Fields

Description

Displays the description for the item.

Initial Reading

Displays the initial meter reading value. Applicable only if the Meter Option is set to Reading.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Meter Option

Displays the meter option for the selected line item: Reading or Consumption. These options are not for Bandwidth type items.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

As of Microsoft Dynamics GP 2015 R2, you can select the option Uninvoiced Only, which shows only the billing schedule lines that have not yet been billed. This option is available when Display Only Uninvoiced Schedule Lines is selected on the Setup window. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Billable Qty./Consumption

Displays the consumption for metered items or quantity for non-metered items, which is used by Invoice Creator when creating invoices.

Billing End Date

Displays the date on which the billing period ends. This date is calculated based on the Start Date and Billing Frequency.

Billing Start Date

For the first period, displays the Start Date from the header of the Billing Schedule Maintenance window. For subsequent periods, the date is incremented by the billing frequency selected. You cannot change the start date and end date.

Comment

Displays actions that occur on the billing line item. Comments can include the following actions: process hold, resume billing or termination.

Select the expansion [image] button to open the Billing Line User Defined Fields window, where you can add more information about the billing line.

Cons. Entered/Consumption

When Meter Option is set to Consumption, specify the to be quantity consumed.

When Meter Option is set to Reading, displays the quantity consumed, which is calculated by the following formula: Current Reading - Previous Reading.

Current Reading

Displays the current meter reading from the meter. Available only when Meter Option is set to Reading.

Def. End Date

Displays the Deferral End Date for each line in the schedule, calculated based on the Deferral Start Date and the Billing Frequency. Deferral start and end dates are generated only up to the deferral end date from the selected schedule line in the Billing Schedule Maintenance window.

Available when Advanced Revenue & Expense Deferrals is installed.

Def. Start Date

For the first period, displays the Deferral Start Date from the selected line. For subsequent periods, the date is incremented by the billing frequency selected.

Extended Price

Displays the calculated extended price based on the following formula: (Current Unit Price – Markdown) * Quantity.

If consumption is used, the extended price is calculated as follows: (Current Unit Price – Markdown) * Consumption.

After you select a line, select the expansion [image] button to open the Schedule Returns window to view any return documents for the line.

Free Quantity

Displays the free quantity amount for the period. Available as of Microsoft Dynamics GP 2016 R2. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Markdown Amount

Displays the markdown amount for the line item, which is updated if Markdown is set to Negative Percentage/Amount on the Billing Schedule Price Adjustment Detail window.

  • If Markdown is set to Percentage, the markdown amount is calculated on the current price: Markdown Amount = Current Unit Price * Percentage entered.
  • If Markdown is set to Amount, the markdown amount is updated with the amount entered on the Billing Schedule Price Adjustment Detail window.

In ARCB build 810 (and newer), the way the markdown is applied to a billing period has changed. For more information, review Markdown in the Middle of a Billing Period (Build 810 and newer).

Min/Max Committed

Displays the minimum or maximum amount or quantity when the Extended Price or quantity have reached the committed minimum or maximum caps.

Orig. Inv

Indicates whether the line item originated from the Sales Transaction Entry window. A selected check box indicates that the line item originated from the Sales Transaction Entry window.

Period Revenue

Available as of Microsoft Dynamics GP 2016 RTM and when Multiple Element Revenue Allocation is installed.

Displays the calculated period revenue value, which is calculated as follows:

Contract Revenue / Number of occurrences based on Billing Frequency

Previous Reading

Displays the current meter reading from the previous line. Available only when Meter Option is set to Reading.

Processed

Indicates whether the billing line item is processed. After the invoice is created the status us updated to processed, and this check box is selected.

Qty. Entered

Displays the quantity on the schedule line for non-metered items. You can override this value.

SOP Number

Displays the SOP document number when the period is billed.

SOP Type

Displays the SOP document type when the period is billed.

Tier Price Comment

Displays a comment when the Extended Price or Qty have reached the committed minimum or maximum caps.

Total Extended Amount

Displays a calculated amount, which is the sum of the Unit Prices from the Billing Schedule Detail window multiplied by the quantity from the Billing Schedule Maintenance window:

Total Extended Amount = Billing Quantity * (sum of all Unit Prices in theBilling Schedule Detail window) - (sum of all Markdown in the Billing Schedule Detail window)

Type

Select the billing type for the item:

  • Free – The item markdown is 100%. When the line item is invoiced, the unit price is zero.
  • Billable – The item is billable at the regular price or rate.
  • Billing Adj. – A system-created price adjustment occurred. For example, reversal for advance billing on termination, on hold, etc.
  • Termination Fee – A termination fee is applied to the line item. This option is used when Term. Fee is used for termination.

Unit Price

Displays the unit price for the item. The first and last periods are prorated when Prorate is selected on the Billing Schedule Maintenance window, and the Billing Frequency for the schedule line is not One Time. You can override this value.

When Price Default for the billing line is set to Flat Amount, the unit price is used. When Price Default for the billing line is set to Price Level, the unit price is used for the specified price level for the billing line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Price Adjustment Detail: Buttons

OK

Closes the window.

Process

Recalculates the schedule detail lines based on the price adjustment parameters entered.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Price Adjustment Detail: Fields

CPI Index Calculation

Select to determine the method used for the CPI price adjustment calculation:

  • Prior CPI: Uses the previous CPI index for the price adjustment calculation.
  • Base CPI: Uses the base CPI index for the price adjustment calculation.

The default value is set in the Setup window.

For more information about the CPI calculation, see CPI Calculation: Example.

Description

Displays the description for the item.

Price Adjustment Calculation Based On

Select which amount is used for the price adjustment calculation:

  • Original Unit Price: Uses the original unit price for the price adjustment calculation.
  • Prior Price Adjustment Amount: Uses the prior price adjustment amount for the price adjustment calculation.

The default value is set in the Setup window.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Select the expansion [image] button to open the Price Adjustment Line User Defined Fields window, where you can add more information about the price adjustment for the billing line.

Amount

Specify an amount to be used as the price adjustment.

ARED Schedule

Displays the ARED deferral schedule identifier. When you select the line and select the column header, the Recognition Schedule Zoom window in ARED opens.

CPI Schedule

Select a CPI schedule. CPI schedules are defined in the CPI Schedule Maintenance window. When the CPI price adjustment is selected, the price adjustment amount is calculated based on the following formula:

(Current CPI/Previous CPI Value) -1

Where:

  • Current CPI is the index stored with the contract
  • Previous CPI is the latest CPI index found in the system at the time the contract is being renewed

Discount Code

Displays the discount code

Select the expansion button to open the Markdown Accounts window, where you can view the details for the markdown accounts.

End Date

Specify the date on which the price adjustment ends. The billing period in which this date exists is the last billing period with the price adjustment. If no end date is specified, the markdown does not end.

Frequency

Select how often the price adjustment occurs: Monthly, Quarterly, Semi-Annually, Annually or Markdown.

When Markdown is selected, no price adjustment occurs, and the Markdown box on the Billing Schedule Detail window contains a value.

New Deferral End Date

Displays the end date for the new deferral period.

New Deferral Start Date

Displays the start date for the new deferral period.

Percentage

Specify a percentage to be used as the price adjustment.

Start Date

Specify the date on which the price adjustment starts.

Total Markdown Amount

Displays the sum total markdown amount. Select the expansion [image] button to review the markdown changes on the Markdown Amount Change Audit Line window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Header Price Adjustment Detail: Buttons

OK

Closes the window.

Process

Recalculates the schedule detail based on the price adjustment parameters entered.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Header Price Adjustment Detail: Fields

CPI Index Calculation

Select to determine the method used for the Price Index price adjustment calculation:

  • Prior Price Index: Uses the previous Price Index value for the price adjustment calculation.
  • Base Price Index: Uses the base Price Index value for the price adjustment calculation.

The default value is set in the Setup window.

For more information about the CPI calculation, see CPI Calculation: Example.

Price Adjustment Calculation Based On

Select which amount is used for the price adjustment calculation:

  • Original Unit Price: Uses the original unit price for the price adjustment calculation.
  • Prior Price Adjustment Amount: Uses the prior price adjustment amount for the price adjustment calculation.

The default value is set in the Setup window.

Scrolling Window

Amount

Specify an amount to be used as the price adjustment.

CPI Schedule

Select a CPI schedule. CPI schedules are defined in the CPI Schedule Maintenance window. When the CPI price adjustment is selected, the price adjustment amount is calculated based on the following formula:

(Current CPI/Previous CPI Value) -1

Where:

  • Current CPI is the index stored with the contract
  • Previous CPI is the latest CPI index found in the system at the time the contract is being renewed

End Date

Specify the date on which the price adjustment ends. The billing period in which this date exists is the last billing period with the price adjustment.

Frequency

Select how often the price adjustment occurs: Monthly, Quarterly, Semi-Annually, Annually or Markdown.

When Markdown is selected, no price adjustment occurs, and the Markdown box on the Billing Schedule Detail window contains a value.

Percentage

Specify a percentage to be used as the price adjustment.

Effective Date

Specify the date on which the price adjustment starts.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Maintenance: Buttons

Alignment

Opens the Billing Schedule Alignment window, where you can align the currently displayed billing schedule to a particular date. When a schedule has been aligned, you cannot realign it.

ARED

Opens the Schedule Deferral Detail window. Available only when Advanced Revenue & Expense Deferrals is installed.

Billing Start Date expansion button

Opens the Schedule Dates Detail window. This button is available in the header area of the window or within the line details of the scrolling window. In the scrolling window, the button is for the Start Date column header.

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Copy

Opens the Copy a Schedule window.

Customer Number expansion button

Opens the Schedule Customer Detail window.

Delete

Deletes the current record.

End User ID expansion button

Opens the End User Transfer History window, where you can view the end-user customer transfers.

Price Adjustment

Opens the Billing Schedule Header Price Adjustment Detail window. Or if a line item is selected, opens the Billing Schedule Line Price Adjustment Detail window.

Invoice Preview

Opens the Invoice Preview window.

Options

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Opens the Contract and Billing Distribution Options window, where you specify contract and billing options for a billing schedule.

Redisplay

Updates the scrolling window or list view.

Revenue Allocation

Opens the Revenue Allocation window. Available only when Multiple Element Revenue Allocation is installed.

Sales User Defined

Opens the Sales User Defined Fields Entry window, where you can track and display additional information.

Save

Saves the record and any changes to the window.

Support/Renewals

Opens the Support/Renewal Preview window.

Termination Date expansion button

Opens the Termination Date Audit Header window, where you can view the modification history of the termination date. This button is available in the header area of the window or within the line details of the scrolling window.

User Defined

Opens the User Defined Fields Entry window, where you can track and display additional information.

Scrolling Window

ARED

Opens the Schedule Line Deferrals window. Available only when Advanced Revenue & Expense Deferrals is installed.

Auto Renew expansion button

Opens the Billing End Date Audit window.

Billing Frequency expansion button

Opens the Billing Schedule Detail window.

Comment

Opens the Schedule Line Comments window.

Hold expansion button

Opens the Schedule On Hold Detail window.

Kits

Opens the Schedule Line Kit Options window. Available only when a kit item is added to the contract.

Item Number expansion button

Opens the Schedule Line Customer Detail window.

Milestones

Opens the Milestone Allocation window, where you can view and, if needed, adjust the allocation for an item. Available as of Microsoft Dynamics GP 2015 R2. For milestone sub-items, this button is not available.

Price Option expansion button

Opens the Item Pricing Options window. The label of this item is determined on whether standard or extended pricing is used.

Renewal Terms

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Opens the Renewal Audit window.

Sales Account expansion button

Opens the Billing Schedule AA Dimension window.

Unit Price expansion button

Available as of Microsoft Dynamics GP 2015 R2, and when Enable Tier Pricing is selected on the Setup window is selected.

Opens the Schedule Price Breakdown window, where you can change the Extended Price for an item. When you make the change, the Unit Price for the line item is automatically updated.

User Defined Fields

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Opens the User Defined Fields window.

WIP

Opens the Schedule Line Work In Progress window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Maintenance: Fields

ARED Transaction Date

Select the date on which to end the deferral schedule when the corresponding billing schedule is terminated. This date is the same as the CRM cancellation date when Microsoft Dynamics GP is integrated with CRM.

For examples on a contract termination, see Fixed Term Contract Termination: Examples.

Billing End Date

Displays the end date for the billing schedule. The billing end date is used for the annual accumulation logic. The end date is automatically calculated based on the billing start date, billing frequency, and the number of occurrences.

This date rolls down to lines where the billing schedule end date is not specified. When the billing schedule line has a specified date that is earlier than the billing end date in header, no changes occur to the line.

When the billing frequency is set to One Time, the date is not rolled down to the line items.

If you leave the number of billing occurrences empty or zero, you can specify an end date. The billing end date cannot be earlier than the billing start date.

To enter the deferral dates, select the ARED button in the toolbar, which opens the Schedule Deferral Detail window. Or select the ARED button for the line item, which opens the Schedule Lines Deferrals window.

Billing Frequency

Select the default billing schedule frequency (for example, Daily, Weekly, Monthly, Annually, etc.). The billing frequency can be used to filter records in the Invoice Creator window.

Billing Start Date

Specify the start date of the billing schedule, which is used for the annual accumulation logic.

This date rolls down to lines where the deferral start date is greater than the billing start date on the header and also the lines are not billed yet.

When the billing frequency is set to One Time, the date is not rolled down to the line items.

To enter the deferral dates, select the ARED button in the toolbar, which opens the Schedule Deferral Detail window. Or select the ARED button for the line item, which opens the Schedule Lines Deferrals window.

Currency ID

Displays the currency ID for the schedule. This value is automatically entered when you select the Customer Number.

Customer Name

Displays the customer name.

Customer Number

Select the customer number for billing schedule. You can select the expansion button to edit additional information in the Schedule Customer Detail window.

When Maintain Billing Schedule By is set to Customer in the Setup window, only one customer can exist for one active schedule.

Customer PO Number

Specify a customer PO number. When you create a sales transaction using the ARCB Invoice Creator window, the Customer PO Number is used in the Microsoft Dynamics GP sales invoice.

Consolidation for different schedules with different customer PO numbers does not occur.

Days to Increment

Specify the number of days to increment the transaction date. Available when Billing Frequency is set to Miscellaneous.

Department

Select a department. Available when Multi-Entity Management is installed and used. The default value is set in the Multi-Entity Management Setup window. When the SOP document is created, this department is used for account substitution in the Department Segment as defined in the Multi-Entity Management Setup window.

Document Type

Select to create Invoices or Quotes.

End User ID

Select an end user ID attached to the customer number used for the billing schedule. When Maintain Billing Schedule By is set to End User in the Setup window, only one end user can exist for one active schedule.

End User Name

Displays the end user name.

Facility ID

Select an entity (facility) ID. Available when Multi-Entity Management is installed and used. When the SOP document is created, this entity ID substitutes for the facility segment of the account, as set up in the Multi-Entity Management Setup window.

Invoice ID

Select the invoice or quote ID. The default value is set in the Setup window. The setting of the Document Type (invoice or quote) determines the IDs available for this box.

Note icon. Note: When Multi-Entity Management is installed and used, the default invoice ID is set in the MEM Entity Document Type Setup window. You can change the invoice ID to any invoice ID associated with the current entity.

Apply Hold

Select to apply a hold status to all line items in a billing schedule. When this check box is selected, and you create a new line item, by default the item is placed on hold.

When a line item is on hold, a billing detail line is not created, and the billing line does not appear in the Invoice Creator window. If a billing detail line had already been created before a line item is put on hold, the billing detail line is not removed. However, the billing line is not displayed in the Invoice Creator window until the hold is removed.

Changes to this check box can be rolled down to all line items.

When you are ready to approve the schedule and remove the hold from all of the line items in a schedule, clear the Apply Hold check box in the header and select to roll down the changes to all line items. If you set a Remove Hold Password in the Setup window, specify the password.

When a hold is removed, the billing detail line is created based on the start date and end date in the line item. Also, the billing line appears in the Invoice Creator window.

Disable Calendar Billing

Clear the check box to align the billing schedule detail lines to the end of a month when a billing schedule is created or updated. For example, this option is cleared and the billing frequency is monthly. For a billing cycle that starts on April 15, the end of the first billing cycle is April 30. Each subsequent billing cycle then starts on the 1st of the month and ends on the last day of the month.

Select this option to prevent the billing schedule detail lines from aligning with the end of a month when a billing schedule is created or updated. For example, this option is selected and the billing frequency is monthly. For a billing cycle that starts on April 15, the end of the billing cycle is May 14. Each subsequent billing cycle starts on the 15th of the month and ends on the 14th of the month.

The default value is set in the Setup window.

When you change this setting and update an existing billing schedule, only the billing schedule detail lines that have not yet been invoiced are re-aligned.

Prorate Amount

Select to prorate the first and last billing periods for each schedule line, provided that the Billing Frequency is not set to One Time.

Invoice Separately

Available as of Microsoft Dynamics GP 2016 RTM. For information on which version of ARCB this enhancement is introduced, see Readme_ARCB_<version>.pdf. You can find the readme file in the compressed (zipped) installation folder.

Select whether separate invoices are based on the customer:

  • Selected: Allows you to create a combination of consolidated invoices and separate invoices for the same customer.

    • For example, a customer have five contracts. Three of the contracts are to be consolidated on a single invoice, and the other two contracts each require separate invoices.

  • Cleared: All invoices for a customer are consolidated.

The default setting is based on the Invoice Separately option on the Setup window.

Lead Time (Days)

Specify the number of lead days before the Billing End Date. This date is used to send renewal notices when a schedule is due for renewal.

Location

Select the location for the billing schedule. As of Microsoft Dynamics GP 2015 R2, the default value is based on the Site ID on the Sales Order Processing Setup window, but you can change the location as needed.

Markdown Recognition Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account used for recognizing markdown amounts separately. The default account is from the Revenue/Expense Source Maintenance window in ARED. You can change the value as needed.

This account is used when the markdown amount is recognized in a separate recognition schedule.

MEA Type

Available as of Microsoft Dynamics GP 2016 RTM and when Multiple Element Revenue Allocation is installed.

Select the multiple element arrangement (MEA) type that appears on an invoice:

  • None: No revenue allocation occurs on the invoice. The billing schedule is a regular schedule. By default, this option is selected.
  • Single: All items on the invoice are included in the revenue allocation
  • Multiple: Only items with a specific MEA ID are included in the revenue allocation

Milestone Template ID

Select the milestone template that you want to use. The template determines how the price of a milestone item is allocated. Available as of Microsoft Dynamics GP 2015 R2.

If you leave this ID empty, the template used for a milestone line item is s based on the value of the Milestone Template ID for the item on the Item Maintenance window. If you add a value later, you are asked to roll down the changes to all line items that are a milestone item type.

Occurrence

Specify the number of times the billing schedule occurs. The Billing End Date is automatically updated based on the values set in the Billing Start Date, Billing Frequency, and Occurrence.

Changes to this value are rolled down to the line items.

Renewal Template ID

Select renewal template ID. The default value is set in the Setup window. Changes to the renewal template ID are rolled down to line items when Auto Renew is selected.

Return ID

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Specify the return ID that is used when a sales return for cancellation is created. Return IDs are created on the Microsoft Dynamics GP Sales Return Setup window.

The default value is selected on the Setup window is used on the Billing Schedule Maintenance window. For an individual billing schedule, you can change it.

Schedule Description

Specify a description for the billing schedule.

Schedule ID

Specify a unique schedule ID number. As of Microsoft Dynamics GP 2015 R2 when you create a schedule, the default ID is based on the Schedule ID Prefix and the Schedule ID Next Number on the Setup window, but you can change it as needed.

As of Microsoft Dynamics GP 2015 R2, when you select the Lookup [image] button to search for a billing schedule on the Billing Schedule Lookup window, you can set the default view for the sort order of the list view for the current company and session.

Schedule Status

Displays the status of the schedule: Active or Disabled.

When a Termination Date is entered for the customer, the status is updated based on the termination option selected. The status can be made Active again by clearing the Termination Date.

Schedule Type

Specify a schedule type. The schedule type is for information only. The default values for the schedule type are set up in the Setup window.

Ship To Address ID

Select the ship-to address for the customer. Available as of Microsoft Dynamics GP 2015 R2.

Status

Displays the status for the schedule as well as line items: New, Renew, Cancel, and Resign. This data is used for reporting purposes only, and no further functionality is based on this status.

Termination Date

Specify a termination date to terminate all billing schedules, and any associated recognition schedules, in this window before the Billing End Date. After you enter the termination date, select one of the following termination options:

  • Bill Remaining: Sums any remaining amounts in the ARCB schedules to their termination periods and changes the statuses of the schedules to Last Billing. After the termination period is billed, the statuses of the schedules are changed to Disabled.
    When invoices are created for the schedules in the Invoice Creator window, the follow occurs:
    • Any associated ARED recognition schedules are updated to use the new termination date as the deferral end date in ARED
    • Amounts for the periods that would have occurred after the termination date are rolled up into the last (or termination) period
    • The statuses of the ARED schedules are changed to Complete
    Also, the status of the ARCB schedules appear in the ARED Recognition Schedule Entry window.
  • Adj. Schedule: Ends the ARCB schedules at the termination date and changes the statuses of the schedules to Disabled. Also, any associated ARED recognition schedules are adjusted by reversing the amounts that no longer need to be recognized.
  • Term. Fee: Compares the contract completion date with the termination date to determine the termination fee.
    If the termination is early, the ARCB schedules are cut off at the termination date, advanced billing is reversed, a termination fee is created, and the statuses of the schedules are changed to Last Billing. Also, any associated ARED recognition schedules are adjusted by reversing the amounts that no longer need to be recognized.
  • No Adj.: Terminates the schedule without any adjustments. The column SOP number is updated with Terminated for uninvoiced periods
  • Cancel For Collection: Terminates the billing schedule and writes off any remaining amounts to the write off account. Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

For examples on a contract termination, see Fixed Term Contract Termination: Examples.

In ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer), when you terminate a billing schedule in CRM, the this termination date is the CRM Cancellation Effective Date.

The following CRM termination options are matched as follows with corresponding ARCB termination options:

CRM Termination Options Table
CRM Termination Options | ARCB Termination Options
Full Credit | Adj. Schedule
Partial Credit | Adj. Schedule
No Credit | Bill Remaining
Cancel for Collection | Cancel For Collection

Scrolling Window

As of Microsoft Dynamics GP 2015 R2, the following features have been added:

  • When Display Only Active Schedule Lines on the Setup window is selected and in this scrolling window you select to display lines that are Active Only, only the line items that have a schedule status of Active and Last Billing appear.
  • You can sort by Item Number or Item Description. If you have the Active Only option selected, you can sort all active records by the item number or description.

Line Item

Date (Start/End)

Displays the start and end dates from the header section. The start and end dates on the Billing Schedule Detail window are calculated based on these dates.

Hold

Select to apply a hold status to the line item. If you want to apply a hold to only some line items, use this check box instead of the Apply Hold check box in the header.

When a line item is on hold, a billing detail line is not created, and the billing line does not appear in the Invoice Creator window.

When you are ready to approve some line items in a schedule, clear the Hold check box for the item. If you set a Remove Hold Password in the Setup window, specify the password.

When a hold is removed, the billing detail line is created based on the start date and end date in the line item. Also, the billing line appears in the Invoice Creator window.

Icon

When Display Returns is selected on the Setup window, an icon on the line item appears on the Billing Schedule Maintenance window and Billing Schedule Detail windows when return or credit memo documents attached to the line.

Item Description

Displays the description for the item.

Displays the item number.

Item Type

Select the type ID that was set up in the Item Type Setup window. The default value is based on the class ID for the item.

When the item type is a milestone item, the milestone template used is from the header box. If Milestone Template ID is empty, the milestone template is based on the value of the Milestone Template ID for the item on the Item Maintenance window. If you add a Milestone Template ID in the header later, you are asked to roll down the changes to all line items that are a milestone item type.

The milestone billing functionality is available as of Microsoft Dynamics GP 2015 R2.

Quantity

Displays the quantity of items to be billed. When the Item type is not Bandwidth, you can enter the quantity to be billed.

Status

Displays the status of the line item: Active, Last Billing, or Disabled. When a Termination Date is entered for the line, the status is updated based on the termination billing option selected.

The status can be made Active again by clearing the Termination Date.

U of M

Displays the unit of measure for the line item. The default value is the selling unit of measure for the item. For non-inventory items, the unit of measure is set to Each.

Unit Price

Displays the price per unit:

  • When tier or flat tier pricing tier pricing is used, the default value is from the Item Price List Maintenance window.
    Flat tier pricing is available as of Microsoft Dynamics GP 2015 R2.
  • When extended pricing is used, the default value is from the price sheet assigned to the customer.

Line Item Details

Auto Renew

Determines whether the billing schedule line is automatically renewed. The default value is from the Setup window .

  • Selected: Automatically renews the billing schedule line after the invoice for the last available billing period has been created. This option works with the Auto Renew option on the Invoice Creator when the last invoice is created.
  • Cleared: Billing schedule lines must be manually renewed, regardless of the setting of the Auto Renew option on the Invoice Creator.

Billing Frequency

Select to the billing schedule frequency: Monthly, Quarterly, Semi-Annual, Annual, One Time, Weekly, Daily, or Miscellaneous. The default value is from the header.

Contract Terms

Select the contract term: Other, Yearly, or M2M (month to month).

Days to Increment

Specify the number of days to increment the transaction date. Available when Billing Frequency is set to Miscellaneous. The default value is from the header.

Description

Specify a description to identify the cage Number.

Price Adjustment

Available as of Microsoft Dynamics GP 2015 R2.

Indicates whether a price adjustment is applied to the item:

  • Selected: A price adjustment is applied to the line item. To specify the price adjustment details for the line, use the Billing Schedule Line Price Adjustment Detail window.
  • Cleared: No price adjustment is applied to the line item.

Estimated Consumption

Available as of Microsoft Dynamics GP 2016 RTM.

Specify the estimated consumption for a metered item. The default value is 1, but you can change it.

For a period that has not been issued an invoice, the estimated consumption amount is used to calculate the extended price for the metered item on the MRR report. However, when the period has already been issued an invoice, the actual consumption is used to calculate the extended price for the metered item on the MRR report.

Free

Specify the free quantity allowed. For a Bandwith type item, the free quantity is deducted from the consumption. The resulting invoice is calculated by the formula: consumption - Free.

As of Microsoft Dynamics GP 2016 R2, this box has moved to the Item Pricing Options window.

Location

Displays the location. The default value is from the header. For non-inventory items, the location is from the Inventory Setup window.

Markdown Type

Select how the markdown amount is calculated:

  • Percentage: A percentage is used to calculate the markdown amount. When you select this option, specify the markdown percent.
  • Amount: A fixed amount is used to calculate the markdown amount. When you select this option, specify an amount.

The markdown is used to calculate the extended amount on the Billing Detail window: Unit Price - Markdown * Qty = Extended Amount.

When you change this value, you can roll down the change, which recalculates the extended amount for all non-invoiced items in the Billing Detail window. Lines that have been invoiced are not affected.

Note icon. Note: Rolling down the markdown value from the header overrides any manually changes that were made.

Master Meter Number

Select the master meter number. The master meter number is used when item is of a type Bandwidth. If the Meter Number is associated with a master meter, the Master Meter Number is automatically entered after you select the Meter Number.

When User Master Meters is selected on the Setup window, this number is required.

Meter Name

Displays the meter name.

Meter Number

Select a meter number. The meter number is used when item is of a type Bandwidth.

Meter Options

Select the meter option:

  • Reading: Select to enter the current reading. The consumption is then calculated by the following formula: previous reading - current reading.
  • Consumption: Select to enter the consumption, which is the consumed quantity.

Applicable for the Bandwidth type items only.

Number

Select a cage number. The cage number is used when item is of a type Colocation.

Original Sales Item

Displays the original sales item number when the schedule line item originates from the Sales Transaction Entry window.

Original Sales Price

Displays the extended price of the original sales item entered when the schedule line item originates from the Sales Transaction Entry window.

Occurrence

Specify the number of times the billing schedule occurs. The End Date is automatically entered based on the values set in the Start Date, Billing Frequency, and Occurrence.

Price Default

Select the default price for a item that is added to a billing schedule:

  • Standard/Extended: The billing schedule uses the standard or extended price. When you review the billing schedule detail, the price used is the price that is set up in Microsoft Dynamics GP.
  • Flat Amount: The billing schedule uses the flat amount for the item. You can change the price for the item on the Billing Schedule Maintenance window. When you review the billing schedule detail, the price used is the one you entered for the line item.

The default unit price on the Billing Schedule Detail window is based on this option.

Price Group

Available for ARCB build 808 (and newer).

Select a price group for the item.

If the price group that you want does not already exist, you can create a price group. When a price group is created, it appears in the Price Group box on the Item Pricing Options window , where you can modify the committed options. After the price group is assigned to an item, it is available to be assigned to other items. For subsequent line items that are assigned to the same price group, the values for the line item are set to use the committed options from the Item Pricing Options window. Also, all values for the line item are recalculated and adjusted as needed.

The following checks are performed for items that are assigned to the same price group:

  • All items must have the same billing frequency and billing dates. For example, if the first line item assigned to the price group has a billing frequency of Monthly with billing start date of June 1, 2020 and billing end date of May 31, 2022, all other line items assigned to the same billing group must also have a billing frequency of Monthly.

Price Level

Select the price level for the item. The price level is not used for non-inventory items.

Price Option

Select price option to calculate the unit price:

Available as of Microsoft Dynamics GP 2016 R2.

  • Standard: Calculates the unit price based on the total quantity entered and is taken from the Item Price List Maintenance according to existing Microsoft Dynamics GP standard pricing functionality.
  • Flat: Applies a flat price to the original item price.
  • Tier: Calculates unit price using fixed quantity at different pricing brackets. Each tier must be filled before moving to the next pricing tier bracket. For more information, see Pricing Methods.
  • Flat Tier: Calculates unit price using fixed quantity and extended price amounts for different pricing brackets. The price that is charged in a billing period uses the extended price that corresponds to the tier where the billing quantity exists. For more information, see Pricing Methods.

    Available as of Microsoft Dynamics GP 2015 R2, and when Enable Tier Pricing is selected on the Setup window is selected.

Price Sheet ID

Available only when the extended pricing is used.

Renewal Template ID

Select renewal template ID. The default value is from the header of the schedule.

Sales Account

Select the sales account number. The default value is from the Item Maintenance window. The sales account number is used when a sales transaction is created in ARCB. If this box is empty, the Microsoft Dynamics GP default value is used.

When Posting Accounts From is set to Item on the Microsoft Dynamics GP Sales Order Processing Setup window, this account is used for distributions.

Account substitution occurs when the Entity Segmentand Region Segment on Setup window have values defined.

Ship To Address ID

Displays the ship-to address for the customer from the header information. You can change this value. Available as of Microsoft Dynamics GP 2015 R2.

Status

Select the status for the line item: New, Renew, Cancel, or Resign. This data is used for reporting purposes only, and no further functionality is based on this status.

Termination Date

Specify a termination date to terminate the billing schedule, and an associated recognition schedule, on this line before the Billing End Date. After you enter the termination date, select one of the following termination options:

  • Bill Remaining: Sums any remaining amounts in the ARCB to its termination period and changes the status of the item to Last Billing. After the termination period is billed, the status of the item is changed to Disabled.

    When the invoice is created for the schedule in the Invoice Creator window, the follow occurs:
    • The associated ARED recognition schedule is updated to use the new termination date as the deferral end date in ARED
    • Amounts for the periods that would have occurred after the termination date are rolled up into the last (or termination) period
    • The status of the ARED schedule is changed to Complete
    Also, the status of the ARCB schedule appears in the ARED Recognition Schedule Entry window.
  • Adj. Schedule: Ends the ARCB schedule for the line item at the termination date and changes the status of the item to Disabled. Also, any associated ARED recognition schedules are adjusted by reversing the amounts that no longer need to be recognized.
  • Term. Fee: Compares the contract completion date with the termination date to determine the termination fee.

    If the termination is early, the ARCB schedule for the item is cut off at the termination date, advanced billing is reversed, a termination fee is created, and the status of the schedule for the line item is changed to Last Billing. Also, any associated ARED recognition schedules are adjusted by reversing the amounts that no longer need to be recognized.
  • No Adj.: Terminates the schedule for the line item without any adjustments. The column SOP number is updated with Terminated for uninvoiced periods.
  • Cancel For Collection: Terminates the billing schedule and writes off any remaining amounts to the write off account. Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

In ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer), when you terminate a billing schedule in CRM, the this termination date is the CRM Cancellation Effective Date.

The following CRM termination options are matched as follows with corresponding ARCB termination options:

CRM Termination Options Table
CRM Termination Options | ARCB Termination Options
Full Credit | Adj. Schedule
Partial Credit | Adj. Schedule
No Credit | Bill Remaining
Cancel for Collection | Cancel For Collection

Used Free

Displays the amount of free quantity used.

As of Microsoft Dynamics GP 2016 R2, this box has moved to the Item Pricing Options window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Completion Date Audit: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Completion Date Audit: Fields

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Date Modified

Displays the date on which the contract completion date was modified.

New Completion Date

Displays the new contract completion date.

Original Completion Date

Displays the original contract completion date.

Reason

Displays the reason the contract completion date was changed.

User Modified

Displays the user ID who modified the contract completion date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Revenue Allocation Zoom: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Revenue Allocation Zoom: Fields

Deferral Contract Revenue Account

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created.

MEA ID

Displays the multiple element arrangement ID.

MEA Type

Displays the multiple element arrangement transaction type for the items in the list view:

  • None: No multiple element arrangement transaction occurs for this item. The processing for this type of item is not affected by MERA functionality.
  • Single: All line items are part of the same multiple element arrangement. The MEA ID is the same for all line items.
  • Multiple: Some line items are part of the multiple element arrangement, or if there is more than one arrangement. Each arrangement is calculated separately. Line items that are not part of an arrangement do not have a recognition amount calculated, and are equal to the Extended Price.
    The MEA ID is the same for all items that are selected to be in a group. Not all line items require a value for this type.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Various enhancements have been made to this scrolling window that are available as of Microsoft Dynamics GP 2016 RTM.

Billing Frequency

Displays the billing frequency of the line item. Read-only.

Contract FMV

Displays the contract fair market value, which is calculated by the Extended Fair Market Value * number of occurrence.

Contract Revenue

Displays the contract revenue, which is calculated as follows:

(Contract FMV of the line/Total Contract FMV of all the line items with same MEA) * Total Contract Value of all the line items with same MEA)

Contract Value

Displays the calculated contract value for the line item, calculated as follows: Extended price * number of occurrence.

Deferral Contract Revenue Account

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation.

Line items that are in the same group must have the same deferral contract revenue account. And when you change the account for one line, all lines within the same group are updated with the same account number.

Error Messages

Displays an error message for a line item that does not satisfy the criteria for the multiple element arrangement . Any line item that has an error message cannot be part of a group.

Extended Price

Displays the calculated extended price of the line item, which is calculated as follows Quantity * Unit Price. Read-only.

Fair Value

Displays the fair value for the line item. You can specify a different value based on the Fair Value Method selected.

Fair Value Method

Displays the fair value method for the item.

  • Amount: The Fair Value can simply be any amount greater than zero. The amount is converted between the functional and originating currencies as needed.
  • Sales Amount: The Fair Value is the same value as the Extended Price for the line item, which applies for both functional and originating currency amounts.

    Note icon. Note: The sales amount method is not compatible with negative amounts because the Fair Value must be greater than zero.
  • List Price:The Fair Value comes from the List Price on the MERAItem Currency Maintenance window using functional or originating currency as needed.
  • % of an Item: The Fair Value is set using the MERAItem Fair Value Calculator window.
    Note icon. Note: Negative quantity line items result in a negative Extended Fair Value. A negative value is allowed and is handled by the calculation.

Include Check Box

Indicates whether the item is part of a group. A selected check box indicates the item is part of a group.

Displays the item number.

MEA ID

Displays the MEA ID for the item.

Period Revenue

Displays the calculated period revenue value, which is calculated as follows:

Contract Revenue / Number of occurrences based on Billing Frequency.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Import: Buttons

OK

Closes the window.

Process

Imports the data from the selected file.

After the process completes a log report showing the results of the import is generated.

The CPI Schedule ID is updated with the information from the import file.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Import: Fields

CPI Schedule ID

Displays the CPI Schedule to be updated. This value is the same as the CPI Schedule ID on the CPI Schedule Maintenance window. You can change this value.

File Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

First Row is Column Headings

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Schedule Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Import

Opens the CPI Import window, where you can import a CPI for any given year. Up to five decimal places are supported.

Print

Select the report you want to print:

  • CPI Schedule Report: This report outlines the percentage figures calculated based on current CPI schedule.
  • CPI Increase Edit List: This report provides a preview of how the billing schedules are affected after the CPI schedule is processed.

Process

Updates the billing schedules that use the selected CPI schedule.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


CPI Schedule Maintenance: Fields

CPI Schedule ID

Specify the Price Index schedule ID.

Date Last Run

Displays the date on which the Price Index schedule was last processed.

Description

Specify a description of the Price Index schedule.

Time Last Run

Displays the time at which the CPI schedule was last processed.

User ID Last Run

Displays the ID of the user who ran the latest processing.

Scrolling Window

The data in this table is either imported from a CPI file or manually entered.

CPI Date

Specify date for the Price Index value.

CPI Index

Specify the Price Index value for the date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer End User Maintenance: Buttons

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer End User Maintenance: Fields

Customer ID

Select a customer number to associate with the end user account.

Customer Name

Displays the customer name.

Scrolling Window

Use the scrolling window to associate an end user ID with the customer ID.

End User ID

Select an end user account to associate with a customer.

End User Name

Displays the end user name.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Buttons

End User

Opens the Customer End User Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Discount Code Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Discount Code Maintenance: Fields

Discount Code

Specify a unique discount code for the record.

Deferred Markdown Account

Specify the account for deferred markdown amounts.

Description

Specify a description for the discount code record.

Markdown Account

Specify the account for markdown amounts.

Markdown Recognition Account

Specify the account for markdown recognition amounts.

Unbilled Markdown Account

Specify the account unbilled markdown amounts.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


End User Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

User Defined

Opens the User Defined Fields Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


End User Maintenance: Fields

Address

Specify the street address for the end user.

City

Specify the city in which the end user resides.

Contact

Specify the name of the main contact person for this end user.

Country

Specify the country/region for the end user.

Email 1

Enter the email address for the end user.

Email 2

Specify an additional email address for the end user.

End User ID

Specify a unique end user ID.

Fax

Specify the fax number for the end user.

Name

Specify the name of the end user.

Phone 1

Specify the phone number for the end user.

Phone 2

Specify an additional phone number for the end user.

Phone 3

Specify an additional phone number for the end user.

Postal Code

Specify the ZIP code or postal code for the address.

State/Province

Specify the state, province, or county for the end user.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


End User Transfer History: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


End User Transfer History: Fields

End User ID

Displays the end user ID.

End User Name

Displays the end user name.

Scrolling Window

Customer ID

Displays the customer ID attached to the new schedule.

Customer Name

Displays the customer name.

Orig. Customer ID

Displays the original customer ID attached to the original schedule.

Orig. Customer Name

Displays the name of the original customer.

Orig. Schedule ID

Displays the original schedule ID.

Schedule ID

Displays the new schedule ID that was created from the original schedule when end user was transferred from original customer to the new customer.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Invoices Inquiry: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entities in the list view.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Invoices Inquiry: Fields

From Billed Date

Select the billed start date. Records that have a billed date on or after this date are displayed.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

To Billed Date

Select the billed end date. Records that have a billed date before or on this date are displayed.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you specified.

The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Schedule Type
  • Item Number
  • Billed Date
  • Billing Start Date
  • Billing End Date
  • SOP Number
  • SOP Type
  • Customer Number
  • Customer Name
  • Location
  • End User ID
  • End User Name
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Inquiry: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Inquiry: Fields

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Select Work to display non-archived schedules.
  • Select History to display archived schedules.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Schedule Type
  • Ship To Address
  • Bill To Address
  • Salesperson ID
  • Customer Number
  • Customer Name
  • Schedule Status
  • Billing Start Date
  • Billing End Date
  • Location
  • Termination Date
  • End User ID
  • End User Name
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Detail Zoom: Buttons

Price Adjustment

Opens the Billing Schedule Price Adjustment Detail window.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Detail Zoom: Fields

Item Description

Displays the description for the item.

Displays the item number.

Schedule ID

Displays the schedule ID for the selected line item.

Scrolling Window

As of Microsoft Dynamics GP 2015 R2, you can select the option Uninvoiced Only, which shows only the billing schedule lines that have not yet been billed. This option is available when Display Only Uninvoiced Schedule Lines is selected on the Setup window.

Billing End Date

Displays the billing end date.

Billing Start Date

Displays the billing start date.

Comment

Displays any comments.

Consumption

Displays the quantity consumed.

Current Reading

Displays the current meter reading.

Def. End Date

Displays the deferral end date.

Def. Start Date

Displays the deferral start date.

Markdown

Displays the markdown amount.

Orig Inv.

Indicates whether the line item is originated from the Sales Transaction Entry window. A selected check box indicates that the line item originated from the Sales Transaction Entry window. A cleared check box indicates a different origin.

Previous Reading

Displays the previous meter reading. This value is the same as the Current Reading from the previous line.

Processed

Indicates whether the line item is Processed or Unprocessed.

SOP Number

Displays the SOP document number.

SOP Type

Displays the SOP Document type.

Type

Displays the billing type:

  • Free: The line item is free.
  • Billable: The line item is a regular billable item.
  • Billing Adj.: The line item requires a billing adjustment.
  • Termination Fee: The line item a termination fee.

Unit Price

Displays the unit price for the line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Price Adjustment Line Detail Inquiry: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entities in the list view.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Price Adjustment Line Detail Inquiry: Fields

As of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date Restriction

Select the date restriction:

  • As Of Date: Displays line items that have a billing start date that is the same as or earlier than the As Of Date.
  • Date Range: Displays lines that have a start date that is within the From and To dates.
  • None: No date restriction is applied.

Display

Select to display records that have been processed or are unprocessed, or both:

  • Processed: Displays all the line items that are billed or invoiced.
  • Unprocessed: Displays all the line items that are not billed yet.

For records to appear in the scrolling window, you must select at least one display option.

Note icon. Note: By default, any line items that are terminated or on hold are not displayed. To display line items that are terminated or on hold select the options in the Include area.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Include

Select to display line items that are terminated or on hold, or both:

  • Terminated: Displays line items that are already terminated.
  • On Hold: Displays line items that are on hold.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Select Work to display non-archived schedules.
  • Select History to display archived schedules.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • Item Number
  • Item Description
  • Billing Start Date
  • Billing End Date
  • Quantity/Consumption
  • Currency ID
  • Original Unit Price
  • Price Adjustment By Amt.
  • Amt. Increase
  • Price Adjustment By %
  • % Amt. increase
  • Price Adjustment by CPI
  • CPI Amt.
  • Unit Price
  • Markdown
  • Extended Price
  • Processed/Unprocessed
  • SOP Number
  • Status (Active, Disabled, Last Billing)
  • On Hold
  • Comment
  • Facility ID (when Multi-Entity Management is installed)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Inquiry: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entities in the list view.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Inquiry: Fields

As of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date Restriction

Select the date restriction:

  • As Of Date: Displays line items that have a billing start date that is the same as or earlier than the As Of Date.
  • Date Range: Displays lines that have a start date that is within the From and To dates.
  • None: No date restriction is applied.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Include Status

Select the status of the records you want to display:

  • Active: Displays line items that are active.
  • Disabled: Displays line items that are terminated.
  • Last Billing: Displays line items with the status of last billing.

For records to appear in the scrolling window, you must select at least one status option.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Select Work to display non-archived schedules.
  • Select History to display archived schedules.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. Double-clicking a line item opens the Billing Schedule Zoom window for the item.

The scrolling window displays the following columns:

  • Schedule Type
  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • End User ID
  • End User Name
  • Item Number
  • Item Description
  • Item Type
  • U of M
  • Quantity
  • Unit Price
  • Price Level
  • Location
  • Billing Frequency
  • Billing Start Date
  • Billing End Date
  • Meter Number
  • Meter Name
  • Master Meter ID
  • Deferrable
  • Template ID
  • Deferral Start Date
  • Deferral End Date
  • Sales Account
  • Recognition Account
  • Create One Schedule
  • Create Schedule Based on Dates
  • Contract Completion Date
  • Termination Date
  • Comment 1
  • Comment 2
  • Status
  • Hold
  • Work In Progress
  • WIP Account
  • Unbilled Revenue
  • Facility ID (when Multi-Entity Management is installed and used)
  • Sequence Number (Hidden)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Detail Inquiry: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Go To

Depending on the line selected in the scrolling window, opens the SOP Inquiry or the ARED Recognition Schedule Entry window.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entities in the list view.

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Line Detail Inquiry: Fields

As of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date Restriction

Select the date restriction:

  • As Of Date: Displays line items that have a billing start date that is the same as or earlier than the As Of Date.
  • Date Range: Displays lines that have a start date that is within the From and To dates.
  • None: No date restriction is applied.

Display

Select to display records that have been processed or are unprocessed, or both:

  • Processed: Displays all the line items that are billed or invoiced.
  • Unprocessed: Displays all the line items that are not billed yet.

For records to appear in the scrolling window, you must select at least one display option.

Note icon. Note: By default, any line items that are terminated or on hold are not displayed. To display line items that are terminated or on hold select the options in the Include area.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Include

Select to the line items you to display in the scrolling window:

  • Terminated: Displays line items that are already terminated.
  • On Hold: Displays line items that are on hold.
  • Create One Schedule: Displays billing lines where all periods have the same ARED schedule number. Available when ARED is installed and as of Microsoft Dynamics GP 2015 R2. By default, this option is not selected.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Select Work to display non-archived schedules.
  • Select History to display archived schedules.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. Double-clicking a line item opens the Billing Schedule Zoom window for the item.

The scrolling window displays the following columns:

  • Schedule Type
  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • End User ID
  • End User Name
  • Item Number
  • Item Description
  • Item Type
  • Location
  • Type (Free, Billable, Billing Adj. Termination Fee)
  • Start Date
  • End Date
  • Quantity
  • Unit Price
  • Markdown
  • Extended Price
  • Processed
  • Status (Active, Disabled, Last Billing)
  • On Hold
  • SOP Number
  • Deferral Start Date (available when ARED is installed)
  • Deferral End Date (available when ARED is installed)
  • Deferral Schedule (available when ARED is installed)
  • Facility ID (available when MEM is installed)
  • Sequence Number (hidden - available when MEM is installed)
  • Comment
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Zoom: Buttons

For a description of all buttons on this window, see the descriptions for the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Schedule Zoom: Fields

For a description of all boxes on this window, see the descriptions for the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options Inquiry: Buttons

For a description of all buttons on this window, see the descriptions for the Item Pricing Options window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options Inquiry: Fields

For a description of all boxes on this window, see the descriptions for the Item Pricing Options window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Outstanding Renewal Invoices Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entities in the list view.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Outstanding Renewal Invoices Inquiry: Fields

Aged As of Date

Specify a date. The start date of each billing period is compared to this aged as of date to determine how many days it is outstanding.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Sort Documents

Select a sorting method for displaying the documents in the scrolling window and on the report:

  • By Document Number
  • By Document Date
  • By Due Date
  • By Customer ID
  • By End User ID

By default, the documents are sorted by the document date.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Facility ID and Description (available only when Multi-Entity Management is installed and used)
  • Document Number
  • Document Date
  • Due Date
  • Customer ID
  • Customer Name
  • Contact Name
  • Contact Number (Phone Number)
  • Ship To Name
  • End User ID
  • End User Name
  • Renewal Start Date (used for renewal invoices only)
  • Renewal End Date (used for renewal invoices only)
  • Originating Subtotal
  • Originating Total Amount
  • Document Currency ID
  • Exchange Rate
  • User To Enter
  • Comment ID
  • Current (billing period start date or renewal start date precedes the aged as of date by less than 30 days and up)
  • 31-60 Days (billing period start date or renewal start date precedes the aged as of date between 31 and 60 days)
  • 61-90 Days (billing period start date or renewal start date precedes the aged as of date between 61 and 90 days)
  • 91 and Over (billing period start date or renewal start date precedes the aged as of date by 91 days and more)
Closed View sample report

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preview: Support/Renewal Process Inquiry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preview: Support/Renewal Process Inquiry: Fields

Alignment Date

Displays the date on which you want the renewal sales line items to align.

Completion Date

Displays the transaction completion date. This date is used for information only.

Days to Increment

Displays the number of days to increment the transaction date.

End User ID

Displays the end user ID associated with the support and renewal process.

End User Name

Displays the end user name.

Frequency

Displays the contract frequency. The frequency is used to calculate the prorated support and renewal amounts for the support and renewal sales line items.

Renewal Contract Information

Extended Price

Displays whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown. The value is set up in the Setup window. You can override the selection in this window.

Renewal End Date

Displays the calculated renewal end date based on the renewal start date and the billing frequency. This date cannot be earlier than the renewal start date.

Renewal Start Date

Displays the calculated renewal start date based on the support contract start and end dates and the frequency specified. This date cannot be later than the renewal end date.

Schedule ID

Displays the billing schedule number.

Support Contract Information

Extended Price

Displays whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown.

Support End Date

Displays the calculated end date for the original support contract.

Support Start Date

Displays the start date for the original support contract.

Support/Renewal Option

Calculation Option

Displays how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly.
  • Tier: The support level can be selected and then applied to all items.

Tier ID

Displays the support level for the renewal or support item. Available when Calculation Option is Tier.

Percentage/Amount

Displays whether to use a Percentage or a flat Amount for calculating support and renewal amounts.

Support/Renewal Qty

Displays the support or renewal quantity:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

List View

In the list view, you can review the support and renewal information for all support and renewal items that are attached to the current billing schedule. The following columns are available:

Amount (Renewal)

Displays the renewal amount, which is calculated based on the Renewal %. Or if the Renewal Amount has a value, displays the support amount.

Amount (Support )

Displays the support amount, which is calculated based on the Support %. Or if the Support Amount has a value, displays the support amount.

Calc. Option

Displays how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Tier: The support level can be selected and then applied to all items.

Extended Price

Displays the extended price for an item. This is from the sales document and cannot be edited.

Displays the item number.

Renewal Item

Displays the renewal item as set up on the Item Maintenance window.

Renewal %

Displays the renewal percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Support Item

Displays the support item as set up on the Item Maintenance window.

Support %

Displays the support percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Tier ID

Displays the support level ID for the item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Transaction Inquiry - Customer: Fields

Documents

When you use the ARCB alternate window, the End User ID option is added to the list to allow you to sort and display data by the end user ID.

Scrolling Window

End User ID & End User Name

A third row appears in the detail section for the End User ID and the End User Name associated with the customer ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Buttons

Item Number expansion button

Opens the Master Meter Consolidation Detail window.

OK

Closes the window.

Support/Renewal

Open the Support/Renewal Process Inquiry window.

Support/Renewal Item expansion button

Opens the Support/Renewal Item Detail Inquiry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Fields

Billing Schedule ID

Displays the billing schedule ID.

Billing Period End Date

Displays the end date for the billing period.

Billing Period Start Date

Displays the start date for the billing period.

Comment 1/Comment 2

Displays comments.

End User ID

Displays the end user attached to the sales transaction entry.

End User Name

Displays the corresponding end user name.

Number

Displays the meter number for the schedule.

Meter Name

Displays the meter name for the schedule.

Support/Renewal Item

Indicates whether the item on this SOP line is a support/renewal item. A selected check box indicates that the item on this SOP line is a support/renewal item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales User-Defined Field Inquiry Zoom: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Renewal/Billing Details Zoom: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Renewal/Billing Details Zoom: Fields

Customer ID

Displays the customer account ID or number.

Customer Name

Displays the customer name.

Document No.

Displays the sales document number.

End User ID

Displays the end user attached to the customer.

End User Name

Displays the end user name.

Type

Displays the sales document type.

Billing tab

Billing Detail Comment

Displays the comment for the line. The comment is from the Billing Schedule Detail window.

Billing Period End Date

Displays the end date for the billing period. This information is filled when the sales transaction is generated.

Billing Period Start Date

Displays the start date for the billing period. This information is filled when the sales transaction is generated.

Comment 1/Comment 2

Displays comments from the billing schedule generating the SOP document. You can specify additional values for these boxes in this window.

Item Number

Displays the item number.

Meter Name

Displays the meter name for the schedule. This information is filled when the sales transaction is generated.

Meter Number

Displays the meter number for the schedule. This information is filled when the sales transaction is generated.

Schedule ID

Displays the billing schedule number.

Support/Renewal tab

Alignment Date

Displays the date on which you want the renewal sales line items to align.

Calculation Option

Displays how the support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly.
  • Tier: The support level can be selected and then applied to all items.

Completion Date

Displays the transaction completion date. This date is used for information only.

Days to Increment

Displays the number of days to increment the transaction date.

Disable Calendar Billing

Displays how the charge amounts and renewals amounts are calculated and billed:

  • Selected: Indicates the charged amounts and renewal amounts for all schedule are calculated based on elapsed time billing.
  • Cleared: Indicates the charged amounts and renewal amounts for all schedules are calculated based on calendar billing.

For example, the following values are set:

  • Support Start Date: September 07, 2010
  • Support End Date: September 30, 2011
  • Billing Frequency: Annual
  • Extended Price: 1000.00
  • Support %: 18%

When this check box is selected (schedules are based on elapsed time billing), the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (September 06, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 191.83

When the check box is cleared (schedules are based on calendar billing) the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (August 31, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 195.04

Frequency

Displays the contract frequency. The frequency is used to calculate the prorated support and renewal amounts for the support and renewal sales line items.

Markdown (Renewal)

Displays whether the extended price excludes or includes a markdown:

  • Exclude: The Originating and Functional Renewal Amounts are calculated as follows: Unit Price x Quantity for the Item.
  • Include: The Originating and Functional Renewal Amounts are calculated as follows: (Unit Price - the Markdown Price) x Quantity for the item.

For example, a Quantity of 1, the Unit Price for an item is 100.00, and the Markdown price is 30.00.

  • When Exclude Markdown is selected, 100.00 is used to calculate the renewal amounts (equation: 100.00 x 1).
  • When Include Markdown is selected, 70.00 is used to calculate the renewal amounts (equation: (100.00 - 30.00) x 1).

Markdown (Support)

Displays whether the extended price excludes or includes a markdown:

  • Exclude: The Originating and Functional Charge Amounts are calculated as follows: Unit Price x Quantity for the Item.
  • Include: The Originating and Functional Charge Amounts are calculated as follows: (Unit Price - the Markdown Price) x Quantity for the item.

For example, a Quantity of 1, the Unit Price for an item is 100.00, and the Markdown price is 30.00.

  • When Exclude Markdown is selected, 100.00 is used to calculate the charge amounts (equation: 100.00 x 1).
  • When Include Markdown is selected, 70.00 is used to calculate the charge amounts (equation: (100.00 - 30.00) x 1).

Override Renewal %

Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Displays the renewal percentage that you want to use for all items in the list view. This percentage overrides the renewal percentage for the item in the list view.

Override Support %

Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Displays the support percentage that you want to use for all items in the list view. This percentage overrides the support percentage for the item in the list view.

Percentage/Amount

Displays whether a percentage or a flat amount is used for calculating support and renewal amounts.

Renewal End Date

Displays the calculated end date for the original support contract.

Renewal Start Date

Displays the calculated renewal start date based on the support contract start and end dates and the frequency specified. This date cannot be later than the renewal end date.

Schedule ID

Displays the billing schedule number.

Support/Renewal Qty

Displays the support or renewal quantity:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

Support End Date

Displays the calculated end date for the original support contract.

Support Start Date

Displays the start date for the original support contract.

This value is reused in the Original Contract Signed box in the Recurring Contract Billing Schedule.

Tier ID

Displays the support level for the renewal or support item. Available when Calculation Option is Tier.

List View

In the list view, you can review the support and renewal information for all support and renewal items that are attached to the current billing schedule. The following columns are available:

Amount (Renewal)

Displays the renewal amount, which is calculated based on the Renewal %. Or if the Renewal Amount has a value, displays the support amount.

Amount (Support )

Displays the support amount, which is calculated based on the Support %. Or if the Support Amount has a value, displays the support amount.

Calc. Option

Displays how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly.
  • Tier: The support level can be selected and then applied to all items.

Extended Price

Displays the extended price for an item. This is from the sales document and cannot be edited.

Displays the item number.

Renewal

Displays whether the item on this line is a renewal item to be included in this SOP invoice.

Renewal Item

Displays the renewal item as set up on the Item Maintenance window.

Renewal %

Displays the renewal percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Support

Displays whether the item on this line is a support item to be included in this SOP invoice.

Support Item

Displays the support item as set up on the Item Maintenance window.

Support %

Displays the support percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Tier ID

Displays the support level ID for the item. The default value is set on the Support/Renewal Process or Support/Renewal Item Detail windows, but you can change it.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Detail Inquiry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Detail Inquiry: Fields

Create Support

Displays whether a first year support line is created. A selected check box indicates that a first year support line is created when the record is processed. A cleared check box indicates a first year support line is not created.

Create/Update Renewal

Displays whether a renewal schedule is created or updated when a support/renewal item is posted in the Sales Transaction Entry window. A selected check box indicates a renewal schedule is created or updated when a support/renewal item is posted. A cleared check box indicates a renewal schedule is not created or updated.

Days to Increment

Displays the number of days to increment the transaction date.

Disable Calendar Billing

Displays whether calendar billing is used to calculate charged amounts and renewal amounts. A selected check box indicates the charged amounts and renewal amounts for all schedules are calculated based on elapsed time billing. A cleared check box indicates the charged amounts and renewal amounts for all schedules are calculated based on calendar billing.

Completion Date

Displays the transaction completion date.

Frequency

displays the billing frequency for the support/renewal contract.

Renewal Contract Information

Extended Price

Displays whether the markdown price is included or not in the extended price when calculating the renewal amount: Exclude Markdown or Include Markdown.

Functional Renewal Amount

Displays the renewal amount in the functional currency.

Originating Renewal Amount

Displays the renewal amount in the originating currency.

Renewal %

Displays the renewal percentage used when calculating renewal amount.

Renewal End Date

Displays the renewal start date.

Renewal Start Date

Displays the renewal start date.

Schedule ID

Displays the schedule ID to which to add the support/renewal item.

Support Contract Information

Extended Price

Displays whether the markdown price is included or not in the extended price for each item: Exclude Markdown or Include Markdown.

Functional Charged Amount

Displays the charged amount in the functional currency.

Originating Charged Amount

Displays the charged amount in the originating currency.

Support %

Displays the support percentage used when calculating the charged amount.

Support End Date

Displays the end date for the original support contract.

Support Start Date

Displays the start date for the original support contract.

Support/Renewal Option

Available as of Microsoft Dynamics GP 2016 RTM.

Calculate Option

Displays how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly.
  • Level: Applies the support level to all items. The support level selected has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, but applied at the line level in the Sales Transaction Entry window.

Level ID

Displays the support level for the renewal or support item. Available when Calculate Option is Level.

Percentage/Amount

Displays whether to use a Percentage or a flat Amount for calculating support and renewal amounts. Available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Support/Renewal Qty

Select one of the following options:

  • 1: Supports previous functionality and adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

The default value is set up in the Support/Renewal Process window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process Inquiry: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process Inquiry: Fields

Completion Date

Displays the transaction completion date.

Create/Update Renewal

Displays whether a renewal schedule is created or updated when a support/renewal item is posted in the Sales Transaction Entry window.

A selected check box indicates a renewal schedule is created or updated. A cleared check box indicates a renewal schedule is not created or updated.

Create Support

Displays whether to create a first year support line. A selected check box indicates a first year support line is created when the record is processed.

Days to Increment

Displays the number of days to increment the transaction date.

Disable Calendar Billing

Displays whether calendar billing is used to calculate the charged amounts and renewal amounts. A selected check box indicates that charged amounts and renewal amounts for all schedules are calculated based on elapsed time billing. A cleared check box indicates that harged amounts and renewal amounts for all schedules are calculated based on calendar billing.

Frequency

Displays the billing frequency used to renew the contract.

Renewal Contract Information

Alignment Date

Displays the date on which to align the renewal sales line items.

Extended Price

Displays whether the extended price excludes or includes a markdown when calculating the renewal amount: Exclude Markdown or Include Markdown.

Override the percentage on renewal lines

Displays whether the renewal percentage from the Suppport/Renewal Process window is used to calculate the unit price.

A selected check box indicates the renewal percentage from the Suppport/Renewal Process window is used to calculate the unit price. A cleared check box indicates the percentage from the Item Maintenance window is used to calculate the unit price.

Renewal %

Displays the renewal percentage used when calculating the renewal amount.

Renewal End Date

Displays the renewal end date.

Renewal Start Date

Displays the renewal start date.

Schedule ID

Displays the schedule ID to which to append the renewal item.

Support Contract Information

Extended Price

Displays whether the extended price excludes or includes a markdown when calculating the charge amount.: Exclude Markdown or Include Markdown.

Override the percentage on support lines

Displays whether the support percentage from the Suppport/Renewal Process window is used to calculate the unit price.

A selected check box indicates the support percentage from the Suppport/Renewal Process window is used to calculate the unit price. A cleared check box indicates the percentage from the Item Maintenance window is used to calculate the unit price.

Support %

Displays the support percentage amount.

Support End Date

Displays the end date for the original support contract.

Support Start Date

Displays the start date for the original support contract.

Support/Renewal Option

Available as of Microsoft Dynamics GP 2016 RTM.

Calculate Option

Displays how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly.
  • Level: Applies the support level to all items. The support level selected has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, but applied at the line level in the Sales Transaction Entry window.

Level ID

Displays the support level for the renewal or support item. Available when Calculate Option is Level.

Percentage/Amount

Displays whether to use a Percentage or a flat Amount for calculating support and renewal amounts. Available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Support/Renewal Qty

Displays the support renewal quantity:

  • 1: Indicates previous functionality is supported and one support item on the Sales Transaction Entry window is added.
  • Invoice Qty: Indicates that the quantity of the support item and the renewal item is the same as the original line item, and that the unit price and extended price are calculated accordingly.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Creates an invoice or a quote. All user-defined data is passed to the Microsoft Dynamics GP Sales Transaction Entry window.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2018 (ARCB build 702).

Opens the User Preference window, where you can customize the columns that appear in the list view.

Validate

Validates that meter reading data exists for the selected billing period of the bandwidth type line items. Also, validates that the unit price exits for each period where the billing type is not free. A report showing the validation results provides the following columns: Schedule Number, Item Number, Item Type, Meter Number, Billing Period Start Date, Billing Period End Date, and Description.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator: Fields

As of Date

Select a date on or after the Billing Start Date, but before the Billing End Date to indicate the specific lines that you want to display. Available when Date Restriction is set to As of Date.

Auto Renew

Indicates whether to automatically renew the recurring contract billing schedule for the next billing period. The default value is set in the Setup window.

  • Selected: Automatically renews the billing schedule line after the invoice for the last available billing period is created. This option works with the Auto Renew option for the billing schedule line.
  • Cleared: Does not automatically renew the billing schedule line.

When the Independent Renewal check box is selected on the Setup window, this option and the functionality associated with it is not available.

Batch Number

Create or select a batch number for the recurring schedule invoices. If you are using Multi-Entity Management, you can only select batches that are attached to the selected entity (facility) ID.

Billing Period Start/End Date

Specify a start and end date for the invoices. These dates are used as the billing period start and end dates for the sales transactions.

Consolidate Option Area

The default values are set in the Setup window.

Aggregate Qty

Select to aggregate the quantity of an item that is shipped to multiple locations, so that the unit price is based on the cumulative quantity of the item from all locations to where the item is shipped.

For example, Item A is shipped to three different locations. Instead of the unit price for Item A being based on each location separately, the unit price for Item A is based on the cumulative total from all three locations.

Available as of Microsoft Dynamics GP 2013 R2 and when Multiple Ship To On Same Invoice is selected.

Notes:

  • When this option is used, the same price list must be assigned to the item for all locations.
  • The aggregate quantity and price functionality is not available for items where the Price Default is set to Flat Amount on the Billing Schedule Maintenance window. As a result, the aggregate quantity and price functionality does not work for billing schedules that have any items with flat amount pricing.
  • The aggregate quantity functionality works only with the standard Microsoft Dynamics GP pricing functionality. It does not work with the ARCB tiered pricing functionality or flat amount. In situations where the tiered pricing and aggregate quantity functionality are both selected, the aggregate quantity functionality dominates and overrides the tiered pricing functionality. In situations where the aggregate quantity is selected and the schedule line says flat amount, aggregate quantity is ignored.

Combine Unit Price

Select to consolidate line items when the unit price is different, but the billing quantity and the other boxes (as described in the Consolidate by Item description) have the same values. The unit price is summed in the consolidated line item. Available only when Consolidate by Item is selected.

Consolidate by Customer

Select to consolidate invoices by customer ID, document ID, and currency ID when invoices are created in the Invoice Creator window. When any option in the By Sales User-Defined Fields area on the Setup window is selected, this check box is selected by default.

When this check box is cleared, invoices are not consolidated, even though any option in By Sales User-Defined Fields area on the Setup window is selected.

Note icon. Note: Consolidation does not occur for the same customer when the different schedules have different Ship To Address, Bill to Address, and Customer PO Number information.

Consolidate by Item

Select to consolidate the invoice lines for matching items when an invoice is created. For item lines to be consolidated, the following fields must match:

Item Number, U of M, Item Type ID, Location, Unit Price, Price Level, Deferrable option, Deferral Start Date, Deferral End Date, Create One Schedule, Create Schedule Based on Dates, Template ID, Recognition Account, ,Sales Account, Ship to Address ID, Comment ID and Comment Text.

When Create One Schedule is cleared on the Setup window, items can be can be consolidated.

If the item has Track Work In Progress selected, and this check box is selected, detail lines are not consolidated.

Note icon. Note: As of Microsoft Dynamics GP 2015 R2, when you select this option and the Comment has the value "do not consolidate", the items are not consolidated. If the comment is blank or has some other value, the items are consolidated.

Multiple Ship To On Same Invoice

Select to consolidate line items into one invoice when the Ship To Address is different. The consolidated invoice can have SOP lines with multiple ship to addresses.

Use Master Meters

Select to use the master meters functionality in ARCB. The Bandwidth items with the same master meter assigned are consolidated into one SOP invoice line. ARCB adds all the consumption for these consolidated bandwidth items, and creates a consolidated SOP invoice line using the master item attached the master meter. The price level for the master item is used to determine the unit price of the SOP invoice line.

ARED Schedule with Use Master Meters option selected

The master meter has an item code under which consolidated billing would occurs. If the item is marked as deferral on the Item Maintenance window, a deferral schedule is created based on the normal ARED rules of document date and template from the item.

Note icon. Note: When consolidating based on master meter, the Create One Schedule and Create Schedule Based on Dates options are not available.

Create Batch by BDM

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Indicates whether the batch(es) created uses the billing distribution method when invoices are created:

  • Selected: The batch(es) created use the billing distribution method as defined on the Contract and Billing Distribution Options window for the billing schedule(s). Separate batches are created for each billing distribution method.
  • Cleared: The batch(es) do not use the billing distribution method when they are created.

Date Restriction

Select the date restriction to use for displaying the records:

  • As Of Date: Displays lines that have a start date that is the same as or earlier than the As Of Date and an end date that is the same as or later than the As Of Date.
  • Date Range: Displays the lines that have a start date that is within the From and To dates.

    • The billing start and end dates that you want to appear in the scrolling window are between the date range you set.

Exclude Zero Consumption

Available as of Microsoft Dynamics GP 2016 R2 (ARCB build 610).

Select whether billing detail lines that have a zero (0) consumption quantity are excluded from the invoice to be created:

  • Selected: Billing detail lines that have a zero (0) consumption quantity are excluded from the invoice to be created.
    When the filter criteria is applied, these lines do not appear in the scrolling window.
  • Cleared: All billing detail lines, even lines with a zero (0) consumption quantity, are included on the invoice to be created.

The default setting for this option is set on the Setup window, but you can change it.

Facility ID

Select the entity (facility) ID that is associated with the batch. You can only select the entities to which you have access. Available when Multi-Entity Management is installed and used.

Include Prior UnInvoiced

Select to include lines that have not previously been invoiced up to the selected As of Date. When the check box is cleared, only previously invoiced lines are included. Available when Date Restriction is set to As of Date.

Invoice Date

Select the date to be used as the document date for the sales transactions.

Number of Unique Schedule IDs

Displays the number of unique schedule IDs displayed in the scrolling window.

Payment Terms

Select how the sales order processing invoice Due Date is determined:

  • Customer: Calculates the Due Date by Microsoft Dynamics GP based on the payment term assigned to the customer.
  • Billing Start Date: Uses the billing start date as the Due Date. Available in Microsoft Dynamics GP 2015 and earlier

    • Note icon. Note: As of Microsoft Dynamics GP 2015 R2, if Billing Start Date is selected and the billing start date is earlier than the invoice due date, the invoice due date is used. For example, the billing start date is October 1, 2015, and the invoice due date is November 25, 2015. The Due Date is November 25, 2015.

  • Invoice Creation Date: Uses the invoice creation date as the due date. Available as of Microsoft Dynamics GP 2015 R2.

The default option is set in the Setup window.

Range By

Select an additional range by which you want to display data: Customer Number, Schedule ID, or Schedule Type.

  • Select All to display all records for the specified criteria.
  • Select From to specify a range of records. When you select this option select values for From and To to specify the range.

From

Enter the start of a range of records to display.

To

Enter the end of the range of records to display.

Total Schedule Lines

Displays the number of schedule lines displayed in the scrolling window.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Line Number (added in ARCB build 702)
  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • Currency ID
  • Schedule Status
  • Item Number
  • Item Description (added in ARCB build 702)
  • Item Type
  • U of M
  • Billing Qty/Consumption
  • Unit Price
  • Markdown
  • Extended Price
  • Price Level
  • Location
  • Ship-To Address (added in ARCB build 702)
  • Billing Frequency
  • Billing Start Date
  • Billing End Date
  • End User ID
  • Number of Invoices: The number of invoices (posted and unposted) created during the past year (one year back from the end date of the date range or as of date) for the end user appear in this column.
  • Comment 1 and Comment 2 (from the Billing Schedule Maintenance window)
  • Period Revenue Amount (Available as of Microsoft Dynamics GP 2016 RTM and when Multiple Element Revenue Allocation is installed)
  • Comment (Available as of Microsoft Dynamics GP 2015 R2)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator - Edit Batch: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator - Edit Batch: Fields

Batch Number

Create or select a batch number for the recurring schedule invoices. If you are using Multi-Entity Management, you can only select batches that are attached to the selected entity (facility) ID.

Customer Lines

Displays the number of schedule lines currently marked for inclusion for the selected customer in the batch.

Customer Name

Displays the customer name for the customer currently selected for editing.

Customer Number

Displays the customer number for the customer currently selected for editing.

Facility ID

Select the entity (facility) ID that is associated with the batch. You can only select the entities to which you have access. Available when Multi-Entity Management is installed and used.

Schedule Lines

Displays the number of schedule lines marked for processing in the batch.

Customer Scrolling Window

Displays all customers that have schedule lines included in the batch. Displays the following columns:

  • Customer ID
  • Customer Name

When you select a customer, you can review the schedule lines scrolling window and select the lines that you want to process in the batch.

Schedule Lines Scrolling Window

Displays all schedule lines that are included in the batch. Displays the following information:

  • Schedule ID
  • Currency ID
  • Item Number
  • Billing Frequency
  • U of M
  • billing Start Date
  • Billing End Date
  • Billing Qty/Con
  • Unit Price
  • Unit Price
  • Markdown
  • Extended Price
  • MEA Type and MEA ID (available when Multiple Element Revenue Allocation is installed and used)

When you select a customer from the customer scrolling window, you can review the schedule lines and select the lines that you want to process in the batch.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator Mass Processing: Buttons

Build Batch

Adds the schedule lines to the batch. The schedule lines must be within the range criteria specified on the window.

When you add to schedule lines an existing batch using a different inclusion criteria, the existing schedule lines remain in the batch and their Marked status remains unchanged. Only schedules lines that are not already part of the batch are added. By default, all new schedule lines added to a batch are Marked for processing.

Clear

Removes all schedule lines from the currently selected batch and resets all boxes on the window to their default values. You can then create a new batch.

The lines that are removed can be used in other batch or can be edited in the Billing Schedule Maintenance window and other utilities.

Edit Batch

Opens the Invoice Creator Edit Batch window where customers and/or individual schedule lines can be reviewed and marked/unmarked for processing.

Process

Creates an invoice or a quote for all selected billing schedule lines. All user-defined data is passed to the Microsoft Dynamics GP Sales Transaction Entry window.

Validate

Validates that meter reading data exists for the selected billing period of the bandwidth type line items. Also, validates that the unit price exits for each period where the billing type is not free. A report showing the validation results provides the following columns: Schedule Number, Item Number, Item Type, Meter Number, Billing Period Start Date, Billing Period End Date, and Description.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Creator Mass Processing: Fields

As of Date

Specify the as of date that includes the specific lines that you want to include. Available when Date Restriction is set to As of Date.

Batch Number

Create or select a batch number for the recurring schedule invoices. If you are using Multi-Entity Management, you can only select batches that are attached to the selected entity (facility) ID.

Billing Period End Date

Select the end date for the invoice. This date is used as the billing period end date for the sales transactions.

Billing Period Start Date

Select a start date for the invoice. This date is used as the billing period start date for the sales transactions.

Consolidate Option Area

The default values are set in the Setup window.

Aggregate Qty

Select to aggregate the quantity of an item that is shipped to multiple locations, so that the unit price is based on the cumulative quantity of the item from all locations to where the item is shipped.

For example, Item A is shipped to three different locations. Instead of the unit price for Item A being based on each location separately, the unit price for Item A is based on the cumulative total from all three locations.

Available when Multiple Ship To On Same Invoice is selected.

Notes:

  • When this option is used, the same price list must be assigned to the item for all locations.
  • The aggregate quantity and price functionality is not available for items where the Price Default is set to Flat Amount on the Billing Schedule Maintenance window. As a result, the aggregate quantity and price functionality does not work for billing schedules that have any items with flat amount pricing.
  • The aggregate quantity functionality works only with the standard Microsoft Dynamics GP pricing functionality. It does not work with the ARCB tiered pricing functionality or flat amount. In situations where the tiered pricing and aggregate quantity functionality are both selected, the aggregate quantity functionality dominates and overrides the tiered pricing functionality. In situations where the aggregate quantity is selected and the schedule line says flat amount, aggregate quantity is ignored.

Combine Unit Price

Select to consolidate line items when the unit price is different, but the billing quantity and the other boxes (as described in the Consolidate by Item description) have the same values. The unit price is summed in the consolidated line item. Available only when Consolidate by Item is selected.

Consolidate by Customer

Select whether sales documents are consolidated by customer:

  • Selected: Consolidates invoices by customer ID, document ID, and currency ID when an invoice is created. When any option in the By Sales User-Defined Fields area on the Setup window is selected, this check box is selected by default.
  • Cleared: Does not consolidate invoices by customer, regardless of whether any option in By Sales User-Defined Fields area on the Setup window is selected.

Note icon. Note: Consolidation does not occur for the same customer when the different schedules have different Ship To Address, Bill to Address, and Customer PO Number information.

Consolidate by Item

Select whether sales documents are consolidated by item:

  • Selected: Consolidates the invoice lines for matching items when an invoice is created.
    • For item lines to be consolidated, the following fields must match:

    Item Number, U of M, Item Type ID, Location, Unit Price, Price Level, Deferrable option, Deferral Start Date, Deferral End Date, Create One Schedule, Create Schedule Based on Dates, Template ID, Recognition Account, ,Sales Account, Ship to Address ID, Comment ID and Comment Text

    When Create One Schedule is cleared on the Setup window, items can be can be consolidated.

    If the item has Track Work In Progress selected, and this check box is selected, detail lines are not consolidated.

    Note icon. Note: As of Microsoft Dynamics GP 2015 R2, when you select this option and the Comment has the value "do not consolidate", the items are not consolidated. If the comment is blank or has some other value, the items are consolidated.

  • Cleared: Does not consolidate invoices by item.

Multiple Ship To On Same Invoice

Select to consolidate line items into one invoice when the Ship To Address is different. The consolidated invoice can have SOP lines with multiple ship to addresses.

Use Master Meters

Select to use the master meters functionality in ARCB. The Bandwidth items with the same master meter assigned are consolidated into one SOP invoice line. ARCB adds all the consumption for these consolidated bandwidth items, and creates a consolidated SOP invoice line using the master item attached the master meter. The price level for the master item is used to determine the unit price of the SOP invoice line.

ARED Schedule with Use Master Meters option selected

The master meter has an item code under which consolidated billing would occurs. If the item is marked as deferral on the Item Maintenance window, a deferral schedule is created based on the normal ARED rules of document date and template from the item.

Note icon. Note: When consolidating based on master meter, the Create One Schedule and Create Schedule Based on Dates options are not available.

Date Restriction

Select the date restriction to use for displaying the records:

  • As Of Date: Displays lines that have a start date that is the same as or earlier than the As Of Date and an end date that is the same as or later than the As Of Date.
  • Date Range: Displays the lines that have a start date that is within the From and To dates.

Facility ID

Select the entity (facility) ID that is associated with the batch. You can only select the entities to which you have access. Available when Multi-Entity Management is installed and used.

Include Prior UnInvoiced

Select to include lines that have not previously been invoiced up to the selected As of Date. When the check box is cleared, only previously invoiced lines are included. Available when Date Restriction is set to As of Date.

Invoice Date

Specify the date on which to create the invoice.

Options

Auto Renew

Indicates whether the recurring contract billing schedule is automatically renewed for the next billing period.

  • Selected: The recurring contract billing schedule is automatically renewed for the next billing period.
  • Cleared: The recurring contract billing schedule is not automatically renewed for the next billing period.

The default value for this option is defined on the Setup window.

As of Microsoft Dynamics GP 2016 RTM, when the Independent Renewal check box is selected on the Setup window, Auto Renew and the functionality associated with Auto Renew is not available.

Exclude Zero Consumption

Available as of Microsoft Dynamics GP 2016 R2 (ARCB build 610).

Select whether billing detail lines that have a zero (0) consumption quantity are excluded from the invoice to be created:

  • Selected: Billing detail lines that have a zero (0) consumption quantity are excluded from the invoice to be created.
    When the filter criteria is applied, these lines do not appear in the scrolling window.
  • Cleared: All billing detail lines, even lines with a zero (0) consumption quantity, are included on the invoice to be created.

The default setting for this option is set on the Setup window, but you can change it.

Payment Terms

Select how the SOP invoice Due Date is determined:

  • Customer: Calculates the Due Date by Microsoft Dynamics GP based on the payment term assigned to the customer.
  • Billing Start Date: Uses the billing start date as the Due Date. Available in Microsoft Dynamics GP 2015 and earlier

    • Note icon. Note: As of Microsoft Dynamics GP 2015 R2, if Billing Start Date is selected and the billing start date is earlier than the invoice due date, the invoice due date is used. For example, the billing start date is October 1, 2015, and the invoice due date is November 25, 2015. The Due Date is November 25, 2015.

  • Invoice Creation Date: Uses the invoice creation date as the due date. Available as of Microsoft Dynamics GP 2015 R2.

The default option is set in the Setup window.

Range By

Select an additional range by which you want to display data: Customer Number, Schedule ID, or Schedule Type.

  • Select All to display all records for the specified criteria.
  • Select From to specify a range of records. When you select this option select values for From and To to specify the range.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Note icon. Note: Only the ranges shown in the Restrictions box are enforced when building or adding to the batch.

Schedule Lines

Displays the number of schedule lines marked for processing in the batch.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Preview: Buttons

OK

Closes the window.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Invoice Preview: Fields

Aggregate Qty

Select to apply volume discounts to all uninvoiced billing periods that have the same Item Number and the same price level regardless of the ship to address. The updated Unit Price is calculated based on the total cumulative quantity.

When this option is cleared, the volume discount is not applied to all uninvoiced billing periods that have the same Item Number and the same price level.

The default setting is from the Setup window.

As of Date

Based on the Date Option selected, the date is automatically set with the earliest billing start date or the Microsoft Dynamics GP user date. You can change the date.

Date Option

Select to display records for the Next Billing Date or for the User Date. The default value is from the Setup window.

  • Next Billing Period: When selected, the As of Date is set to the earliest billing start date of the next uninvoiced billing period.
    When you select Redisplay, the scrolling window displays all the uninvoiced lines that have a billing start date that is the same as the As of Date.
  • User Date: When selected, the As of Date is set to the Microsoft Dynamics GP user date.
    When you select Redisplay, the scrolling window displays all the uninvoiced lines that have a billing start date and billing end date the same as or earlier than the As of Date. You can change the As of Date.

Include Invoiced Periods

Select this to include the invoiced contract lines in the scrolling window.

Currency ID

Displays the currency ID from the Billing Schedule Maintenance window.

Customer ID

Displays the customer ID from the Billing Schedule Maintenance window.

Customer Name

Displays the customer name from the Billing Schedule Maintenance window.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Total Extended Price

Displays the total extended price.

Total Markdown

Displays the total markdown.

Total Monthly Extended Price

Displays the total monthly extended price.

Total Monthly Markdown

Displays the total monthly markdown.

Total Monthly Unit Price

Displays the total monthly unit price.

Scrolling Window

Total Unit Price

Displays the invoices that meet the criteria entered. The following columns appear:

  • Item Number
  • Item Description
  • Billing Frequency
  • U of M
  • Billing Start Date
  • Billing End Date
  • Billable Quantity
  • Unit Price
  • Markdown
  • Extended Price
  • Monthly Unit Price (see the following table for calculation information)
  • Monthly Markdown (see the following table for calculation information)
  • Monthly Extended Price (calculated based on the Monthly Unit Price and Billable Quantity)
  • Processed (indicates if the period has been invoiced or not, and has values Yes or No)

The following columns are available as of Microsoft Dynamics GP 2016 RTM and when Multiple Element Revenue Allocation is installed, this value is from the Revenue Allocation window:

  • Contract Value
  • MEA ID
  • FV Method
  • Fair Value
  • Contract FMV
  • Contract Revenue Amount
  • Period Revenue Amount
Frequency | Monthly Unit Price | Monthly Markdown
Quarterly | Unit Price/3 | Markdown /3
Semi-Annual | Unit Price/6 | Markdown /6
Annual | Unit Price/12 | Markdown /12
Weekly | Unit Price * 4 | Markdown * 4
Daily | Unit Price * Number of days in the given month | Markdown * Number of days in the given month
One Time, Miscellaneous | Same as Unit Price | Same as Unit Price

The Monthly Unit Price and Monthly Markdown for the billing frequency other than monthly are calculated as follows:

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Maintenance: Buttons

OK

Closes the extra window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Maintenance: Fields

Item Number

Select the item number.

In the extra window, displays the item number from the Microsoft Dynamics GP window.

Item Pricing Option

Free Quantity

Select how free quantity consumption is measured:

  • Per Period: The free quantity is per period. For each period, the free quantity is deducted from the Consumption/Quantity Entered to provide a Billable Consumption/Quantity.
  • Cumulative: The free quantity is cumulative from the beginning of the contract. After the free quantity is used, the Consumption/Quantity Entered becomes the Billable Consumption/Quantity.

Price Option

Select price option to calculate the unit price:

  • Standard: Calculates the unit price based on the total quantity entered and is taken from the Item Price List Maintenance according to existing Microsoft Dynamics GP standard pricing functionality.
  • Flat: Applies a flat price to the original item price.
  • Tier: Calculates unit price using fixed quantity at different pricing brackets. Each tier must be filled before moving to the next pricing tier bracket. For more information, see Pricing Methods.
  • Flat Tier: Calculates unit price using fixed quantity and extended price amounts for different pricing brackets. The price that is charged in a billing period uses the extended price that corresponds to the tier where the billing quantity exists. For more information, see Pricing Methods.

    Available as of Microsoft Dynamics GP 2015 R2, and when Enable Tier Pricing is selected on the Setup window is selected.

Milestone Template

Select the milestone template for the item. Available as of Microsoft Dynamics GP 2015 R2. The default value is based on the class ID for this item. You can change it as needed.

This value becomes the default milestone template for line items that you enter on the Billing Schedule Maintenance window.

Renewal %

Specify a renewal percentage, which is the default value that appears on the Renewal % on the Support/Renewal Billing Details window. The percentage is used to calculate the renewal amount when a renewal item is added to an SOP line.

Renewal Item

Select a renewal item that to be used to create a renewal billing schedule from the posted sales transaction.

Support %

Specify the support percentage which is the default value that appears on the Support % on the Support/Renewal Billing Details window. . The percentage is used to calculate the support charge amount when a support item is added to an SOP line.

Support Item

Select an item number for a support and enhancement service for the sales transaction.

Track Work In Progress

Select to track the work in progress. Available only when Enable Work In Progress is selected in the Setup window. The setting of this check box is the default setting in the Billing Schedule Maintenance window.

Unbilled Revenue Account

Select the unbilled revenue account. Available when Track Work In Progress is selected.

WIP Account Number

Select the work in progress account number. Available when Track Work In Progress is selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Price List Maintenance: Buttons

Price Level expansion button

Opens the Item Promotion Pricing window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Price List Maintenance: Fields

Total Flat Price

Specify the flat price for the tier level.

Available as of Microsoft Dynamics GP 2015 R2, when Enable Tier Pricing is selected on the Setup window is selected, and when Price Option is Flat Tier for an item on the Billing Schedule Maintenance window.

For example, you can set the flat tier price levels as follows:

Start Quantity | End Quantity | Total Flat Price
1 | 50 | 100.00
51 | 100 | 150.00
101 | 999999 | 200.00

For more information on flat tier pricing, see Pricing Methods.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Pricing Options: Fields

Committed Options

For more information, review Item Pricing Options: Examples.

Prorated billing periods do not affect how minimum and maximum bill amounts or quantity work.

Changing any of the committed options for a specified Price Group, affects all items that are assigned to the same price group.

Min/Max

Select how the price of the item is committed:

  • By Amount: When selected, you can specify the minimum (floor) and maximum (ceiling) bill amounts for the item. After the minimum and maximum amounts are set, can be billed for an amount that is between the minimum and maximum amounts (inclusive of the minimum and maximum values set).
  • By Quantity: When selected, you can specify the minimum and maximum billing quantities.
    For example, the minimum billing quantity is 50, but the consumption for the month is only 25. You are billed for 50 instead of 25. Similarly, if the maximum billing quantity is 50, but the consumption is 75, you are only billed for 50.

Minimum Bill Amount/QTY

Specify the minimum amount or quantity for which to bill.

Maximum Bill Amount/QTY

Specify the maximum amount or quantity for which to bill.

Reset Number of Periods

Available as of Microsoft Dynamics GP 2016 R2.

Specify the number of periods to pass before the resetting the minimum or maximum quantities. The default value is 1.

Free Quantity Options

For more information, review Item Pricing Options: Examples.

Prorated billing periods do not affect how free quantity works.

Free Contract Used

In versions of ARCB previous to Microsoft Dynamics GP 2016 R2, this box named Free Used was located on the scrolling window for the line details on the Billing Schedule Maintenance window.

Displays the free quantity amount that has been used in the contract.

  • When Free is set Per Period, this value is reset for each billing period. The free quantity value displayed is per billing period.
  • When Free is set Cumulative, this value is not reset for each billing period:
    • When Reset Number of Periods to zero (0), this value is not reset and shows the cumulative value for the whole contract.
    • When Reset Number of Periods to 1, this value is reset for each billing period and works much like when Free is set to Per Period.
    • When Reset Number of Periods is greater than 1, this value is reset for the number of periods specified in Reset Number of Periods.

Free

In versions of ARCB previous to Microsoft Dynamics GP 2016 R2, this box was named Free Quantity.

Select how free quantity consumption is measured:

  • Per Period: The free quantity is per period. For each period, the free quantity is deducted from the Consumption/Quantity Entered to provide a Billable Consumption/Quantity.
  • Cumulative: The free quantity is cumulative from the beginning of the contract. After the free quantity is used, the Consumption/Quantity Entered becomes the Billable Consumption/Quantity.

Free Quantity

In versions of ARCB previous to Microsoft Dynamics GP 2016 R2, this box was located on the scrolling window for the line details on the Billing Schedule Maintenance window.

Specify the free quantity amount allowed. For items that are metered or are usage items, the free quantity is deducted from the consumption. The resulting invoice is calculated by the formula: consumption - free quantity.

Reset Free Used

Available as of Microsoft Dynamics GP 2016 R2 and when Free is Cumulative.

Displays the free quantity amount currently used. The starting value is zero (0). This value is reset after the latest invoice for the number of periods specified in Reset Number of Periods is created. Closed View example.

For example, a billing schedule has a monthly billing period January to December. Reset Number of Periods is 3. The most current invoice is created for May, and you review the billing schedule in July. The current billing period is June, and the invoice has not yet been created. The Reset Free Used value was reset after the invoice for March was created, and it shows the free quantity amount that is used within April to June.

Reset Number of Periods

Available as of Microsoft Dynamics GP 2016 R2 and when Free is Cumulative and when Item Pricing is By Group.

Specify the number of periods to pass before the cumulative free quantity is reset.

  • The default value is zero (0), which means the free quantity does not reset after the invoice is created for each billing period.
  • When this value is 1, the free quantity is per period. The functionality is the same as when Free is Per Period.
  • When this value is greater than 1, the free quantity used is cumulative of the billing periods. The free quantity resets after the value specified.
    For example, a support agreement has a monthly billing period and can have up to 10 free support incidents each year. This value is set to 12, so that the free quantity is reset every 12 months.

Adjustment Option

Available when Item Pricing is By Group, and for ARCB build 808 (and newer).

Select whether recalculation or other adjustment amounts are made to the last item in a price group or to another item that is specifically for recalculation and adjustment amounts.

  • Last Group Item: Any recalculations and adjustments to a price group are applied to the last item that was added to the price group.
  • Other Item: Any recalculations and adjustments to a price group are applied to an item selected as Adjustment Item on the group.

Recalculations and adjustments can occur when the Commitment Options are changed.

Adjustment Item

Available when Adjustment Option is Other Item, and for ARCB build 808 (and newer).

Select an inventory or non-inventory item to be used for any recalculations and adjustments when changes to the Commitment Options are made. The default details for the non-inventory adjustment item as it appears on the Billing Schedule Maintenance window are as follows:

  • The item type is from the Setup.
  • The quantity is 1
  • The unit price is 0.00.
  • The billing dates are from the header of the Billing Schedule Maintenance window.

Item Pricing

Available for ARCB build 808 (and newer).

Select how the pricing options are applied to an item:

  • By Line: Pricing options are applied to line items as individual, independent lines.

    When you switch to this option the Price Group box is cleared from the line item detail of the Billing Schedule Maintenance window.

  • By Group: Pricing options are applied to line items as part of a group. When this option is selected the Price Group name is required.

    When you switch to this option. select a Price Group or create one. The price group name appears in the line item detail of the Billing Schedule Maintenance window.

Item Number

Displays the item number. This value is from the Billing Schedule Maintenance window.

Price Group

Available for ARCB build 808 (and newer).

Displays the name of the price group as defined on the Billing Schedule Maintenance window.

Schedule ID

Displays the billing schedule number. This value is from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Promotion Pricing: Buttons

Insert

Adds the markdown amount and effective period to the scrolling window.

Modify

Changes the values for the markdown line that you selected. To modify a line, select the line in the scrolling window, make your changes, and then select Modify.

OK

Saves any changes, and closes the window.

Remove

Removes the markdown line from the scrolling window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Promotion Pricing: Fields

Currency ID

Displays the currency ID. The currency ID is from the selected quantity range (price bracket) on the Item Price List Maintenance window.

Default price

Displays the default price of an item. This value is from the selected quantity range (price bracket) on the Item Price List Maintenance window.

Description

Displays the description of the item.

Effective Price

Displays the calculated promotional price, which is calculated according to the formula: Default Price – Markdown.

Expiration Date

Specify the date on which the Effective Price ends.

Displays the item number.

The item number is from the Item Price List Maintenance window.

Markdown

Displays the markdown (promotional) dollar amount. When the Markdown Type is Percentage, the markdown dollar amount is calculated.

Markdown Type

Select the markdown type: Percentage or Amount. The value is used to calculate the Effective Price.

Price Level

Displays the price level. The price level comes from the selected quantity range (price bracket) on the Item Price List Maintenance window.

Price Option

Displays the price option: Standard or Tier, which comes from the Item Price List Maintenance window.

Start Date

Specify the date on which the Effective Price starts.

U of M

Displays the unit of measure. The unit of measure comes from the selected quantity range (price bracket) on the Item Price List Maintenance window.

Scrolling Window

Displays the markdown (promotional) pricing and the effective periods. Using the scrolling area, you can insert, modify, or remove any promotional pricing period as needed.

The following columns appear:

  • Effective Price
  • Expiration Date
  • Start Date
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Kit Maintenance: Fields

Sales Account

Select the sales account that is used when an invoice is created:

  • From Component Item: The sales account(s) used for the invoice is from the item account(s) for each component item. You can change the account if needed. You can then specify the Allocation Percentage for each component. The sum of the Allocation Percentage must not exceed 100%.
  • From Kit Item: The sales account used for the invoice is from the sales account(s) setup for the kit item. The Sales Account And Allocation Percentage boxes cannot not be edited.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Line User Defined Fields: Buttons

Cancel

Cancels all changes and closes the window.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Billing Line User Defined Fields: Fields

User-Defined Fields 1-5

Specify the values for the user-defined fields.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Adjustment Line User Defined Fields: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Adjustment Line User Defined Fields: Fields

User-Defined Fields 1-5

Specify the values for the user-defined fields.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Master Meter Consolidation Detail: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Master Meter Consolidation Detail: Fields

Item Number

Displays the item number of the selected line item.

SOP Number

Displays the document number of the selected document.

SOP Type

Displays the document type of the selected document..

Scrolling Window

Billing End Date

Displays the billing end date of the consolidated billing line.

Billing Schedule ID

Displays the schedule number of the consolidated billing line.

Billing Start Date

Displays the billing start date of the consolidated billing line.

Consumption

Displays the consumption of the consolidated billing line.

Item Number

Displays the item number of the consolidated billing line

Master Meter Number

Displays the master meter number of the consolidated billing line.

Meter Number

Displays the meter number of the consolidated billing line

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Master Meter Maintenance: Buttons

Delete

Deletes the current record.

Print

Prints the Master Meter Setup Report that shows the master meter relationships with the associated meters.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Master Meter Maintenance: Fields

Master Name

Displays the name of the master meter.

Master Meter Number

Select the master meter number to which you want to associate other meters.

Scrolling Window

Use the scrolling window to associate meters with the master meter. One master meter can be associated with one or more meters. However, only one meter can be associated with one master meter.

The master meter association is used to add meter quantities for a group of meters and display them on one line when creating sales transactions in the Invoice Creator window.

Meter Name

Displays the name of the meter.

Meter Number

Select the meter number that you want to associate with the master meter.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA Modifications: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


MERA Modifications: Fields

Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID.

List View

Double-clicking a line opens the Audit History window, where you can view the original amounts of the multiple element allocation (MEA) before the changes.

Date Modified

The date on which the billing schedule was modified.

Sequence

Displays the sequence number in which the change to the billing schedule occurred.

User Modified

The user ID who made the change.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Import: Buttons

OK

Closes the window.

Process

Import meters, master meters, and create the master meter relationships.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Import: Fields

Import Option

Select the import option: XML File or Data Connection.

XML/Data Connection File Path

Specify the file location for XML file or data connection.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Maintenance: Buttons

Assign Meters

Opens the Master Meter Maintenance window. Available when Master Meter is selected.

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Import

Opens the Meter Import window.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Meter Maintenance: Fields

Master Meter

Select to identify a meter as a master meter. If the meter is a master meter, you can assign meters to it.

Master Meter Item Number

Select the item number to associate with the master meter. Available when Master Meter is selected.

The default inventory values come from this item when the sales transactions are created using the Consolidate by Use Master Meter option on the Invoice Creator window. This item should have price list setup before assigning to a master meter.

Master Meter Number

Displays the number of the master meter associated with the meter.

Master Name

Displays the name of the master meter associated with the meter.

Meter Name

Specify a name for the meter.

Meter Number

Specify a number for the meter.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Allocation: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Milestone Allocation: Fields

Allocation Method

Displays the allocation method used for the milestone template. If needed, you can change the allocation method.

Extended Price

Displays the extended price of the item. If needed, you can change this value.

Item Number

Displays the item number for the item number for the milestone allocation template. If needed, you can change the item number or added more items.

Template Description

Displays the description for the milestone template.

Template ID

Displays the milestone template ID for the line item. If needed, you can change the template ID for the item.

Scrolling Window

Amount

Displays the allocation amount. This value is calculated when Allocation Method is By Percentage.

When Allocation Method is By Amount, you can change this value.

Description

Displays a description for the milestone ID.

Milestone ID

Displays the milestone ID. If needed, you can change this value.

Percentage

Displays the percentage for the milestone. This value is calculated when Allocation Method is By Amount.

When Allocation Method is By Percentage, you can change this value.

Total Allocation

Equals the sum of the allocation percentages or the sum allocation amounts. The sum of the allocation percentage must be 100%, and the sum of the allocation amount must equal the extended price of an item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Milestone Process: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

OK

Closes the window.

Process

Processes all selected records. The end date of the milestone items are updated with the specified completion date. Also, the completion date of the deferral schedule attached to the billing schedule item is updated.

If the milestone items are associated with a deferral recognition deferral schedule, the deferral end date is updated with the date specified in this window.

When Main items are included, the completion date is only updated for the sub-items.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Milestone Process: Fields

Completion Date

Select the date on which the items completed. The completion date corresponds to the end date of the billing schedule.

Deferral End Date

Select the deferral end date when updating ARED recognition deferral schedules.

Include

Select the records that you want to include.

Invoiced Milestones

Select to include milestone items where the invoice has already been created:

  • Selected: Includes milestone items that have already received an invoice.
  • Cleared: Includes only milestones items that have not received an invoice.

Main Items

Select to include only child items or both parent and child items:

  • Selected: Includes both the parent items and the child items.
  • Cleared: Includes only the child items.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. Double-clicking a record that is attached to a recognition schedule opens the ARED Recognition Schedule Entry window.

The scrolling window displays the following columns:

  • Schedule Type
  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • End User ID
  • End User Name
  • Item Number
  • Item Description
  • Item Type
  • Location
  • Start Date
  • End Date (appears when Invoiced Milestones is selected)
  • Billing Frequency
  • Unit Price
  • SOP Number (appears when Invoiced Milestones is selected)
  • Deferral Start Date (appears when ARED is installed and Invoiced Milestones is selected)
  • Deferral End Date(appears when ARED is installed and Invoiced Milestones is selected)
  • Deferral Schedule (appears when ARED is installed and Invoiced Milestones is selected)
  • Facility ID (appears when MEM is installed)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Modify Refund Amount: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Modify Refund Amount: Fields

Item Description

Displays the description for the item.

Displays the item number.

Refund Amount

Displays the calculated refund amount. You can change this to any positive amount that is less than or equal to the original amount.

This value is calculated for schedules that have the Termination Date set to Adj. Schedule on the Billing Schedule Maintenance window and the Termination Date on the Mass Termination Process window is within the period that has already been invoiced.

For information on how the refund amount is calculated, see Issuing a Refund for a Cancelled Contract: Example.

Schedule ID

Displays the schedule ID from the line in the scrolling window on the Mass Termination Process window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Accounts: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Accounts: Fields

Date Start/End

Displays the start and end dates for the billing schedule.

Deferred Markdown Account

Displays the account for deferred markdown amounts.

Markdown Account

Displays the account for markdown amounts.

Markdown Recognition Account

Displays the account for markdown recognition amounts.

Unbilled Markdown Account

Displays the account unbilled markdown amounts.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price update by file: Buttons

Redisplay

This button will allow the user to upload the data from selected CSV file and display it to the user inside List View.

Process

This button will allow the user to process all the schedule and items being shown on the List View with the data shown.

Validate

This button will allow the user to validate the data in uploaded CSV file.

History

This button will open a new window which will show all the previously done increases.

Excel

This button will allow the user to export the data shown in List View to an Excel file.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price update by file: Fields

Header

File PathThis field will allow the user to select a CSV file. User will not be able to select a file other than CSV extension.

First Row is Column Heading This field will allow the user to select if first row in the CSV file contains header titles or data.

List view

Schedule IDThis column field will show the Schedule Number from CSV file.

Schedule Description This column field will show the Description of Schedule ID. It will be fetched from ARCB for a schedule.

Line Item Sequence This column field will show the Line Item Sequence of Schedule Item from the CSV file.

Item Number This column field will show the Item Number as per the Line Item Sequence from ARCB’s Billing Schedule.

Item Description This column field will show the Description of Schedule Item from Item card.

Item Type This column field will show the Item Type selected for the Billing Schedule Item.

Item Quantity This column field will show the Item Quantity selected for the Billing Schedule Item uploaded from the CSV file.

Original Unit Price This column field will show the Original Unit Price of Billing Schedule Item for a billing schedule item.

Increase Percentage This column field will show the Increase Percentage from the CSV file, if defined.

Amount Increase This column field will show the Amount going to be increased on Original Unit Price. It will be calculated by calculating percentage defined in CSV file on Original Unit Price. If Percentage is not defined, then amount will be shown as it is defined in the CSV file.

New Unit Price This column field will show the New Unit Price after adding the Amount Increase to Original Unit Price.

Total Price Increase:

This field will show the overall price increase of all the schedule and their items in the CSV file. For example, the price update is uploaded for 4 schedule lines where the current prices are $100, $150, $250, and $300

The prices will be increased by 2% for the first 3 lines and by $23 for the last line.

The system will display the following Overall Price Increase amount: $2+$3+$5 + $23 = $33

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recalculation Date: Buttons

Cancel

Cancels all changes and closes the window.

OK

Recalculates the eligible recognition schedules in ARED based on the new deferral end date and recalculation date.

The journal entries for schedule amounts that were recognized and occurred after the recalculation date are reversed. The schedule is recalculated, and new new journal entries created and added to a batch to recognize the revised amounts.

You must manually post the reversed journal entries and any new recognized journal entries. However, if AutoPost Journal Entries in the Setup window selected, the journal entries are automatically posted and manually posting journal entries is not required.

The remaining (unrecognized) schedule amounts are also recalculated.

Schedule amounts are not adjusted or recalculated under any of the following situations:

  • the schedule amount occurred before the recalculation date
  • the schedule amount occurred in a closed fiscal period (in History)
  • the schedule amount was already recognized in a closed fiscal period
  • the schedule amount occurred in an open period that occur before the specified recalculation date (Current Open Month Date)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recalculation Date: Fields

Reason

Specify a reason for recalculating the schedule.

Recalculation Date

Specify a recalculation date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recurring Contract Billing Creation: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Creates a new billing schedule or add renewal items to an existing billing schedule. For the returns, a negative line exists for the renewals.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recurring Contract Billing Creation: Fields

Document Type

Select the document type to display: Invoice or Return.

Facility ID

Select the entity (facility) ID. You can only select the entities to which you have access. Available when Multi-Entity Management is installed and used.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the range, you then select the records that you want to display:

  • Select All to display all records for the specified criteria.
  • Select From to specify a range of records. When you select this option select values for From and To to specify the range.

From

Enter the start of a range of records to display.

To

Enter the end of the range of records to display.

Scrolling Window

Displays the data based on the criteria you selected. The following columns are displayed:

  • Invoice Number
  • Renewal Subtotal Originating
  • Renewal Subtotal Functional
  • Invoice Total
  • Customer Number
  • Customer Name
  • Document Date
  • Contract Amount
  • Completion Date
  • Contract Start Date
  • Contract End Date
  • Alignment Date
  • Billing Address
  • Currency ID
  • Default Location
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Renewal Terms: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Renewal Terms: Fields

Item Description

Displays the description for the item.

Displays the item number.

The item number is from the Billing Schedule Maintenance window.

Schedule Description

Displays the schedule description.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Date Processed

Displays the date on which the change was processed.

Lead Time (Days)

Displays the number of lead days before the billing period end date.

New Billing End Date

Displays the end date for the new billing period.

New Billing Start Date

Displays the start date for the new billing period.

Notice Date

Displays the date on which notice is sent. This date is the New Billing End Date - the Lead Time (Days).

Previous Billing End Date

Displays the end date for the previous billing period.

Previous Billing Start Date

Displays the start date for the previous billing period.

Renewed

Indicates whether the contract was renewed. A selected check box indicates that the contract was renewed.

User Processed

Displays the ID of the user who processed the change.

If the billing schedule has an accompanying ARED deferral schedule, the following columns are available:

ARED Schedule

Indicates whether an ARED deferral schedule is attached to the billing schedule. When you select the line and select the column header, the Recognition Schedule Zoom window in ARED opens.

Auto Renew

Indicates whether the auto renewal functionality for the contract. This value is from the Billing Schedule Maintenance window.

  • Selected: The auto renewal functionality is used for the contract.
  • Cleared: The auto renewal functionality is not used for the contract.

Deferrable

Indicates whether the item is a deferral item.

Invoice Adjustment

Indicates whether the deferral invoice has been adjusted.

New Deferral End Date

Displays the end date for the new deferral period.

New Deferral Start Date

Displays the start date for the new deferral period.

No. of Payments

Indicates the number of payments for the deferral schedule.

Previous Deferral End Date

Displays the end date for the previous deferral period.

Previous Deferral Start Date

Displays the start date for the previous deferral period.

Total Amount

Displays the total amount of the deferral item.

Select the expansion [image] button to open the Amount Change Audit Line where you can view the details of changes to the total amount.

Unit Price

Displays the unit price of the item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Renewal Template Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Renewal Template Maintenance: Fields

Billing Duration

Specify the number of times you want the billing to occur.

Description

Specify a description for the template. If a template is selected, displays the description for the template.

Template ID

Specify a unique template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

History

Opens the MERA Modifications window where you can review the list of changes to a billing schedule by date and user ID. Available as of Microsoft Dynamics GP 2016 RTM and when the MEA Type for a billing schedule is Single or Multiple.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Allocation: Fields

Deferral Contract Revenue Account

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This default value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation. You can change the account as needed.

MEA ID

Specify the multiple element arrangement ID.

When the MEA Type is Multiple, you can leave this box empty. When you select the check box for a line item, you can use the MEA ID to put multiple line items in groups.

MEA Type

Select the multiple element arrangement transaction type for the items in the list view:

  • None: Select this type for a "normal" item. The processing for this type of item is not affected by MERA functionality.
    This option is useful if an item has been marked as MEA by mistake, and you want to return to normal sales transaction processing. When you change an item from another MEA type back to None, you are prompted to confirm the change.
  • Single: Select this type when the all line items are part of the same multiple element arrangement. When you select this option, the MEA ID box is available and requires a value. The MEA ID is automatically rolled down to all line items.
  • Multiple: Select this type when some line items are part of the multiple element arrangement, or if there is more than one arrangement. Each arrangement is calculated separately. Line items that are not part of an arrangement do not have a recognition amount calculated, and are equal to the Extended Price.
    When you select this option, the MEA ID box is available but does not require a value. The MEA ID is rolled down to only the line items that are selected in the scrolling window.
    In the scrolling window, you can edit the MEA ID, which controls which line items are part of arrangements.

Schedule Description

Displays the description of the schedule from the Billing Schedule Maintenance window window.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Various enhancements have been made to this scrolling window that are available as of Microsoft Dynamics GP 2016 RTM.

Billing Frequency

Displays the billing frequency of the line item. Read-only.

Contract FMV

Displays the contract fair market value, which is calculated by the Extended Fair Market Value * number of occurrence.

Contract Revenue

Displays the contract revenue, which is calculated as follows:

(Contract FMV of the line/Total Contract FMV of all the line items with same MEA) * Total Contract Value of all the line items with same MEA)

Contract Value

Displays the calculated contract value for the line item, calculated as follows: Extended price * number of occurrence.

Deferral Contract Revenue Account

Displays the account that you want to use for journal entries when a multiple element arrangement (MEA) contract invoice is created. This value is from the MEA ID Maintenance window in Multiple Element Revenue Allocation.

Line items that are in the same group must have the same deferral contract revenue account. And when you change the account for one line, all lines within the same group are updated with the same account number.

Error Messages

Displays an error message for a line item that does not satisfy the criteria for the multiple element arrangement . If a line item has an error message, the invoice cannot be created until the error is resolved, or the line item is removed from the arrangement.

Extended Price

Displays the calculated extended price of the line item, which is calculated as follows Quantity * Unit Price. Read-only.

Fair Value

Displays the fair value for the line item. You can specify a different value based on the Fair Value Method selected.

Fair Value Method

The fair value method for the item.

  • Amount: The Fair Value can simply be any amount greater than zero. The amount is converted between the functional and originating currencies as needed.
  • Sales Amount: The Fair Value is the same value as the Extended Price for the line item, which applies for both functional and originating currency amounts.
    Note icon. Note: The sales amount method is not compatible with negative amounts because the Fair Value must be greater than zero.
  • List Price:The Fair Value comes from the List Price on the MERA Item Currency Maintenance window using functional or originating currency as needed.
  • % of an Item: The Fair Value is set using the MERA Item Fair Value Calculator window.
    Note icon. Note: Negative quantity line items result in a negative Extended Fair Value. A negative value is allowed and is handled by the calculation.

Include Check Box

Select this check box to apply the MEA ID that is specified in the header to the selected line items. When MEA Type is single, this check box is cleared for all line items.

Line items that have the Renewal check box selected, have a meter attached, or are on hold cannot be part of the multiple element arrangement. Error messages for these situations appear in the scrolling window.

Item Number

Displays the number for the item. Read-only.

MEA ID

Displays the MEA ID for the item.

  • When the MEA Type is Single, the MEA ID is automatically entered from the MEA ID box in the header, and all items have the same MEA ID. You cannot change the MEA ID for the individual line items.
  • When the MEA Type is Multiple, you can edit the MEA ID. When you leave he MEA ID box in the header empty, you can change the MEA ID for each individual line as needed. As a result, some line items can have the same MEA ID, some with different MEA IDs, and some with no MEA ID.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Report Options: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Report

Opens the SSRS report.

Closed Monthly Recurring Revenue Report

The report shows the following information:

Monthly Recurring Revenue Table
Column Name | Description
Beginning MRR | Calculated as the previous month Ending MRR (for example, Beginning MRR for Feb = Ending MRR for Jan).
New Sale | Total of all new recurring lines started in this reporting period.
Renewals | Total of all renewal amounts in this reporting period.
Upgrade/Downgrade | Total of all changes made to the contract amounts in this reporting period, including free months. A positive amount is an upgrade; a negative amount is a downgrade. Available in ARCB Build 902 (and earlier).
Upgrade | Total of all upgrade changes made to the contract amounts in this reporting period. Available ARCB build 903 (and newer).
Downgrade | Total of all downgrade changes made to the contract amounts in this reporting period. Available ARCB build 903 (and newer).
Churn | Total of all billing amounts that will not continue (appears as a negative amount).
Ending MRR | Calculated as follows: Beginning MRR + New sales + Renewals + Upgrades/Downgrades - Churn
Closed View example of the MRR report.

Closed Revenue by Customers

Available in ARCB (build 809 and newer).

Each line of the report shows the following information for the specified customer:

Column Name | Description
Customer ID | Displays the customer number.
Beginning Revenue | Displays the calculated revenue amount up to the beginning of the specified period.
New Sale | Total of all new recurring lines started in this reporting period.
Renewals | Total of all renewal amounts in this reporting period.
Upgrade/Downgrade | Total of all changes made to the contract amounts in this reporting period, including free months.
Churn | Total of all billing amounts that will not continue (appears as a negative amount).
Ending Revenue | Calculated using the following formula: Beginning Revenue + New Sales + Renewals + Upgrades/Downgrades + Churn.
Closed Upcoming Contract Renewal Report

The report has the following information:

Column Name | Description
Header |
From Date | Displays the start date for the reporting periods.
To Date | Displays the end date for the reporting periods.
Range By | Displays the range used for the report.
Schedule Type | Displays the schedule type from the Billing Schedule Maintenance window.
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Schedule Description | Displays the schedule description from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Customer Name | Displays the customer name from the Billing Schedule Maintenance window.
End User | Displays the end user ID from the Billing Schedule Maintenance window.
End User Name | Displays the end user name from the Billing Schedule Maintenance window.
Item | Displays the item number from line item on the Billing Schedule Maintenance window.
Item Description | Displays the item description from line item on the Billing Schedule Maintenance window.
Contract Start Date | Displays the contract start date from the Renewal table.
Contract End Date | Displays the contract end date from the Renewal table.
Lead Time | Displays the lead time from the Renewal table for the selected record.
Notice Date | Displays the notice date from the Renewal table for the selected record.
Billing Frequency | Displays the billing frequency from line item on the Billing Schedule Maintenance window.
Renewal Template | Displays the Renewal Template ID from the Billing Schedule Maintenance window.
Currency ID | Displays the currency ID from the Billing Schedule Maintenance window.
Last Invoice Amount | Displays the amount for the last period billed.
Annualized Invoiced Amount | Displays the sum total of the last invoiced amount for all lines of the Billing Schedule Maintenance window multiplied by the billing frequency.
Closed Total Contract Report

The detailed report has the following columns:

Column Name | Description
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Schedule Description | Displays the schedule description from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Customer Description | Displays the customer description from the Billing Schedule Maintenance window.
Item | Displays the item number from line item on the Billing Schedule Maintenance window.
Item Description | Displays the item description from line item on the Billing Schedule Maintenance window.
Start Date | Displays the billing start date from the Billing Schedule Maintenance window.
End Date | Displays the billing end date from the Billing Schedule Maintenance window.
Renewed | Displays Yes, when Renewal Template ID on the Billing Schedule Maintenance window has a value. Otherwise, displays No.
Billing Frequency | Displays the billing frequency from line item on the Billing Schedule Maintenance window.
Last Invoice Amount | Displays the amount for the last period billed.
Total Invoiced Amount | Displays the sum total of the invoiced amount for every individual line of the Billing Schedule Detail window. The invoiced amount is the amount for which an invoice has already been sent.
Annualized Invoiced Amount | Displays the sum total of the last invoiced amount for all lines of the Billing Schedule Detail window multiplied by the billing frequency.
Total Contract Value | Displays the sum total of the extended price for every individual line of the Billing Schedule Detail window.
Sales Person | Displays the sales person ID from the window.
Location | Displays the location from line item on the Billing Schedule Maintenance window.
End User | Displays the end user ID from the Billing Schedule Maintenance window.

The summary report has the following columns:

Column Name | Description
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Schedule Description | Displays the schedule description from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Customer Description | Displays the customer description from the Billing Schedule Maintenance window.
Start Date | Displays the billing start date from the Billing Schedule Maintenance window.
End Date | Displays the billing end date from the Billing Schedule Maintenance window.
Termination Date | Displays the termination date of the billing schedule from the Billing Schedule Maintenance window.
Renewed | Displays Yes, when Renewal Template ID on the Billing Schedule Maintenance window has a value. Otherwise, displays No.
Total Invoiced Amount | Displays the sum total of the invoiced amount for all lines of the Billing Schedule Detail window. The invoiced amount is the amount for which an invoice has already been sent.
Annualized Invoiced Amount | Displays the sum total of the last invoiced amount for all lines of the Billing Schedule Detail window multiplied by the billing frequency.
Total Contract Value | Displays the sum total of the extended price for all lines of the Billing Schedule Detail window.
Sales Person | Displays the sales person ID from the Schedule Customer Detail window.
End User | Displays the end user ID from the Billing Schedule Maintenance window.
Closed Termination Report

The summary report has the following columns:

Column Name | Description
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Schedule Description | Displays the schedule description from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Customer Description | Displays the customer description from the Billing Schedule Maintenance window.
Start Date | Displays the billing start date from the Billing Schedule Maintenance window.
End Date | Displays the billing end date from the Billing Schedule Maintenance window.
Total Contract Amount | Displays the total contract amount from the Billing Schedule Detail window.
Last Month MRR | Displays a calculated value from the MRR report: Beginning MRR + New Sales + Renewals + Upgrade/Downgrades - Churn.
Annualized Revenue | Displays a calculated value: Last Invoice Amount * Billing Frequency.
Termination Date | Displays the termination date of the billing schedule from the Billing Schedule Maintenance window.
Termination Reason | Displays the termination reason from the Billing Schedule Maintenance window.
End User | Displays the end user ID from the Billing Schedule Maintenance window.

The detailed report has the following columns:

Column Name | Description
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Schedule Description | Displays the schedule description from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Customer Description | Displays the customer description from the Billing Schedule Maintenance window.
Start Date | Displays the billing start date from the Billing Schedule Maintenance window.
End Date | Displays the billing end date from the Billing Schedule Maintenance window.
Item | Displays the item number from line item on the Billing Schedule Maintenance window.
Item Description | Displays the item description from line item on the Billing Schedule Maintenance window.
Total Contract Amount | Displays the total contract amount from the Billing Schedule Detail window.
Last Month MRR | Displays a calculated value from the MRR report: Beginning MRR + New Sales + Renewals + Upgrade/Downgrades - Churn.
Annualized Revenue | Displays a calculated value: Last Invoice Amount * Billing Frequency.
Termination Date | Displays the termination date of the billing schedule from the Billing Schedule Maintenance window.
Termination Reason | Displays the termination reason from the Billing Schedule Maintenance window.
End User | Displays the end user ID from the Billing Schedule Maintenance window.
Location | Displays the location from line item on the Billing Schedule Maintenance window.
Closed New Contract Sales Report

The report has the following information:

Column Name | Description
Header |
From Date | Displays the start date for the reporting periods.
To Date | Displays the end date for the reporting periods.
Range By | Displays the range used for the report.
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Start Date | Displays the billing start date from the Billing Schedule Maintenance window.
End Date | Displays the billing end date from the Billing Schedule Maintenance window.
Total Contract Amount | Displays the sum total of every line from the Billing Schedule Detail window.
First Month MRR | Displays the first month MRR amount.
Renewal Template | Displays the Renewal Template ID from the Billing Schedule Maintenance window.
Sales Person | Displays the sales person ID from the Schedule Customer Detail window.
End User | Displays the end user ID from the Billing Schedule Maintenance window.
Closed Total Contract Revenue

The report has the following information:

Column Name | Description
Header |
From Date | Displays the start date for the reporting periods.
To Date | Displays the end date for the reporting periods.
Range By | Displays the range used for the report.
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Customer ID | Displays the customer ID from the Billing Schedule Maintenance window.
Start Date | Displays the billing start date from the Billing Schedule Maintenance window.
End Date | Displays the billing end date from the Billing Schedule Maintenance window.
Total Contract Amount | Displays the total extended price of the complete schedule from the Billing Schedule Maintenance window.
Current Invoice Amount | Displays the total invoiced amount for the reporting period from the Billing Schedule Maintenance window.
Current Deferred Amount | Displays the current deferred amount from the ARED Recognition Schedule Entry window.
Current Non-Deferred Revenue Amount | Displays a calculated value: Current Invoice Amount - Current Deferred Amount.
Current Deferred Recognized Amount | Displays the amount that is received from the AREDRecognition Schedule Entry window.
Current Deferred Unrecognized Amount | Displays a calculated value: Current Deferred Amount - Current Deferred Recognized Amount.
End User | Displays the end user ID from the Billing Schedule Maintenance window.
Closed Create One Schedule Reconciliation

Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702)

The report has the following information:

Column Name | Description
Header |
From Date | Displays the start date for the reporting periods.
To Date | Displays the end date for the reporting periods.
Range By | Displays the range used for the report.
Schedule ID | Displays the schedule ID from the Billing Schedule Maintenance window.
Item | Displays the item number from line item on the Billing Schedule Maintenance window.
Item Description | Displays the item description from line item on the Billing Schedule Maintenance window.
Total Contract Amount | Displays the total extended price of the complete schedule from the Billing Schedule Detail window.
Total Invoiced and Deferred | Displays the total invoiced amount up to the As of Date specified for the report.
Deferral Account (Current) | Displays the deferral account for the ARED recognition schedule.
ARED Schedule | Displays the ARED recognition schedule number that is attached to the ARCB billing schedule.
Original ARED Amount | Displays the total extended amount of the billing schedule line.
ARED Recognized Amount | Displays the total recognized amount within the date range specified. This value is from the ARED Recognition Schedule Entry window.
Revenue Account | Displays the revenue recognition account for the ARED recognition schedule.
ARED Remaining Amount | Displays the remaining amount based on the date range specified. This value is from the ARED Recognition Schedule Entry window.
Deferral Balance | Displays the deferral balance for the General Ledger, which is calculated as follows: Total invoice amount until the As of Date from ARCB - Amount recognized until the As of Date in ARED - Credit memo amount applied to the ARCB billing schedule - ARED adjustment amounts done before the As of Date
End User | Displays the end user ID from the Billing Schedule Maintenance window.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Report Options: Fields

From/To Date

Specify the from and to date range for the report.

You can specify the date range for any report except when Report is Total Contract Value Report.

In Detail

Select whether to generate a summary or a detailed report:

  • Selected: Generates a detailed report of all active billing schedules that are in the specified date range.
  • Cleared: Generates a summary report of all active billing schedules that are in the specified date range.

Available when Report is Total Contract Value or Termination Report.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

The ranges that are available for selection depend on the type of report that you want to generate.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Report ID

Specify a unique report ID when you create a report. Or use the Lookup button to select an existing report.

Reports

Displays the type of report you want to create:

  • Monthly Recurring Revenue
  • Revenue by Customers (available in ARCB (build 809 and newer))
  • Upcoming Contract Renewal
  • Total Contract Value
  • Total Contract Revenue
  • New Contract Sales
  • Termination Report
  • Create One Schedule Reconciliation (Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702))

The value of this box is based on how you accessed the window from the ARCB area page.

Show Only Customers with Changed Revenues

Available in ARCB (build 809 and newer) for the Revenue by Customers report.

Indicates whether the report shows data only for customers who have had changes in their revenue for the specified reporting period:

  • Selected: Shows data only for customers who have changes in their revenue.
  • Cleared:Shows data for all customers regardless of whether a change in the revenue occurred. Default.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Buttons

Support/Renewal Item expansion

Opens the Support/Renewal Item Detail window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Fields

Support/Renewal Item

Select to indicate that the item has support or renewal information.

This box is available in Microsoft Dynamics GP 2015 R2 and earlier.

In Microsoft Dynamics GP 2016 R2 (ARCB Build 609) and newer), this option is moved to the Support Renewal/Billing Details window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Buttons

Add Support/Renewal

In Microsoft Dynamics GP 2015 R2 and earlier, opens the Support/Renewal Process window.

In Microsoft Dynamics GP (ARCB Build 609), opens the Preview: Support/Renewal Process window.

Note icon. Note: If you cannot use the ARCB alternate version of this window, you can open the Preview: Support/Renewal Process window from the Additional menu. This menu item is available in Microsoft Dynamics GP 2016 R2 (ARCB Build 609) and newer).

Item Number Expansion

Opens the Master Meter Consolidation Detail window.

Support/Renewal Item Expansion

In Microsoft Dynamics GP 2015 R2 and earlier, opens the Support/Renewal Process window.

In Microsoft Dynamics GP (ARCB Build 609) and newer), this button has been removed. .

Unit Price Expansion

Open SOP Price Breakdown window for the invoiced tier items.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Fields

Billing Detail Comment

Displays the comment for the line. The comment is from the Billing Schedule Detail window.

Billing Period End Date

Displays the end date for the billing period. This information is filled when the sales transaction is generated.

Billing Period Start Date

Displays the start date for the billing period. This information is filled when the sales transaction is generated.

Comment 1/Comment 2

Displays comments from the billing schedule generating the SOP document. You can specify additional values for these boxes in this window.

Comment ID

Displays the comment ID from the detail line for the billing schedule.

End User ID

Select an existing end user attached to the customer.

End User Name

Displays the corresponding end user name.

Meter Description

Displays the meter name for the schedule. This information is filled when the sales transaction is generated.

Meter Number

Displays the meter number for the schedule. This information is filled when the sales transaction is generated.

Schedule Number

Displays the billing schedule number the item is for.

Ship To Address ID

Displays the ship to address ID from the billing schedule’s detail line.

Support/Renewal Item

Select to indicate that the item on this SOP line has a support/renewal item to be included in this SOP invoice.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Menus

Additional

Add Support/Renewal

Opens the Support Renewal/Billing Details window. Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales User-Defined Fields Entry: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales User-Defined Fields Entry: Fields

Date Field 1

Enter user-specific date information.

Date Field 2

Enter user-specific date information.

List Field 1

Enter user-specific date information.

List Field 2

Enter user-specific date information.

List Field 3

Enter user-specific date information.

Text Field 1

Enter user-specific date information.

Text Field 2

Enter user-specific date information.

Text Field 3

Enter user-specific date information.

Text Field 4

Enter user-specific date information.

Text Field 5

Enter user-specific date information.

Tracking Numbers

Type tracking numbers. Use this list if you use tracking numbers to track orders on the Internet. The tracking numbers you enter are not automatically copied to a website.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy a Schedule: Buttons

Mark All

Selects the check box for all entries in the list view.

OK

Closes the window.

Process

Creates a copy of the billing schedule with the criteria specified in the window.

  • If the schedule is copied from a terminated schedule, the status of the copied schedule is Active.
  • If the schedule is copied from a schedule that was on hold, the copied schedule has a hold applied.

Unmark All

Clears the check box for all entries in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copy a Schedule: Fields

New Document

Billing End Date

Select the date on which the billing period ends for the new schedule.

Billing Start Date

Select the date on which the billing period starts for the new schedule.

Customer Number

Select the customer number for the new schedule.

Deferral End Date

Select the deferral end date for the new schedule.

Deferral Start Date

Select the deferral start date for the new schedule.

Description

Specify a description for the new schedule.

End User ID

Select the end user ID for the new schedule.

Facility ID

Select the entity (facility) ID you want to associated with the new schedule. Available when Multi-Entity Management is installed and used.

Location

Select the location for the new schedule.

New Schedule ID

Specify a unique ID for the schedule.

Source Document

Currency ID

Displays the currency ID for the selected schedule.

Customer Number

Displays the customer number for the selected schedule.

End User ID

Displays the end user ID for the selected schedule.

Facility ID

Displays the entity (facility) ID associated with the billing schedule displayed. Available when Multi-Entity Management is installed and used.

You can change this value to any entity to which you have access.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the ID of the schedule you want to copy. If you do not want to copy the currently displayed schedule, you can select a different schedule ID.

Scrolling Window

Displays all line items in the billing schedule. Use this list to edit the line items and select the items you want to copy.

Billing End Date

Displays the billing end date of the new schedule. You can change for each line item.

Billing Start Date

Displays the billing start date of the new schedule. You can change for each line item.

Deferral End Date

Displays the deferral start date of the new schedule. You can change for each line item.

Deferral Start Date

Displays the deferral start date of the new schedule. You can change for each line item.

Item Number

Displays the item number for each line item in the existing billing schedule.

Original Unit Price

Displays the price in the specified unit of measure for each line item in the existing billing schedule. You can change the unit price.

Process

Select to copy the line item to the new schedule. Clear the check box if you do not want to copy the line item to the new schedule.

Qty

Displays the quantity for each line item. You can change this value.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Customer Detail: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

When you select this button, you are asked to roll down the changes to all lines in the schedule. Select Yes to roll down the changes to all lines in the schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Customer Detail: Fields

Bill To Address

Select the address to use as the billing address for invoices that are created for this billing schedule. For newly created schedules, this bill-to address is the customer's default bill-to address.

For schedules created from SOP, the bill-to address is defaulted from the Bill To Address on the SOP header.

Price Sheet ID

Select the price sheet ID to which to assign to the customer. The default value is from the Microsoft Dynamics GP Customer Pricing Maintenance window (Inventory > Extended Pricing > Customer Pricing).

Available only when the Enable Extended Pricing is selected on the Enabled Extended Pricing window (MS Dynamics GP > Tools > Setup > Sales > Extended Pricing).

Salesperson ID

Select a salesperson.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Ship To Address

Select the address to which to ship invoices that are created for this billing schedule. The sales tax calculation is based on this address ID. The tax schedule ID attached to the ship-to address is pushed to the Ship To Tax Schedule ID on SOP by Invoice Creator box.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Dates Detail: Buttons

Cancel

Cancels all changes and closes the window.

Contract Complete Date expansion button

Opens the Contract Complete Date Audit window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Dates Detail: Fields

Addendum Contract Signed

Select the date on which the addendum to the contract is signed.

Billing Class ID

Available in ARED for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Select the class you want to apply to the billing schedule. After you select a billing class, the boxes within the Invoice Creation Date area are updated with the details from the billing class. You can change the options as needed for the billing schedule.

Contract Completion Date

Select the date on which the contract completes. When this date is later than the Billing End Date, the Billing End Date is not rolled down from the header. This date has the roll down functionality.

Invoice Creation Date

The values are automatically updated based on the Billing Class ID selected. You can change the values as needed for the billing schedule.

Specify the values to use for the invoice creation date. For more information on how the invoice creation date is calculated, Closed review the example.

In this example, Calculate From is Billing Start Date. The billing start date is November 01, 2017. The following table shows how the invoice creation date is calculated based on the Calculation Method selected.

Invoice Creation Date Table
Calculation Method | Results
Net Days | Prior Days set to 5
 | Five days are added to the billing start date to calculate the invoice creation date. As a result, the invoice creation date is November 02, 2017, which is five days before the billing start date.
Net Days | After Days set to 5
 | Five days are subtracted from the billing start date to calculate the invoice creation date. As a result, the invoice creation date is November 12, 2017, which is five days after the billing start date.
Date | Add Day set to 10
 | The invoice creation date is November 10, 2017, which is the tenth day of the current billing period.
EOM |
 | The invoice creation date is November 30, 2017, which is the end of the month of the current billing period.
Next Month | Add Day set to 10
 | The invoice creation date is December 10, 2017, which is the tenth day of the next month.

Calculate From

Select whether to use the start or end date of a billing period from which to calculate the invoice creation date.

  • Billing Start Date (default)
  • Billing End Date

Calculation Method

Select the method by which you want to calculate the invoice creation date:

  • None: The invoice creation date is not on any specific date. Default option.
  • Net Days: The invoice creation date is a certain number of days before or after the billing start or end date.
  • Date: The invoice creation date is on a certain day of the month.
  • EOM: The invoice creation date is at the end of the month.
  • Next Month: The invoice creation date is a certain day in the next month.

Prior Days

Available when Calculation Method is Net Days.

Specify the number of days prior to the billing start or end date to set the invoice creation date. You can enter any number from 1 to 999. The number of days specified is added to the invoice billing start or end date. Only one of Prior Days or After Days can have a value.

After Days

Available when Calculation Method is Net Days.

Specify the number of days after the billing start or end date to set the invoice creation date. You can enter any number from 1 to 999. The number of days specified is subtracted from the invoice billing start or end date. Only one of Prior Days or After Days can have a value.

Days

Specify the day of the month (1 to 31) for the invoice creation date. Available when Calculation Method is Date or Next Month.

Original Contract Signed

Select the date on which the original contract is signed.

Provisioned Date

Select the date on which the customer started service. When this provisioned date is after the current billing period, an exception message is generated. When a provisioned date exists for the items, this date is used to prorate instead of the provisioned date on the header.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Deferral Detail: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Deferral Detail: Fields

Deferral End Date

Select the deferral end date. When the deferral end date is empty, deferral periods are recalculated up to the billing end date.

Deferral Start Date

Select the deferral start date. The deferral start date rolls down to lines where the start date is earlier than the deferral start date. When the start date is later than the deferral start date in the header, no changes occur.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule On Hold Detail: Buttons

OK

Closes the window.

Process

If Assigned Hold Date is entered and Hold Processed is not marked, processes the Assigned Hold Date. If Resume Date is entered and Resume check box is not selected, resumes the billing schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule On Hold Detail: Fields

Billing End Date

Displays the date on which the billing period ends.

Billing Start Date

Displays the date on which the billing period starts.

Item Description

Displays the description of the item.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Assigned Hold Date

Displays the date on which the hold starts. This date must be between the Billing Start Date and Billing End Date of this billing item. When this date is within already billed periods, when the hold is processed, a negative line is created in the Billing Schedule Detail window to reverse the billing for the On Hold period.

For example, the period February 01, 2012 – February 29, 2012 is billed for 200.00. The Assigned Hold Date is February 10, 2012. a reverse is created for February 10, 2012-February 29, 2012, which was already billed for that period. A negative billing line in the Billing Schedule Detail window for the period February 10, 2012-February 29, 2012 is created with a negative amount -137.93. Also billing lines after the period are removed.

If Assigned Hold Date is entered and Resume Date is not entered, the Hold check box on the Billing Schedule Maintenance is automatically selected.

Comment

Specify a comment regarding the hold.

Deferral Date

Displays the deferral resume date. The deferral dates are added to the billing lines starting from this deferral date.

Hold Processed

Indicates whether the hold is processed or not. A selected check box indicates the hold has been processed.

Removed Hold Date

Displays the date on which the hold is removed. This box is for information only.

Resume Date

Displays the date on which the billing schedule resumes. Billing lines starting from this date are created.

Resumed

Indicate if the service is resumed or not.

User ID

Displays the ID of the user who modified the hold information.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Comments: Buttons

Cancel

Cancels all changes and closes the window.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Comments: Fields

Comment ID

Select a comment ID. If the comment is modified, an indicator appears next to the Comment ID.

Comment 1, 2

Specify additional comments for the line item. The default values are from the billing schedule generating the SOP document.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Customer Detail: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Customer Detail: Fields

Bill To Address

Select the address to use as the billing address for invoices that are created for this billing schedule. For newly created schedules, this bill-to address is the customer's default bill-to address.

For schedules created from SOP, the bill-to address is defaulted from the Bill To Address on the SOP header.

Salesperson ID

Select a salesperson.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Ship To Address

Select the address to which to ship invoices that are created for this billing schedule. The sales tax calculation is based on this address ID. The tax schedule ID attached to the ship-to address is pushed to the Ship To Tax Schedule ID on SOP by Invoice Creator box.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Deferrals: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Deferrals: Fields

COGS Deferrable

Select to defer the revenue and costs of goods sold (COGS) of an inventory item. When this check box is cleared, the revenue and COGS is not deferred. The default setting is from the Item Maintenance window. You can change it as needed.

Available as of Microsoft Dynamics GP 2015 R2.

COGS Recognition Account

Select the account to use for the deferred revenue and costs of goods sold (COGS) of an inventory item. The default value is set in Advanced Revenue & Expense Deferrals. You can change the value as needed.

This account is used when creating a COGS recognition schedule. Available as of Microsoft Dynamics GP 2015 R2.

Deferrable

Select to identify the item as deferrable.

Deferred Revenue Account

Available as of Microsoft Dynamics GP 2016 R2 , and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Select the Profit and Loss account to use to reverse the original revenue amount on a sales transaction.

The default value is based on the item class associated with the item. If no item class is associated with the item, then the default values are based on the Profit and Loss setup ID from the Item Maintenance window. If the Profit and Loss setup ID is not associated with the item, the default accounts are based on the Profit and Loss Account Setup window in Advanced Revenue & Expense Deferrals.

Deferral Account

Available as of Microsoft Dynamics GP 2016 R2, and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Select the Balance Sheet account to be used to record the total deferred balance that is transferred from the original revenue. This account is then used periodically to move the recognized revenue from the deferral.

The default value is based on the item class associated with the item. If no item class is associated with the item, then the default values are based on the Profit and Loss setup ID from the Item Maintenance window. If the Profit and Loss setup ID is not associated with the item, the default accounts are based on the Profit and Loss Account Setup window in Advanced Revenue & Expense Deferrals.

Event Based

This section is available when Recognition Schedule Type is set to Event Based. Available as of Microsoft Dynamics GP 2015 R2.

Event Based Template ID

Select an event based template ID.

Allocation Method

Select the allocation method used to calculate the recognition amount for each period:

  • Equal Amounts: Distributes the amounts equally between all periods.
  • By Percentage: Calculates the recognition amount for each period based on the percentage attached to each event. The total percentage cannot exceed 100%.
  • Variable Amounts: Allows you to manually enter a recognition amount for each event (period) on the recognition schedule entry window. The total of all variable amounts must match the extended amount on the sales line.
  • Percentage of Completion: Allows you to specify a percentage of completion. This percentage is used to calculate the recognition amount for each period.

Create Events Based on Qty

Select to create the recognition periods (lines) based on the quantity. For example, the following scenarios can occur:

  • When the quantity is 3, and one event is specified in the template, only three lines are in the recognition schedule.
  • When the quantity is 3, and 2 events are specified in the template, six lines are in the recognition schedule.

Scrolling Window

Displays values based on the Event Based Template ID. You can edit the values as needed:

  • Sequence: Displays a unique system-generated sequence number. Display-only.
  • Event Type: Select an event type.
  • Description: Specify a description. The description is information only.
  • Event Identifier: Specify a unique event identifier. This identifier is used when Use Event Identifier on the ARED Setup window is selected.
  • Alloc %: Specify an allocation percentage. Available when Allocation Method is set to By Percentage.
  • Completion %: Specify the completion percentage. The recognition amount is calculated when the SOP document is created through the Invoice Creator or Invoice Creator Mass Processing. Available when Allocation Method is set to Percentage of Completion.

Displays the item number.

Item Description

Displays the description for the item.

Recognition Account

Select a default schedule recognition account.

Recognition Schedule Type

Select the recognition schedule type for ARED integration: Standard or Event Based. Available as of Microsoft Dynamics GP 2015 R2.

Standard

This section is available when Recognition Schedule Type is set to Standard.

Create One Schedule

Select to create one ARED recognition schedule for all of the billing periods in an ARCB schedule instead of the usual one recognition schedule for each period.

This check box is not available for schedules created with a non-functional currency ID. This function is currently not supported in multicurrency environments.

Create Schedule Based on Dates

Select to use the deferral start date and end date for calculating a recognition schedule, not a template ID.

Deferral End Date

Select the deferral end date to create a schedule in ARED.

When Create One Schedule and Create Schedule Based on Dates are selected on the Setup window and a deferral schedule exists for a selected line item, you can enter the deferral end date on the selected line. When the deferral end date is changed, the Recalculation Date Header window appears, where you specify a recalculation date and the reason for the change. The deferral periods in the recognition schedule are recalculated by dividing the total schedule amount by the number of periods remaining up to the deferral end date.

Deferral Frequency

Select the deferral frequency for deferral schedules: Monthly, Quarterly, Semi-Annually, and Annually. The deferral frequency is used only when Create Schedule Based on Dates is selected.

Note icon. Note: The deferral frequency cannot be greater than the billing frequency.

Deferral Schedule

Displays the deferral schedule ID.

Deferral Start Date

Select the deferral start date to create a schedule in ARED.

When Create One Schedule and Create Schedule Based on Dates are selected on the Setup window and a deferral schedule exists for a selected line item, you can change the deferral start date on the selected line. When the deferral start date is changed, the start date of the attached ARED recognition schedule is also changed, and the recognition schedule amounts are recalculated based on the new deferral start date.

You can change the deferral start date only when the deferral schedule is not yet recognized.

Template ID

Select a default schedule recognition template ID.

Unbilled Revenue Account

Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702).

Specify the account for unbilled revenue amounts. Available when Create One Schedule is selected.

This default account for the unbilled revenue on the Mass Termination Process window, but you can change the account as needed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Kit Options: Buttons

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Kit Options: Fields

Item Description

The description of the kit item which is taken from the Kit Item Maintenance window.

Item Number

Displays the kit item number from the Billing Schedule Maintenance window.

Schedule ID

Displays the schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Allocation %

Displays the allocation percentage for each component from the Kit Item Maintenance window. You can change this value.

Component Item Number

Displays the component item number from the Kit Item Maintenance window.

Description

Displays the description of the component from Item Maintenance window.

Location

Displays the location to which the component is assigned.

Quantity

Displays the quantity for the component from the Kit Item Maintenance window.

Sales Account

Displays the sales account for the component item. The default value is from the Item Accounts for each component item. You can change this value.

U of M

Displays the unit of measure for the component.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Work In Progress: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Line Work In Progress: Fields

Track Work In Progress

Select to indicate the item is tracking work in progress. Available when Enable Work In Progress is selected in the Setup window. The value defaults in the Billing Schedule Maintenance window.

Unbilled Revenue Account

Select the unbilled revenue account when tracking WIP. When Track Work In Progress is selected, the unbilled account defaults in the Billing Schedule Maintenance window.

WIP Account

Select the work in progress account when tracking WIP. When Track Work In Progress is selected, the WIP account defaults in the Billing Schedule Maintenance window.

WIP JE

Displays the journal entry number for an item where the journal entry has been created in the WIP JE Processing window. Select the expansion button to open the WIP JE Detail window, where you can view other journal entry numbers.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Price Breakdown: Buttons

Default

If you changed the Extended Price, reverts the Extended Price to the original flat tier price amount from the Item Price List Maintenance window.

Available as of Microsoft Dynamics GP 2015 R2, when Enable Tier Pricing is selected on the Setup window is selected, and when Price Option is Flat Tier on the Item Maintenance window.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Price Breakdown: Fields

Billing Start Date

Displays the start date of the selected billing period.

Billing End Date

Displays the end date of the current billing period.

Description

Displays a description of the item.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Markdown Amount

Displays the markdown amount for the line item.

Price Level

Displays the price level used most often when selling the item.

Price Option

Displays the pricing method for the item:

  • Standard: Calculates the unit price based on the total quantity entered and is taken from the Item Price List Maintenance according to existing Microsoft Dynamics GP standard pricing functionality.
  • Flat: Applies a flat price to the original item price.
  • Tier: Calculates unit price using fixed quantity at different pricing brackets. Each tier must be filled before moving to the next pricing tier bracket. For more information, see Pricing Methods.
  • Flat Tier: Calculates unit price using fixed quantity and extended price amounts for different pricing brackets. The price that is charged in a billing period uses the extended price that corresponds to the tier where the billing quantity exists. For more information, see Pricing Methods.

    Available as of Microsoft Dynamics GP 2015 R2, and when Enable Tier Pricing is selected on the Setup window is selected.

Qty/Consumption

Displays the quantity or consumption of the item for selected the period/line.

Scrolling Window

Displays the price brackets for the item. The following columns appear:

  • From Qty (value from the Item Price List Maintenance window)
  • To Qty (value from the Item Price List Maintenance window)
  • Unit Price (value from the correspondent quantity range (Price Bracket) From Qty/To Qty of the Item Price List Maintenance window)
  • Bill Quantity (quantity of each tier - for examples, see Pricing Methods)
  • Extended Price (calculated for the current quantity range/tier)

If you override the unit price breakdown for any line item on this window, the total unit price is recalculated, and the Unit Price on the Billing Schedule Detail window is updated. The Unit Price is recalculated using the following formula: Total Extended Price / Total Bill Quantity.

As of Microsoft Dynamics GP 2015 R2, when you use the flat tier pricing functionality, you can change the Extended Price, which then is applied to the unit price on the Billing Schedule Maintenance and Billing Schedule Detail windows.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Returns: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule User Defined Fields Entry: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule User Defined Fields Entry: Fields

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Site Maintenance: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Site Maintenance: Fields

Entity

Select the entity to use for account substitution. If you are using Multi-Entity Management, this value is not the same as the entity ID used in MEM.

Region

Select the region to use for account substitution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Price Breakdown: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SOP Price Breakdown: Fields

Description

Displays the description for the item.

Displays the item number.

Price Level

Displays the price level used most often when selling the item.

Price Option

Displays the pricing method for the item: Standard or Tier.

Qty/Consumption

Displays the quantity of the item for the transaction.

Scrolling Window

Displays the price brackets for the item. The following columns appear:

  • From Qty
  • To Qty
  • Unit Price
  • Bill Quantity
  • Extended Price
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Tier Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

User Defined

Opens the User Defined window, where you can enter the data for any user-defined boxes.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Tier Maintenance: Fields

Description

Specify a description for the support or renewal level.

Level ID

Specify a unique identifier for the support or renewal level (for example, Gold or Silver).

Renewal Percentage

Specify a percentage to be used for calculating the renewal item price. If standard amount is selected, the amount is specified at the time the transaction is created.

Support Percentage

Specify a percentage to be used for calculating the support item price. If standard amount is selected, the amount is specified at the time the transaction is created.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Detail: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Item Detail: Fields

Completion Date

Select the transaction completion date. This date is used for information only.

Create Support

Select to create a first year support line when Process is selected.

Clear the check box to prevent the creation of a first year support line when Process is selected.

Create/Update Renewal

Select to create or update a renewal schedule when a support/renewal item is posted in the Sales Transaction Entry window. Default option.

Clear the check box to prevent the creation or updating of a renewal schedule when a support/renewal item is posted in the Sales Transaction Entry window.

Days to Increment

Displays the number of days to increment the transaction date.

Disable Calendar Billing

Select to calculate the charged amounts and renewal amounts for all schedules based on elapsed time billing.

Clear the check box to calculate the charged amounts and renewal amounts for all schedules based on calendar billing.

You can select or clear this option for each schedule you select in the Support/Renewal Item Detail window.

For example, the following values are set:

  • Support Start Date: September 07, 2010
  • Support End Date: September 30, 2011
  • Billing Frequency: Annual
  • Extended Price: 1000.00
  • Support %: 18%

When this check box is selected (schedules are based on elapsed time billing), the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (September 06, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 191.83

When the check box is cleared (schedules are based on calendar billing) the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (August 31, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 195.04

Frequency

Select the contract frequency. The frequency is used to calculate the pro-rated support and renewal amounts for the support and renewal sales line items. The default value is from the Support/Renewal Process window.

Renewal Contract Information

Extended Price

Select whether the extended price excludes or includes a markdown:

  • Exclude Markdown: The Originating and Functional Renewal Amounts are calculated as follows: Unit Price x Quantity for the Item.
  • Include Markdown: The Originating and Functional Renewal Amounts are calculated as follows: (Unit Price - the Markdown Price) x Quantity for the item.

The default value is from the Setup window or the Support/Renewal Process after processing. You can override the selection in this window.

For example, a Quantity of 1, the Unit Price for an item is 100.00, and the Markdown price is 30.00.

  • When Exclude Markdown is selected, 100.00 is used to calculate the renewal amounts (equation: 100.00 x 1).
  • When Include Markdown is selected, 70.00 is used to calculate the renewal amounts (equation: (100.00 - 30.00) x 1).

Functional Renewal Amount

Displays a calculated amount in the functional currency. The amount is calculated based on the renewal start date, renewal end date, and the percentage. The renewal amount is calculated using the formula:

  • Extended price of the item x percentage

Then this amount is prorated based on the renewal start date and end date and billing frequency.

Originating Renewal Amount

Displays a calculated amount in the originating currency. The amount is based on the renewal start date, renewal end date and the percentage. The renewal amount is calculated using the formula:

  • Extended price of the item * percentage

Then this amount is pro-rated based on the renewal start date and end date and billing frequency.

Renewal %

Specify the renewal percentage used when calculating the unit price for a renewal item in a billing schedule. This value is from the Setup window.

Based on this percentage, the amount charged for the renewal item is calculated using the formula:

  • Extended price of the item x percentage

The calculated amount is then pro-rated based on the start and end dates of the renewal item and the renewal contract frequency.

This value is from the Renewal Percentage on the Setup window.

Renewal End Date

Displays the calculated end date for the original support contract.

The default value is from the Support/Renewal Process window. This date cannot be earlier than the Renewal Start Date.

Renewal Start Date

Displays the calculated renewal start date based on the support contract start and end dates and the frequency specified. This date cannot be later than the renewal end date.

The default value is from the Support/Renewal Process window.

Schedule ID

Select an active schedule ID to add the renewal item entered into an existing schedule.

When you select a schedule that is NOT active, for example, when a customer has allowed a support contract to lapse, you are asked if you want to change the status of the schedule from disabled to active.

  • When select to change the status of the schedule to active, the current status of the line items that are already in the schedule are retained and new schedule lines are added as active lines.
  • When you select not to change the status, the status of the schedule remains disabled, and you can select an active schedule or create a new schedule instead.

The Maintain Schedule By option on the Setup window affects which schedule IDs you can select:

  • When Customer is selected, you can only select from the renewal schedules for the customer selected in the Sales Transaction Entry window.
  • When End User is selected, you can only select from the renewal schedules for the end user selected in the Sales Transaction Entry window.
  • When None is selected, you can elect from the renewal schedules for the customer or create a new renewal schedule when you post an invoice in the Sales Transaction Entry window.

Support Contract Information

Extended Price

Select whether the extended price excludes or includes a markdown:

  • Exclude Markdown: The Originating and Functional Charge Amounts are calculated as follows: Unit Price x Quantity for the Item.
  • Include Markdown: The Originating and Functional Charge Amounts are calculated as follows: (Unit Price - the Markdown Price) x Quantity for the item.

The default value is from the Setupwindow or the Support/Renewal Process after processing. You can override the selection in this window.

For example, a Quantity of 1, the Unit Price for an item is 100.00, and the Markdown price is 30.00.

  • When Exclude Markdown is selected, 100.00 is used to calculate the charge amounts (equation: 100.00 x 1).
  • When Include Markdown is selected, 70.00 is used to calculate the charge amounts (equation: (100.00 - 30.00) x 1).

Functional Charged Amount

Displays a calculated amount in the functional currency. The amount is calculated based on the contract original start date, end date and the percentage. The amount charged for the original support is calculated using the formula:

  • Extended price of the item x percentage

Then this amount is prorated based on the original start date and end date and billing frequency.

Originating Charged Amount

Displays a calculated amount in the originating currency. The amount is based on the contract original start date, end date and the percentage. The amount charged for the original support is calculated using the formula:

  • Extended price of the item x percentage

Then this amount is prorated based on the original start date and end date and billing frequency.

Support %

Displays the support percentage used when calculating the unit price for a support item in a billing schedule. This value is from the Setup window.

Based on this percentage, the amount charged for the original support item is calculated using the formula:

  • Extended price of the item x percentage

The calculated amount is then prorated based on the original start date and end date and the billing schedule frequency.

Support End Date

Displays the calculated end date for the original support contract.

Support Start Date

Specify the start date for the original support contract.

This value is reused in the Original Contract Signed box in the Recurring Contract Billing Schedule.

Support/Renewal Option

Available as of Microsoft Dynamics GP 2016 RTM.

Calculate Option

Select how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Level: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Level ID

Select the support level for the renewal or support item. Available when Calculation Option is Tier.

Percentage/Amount

Select whether to use a Percentage or a flat Amount for calculating support and renewal amounts. This option is available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Support/Renewal Qty

Select one of the following options:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

The default value is set up in the Support/Renewal Process window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renew Preview: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renew Preview: Fields

Calculation Option

Displays how the support and renewal amounts are calculated. This value is from the sales document:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. The percentages are set up on the Item Maintenance window.
  • Tier: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Level ID

Displays the support level for the renewal or support item. This value is from the sales document. Available when Calculate Option is Level.

Original Sales Item

Displays the original sales item number.

Original Sales Price

Displays the original sales price for the item.

Percentage/Amount

Displays whether a Percentage or a flat Amount is used for calculating support and renewal amounts. This option is available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Renewal %

Displays the renewal percentage for the item. This value is from the sales document.

Renewal Amount

Displays the renewal amount for the item. This value is from the sales document.

(Renewal) Item Description

Displays the renewal item description. This value is from the Billing Schedule Maintenance window.

Renewal Item Number

Displays the renewal item number. This value is from the Billing Schedule Maintenance window.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

List View

Date Modified

Displays the date on which the support level ID was modified.

New Level ID

Displays the new support level ID.

New Renewal %

Displays the new renewal percentage for the item.

New Renewal Amount

Displays the new renewal amount for the item.

Original Level ID

Displays the original support level ID.

Original Renewal %

Displays the original renewal percentage for the item.

Original Renewal Amount

Displays the original renewal amount for the item.

Reason

Displays the reason for why the support level ID was changed.

User Modified

Displays the ID of the user who modified the support level ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Preview: Buttons

OK

Saves the changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Preview: Fields

SOP Type

Displays the sales document type, which is from the Type ID on the Sales Transaction Entry window.

SOP Number

Displays the sales document number, which is from the Document No. on the Sales Transaction Entry window.

Support/Renewal Item

Select to indicates that the item on this SOP line has a support/renewal item to be included in this SOP invoice.

Support/Renewal Option

These values are automatically entered based on the values you entered on the Support/Renewal Process or Support/Renewal Item Detail windows.

Level ID

Select the support level for the renewal or support item. Available when Calculate Option is Level.

Percentage/Amount

Select whether to use a Percentage or a flat Amount for calculating support and renewal amounts. This option is available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Scrolling Window

Displays the items for the sales document that have the Support/Renewal check box selected.

Extended Price

Displays the extended price for an item. This is from the sales document and cannot be edited.

Displays the item number.

Level ID

Displays the support level ID for the item. The default value is set onthe Support/Renewal Process or Support/Renewal Item Detail windows, but you can change it.

Support Item

Displays the support item as set up on the Item Maintenance window.

Support %

Displays the support percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Support Amount

Displays the support amount, which is calculated based on the Support %. Or if the Support Amount has a value, displays the support amount.

Renewal Item

Displays the renewal item as set up on the Item Maintenance window.

Renewal %

Displays the renewal percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Renewal Amount

Displays the renewal amount, which is calculated based on the Renewal %. Or if the Renewal Amount has a value, displays the support amount.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process: Buttons

OK

Closes the window.

Preview

Opens the Support/Renew Amounts Preview window, where you can see a preview of the support and renewal amounts. Only the line items that have the Support/Renewal check box selected appear in this window. You can change the percent or amount as needed, and the extended price that is calculated is used when creating the support or renewal line item.

This window is available for both Standard and Level calculation options.

Process

Checks each sales line item in the Sales Transaction Entry window. When the Support/Renewal Item check box is selected in the sales line, the support/renewal information in this window is applied to the sales line items to calculate the Charged Amount and/or the Renewal Amount in the Support/Renewal Item Detail window.

The renewal percentage for each sales line item is from the Item Maintenance window. When missing from the Item Maintenance window, the percentage in this window is used.

Sales line items are automatically inserted into the SOP invoice as original support items.

Note icon. Note: When the CCH Sales Tax Online plug-in is installed, the plug-in calculates the tax amount for the invoice and the amount is added in the Sales Transaction Entry window.

After processing, when you make a change to the information in this window, you are asked to roll down the changes. If you select Yes, the changes are applied to all of the support/renewal sales line items. A changed percentage only rolls down when Override the percentage on renewal lines option is selected.

When Auto Billing Creation is selected on the Setup window and you post the sale in the Sales Transaction Entry window, a renewal schedule is created or updated. For a Return document specify the renewal line has negative amount.

Schedule ID expansion button

Displays the line items for the next billing period for the selected billing schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process: Fields

Completion Date

Select the transaction completion date. This date is used for information only.

Create Support

Select to create a first year support line when Process is selected.

Clear the check box to prevent the creation of a first year support line when Process is selected.

Create/Update Renewal

Select to create or update a renewal schedule when a support/renewal item is posted in the Sales Transaction Entry window.

Clear the check box to prevent the creation or updating of a renewal schedule when a support/renewal item is posted in the Sales Transaction Entry window.

Days to Increment

Displays the number of days to increment the transaction date.

Disable Calendar Billing

Select to calculate the charged amounts and renewal amounts for all schedules based on elapsed time billing.

Clear the check box to calculate the charged amounts and renewal amounts for all schedules based on calendar billing.

You can select or clear this option for each schedule you select in the Support/Renewal Item Detail window.

For example, the following values are set:

  • Support Start Date: September 07, 2010
  • Support End Date: September 30, 2011
  • Billing Frequency: Annual
  • Extended Price: 1000.00
  • Support %: 18%

When this check box is selected (schedules are based on elapsed time billing), the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (September 06, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 191.83

When the check box is cleared (schedules are based on calendar billing) the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (August 31, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 195.04

Frequency

Select the contract frequency. The frequency is used to calculate the pro-rated support and renewal amounts for the support and renewal sales line items. The default value is set up in the Default Billing Frequency box on the Setup window.

Renewal Contract Information

Alignment Date

Select the date on which you want the renewal sales line items to align. The default date from the Align Billing Schedule Utility window appears after you select the Schedule ID.

Extended Price

Displays whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown. The value is set up in the Setup window. You can override the selection in this window.

Override the percentage on renewal lines

Select to use the renewal percentage from this window to calculate the unit price.

Clear the check box to use the renewal percentage from the Item Maintenance window instead.

Renewal %

Specify the renewal percentage used when calculating the unit price for a renewal item in a billing schedule. This value is from the Setup window.

Based on this percentage, the amount charged for the renewal item is calculated using the formula:

  • Extended price of the item x percentage

The calculated amount is then pro-rated based on the start and end dates of the renewal item and the renewal contract frequency.

Renewal Amount

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the renewal amount.

Renewal End Date

Displays the calculated renewal end date based on the renewal start date and the billing frequency. This date cannot be earlier than the renewal start date.

Renewal Start Date

Displays the calculated renewal start date based on the support contract start and end dates and the frequency specified. This date cannot be later than the renewal end date.

Schedule ID

Select an active schedule ID to add the renewal item entered into an existing schedule.

When you select a schedule that is NOT active, for example, when a customer has allowed a support contract to lapse, you are asked if you want to change the status of the schedule from disabled to active.

  • When select to change the status of the schedule to active, the current status of the line items that are already in the schedule are retained and new schedule lines are added as active lines.
  • When you select not to change the status, the status of the schedule remains disabled, and you can select an active schedule or create a new schedule instead.

The Maintain Schedule By option on the Setup window affects which schedule IDs you can select:

  • When Customer is selected, you can only select from the renewal schedules for the customer selected in the Sales Transaction Entry window.
  • When End User is selected, you can only select from the renewal schedules for the end user selected in the Sales Transaction Entry window.
  • When None is selected, you can elect from the renewal schedules for the customer or create a new renewal schedule when you post an invoice in the Sales Transaction Entry window.

Support Contract Information

Extended Price

Displays whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown. The value is set up in the Setup window. You can override the selection in this window.

Override the percentage on support lines

Select to use the support percentage from this window to calculate the unit price.

Clear the check box to use the support percentage from the Item Maintenance window to calculate the unit price.

Support %

Specify the support percentage used when calculating the unit price for a support item in a billing schedule. This value is from the Setup window.

Based on this percentage, the amount charged for the original support item is calculated using the formula:

  • Extended price price of the item x percentage

The calculated amount is then pro-rated based on the original start date and end date and the billing schedule frequency.

Support Amount

Available as of Microsoft Dynamics GP 2016 RTM.

Displays the support amount.

Support End Date

Displays the calculated end date for the original support contract.

Support Start Date

Specify the start date for the original support contract.

Support/Renewal Option

Available as of Microsoft Dynamics GP 2016 RTM.

Calculate Option

Select how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Level: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Level ID

Select the support level for the renewal or support item. Available when Calculation Option is Tier.

Percentage/Amount

Select whether to use a Percentage or a flat Amount for calculating support and renewal amounts. This option is available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Support/Renewal Qty

Select one of the following options:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

The default value is set up in the Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support/Renewal Process: Menus

Additional

Add Support/Renewal

Opens the Preview: Support/Renewal Process window. Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Renewal/Billing Details: Buttons

Cancel

Cancels all changes and closes the window.

OK

Closes the window.

Item Number expansion buttons

Two expansions buttons are located in this column header:

  • Opens the xxx Meter window
  • Opens the xxx Tier Price window
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support Renewal/Billing Details: Fields

Customer ID

Displays the customer account ID or number.

Customer Name

Displays the customer name.

Document No.

Displays the sales document number.

End User ID

Select an existing end user attached to the customer.

End User Name

Displays the end user name.

Type

Displays the sales document type.

Billing tab

Billing Detail Comment

Displays the comment for the line. The comment is from the Billing Schedule Detail window.

Billing Period End Date

Displays the end date for the billing period. This information is filled when the sales transaction is generated.

Billing Period Start Date

Displays the start date for the billing period. This information is filled when the sales transaction is generated.

Comment 1/Comment 2

Displays comments from the billing schedule generating the SOP document. You can specify additional values for these boxes in this window.

Item Number

Displays the item number.

Meter Name

Displays the meter name for the schedule. This information is filled when the sales transaction is generated.

Meter Number

Displays the meter number for the schedule. This information is filled when the sales transaction is generated.

Schedule ID

Displays the billing schedule number.

Support/Renewal tab

Align Deferral to Support

Available in ARCB build 807 (and newer).

Indicates whether the deferral start and end dates are aligned with the start and end dates of the deferral support item in a sales order transaction.

  • Selected: The deferral schedule created from a sales order has the same start and end dates as the support item.
  • Cleared: The deferral schedule created from a sales order does not have the same start and end dates as the support item.

The default setting is from the ARCB Setup.

Alignment Date

Select the date on which you want the renewal sales line items to align. The default date from the Align Billing Schedule Utility window appears after you select the Schedule ID.

Calculation Option

Select how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Tier: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Completion Date

Select the transaction completion date. This date is used for information only.

Days to Increment

Displays the number of days to increment the transaction date.

Disable Calendar Billing

Indicates how the charge amounts and renewals amounts are calculated and billed:

  • Selected: Calculates charged amounts and renewal amounts for all schedules based on elapsed time billing.
  • Cleared: Calculates charged amounts and renewal amounts for all schedules based on calendar billing.

You can select or clear this option for each schedule you select in the Support/Renewal Item Detail window.

For example, the following values are set:

  • Support Start Date: September 07, 2010
  • Support End Date: September 30, 2011
  • Billing Frequency: Annual
  • Extended Price: 1000.00
  • Support %: 18%

When this check box is selected (schedules are based on elapsed time billing), the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (September 06, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 191.83

When the check box is cleared (schedules are based on calendar billing) the Charged Amount is calculated as follows:

(September 30, 2011 – September 07, 2010 + 1)/ (August 31, 2011 - September 07, 2010+1) x 1000.00 x 0.18 = 195.04

Frequency

Select the contract frequency. The frequency is used to calculate the pro-rated support and renewal amounts for the support and renewal sales line items. The default value is from the Support/Renewal Process window.

Markdown (Renewal)

Select whether the extended price excludes or includes a markdown:

  • Exclude: The Originating and Functional Renewal Amounts are calculated as follows: Unit Price x Quantity for the Item.
  • Include: The Originating and Functional Renewal Amounts are calculated as follows: (Unit Price - the Markdown Price) x Quantity for the item.

The default value is from the Setup window or the Support/Renewal Process after processing. You can override the selection in this window.

For example, a Quantity of 1, the Unit Price for an item is 100.00, and the Markdown price is 30.00.

  • When Exclude Markdown is selected, 100 is used to calculate the renewal amounts (equation: 100.00 x 1).
  • When Include Markdown is selected, 70 .00is used to calculate the renewal amounts (equation: (100.00 - 30.00) x 1).

Markdown (Support)

Select whether the extended price excludes or includes a markdown:

  • Exclude: The Originating and Functional Charge Amounts are calculated as follows: Unit Price x Quantity for the Item.
  • Include: The Originating and Functional Charge Amounts are calculated as follows: (Unit Price - the Markdown Price) x Quantity for the item.

The default value is from the Setup window or the Support/Renewal Process after processing. You can override the selection in this window.

For example, a Quantity of 1, the Unit Price for an item is 100.00, and the Markdown price is 30.00.

  • When Exclude Markdown is selected, 100.00 is used to calculate the charge amounts (equation: 100.00 x 1).
  • When Include Markdown is selected, 70.00 is used to calculate the charge amounts (equation: (100.00 - 30.00) x 1).

Override Renewal %

Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Specify the renewal percentage that you want to use for all items in the list view. When you specify a percentage, this percentage overrides the renewal percentage for the item in the list view.

Override Support %

Available as of Microsoft Dynamics GP 2016 R2 (ARCB Build 609).

Specify the support percentage that you want to use for all items in the list view. When you specify a percentage, this percentage overrides the support percentage for the item in the list view.

Percentage/Amount

Select whether a percentage or a flat amount is used for calculating support and renewal amounts.

Renewal End Date

Displays the calculated end date for the original support contract.

The default value is from the Support/Renewal Process window. This date cannot be earlier than the Renewal Start Date.

Renewal Start Date

Displays the calculated renewal start date based on the support contract start and end dates and the frequency specified. This date cannot be later than the renewal end date.

The default value is from the Support/Renewal Process window.

Schedule ID

Select an active schedule ID to add the renewal item entered into an existing schedule.

When you select a schedule that is NOT active, for example, when a customer has allowed a support contract to lapse, you are asked if you want to change the status of the schedule from disabled to active.

  • When select to change the status of the schedule to active, the current status of the line items that are already in the schedule are retained and new schedule lines are added as active lines.
  • When you select not to change the status, the status of the schedule remains disabled, and you can select an active schedule or create a new schedule instead.

The Maintain Schedule By option on the Setup window affects which schedule IDs you can select:

  • When Customer is selected, you can only select from the renewal schedules for the customer selected in the Sales Transaction Entry window.
  • When End User is selected, you can only select from the renewal schedules for the end user selected in the Sales Transaction Entry window.
  • When None is selected, you can elect from the renewal schedules for the customer or create a new renewal schedule when you post an invoice in the Sales Transaction Entry window.

Support/Renewal Qty

Select one of the following options:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

The default value is set up in the Support/Renewal Process window.

Support End Date

Displays the calculated end date for the original support contract.

Support Start Date

Specify the start date for the original support contract.

This value is reused in the Original Contract Signed box in the Recurring Contract Billing Schedule.

Tier ID

Select the support level for the renewal or support item. Available when Calculation Option is Tier.

List View

In the list view, you can review the support and renewal information for all support and renewal items that are attached to the current billing schedule. The following columns are available:

Amount (Renewal)

Displays the renewal amount, which is calculated based on the Renewal %. Or if the Renewal Amount has a value, displays the support amount.

Amount (Support )

Displays the support amount, which is calculated based on the Support %. Or if the Support Amount has a value, displays the support amount.

Calc. Option

Select how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Tier: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Extended Price

Displays the extended price for an item. This is from the sales document and cannot be edited.

Displays the item number.

Renewal

Select to indicate that the item on this line is a renewal item to be included in this SOP invoice.

Renewal Item

Displays the renewal item as set up on the Item Maintenance window.

Renewal %

Displays the renewal percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Support

Select to indicate that the item on this line is a support item to be included in this SOP invoice.

Support Item

Displays the support item as set up on the Item Maintenance window.

Support %

Displays the support percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Tier ID

Displays the support level ID for the item. The default value is set on the Support/Renewal Process or Support/Renewal Item Detail windows, but you can change it.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preview: Support/Renewal Process: Buttons

OK

Closes the window.

Process

Checks each sales line item in the Sales Transaction Entry window. When the Support/Renewal Item check box is selected in the sales line, the support/renewal information in this window is applied to the sales line items to calculate the Charged Amount and/or the Renewal Amount in the Support/Renewal Item Detail window.

The renewal percentage for each sales line item is from the Item Maintenance window. When missing from the Item Maintenance window, the percentage in this window is used.

Sales line items are automatically inserted into the SOP invoice as original support items.

Note icon. Note: When the CCH Sales Tax Online plug-in is installed, the plug-in calculates the tax amount for the invoice and the amount is added in the Sales Transaction Entry window.

After processing, when you make a change to the information in this window, you are asked to roll down the changes. If you select Yes, the changes are applied to all of the support/renewal sales line items. A changed percentage only rolls down when Override the percentage on renewal lines option is selected.

When Auto Billing Creation is selected on the Setup window and you post the sale in the Sales Transaction Entry window, a renewal schedule is created or updated. For a Return document specify the renewal line has negative amount.

Schedule ID expansion button

Displays the line items for the next billing period for the selected billing schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preview: Support/Renewal Process: Fields

Alignment Date

Select the date on which you want the renewal sales line items to align. The default date from the Align Billing Schedule Utility window appears after you select the Schedule ID.

Completion Date

Select the transaction completion date. This date is used for information only.

Days to Increment

Displays the number of days to increment the transaction date.

End User ID

Select the end user ID to associate with the support and renewal process.

End User Name

Displays the end user name.

Frequency

Select the contract frequency. The frequency is used to calculate the pro-rated support and renewal amounts for the support and renewal sales line items. The default value is set up in the Default Billing Frequency box on the Setup window.

Renewal Contract Information

Extended Price

Displays whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown. The value is set up in the Setup window. You can override the selection in this window.

Renewal End Date

Displays the calculated renewal end date based on the renewal start date and the billing frequency. This date cannot be earlier than the renewal start date.

Renewal Start Date

Displays the calculated renewal start date based on the support contract start and end dates and the frequency specified. This date cannot be later than the renewal end date.

Schedule ID

Select an active schedule ID to add the renewal item entered into an existing schedule.

When you select a schedule that is NOT active, for example, when a customer has allowed a support contract to lapse, you are asked if you want to change the status of the schedule from disabled to active.

  • When select to change the status of the schedule to active, the current status of the line items that are already in the schedule are retained and new schedule lines are added as active lines.
  • When you select not to change the status, the status of the schedule remains disabled, and you can select an active schedule or create a new schedule instead.

The Maintain Schedule By option on the Setup window affects which schedule IDs you can select:

  • When Customer is selected, you can only select from the renewal schedules for the customer selected in the Sales Transaction Entry window.
  • When End User is selected, you can only select from the renewal schedules for the end user selected in the Sales Transaction Entry window.
  • When None is selected, you can elect from the renewal schedules for the customer or create a new renewal schedule when you post an invoice in the Sales Transaction Entry window.

Support Contract Information

Extended Price

Displays whether the extended price excludes or includes a markdown: Exclude Markdown or Include Markdown. The value is set up in the Setup window. You can override the selection in this window.

Support End Date

Displays the calculated end date for the original support contract.

Support Start Date

Specify the start date for the original support contract.

Support/Renewal Option

Calculation Option

Select how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Tier: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Tier ID

Select the support level for the renewal or support item. Available when Calculation Option is Tier.

Percentage/Amount

Select whether to use a Percentage or a flat Amount for calculating support and renewal amounts. This option is available for both Standard and Level calculation options.

The Include Markdown option does not apply.

Support/Renewal Qty

Select one of the following options:

  • 1: Adds one support item on the Sales Transaction Entry window.
  • Invoice Qty: The quantity of the support item and the renewal item is the same as the original line item. The unit price and extended price are calculated accordingly.

The default value is set up in the Setup window.

List View

In the list view, you can review the support and renewal information for all support and renewal items that are attached to the current billing schedule. The following columns are available:

Amount (Renewal)

Displays the renewal amount, which is calculated based on the Renewal %. Or if the Renewal Amount has a value, displays the support amount.

Amount (Support )

Displays the support amount, which is calculated based on the Support %. Or if the Support Amount has a value, displays the support amount.

Calc. Option

Select how support and renewal amounts are calculated:

  • Standard: Support and renewal percentages that are attached to the items are used to calculate the amounts accordingly. Default. The percentages are set up on the Item Maintenance window.
  • Tier: Allows you to select a support level to apply to all items. The support level that you select has the support and renewal percentages already set up in the Support Level Maintenance window. The percent values are not attached to the items, and can be changed at the line level in the Sales Transaction Entry window.

Extended Price

Displays the extended price for an item. This is from the sales document and cannot be edited.

Item Number

Displays the item number.

Renewal Item

Displays the renewal item as set up on the Item Maintenance window.

Renewal %

Displays the renewal percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Support Item

Displays the support item as set up on the Item Maintenance window.

Support %

Displays the support percentage for the item.

  • If Calculate Option is Level, the displayed value is from the Level ID.
  • If Calculate Option is Standard, the displayed value is from the Item Maintenance window. If Override the percentage on support lines on the Support/Renewal Process or Support/Renewal Item Detail windows is selected, the displayed value is from the header of the Sales Transaction Entry window.

Tier ID

Displays the support level ID for the item. The default value is set on the Support/Renewal Process or Support/Renewal Item Detail windows, but you can change it.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Termination Date Audit Header/Line: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Termination Date Audit Header/Line: Fields

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Scrolling Window

Date Modified

Displays the date on which the termination date was modified.

Description (Termination ID)

Displays the description for the termination ID.

New Termination Date

Displays the new termination date.

Origin

Displays the origin of the change.

Original Termination Date

Displays the original termination date.

Reason

Displays the reason the termination date was changed.

Service Date

Available in ARCB for Microsoft Dynamics GP 2018 R2 (build 706 and newer).

Displays the date on which the termination transaction occurred in CRM.

Termination ID

Displays the termination ID.

User Modified

Displays the user ID who modified the termination date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Termaination Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Termaination Maintenance: Fields

Description

Specify a description for the termination ID.

Termination ID

Specify an existing termination ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Termination Reason: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule Termination Reason: Fields

Reason

Specify the reason why the billing schedule is to be terminated. You can change the value if needed.

Termination ID

Specify a unique termination ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields: Fields

User Defined Fields

The names of the fields that were set up on the Setup window. Specify the values to appear in these fields for the SSRS invoice formats.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Entry: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Entry: Fields

End User ID

Displays the end user account ID or number.

Description

Displays the description for the end user ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Buttons

Cancel

Closes the window without saving the changes.

Default

Reverts all changes to the original default display of the list view.

Move Up/Move to Top/Move Down/Move to Bottom

Moves the selected column to the top of the list or the bottom of the list, or incrementally up or down one level at a time.

OK

Saves the changes that were made based on the user and the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Fields

Column Name

Displays the column name. You cannot edit the column name.

Display

Select to show the column in the list view. By default, this option is selected for all columns.

Clear the check box to hide the column from the list view.

Sort By

Select the default sort order of the list view. By default, the list view is sorted by the first column.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Align Billing Schedule Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

OK

Closes the window.

Process

Updates the selected schedules with the Alignment Date. The Alignment Date becomes the new end date for the selected schedules after processing is completed.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Align Billing Schedule Utility: Fields

Alignment Date

Select the date on which you want the schedules to align. This date becomes the new end date for the selected schedules.

select schedules, enter a New Align (End) Date then select Process to update the selected schedules with this new end date.

Customer Number

Select the customer number for which you want to display the schedules.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Type
  • Schedule Description
  • Customer Number
  • Customer Name
  • Schedule Status
  • End User ID
  • End User Name
  • Location
  • Billing Start Date
  • Billing End Date
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archive Billing Schedule Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Archives all the selected schedules. Only disabled schedules can move to history.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archive Billing Schedule Utility: Fields

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • Schedule Status
  • Billing Start Date
  • Billing End Date
  • Location
  • Termination Date
  • End User ID
  • End User Name
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Conversion Utility: Buttons

OK

Closes the window.

Process

Converts billing schedule data from a previous build to build 10.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Independent Renewal Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Renews the selected lines. As each record is processed, the following occurs:

  • The End Date is updated as the new Billing End Date for the billing schedule line.
  • Renewal lines are created for the billing schedule line on the Billing Schedule Detail window for the billing schedule line based on the renewal template ID.
  • A new line is created for the billing schedule line on the Billing End Date Audit window.

After all records are processed, a log report appears.

Redisplay

Updates the scrolling window or list view.

Billing schedule lines that meet the following criteria appear in the list view:

  • have an Active status
  • have Auto Renew selected
  • are within the specified Range By and Notice Date (From/To) criteria that you specified
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Independent Renewal Utility: Fields

Billing End Date (From/To)

Select the range for the billing schedule end date that you want to display in the list view. The default values have no dates specified.

Only the records have a billing end date within the specified range appear in the list view.

Combine Partial Billing Periods

Available as of Microsoft Dynamics GP 2016 R2.

Use this option to combine partial billing periods after billing schedule lines have been renewed. This option applies to billing schedule lines that do not have a renewal template ID and billing schedules that have Disable Calendar Billing cleared.

  • Selected: Combines two partial billing periods into one full billing period.
    When an invoice for the last period is created, the invoice period does not change. However, two renewal billing periods are created based on the billing frequencies.
  • Cleared: Does not combine the partial billing periods.
    When the end date for a line item is not the same as the end date of the billing schedule, a new billing period based on the billing frequency is created.

For more information on this functionality, review Combine Partial Billing Periods: Examples.

Notice Date (From/To)

Select the range for the notice date that you want to display in the list view. The default values are the first and last day of the current month. You can change the dates to the range you want.

Only the records that have a notice date within the specified range appear in the list view.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

List View

Displays all records that match the criteria that you selected. Double-clicking a line opens the Billing Schedule Zoom window for the selected line.

The scrolling window displays the following columns:

  • Schedule ID: Displays the billing schedule number. The ID is from the Billing Schedule Maintenance window.
  • Schedule Description: Displays a description of the billing schedule. The description is from the Billing Schedule Maintenance window.
  • Schedule Type: Displays the schedule type from schedule header of the Billing Schedule Maintenance window.
  • Customer Number: Displays the customer account ID or number.
  • Customer Name: Displays the customer name.
  • End User ID: Displays the end user account ID or number.
  • End User Name: Displays the end user name. .
  • Location: Displays the location from the billing schedule.
  • Item Number: Displays the item number.
  • Billing Start Date: Displays the billing start date.
  • Billing End Date: Displays the billing end date.
  • Billing Frequency: Displays the billing frequency.
  • Renewal Notice Date: Displays the latest notice date from Billing End Date Audit table
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass eConnect Schedule Line Process: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entities in the list view.

OK

Closes the window.

Process

Processes the lines that you selected in the scrolling window. The process resumes the selected billing schedule line items, and generates billing schedule line details. After the process is finished, a log report appears with the results of the process.

As of Microsoft Dynamics GP 2016 R2, when the billing or deferral start and end dates are specified, the following occurs for the selected billing schedule lines:

  • The hold is removed
  • The billing or deferral start and end dates are updated
  • billing detail lines are generated with the new billing start and end dates

After processing finishes, you can review a log report.

Redisplay

Updates the scrolling window to show the schedule lines that are have a status of Hold and are imported from eConnect schedule lines stored procedure.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass eConnect Schedule Line Process: Fields

Billing Start/End Date

Available as of Microsoft Dynamics GP 2015 R2 and 2016 R2.

Specify the billing start and end dates that you want to apply to the selected billing schedule lines. If you specify a start date is entered, you must also specify an end date.

Deferral Start/End Date

Available as of Microsoft Dynamics GP 2015 R2 and 2016 R2.

Specify the deferral start and end dates that you want to apply to the selected billing schedule lines. If you specify a start date is entered, you must also specify an end date. This option only applies to lines that are deferrable.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

List View

Displays all records that are imported from eConnect stored procedure with HOLD status. These records match the criteria that you selected.When you double-click a list view item , the Billing Schedule Zoom window opens.

The list displays the following columns:

  • Schedule ID
  • Schedule Description
  • Schedule Type
  • Customer Number
  • Customer Name
  • End User ID
  • End User Name
  • Location
  • Item Number
  • Item Description
  • Billing Start Date
  • Billing End Date
  • Billing Frequency
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Apply Promotion Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Process

Applies the promotional price to all the selected schedules in the scrolling window.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Apply Promotion Utility: Fields

Do not override Adjusted Schedules

Select to skip schedule lines that you manually changed. When a line is edited, the promotional price is not applied when this utility is processed.

Expiration Date

Specify the date on which the promotion price expires.

Markdown Type

Select how the markdown amount is calculated:

  • Percentage: A percentage is used to calculate the markdown amount. When you select this option, specify the markdown percent.
  • Amount: A fixed amount is used to calculate the markdown amount. When you select this option, specify an amount.

Start Date

Specify the date on which the promotion price starts.

Price Level

Select Price Level you want to work with. For example: Retail

Ranges

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Update Billing Schedule

Select to update the billing schedule detail lines with the latest prices that are not invoiced yet. Leave the check box cleared if you do not want the prices updated.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Hold Process: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

OK

Closes the window.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Applies or removes a hold on the selected billing schedules. If a Remove Hold Password is set up on the Setup window, a you asked to specify the password before the hold can be removed.

Redisplay

Updates the scrolling window or list view.

If a Remove Hold Password is set up on the Setup window, you are asked to specify the password before the scrolling window is updated with the range of records.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Hold Process: Fields

Process Options

Select to Apply Hold or Remove Hold.

Note icon. Note: If a Remove Hold Password is set up on the Setup window, ensure that you know the password before you process the hold removal.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Schedule Type
  • Ship To Address
  • Bill To Address
  • Salesperson ID
  • Customer Number
  • Customer Name
  • Schedule Status
  • End User ID
  • End User Name
  • Location
  • Billing Start Date
  • Billing End Date
  • Termination Date
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Termination Process: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

OK

Closes the window.

Process

Terminates the selected lines based on the termination option selected for the item in the Billing Schedule Maintenance window.

For a refund, creates the SOP return for the selected line with the specified refund amount. You then must manually post the return and then apply the return against the original sales invoice in the Apply window. This functionality is available as of Microsoft Dynamics GP 2015 R2.

In ARCB build 809 (and earlier), the return document that is created uses the following values:

  • Bill To and Ship To address are from the customer record

In ARCB build 810 (and newer), the return document that is created uses the following values:

  • Bill To and Ship To address are from the Schedule Customer Detail
  • Customer PO number is from the Billing Schedule Maintenance

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Termination Process: Fields

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Reason

Specify the reason for termination the billing schedules. Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 528) and 2016 (ARCB build 610).

Refund

Batch ID

Available as of Microsoft Dynamics GP 2015 R2.

Specify the batch ID for processing the transactions.

If you are using Multi-Entity Management and create a batch, the batch ID is associated with the selected entities.

Consolidate by Customer

Available in Microsoft Dynamics GP 2015 R2 and 2016 R2.

Specify whether returns are consolidated by customer:

  • Selected: Merges all returns that have the same customer, end user, currency and location on the billing schedule. All refund amounts for the billing schedule detail lines are consolidated into one item line on the return.
  • Cleared: Creates each return on the billing schedule.

Issue Credit

Available as of Microsoft Dynamics GP 2015 R2.

Specifies whether a return is created and the deferral schedule is adjusted:

  • Selected: When a schedule line is terminated, a return is created and the deferral schedule is adjusted.
  • Cleared: When a schedule line is terminated, no return is created, and the deferral schedule remains as is.

Prorate Daily

Available as of Microsoft Dynamics GP 2015 R2.

Specify whether the prorate daily rate is used to calculate the refund.

  • Selected: Uses the prorated daily rate to calculate the refund.
  • Cleared: Uses the default calculation method to calculate the refund.

For information on how the refund amount is calculated, see Issuing a Refund for a Cancelled Contract: Example.

Transaction Date

Select the date for the refund transaction.

In ARCB build 809 (and earlier), the default date is the termination date specified. In ARCB build 810 (and newer), the default date is the current system date.

Unbilled Revenue Account

Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 530), 2016 R2 (ARCB build 611), and 2018 (ARCB build 702).

Displays the account for unbilled revenue amounts. The default account is from the Setup window, but you can change the account as needed.

Note icon. Note: If the unbilled revenue account is not specified on the Setup window or on this window, the warning appears on the termination report. Also, the journal entry for unbilled revenue is not created.

Termination Date

Select the date on which to terminate the selected lines. When you select Process, the selected schedules terminate on the date specified.

Termination ID

Select the termination ID that you want to apply to all the billing schedules that you are terminating. Available as of Microsoft Dynamics GP 2015 R2 (ARCB build 528) and 2016 (ARCB build 610).

Total Refund Amount

Available in ARCB 810 (and newer).

Displays the sum total refund amount for all selected lines.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Schedule Type
  • Customer Number
  • Customer Name
  • End User ID
  • End User Name
  • Location
  • Item Number
  • Unit Price
  • Billing Start Date
  • Billing End Date
  • Billing Frequency
  • Contract Completion Date
  • Refund Amount - double-clicking this line opens the Modify Refund Amount window (Available as of Microsoft Dynamics GP 2015 R2)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Update Utility: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Updates the unit price for all selected schedule lines.

This utility updates the Billing Schedule Maintenance window and Billing Schedule Detail window, so that the latest price (based on the price level for the line) appears. This price appears on the unit price field of the billing schedule line.

As of Microsoft Dynamics GP 2016 R2, when you process the price update, the percentage or amount increase is applied only to the lines where the invoice has not yet been created. If the invoice for a line has already been created, the billing amount is not changed, and no adjustment is applied to the next billing period.

Redisplay

Updates the scrolling window or list view.

Displays all the schedule lines that have a price default of Price Level and are included within the Price Level range. When the schedule lines have the price default set to Flat Amount, the record does not appear in this window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Price Update Utility: Fields

Facility ID

As of Microsoft Dynamics GP 2016 R2, this box is replaced by the Entity List View.

Select the entity (facility) ID. Available when Multi-Entity Management is installed and used. You can select only from the entities to which you have access.

The scrolling window displays only the schedule lines from billing schedules that are associated with the selected entity.

Increase Type

Available as of Microsoft Dynamics GP 2016 R2 and when Price Default is set to Flat Amount.

Select how the price of an item is increased:

  • Percentage: Uses a percentage to increase the item amount. When you select this option, specify the percent by which to increase the item amount.
  • Amount: Uses a fixed amount to increase the item amount. When you select this option, specify the amount by which to increase the item amount.

Tip: After you enter the percent increase or amount increase, select Redisplay to update the scrolling window with the most up-to-date values.

Price Default

Available as of Microsoft Dynamics GP 2016 R2.

Select the price default that you want: Price Level or Flat Amount.

Prorate

Available as of Microsoft Dynamics GP 2016 R2.

Select this check box to prorate the amount increase for the billing period. For example, the Effective Date of the amount increase is in the middle of a billing period. When you select this check box, a prorated amount for the price increase is calculated.

Clear this check box to apply the amount increase without prorating the increase. The full amount increase is applied to the item in the billing schedule.

Ranges

Available as of Microsoft Dynamics GP 2016 R2.

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

Then select the criteria for displaying the schedule lines:

  • Select All to display all records for the specified criteria.
  • Select From to specify a range of records. When you select this option select values for From and To to specify the range.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Effective Date

Available as of Microsoft Dynamics GP 2016 R2.

Select the date on which the increase should occur.

Note icon. Note: The amount increase can be applied to all billing schedule lines except for lines that use the following functionality:

  • Price Adjustment
  • Tiered Price
  • Milestone billing
  • Promotion

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Available as of Microsoft Dynamics GP 2016 R2, the entity list view replaces the Facility box as a means to select the entity when you use Multi-Entity Management.

Scrolling Window

Note icon. Note: Lines that use the multiple element allocation (MEA) functionality (integrated with Multiple Element Revenue Allocation) or are works in progress (WIP) do not appear in this window.

Displays all records that match the criteria that you selected. The scrolling window displays the following columns:

  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • Currency ID
  • Schedule Status
  • Item Number
  • Item Type
  • U of M
  • Billing Qty
  • Unit Price (available only when Price Default is set to Price Level)
  • Original Unit Price (when Price Default is set to Flat Amount; available as of Microsoft Dynamics GP 2016 R2)
  • Price Level (available in Microsoft Dynamics GP 2015 R2 and earlier)
  • Amount Increase (Available as of Microsoft Dynamics GP 2016 R2; displays the amount or a calculated value of percent increase * Original Unit Price)
  • New Unit Price (Available as of Microsoft Dynamics GP 2016 R2; displays a calculated amount: Unit Price + Amount Increase)
  • Location
  • Billing Frequency
  • Billing Start Date
  • Billing End Date
  • Facility ID
  • Department ID
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Stubbing Status Modify: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Marks all billing schedule selected lines as invoiced (stub) or uninvoiced (reverse stub), which prevents or allows the lines to show in invoice creator. Lines that have SOP associated with them are not affected. The description for lines marked with this utility is set to Document N/A.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Stubbing Status Modify: Fields

Effective Date

Select the effective date for the billing schedule lines. Billing schedule lines with a start date prior to the effective date are affected by this process.

From Schedule ID

Specify the schedule ID to start the range of affected schedules.

Process

Select whether to mark imported billing schedule lines as invoiced (Stub) or uninvoice (Reverse Stub).

To Portfolio

Specify the schedule ID to end the range of affected schedules.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Transfer End User Utility: Buttons

Cancel

Cancels all changes and closes the window.

Process

Transfers the end user from an existing customer to a new customer.

During the process, the relationship between the end user and customer is updated in the Customer End User Maintenance window.

All active billing schedules for the existing end user and customer pair are archived. Active schedules are created for the new end user and customer pair. In the new schedules, all billing schedule header and line level details are copied from the archived schedules. For renewal items in billing periods, only unprocessed billing periods are copied from the archived schedule to the new schedule.

After the transfer is completed, a log report is generated that provides a summary of all schedules that are archived and all schedule numbers created.

Note icon. Note: For traceability, all transfer information for the end user is maintained in the End User Transfer History window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Transfer End User Utility: Fields

End User ID

Select the end user to transfer from one customer to another.

End User Name

Displays the end user name.

Existing Customer ID

Displays the customer ID currently attached to the end user. (Set in the Customer End User Maintenance window.)

Existing Customer Name

Displays the existing customer name.

New Customer ID

Select a customer number to which to transfer the end user.

New Customer Name

Displays the new customer name.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Update Utility: Buttons

Cancel

Cancels all changes and closes the window.

Process

Updates the information about customers, items, site names, and sales accounts in ARCB schedules.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Update Utility: Fields

Convert Euro to US

Caution: This option is a customization that is used for a very specific case. If you want to use this option, contact Binary Stream before you attempt to use it.

Select to change ARED recognition schedules that use EURO functional currency into recognition schedules that use US functional currency with the same start date, frequency, and end date. The billing schedules must have been created in ARCB and have a US originating amount saved in the software table. Any previously-recognized periods remain recognized in the new ARCB schedules, although their amounts are expressed in the new functional currency.

Update Customer Name

Select to update the customer name in all schedules. This information is from the customer name on the Customer card in Microsoft Dynamics GP.

Update Price Adjustment End Date

Select to update the empty price adjustment end date to the proper price adjustment end date before the next price adjustment starts for the price adjustments and markdowns on the Billing Schedule Price Adjustment Detail window.

Update Item/Site Description

Select to update the item description and site description in all schedules. This information is from the item description on the Item card and the site description on the Site card in GP.

Update Price List

Select to insert records in the price list for the default price level for all the currencies.

Update Sales Account

Select to update the sales account number in all schedules. This information is from the sales account number on the Item card in Microsoft Dynamics GP.

Update Schedule Status

Select to review all existing schedules line items that have a billing frequency of One Time. Available as of Microsoft Dynamics 2015 R2.

When the line items that have a billing frequency of One Time are found, the schedule statuses are updated as follows:

  • For lines where the invoices have been created, the schedule statuses are updated to Disable.
  • For lines where the invoices have not been created, the schedule statuses are not updated.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Initial Journal Entry Processing: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

Process

Creates the journal entries for the WIP tracked items for the selected lines. After the journal entry is created, the WIP JE box is populated in the Schedule Maintenance window for the selected line items. These items are available for the periodic billing.

Journal entries are created as follows:

Create the schedule – billed 100.00 per item monthly for 12 months:

Work In Progress | 1,200.00(Debit) |
Unbilled Revenue |  | 1,200.00(Credit)

Note icon. Note: In the previous ARCB versions this window was called "WIP Journal Entry Processing".

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Initial Journal Entry Processing: Fields

Batch ID

Specify the batch ID for processing the transactions.

If you are using Multi-Entity Management, you can only select batches that are attached entities (facilities) to which you have access. Required for processing.

Date Restriction

Select the date restriction to use for displaying the records:

  • Date Range: Displays the lines that have a start date that is within a specified period. The From and To date boxes appear for you to enter a date range.
  • None: Does not apply a date restriction.

Range By

Select the range by which you want to display records:

  • Schedule Type
  • Schedule Number
  • Customer
  • End User ID
  • Item Number

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Transaction Date

Specify a transaction date. Required for processing.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Schedule Type
  • Schedule ID
  • Schedule Description
  • Customer Number
  • Customer Name
  • End User ID
  • End User Name
  • Item Number
  • Item Description
  • Billing Start Date
  • Billing End Date
  • Location
  • Total Extended Price
  • WIP Account
  • Unbilled Revenue Account
  • Facility ID (available only when Multi-Entity Management is installed and used): Displays the entity (facility) ID associated with the schedule.

Note icon. Note: In the previous ARCB versions this window was called "WIP Journal Entry Processing".

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


WIP JE Detail: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


WIP JE Detail: Fields

Item Description

Displays the description for the item.

Item Number

Displays the item number from the Billing Schedule Maintenance window.

Journal No

Displays the journal entry number(s) for the line item for the specified billing schedule.

Schedule Description

Displays the description of the billing schedule.

Schedule ID

Displays the billing schedule ID from the Billing Schedule Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Quote, Invoice, or Return

To create a quote, invoice, or return in the Sales Transaction Entry window, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. In Type ID, select Quote, Invoice, or Return.
  3. Complete all other boxes as usual.
  4. In the scrolling window, select an Item Number.
    Note icon. Note: When the Support/Renewal Item option on the Item Maintenance window for this item is selected, ARCB checks whether the currency, price level, and U of M combination is included in the price list for the item. When these items are not included, you cannot select the Support/Renewal Item option on the sales line for this item.
  5. Select the Add Support/Renewal expansion button, which opens the Support/Renewal Process window.
  6. In the Support/Renewal Process window, complete the window as needed, and select Process.
    The support item is added in the Sales Transaction Entry window.

See also

Setting Up Support/Renewal Contract Information (ARCB build 608 and earlier)

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding a Kit Item to a Billing Schedule

To add a kit item to a billing schedule, follow these steps:

  1. Open the Billing Schedule Maintenance window (Cards > Adv. Recurring Contract Billing > Billing Schedule).
  2. Create a billing schedule or retrieve an existing record.
  3. In the scrolling window, add a line item and enter the line details. The line item you add is a kit item.
  4. Select Show Details [image] to expand the line item.
  5. Select Kits, which opens the Schedule Line Kite Options window.
  6. In the Schedule Line Kit Options window, you can edit the component items for the kit item, and select Save.
  7. In the Billing Schedule Maintenance window, select Save.

When you create the invoice for the billing schedule, the sales account(s) used to post the sales is based on the setup for the kit item. For more information, see the fields description for the Item Kit Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reviewing the Changes to a Billing Schedule that uses MERA

As of Microsoft Dynamics GP 2016 RTM, you can edit an Advanced Recurring Contract Billing (ARCB) billing schedule that uses the multiple element allocation (MEA) functionality in Multiple Element Revenue Allocation (MERA). When you edit the billing schedule, the original calculations and data are moved to the history of the schedule.

To review the changes to a billing schedule, follow these steps:

  1. Open the Revenue Allocation window (Cards > Adv. Recurring Contract Billing > Billing Schedule > Revenue Allocation button).
  2. For the schedule ID, select History, which opens the MERA Modifications window.
  3. In the list view, double-click a line, which opens the Audit History window.
  4. When you are finished reviewing the previous billing schedule details, select OK, which closes the window.

See also

Modifying a Billing Schedule Contract - MERA Integration: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Viewing Outstanding Renewal Invoices

To view outstanding renewal invoices, follow these steps:

  1. Open the Outstanding Renewals Invoices Inquiry window (Inquiry > Adv. Recurring Contract Billing > Outstanding Renewals Invoices).
  2. Specify an Aged As of Date to which to compare open renewal quotes and invoices.
  3. Select the Range By criteria.
  4. Enter From and To ranges, and select Insert to add the range statement to the Restrictions box.
    You can more than one range statement.
  5. Select a Sort Documents method for displaying data in the scrolling window.
  6. Select Redisplay.

You can then print the Outstanding Renewal Invoices report or export the data to Microsoft Excel.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Dialog

Use this window to view the following information:

  • Binary Stream head office address and support contact
  • Microsoft Dynamics GP version number
  • Microsoft SQL Server version number
  • List of installed Binary Stream programs and their information

Tip: To print a report about the Binary Stream programs that you have installed, select Print.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating Advanced Recurring Contract Billing

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update Advanced Recurring Contract Billing, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Advanced Recurring Contract Billing

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for Advanced Recurring Contract Billing

Welcome to the documentation for Advanced Recurring Contract Billing for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for ARCB.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within ARCB, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

As of Microsoft Dynamics GP 2015 R2, when you open the Billing Schedule Lookup window from the Billing Schedule Maintenance window, you can set the default view for the sort order of the list view for the current company and current session. After you select the sort order you want, select Sort > Set as Default View to set the sort order of the list view as the default view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

See also

Setting the Default View for the Billing Schedule Lookup Window

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Add a GoCardless Account

Go to the GoCardless web site [image].

Click on the Sign Up icon from the menu at the top of the screen.

GoCardless main menu

Closed Step 1 - Select a Package

Step 1: Select a Package

The plan you select on the Select a plan page will determine which features are available to you.

GoCardless offers three plans: Standard, Advanced, Pro. You can find an in-depth comparison of the GoCardless plans [image] on the GoCardless web site.

Once selected, your chosen plan will appear at the top of the page under Current plan. If at any point in the future, you would like to upgrade your plan, simply return to this screen and select the appropriate plan.

If you are on a custom pricing agreement and you have already spoken to the GoCardless Sales team or signed a contract then please tick the box at the bottom of the page to confirm this. This will allow you to continue with the onboarding flow to fill out your information and set up a Direct Debit mandate for you to pay for your plan fees.

If you have selected the wrong plan, please follow the downgrade process [image] on the GoCardless web site.

GoCardless select package screen

Closed Step 2 - Business Details

Step 2 - Business Details

In this step, you will be asked to provide some details about your business, which we will use to verify your business as part of our regulatory obligations.

Included within this, you will be asked to select the business type, industry you operate in, and the category of service that matches your organization, as well as provide a description of what your business does. Please provide sufficient detail here so that it’s clear what GoCardless is processing payments for on your behalf.

  1. Enter the following information about your business:

    2. Country: From the drop-down menu, select the country where your business is located.

    Business Type: Select a business type from the drop-down menu.

  2. Click on the Edit button and enter the following information: Legal name, Trading name, Corporation number, Registered address.

  3. UK corporations - enter your company's VAT registration number, if applicable.

  4. Click on the Continue button.

Additional information for charities/non-profit

  1. Once you select Charity/non-profit as your business type you will be asked to enter a description of your business. If your organization has a company number, please select Limited company as your business type instead.

  2. Next, select your charity type from the drop-down menu

  3. You will then be asked to enter further information on your organization. If you select Registered charity, you will also be asked to provide your charity registration number.

  4. You will then be asked to enter your details, as administrator of your GoCardless account. If you selected Registered charity, you will be asked to enter the name and date of birth of all trustees.

  5. Once you've completed this section, click Continue to move to the next step.

Note: When entering your details, GoCardless is required to collect your home address/the home address of a director, not a business address.

GoCardless Business Details screen

Closed Step 3 - Contact Details

Step 3 - Contact Details

In this screen you will need to add contact details to your account. Until you add these details, all notifications will be sent to the first (or longest serving) administrator of your GoCardless account.

Support contact details: These will be displayed at the bottom of your GoCardless-hosted online authorization (mandate) form and all automated payer notifications. This is visible to your customers and lets them know how to contact you if they need assistance.

Billing contact details: This is where GoCardless will send notifications regarding your payouts. This is internal and will not be shared with your customers.

Enter the contact details in this screen:

  • First name

  • Last name

  • Email address

  • Phone number

This information will be used for billing purposes.

GoCardless Billing Details screen

Developer contact details (if applicable): This is where GoCardless will send notifications about your integration or our API. If you have a developer, we would advise you to add their details here to ensure they are contacted with information relevant to your integration with GoCardless API.

GoCardless Developer Contact Details screen

Press the Continue button to proceed to the next step.

Closed Step 4 - Business Category

Step 4 - Business Category

Select information about your business's industry and category.

Industry: Select your business's industry from the drop-down menu.

Category: Select your business's industry from the drop-down menu.

What does your business do: Enter a short description in this text box.

Press the Continue button to proceed to the next step.

GoCardless Business Category screen

Closed Step 5 - Business Directors

Step 5 - Business Directors

Add information about each of your company's directors. The information required will vary depending on the kind of business type you have selected.

  • If you are a company, please ensure to provide the details (names and dates of birth) of all directors.

  • If you are a registered charity, please ensure to provide the details (names and dates of birth) of all your trustees. Please note that if these names are not added, this can cause delay to your account verification as we will need to request their addition.

Note: When entering your details, GoCardless is required to collect your home address/the home address of a director, not a business address.

After all of the information as been added, press the Continue button to proceed to the next step.

GoCardless Business Directors screen

Closed Step 6 - Business Owners

Step 6 - Business Owners

Add information about your company's owners and their percentage ownership of the company.

Press the Continue button to proceed to the next step.

GoCardless Business Owners screen

Closed Step 7 - Add Bank Accounts

Step 7 - Add Bank Accounts

By default, your customers will see “GOCARDLESS” on their bank statements when they make a payment to you. The bank may also display the customer's mandate reference. You can add a 16-character reference (letters and numbers only) to help customers recognise these payments.

Simply type your chosen reference into the Reference field provided. GoCardless will submit a full reference to the bank and it will depend on the individual scheme requirements and/or the customer’s bank as to whether the full reference is shown.

On any of the three plans, you can choose to use the feature “Merchant Name on Payer Bank Statements“ which, for an additional monthly fee, your business name will appear on your customers' bank statements in place of "GOCARDLESS".

GoCardless has more information about bank statement references [image] on their web site.

Additional Information

The bank account you add on this screen must be;

  • In the name of and owned by the legal entity of the business; and,

  • Either a) Able to receive credit transfers in the same currency that you are charging customers in*, or b) in the same currency as you wish to receive your funds in (if collecting payments internationally and wishing to have them settled via our FX service).

Note: For payments collected internationally and being paid out locally, to a bank account in the same country or region, and so not requiring our FX service, please note that there are payout bank account location requirements, which can be viewed here.

You will simply need to enter the bank account details you wish to use as your payout bank account. Please note: International Payments with FX has certain restrictions and is subject to eligibility.

GoCardless Bank Account Information screen

After all of the information as been added, press the Add bank account button to proceed to the next step. When all of your bank accounts have been added, press the Continue button to proceed to the next step.

Closed Step 8 - Verify Bank Account

Step 8 - Verify Bank Account

The GoCardless web site contains detailed instruction for the account verification process [image]. If GoCardless we require further information to help them verify your account, they will contact you via email.

GoCardless may require supporting document to complete the account verification process. Please refer to the supporting document section [image] on the GoCardless web site for further details.

Closed Step 9 - Configure Account Settings

Step 9 - Configure Account Settings

There are three components in the account configuration process:

  • Enable Two-Factor Authentication. The GoCardless has detailed instructions for enabling two-factor authentication [image] and enforcing two-factor authentication [image].

  • Add Team Members. The GoCardless web site contains detailed information explaining how to add and remove team members [image].

  • Select optional notifications. Detailed notification setup instructions [image] can be found on the GoCardless web site.

Supplemental Resources

GoCardless has the following additional resources available on their web site to assist you with the account setup process.

Video Library - Quick Start

Video Library - How GoCardless Works

Video Library - Account Settings

Knowledge Base

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.